#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 959
#define SYMBOL_COUNT 211
#define ALIAS_COUNT 13
#define TOKEN_COUNT 108
#define EXTERNAL_TOKEN_COUNT 107
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 8

enum {
  sym__eof = 1,
  sym__lka = 2,
  sym__thm_brk_bgn = 3,
  sym__thm_brk_end_mkr = 4,
  sym__pgh_bgn_mkr = 5,
  sym__pgh_end_mkr = 6,
  sym__lnk_ref_def_end_mkr = 7,
  sym__stx_bgn = 8,
  sym__stx_end_mkr = 9,
  sym__atx_bgn = 10,
  sym__atx_end_mkr = 11,
  sym__ind_cod_bgn_mkr = 12,
  sym__ind_cod_end_mkr = 13,
  sym__fen_cod_bgn = 14,
  sym__fen_cod_end = 15,
  sym__fen_cod_end_mkr = 16,
  sym__htm_blk_scr_bgn = 17,
  sym__htm_blk_scr_end = 18,
  sym__htm_blk_scr_end_mkr = 19,
  sym__htm_blk_cmt_bgn = 20,
  sym__htm_blk_cmt_end = 21,
  sym__htm_blk_cmt_end_mkr = 22,
  sym__htm_blk_prc_bgn = 23,
  sym__htm_blk_prc_end = 24,
  sym__htm_blk_prc_end_mkr = 25,
  sym__htm_blk_dcl_bgn = 26,
  sym__htm_blk_dcl_end = 27,
  sym__htm_blk_dcl_end_mkr = 28,
  sym__htm_blk_cda_bgn = 29,
  sym__htm_blk_cda_end = 30,
  sym__htm_blk_cda_end_mkr = 31,
  sym__htm_blk_div_bgn = 32,
  sym__htm_blk_div_end_mkr = 33,
  sym__htm_blk_cmp_bgn = 34,
  sym__htm_blk_cmp_end_mkr = 35,
  sym__bqt_bgn = 36,
  sym__bqt_end_mkr = 37,
  sym__lst_bgn_mkr = 38,
  sym__lst_end_mkr = 39,
  sym__lst_itm_bgn = 40,
  sym__lst_itm_end_mkr = 41,
  sym__lst_itm_cnt_bgn_mkr = 42,
  sym__lst_itm_cnt_end_mkr = 43,
  sym__tbl_hed_row_bgn_mkr = 44,
  sym__tbl_dlm_row_bgn_mkr = 45,
  sym__tbl_dat_row_bgn_mkr = 46,
  sym__tbl_row_end_mkr = 47,
  sym__bsl_esc = 48,
  sym__chr_ref = 49,
  sym__emp_bgn = 50,
  sym__emp_end = 51,
  sym__stg_bgn = 52,
  sym__stg_end = 53,
  sym__del_bgn = 54,
  sym__del_end = 55,
  sym__img_bgn = 56,
  sym__lnk_bgn = 57,
  sym__lnk_end = 58,
  sym__lnk_ref_def_bgn = 59,
  sym__lnk_ref_def_cln = 60,
  sym__lnk_inl_bgn = 61,
  sym__lnk_inl_end = 62,
  sym__lnk_dst_bgn = 63,
  sym__lnk_dst_end = 64,
  sym__lnk_dst_bgn_mkr = 65,
  sym__lnk_dst_end_mkr = 66,
  sym__lnk_tit_bgn = 67,
  sym__lnk_tit_end = 68,
  sym__lnk_ref_bgn = 69,
  sym__lnk_ref_end = 70,
  sym__ext_www_aut_lnk_bgn = 71,
  sym__ext_url_aut_lnk_bgn = 72,
  sym__ext_eml_aut_lnk_bgn = 73,
  sym__ext_aut_lnk_end_mkr = 74,
  sym__uri_aut_lnk_bgn = 75,
  sym__eml_aut_lnk_bgn = 76,
  sym__aut_lnk_end = 77,
  sym__cod_spn_bgn = 78,
  sym__cod_spn_end = 79,
  sym__htm_opn_tag_bgn = 80,
  sym__htm_tag_end = 81,
  sym__htm_cls_tag_bgn = 82,
  sym__htm_slf_tag_end = 83,
  sym__htm_dcl_bgn = 84,
  sym__htm_atr_eql = 85,
  sym__htm_atr_val_bgn = 86,
  sym__htm_atr_val_end = 87,
  sym__htm_atr_val_bgn_mkr = 88,
  sym__htm_atr_val_end_mkr = 89,
  sym__htm_cmt_bgn = 90,
  sym__htm_cmt_end = 91,
  sym__htm_prc_bgn = 92,
  sym__htm_prc_end = 93,
  sym__htm_cda_bgn = 94,
  sym__htm_cda_end = 95,
  sym__atx_end = 96,
  sym__lst_chk_box = 97,
  sym__tbl_col_sep = 98,
  sym__tbl_col_aln = 99,
  sym__fen_cod_inf_bgn_mkr = 100,
  sym__fen_cod_inf_end_mkr = 101,
  sym__hrd_lbk = 102,
  sym__sft_lbk = 103,
  sym__blk_lbk = 104,
  sym__bnk_lbk = 105,
  sym__lit_lbk = 106,
  sym__txt = 107,
  sym_document = 108,
  sym__blk_nod = 109,
  sym__thm_brk = 110,
  sym__thm_brk_hed = 111,
  sym__pgh = 112,
  sym__pgh_hed = 113,
  sym__lnk_ref_def = 114,
  sym__lnk_ref_def_hed = 115,
  sym__stx = 116,
  sym__stx_hed = 117,
  sym__atx = 118,
  sym__atx_hed = 119,
  sym__ind_cod = 120,
  sym__ind_cod_hed = 121,
  sym__fen_cod = 122,
  sym__fen_cod_hed = 123,
  sym__htm_blk_scr = 124,
  sym__htm_blk_scr_hed = 125,
  sym__htm_blk_cmt = 126,
  sym__htm_blk_cmt_hed = 127,
  sym__htm_blk_prc = 128,
  sym__htm_blk_prc_hed = 129,
  sym__htm_blk_dcl = 130,
  sym__htm_blk_dcl_hed = 131,
  sym__htm_blk_cda = 132,
  sym__htm_blk_cda_hed = 133,
  sym__htm_blk_div = 134,
  sym__htm_blk_div_hed = 135,
  sym__htm_blk_cmp = 136,
  sym__htm_blk_cmp_hed = 137,
  sym__bqt = 138,
  sym__bqt_hed = 139,
  sym__tig_lst = 140,
  sym__tig_lst_hed = 141,
  sym__los_lst = 142,
  sym__los_lst_hed = 143,
  sym__tig_lst_itm = 144,
  sym__tig_lst_itm_hed = 145,
  sym__tig_chk_box_lst_itm_hed = 146,
  sym__los_lst_itm = 147,
  sym__los_lst_itm_hed = 148,
  sym__los_chk_box_lst_itm_hed = 149,
  sym__chk_box_pgh = 150,
  sym__chk_box_pgh_ctn = 151,
  sym__chk_box_lik_stx = 152,
  sym__chk_box_lik_stx_hed = 153,
  sym__chk_box_lik_stx_ctn = 154,
  sym__tbl = 155,
  sym__tbl_hed_row = 156,
  sym__tbl_hed_row_hed = 157,
  sym__tbl_dlm_row = 158,
  sym__tbl_dlm_row_hed = 159,
  sym__tbl_dat_row = 160,
  sym__tbl_dat_row_hed = 161,
  aux_sym__tbl_dat_cel = 162,
  sym__inl_nod = 163,
  sym__inl_txt = 164,
  sym__inl_lbk = 165,
  sym__emp = 166,
  sym__stg = 167,
  sym__del = 168,
  sym__lnk = 169,
  sym__img = 170,
  sym__lnk_tal = 171,
  sym__lnk_tal_inl = 172,
  sym__lnk_tal_ful = 173,
  sym__lnk_tal_clp = 174,
  sym__lnk_dst = 175,
  sym__lnk_tit = 176,
  sym__ext_www_aut_lnk = 177,
  sym__ext_www_aut_lnk_hed = 178,
  sym__ext_url_aut_lnk = 179,
  sym__ext_url_aut_lnk_hed = 180,
  sym__ext_eml_aut_lnk = 181,
  sym__ext_eml_aut_lnk_hed = 182,
  sym__uri_aut_lnk = 183,
  sym__eml_aut_lnk = 184,
  sym__cod_spn = 185,
  sym__htm_opn_tag = 186,
  sym__htm_slf_cls_tag = 187,
  sym__htm_opn_tag_hed = 188,
  sym__htm_cls_tag = 189,
  sym__htm_cmt = 190,
  sym__htm_prc = 191,
  sym__htm_dcl = 192,
  sym__htm_cda = 193,
  sym__htm_atr = 194,
  sym__htm_atr_val = 195,
  aux_sym_document_repeat1 = 196,
  aux_sym__pgh_hed_repeat1 = 197,
  aux_sym__lnk_ref_def_hed_repeat1 = 198,
  aux_sym__atx_hed_repeat1 = 199,
  aux_sym__ind_cod_hed_repeat1 = 200,
  aux_sym__fen_cod_hed_repeat1 = 201,
  aux_sym__tig_lst_hed_repeat1 = 202,
  aux_sym__los_lst_hed_repeat1 = 203,
  aux_sym__tig_lst_itm_hed_repeat1 = 204,
  aux_sym__los_lst_itm_hed_repeat1 = 205,
  aux_sym__tbl_repeat1 = 206,
  aux_sym__tbl_hed_row_hed_repeat1 = 207,
  aux_sym__tbl_dlm_row_hed_repeat1 = 208,
  aux_sym__lnk_dst_repeat1 = 209,
  aux_sym__htm_opn_tag_hed_repeat1 = 210,
  alias_sym_code_fence_content = 211,
  alias_sym_heading_content = 212,
  alias_sym_html_attribute_key = 213,
  alias_sym_html_declaration_name = 214,
  alias_sym_html_tag_name = 215,
  alias_sym_image_description = 216,
  alias_sym_info_string = 217,
  alias_sym_line_break = 218,
  alias_sym_link_label = 219,
  alias_sym_link_text = 220,
  alias_sym_paragraph = 221,
  alias_sym_table_cell = 222,
  alias_sym_task_list_item_marker = 223,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__eof] = "_eof",
  [sym__lka] = "_lka",
  [sym__thm_brk_bgn] = "_thm_brk_bgn",
  [sym__thm_brk_end_mkr] = "_thm_brk_end_mkr",
  [sym__pgh_bgn_mkr] = "_pgh_bgn_mkr",
  [sym__pgh_end_mkr] = "_pgh_end_mkr",
  [sym__lnk_ref_def_end_mkr] = "_lnk_ref_def_end_mkr",
  [sym__stx_bgn] = "setext_heading_underline",
  [sym__stx_end_mkr] = "_stx_end_mkr",
  [sym__atx_bgn] = "atx_heading_marker",
  [sym__atx_end_mkr] = "_atx_end_mkr",
  [sym__ind_cod_bgn_mkr] = "_ind_cod_bgn_mkr",
  [sym__ind_cod_end_mkr] = "_ind_cod_end_mkr",
  [sym__fen_cod_bgn] = "_fen_cod_bgn",
  [sym__fen_cod_end] = "_fen_cod_end",
  [sym__fen_cod_end_mkr] = "_fen_cod_end_mkr",
  [sym__htm_blk_scr_bgn] = "_htm_blk_scr_bgn",
  [sym__htm_blk_scr_end] = "_htm_blk_scr_end",
  [sym__htm_blk_scr_end_mkr] = "_htm_blk_scr_end_mkr",
  [sym__htm_blk_cmt_bgn] = "_htm_blk_cmt_bgn",
  [sym__htm_blk_cmt_end] = "_htm_blk_cmt_end",
  [sym__htm_blk_cmt_end_mkr] = "_htm_blk_cmt_end_mkr",
  [sym__htm_blk_prc_bgn] = "_htm_blk_prc_bgn",
  [sym__htm_blk_prc_end] = "_htm_blk_prc_end",
  [sym__htm_blk_prc_end_mkr] = "_htm_blk_prc_end_mkr",
  [sym__htm_blk_dcl_bgn] = "_htm_blk_dcl_bgn",
  [sym__htm_blk_dcl_end] = "_htm_blk_dcl_end",
  [sym__htm_blk_dcl_end_mkr] = "_htm_blk_dcl_end_mkr",
  [sym__htm_blk_cda_bgn] = "_htm_blk_cda_bgn",
  [sym__htm_blk_cda_end] = "_htm_blk_cda_end",
  [sym__htm_blk_cda_end_mkr] = "_htm_blk_cda_end_mkr",
  [sym__htm_blk_div_bgn] = "_htm_blk_div_bgn",
  [sym__htm_blk_div_end_mkr] = "_htm_blk_div_end_mkr",
  [sym__htm_blk_cmp_bgn] = "_htm_blk_cmp_bgn",
  [sym__htm_blk_cmp_end_mkr] = "_htm_blk_cmp_end_mkr",
  [sym__bqt_bgn] = "_bqt_bgn",
  [sym__bqt_end_mkr] = "_bqt_end_mkr",
  [sym__lst_bgn_mkr] = "_lst_bgn_mkr",
  [sym__lst_end_mkr] = "_lst_end_mkr",
  [sym__lst_itm_bgn] = "list_marker",
  [sym__lst_itm_end_mkr] = "_lst_itm_end_mkr",
  [sym__lst_itm_cnt_bgn_mkr] = "_lst_itm_cnt_bgn_mkr",
  [sym__lst_itm_cnt_end_mkr] = "_lst_itm_cnt_end_mkr",
  [sym__tbl_hed_row_bgn_mkr] = "_tbl_hed_row_bgn_mkr",
  [sym__tbl_dlm_row_bgn_mkr] = "_tbl_dlm_row_bgn_mkr",
  [sym__tbl_dat_row_bgn_mkr] = "_tbl_dat_row_bgn_mkr",
  [sym__tbl_row_end_mkr] = "_tbl_row_end_mkr",
  [sym__bsl_esc] = "backslash_escape",
  [sym__chr_ref] = "character_reference",
  [sym__emp_bgn] = "_emp_bgn",
  [sym__emp_end] = "_emp_end",
  [sym__stg_bgn] = "_stg_bgn",
  [sym__stg_end] = "_stg_end",
  [sym__del_bgn] = "_del_bgn",
  [sym__del_end] = "_del_end",
  [sym__img_bgn] = "_img_bgn",
  [sym__lnk_bgn] = "_lnk_bgn",
  [sym__lnk_end] = "_lnk_end",
  [sym__lnk_ref_def_bgn] = "_lnk_ref_def_bgn",
  [sym__lnk_ref_def_cln] = "_lnk_ref_def_cln",
  [sym__lnk_inl_bgn] = "_lnk_inl_bgn",
  [sym__lnk_inl_end] = "_lnk_inl_end",
  [sym__lnk_dst_bgn] = "_lnk_dst_bgn",
  [sym__lnk_dst_end] = "_lnk_dst_end",
  [sym__lnk_dst_bgn_mkr] = "_lnk_dst_bgn_mkr",
  [sym__lnk_dst_end_mkr] = "_lnk_dst_end_mkr",
  [sym__lnk_tit_bgn] = "_lnk_tit_bgn",
  [sym__lnk_tit_end] = "_lnk_tit_end",
  [sym__lnk_ref_bgn] = "_lnk_ref_bgn",
  [sym__lnk_ref_end] = "_lnk_ref_end",
  [sym__ext_www_aut_lnk_bgn] = "_ext_www_aut_lnk_bgn",
  [sym__ext_url_aut_lnk_bgn] = "_ext_url_aut_lnk_bgn",
  [sym__ext_eml_aut_lnk_bgn] = "_ext_eml_aut_lnk_bgn",
  [sym__ext_aut_lnk_end_mkr] = "_ext_aut_lnk_end_mkr",
  [sym__uri_aut_lnk_bgn] = "_uri_aut_lnk_bgn",
  [sym__eml_aut_lnk_bgn] = "_eml_aut_lnk_bgn",
  [sym__aut_lnk_end] = "_aut_lnk_end",
  [sym__cod_spn_bgn] = "_cod_spn_bgn",
  [sym__cod_spn_end] = "_cod_spn_end",
  [sym__htm_opn_tag_bgn] = "_htm_opn_tag_bgn",
  [sym__htm_tag_end] = "_htm_tag_end",
  [sym__htm_cls_tag_bgn] = "_htm_cls_tag_bgn",
  [sym__htm_slf_tag_end] = "_htm_slf_tag_end",
  [sym__htm_dcl_bgn] = "_htm_dcl_bgn",
  [sym__htm_atr_eql] = "_htm_atr_eql",
  [sym__htm_atr_val_bgn] = "_htm_atr_val_bgn",
  [sym__htm_atr_val_end] = "_htm_atr_val_end",
  [sym__htm_atr_val_bgn_mkr] = "_htm_atr_val_bgn_mkr",
  [sym__htm_atr_val_end_mkr] = "_htm_atr_val_end_mkr",
  [sym__htm_cmt_bgn] = "_htm_cmt_bgn",
  [sym__htm_cmt_end] = "_htm_cmt_end",
  [sym__htm_prc_bgn] = "_htm_prc_bgn",
  [sym__htm_prc_end] = "_htm_prc_end",
  [sym__htm_cda_bgn] = "_htm_cda_bgn",
  [sym__htm_cda_end] = "_htm_cda_end",
  [sym__atx_end] = "_atx_end",
  [sym__lst_chk_box] = "_lst_chk_box",
  [sym__tbl_col_sep] = "_tbl_col_sep",
  [sym__tbl_col_aln] = "table_column_alignment",
  [sym__fen_cod_inf_bgn_mkr] = "_fen_cod_inf_bgn_mkr",
  [sym__fen_cod_inf_end_mkr] = "_fen_cod_inf_end_mkr",
  [sym__hrd_lbk] = "hard_line_break",
  [sym__sft_lbk] = "soft_line_break",
  [sym__blk_lbk] = "_blk_lbk",
  [sym__bnk_lbk] = "_bnk_lbk",
  [sym__lit_lbk] = "_lit_lbk",
  [sym__txt] = "_txt",
  [sym_document] = "document",
  [sym__blk_nod] = "_blk_nod",
  [sym__thm_brk] = "_thm_brk",
  [sym__thm_brk_hed] = "thematic_break",
  [sym__pgh] = "_pgh",
  [sym__pgh_hed] = "_pgh_hed",
  [sym__lnk_ref_def] = "_lnk_ref_def",
  [sym__lnk_ref_def_hed] = "link_reference_definition",
  [sym__stx] = "_stx",
  [sym__stx_hed] = "setext_heading",
  [sym__atx] = "_atx",
  [sym__atx_hed] = "atx_heading",
  [sym__ind_cod] = "_ind_cod",
  [sym__ind_cod_hed] = "indented_code_block",
  [sym__fen_cod] = "_fen_cod",
  [sym__fen_cod_hed] = "fenced_code_block",
  [sym__htm_blk_scr] = "_htm_blk_scr",
  [sym__htm_blk_scr_hed] = "html_block",
  [sym__htm_blk_cmt] = "_htm_blk_cmt",
  [sym__htm_blk_cmt_hed] = "html_block",
  [sym__htm_blk_prc] = "_htm_blk_prc",
  [sym__htm_blk_prc_hed] = "html_block",
  [sym__htm_blk_dcl] = "_htm_blk_dcl",
  [sym__htm_blk_dcl_hed] = "html_block",
  [sym__htm_blk_cda] = "_htm_blk_cda",
  [sym__htm_blk_cda_hed] = "html_block",
  [sym__htm_blk_div] = "_htm_blk_div",
  [sym__htm_blk_div_hed] = "html_block",
  [sym__htm_blk_cmp] = "_htm_blk_cmp",
  [sym__htm_blk_cmp_hed] = "html_block",
  [sym__bqt] = "_bqt",
  [sym__bqt_hed] = "block_quote",
  [sym__tig_lst] = "_tig_lst",
  [sym__tig_lst_hed] = "tight_list",
  [sym__los_lst] = "_los_lst",
  [sym__los_lst_hed] = "loose_list",
  [sym__tig_lst_itm] = "_tig_lst_itm",
  [sym__tig_lst_itm_hed] = "list_item",
  [sym__tig_chk_box_lst_itm_hed] = "task_list_item",
  [sym__los_lst_itm] = "_los_lst_itm",
  [sym__los_lst_itm_hed] = "list_item",
  [sym__los_chk_box_lst_itm_hed] = "task_list_item",
  [sym__chk_box_pgh] = "_chk_box_pgh",
  [sym__chk_box_pgh_ctn] = "paragraph",
  [sym__chk_box_lik_stx] = "_chk_box_lik_stx",
  [sym__chk_box_lik_stx_hed] = "setext_heading",
  [sym__chk_box_lik_stx_ctn] = "heading_content",
  [sym__tbl] = "table",
  [sym__tbl_hed_row] = "_tbl_hed_row",
  [sym__tbl_hed_row_hed] = "table_header_row",
  [sym__tbl_dlm_row] = "_tbl_dlm_row",
  [sym__tbl_dlm_row_hed] = "table_delimiter_row",
  [sym__tbl_dat_row] = "_tbl_dat_row",
  [sym__tbl_dat_row_hed] = "table_data_row",
  [aux_sym__tbl_dat_cel] = "_tbl_dat_cel",
  [sym__inl_nod] = "_inl_nod",
  [sym__inl_txt] = "_inl_txt",
  [sym__inl_lbk] = "_inl_lbk",
  [sym__emp] = "emphasis",
  [sym__stg] = "strong_emphasis",
  [sym__del] = "strikethrough",
  [sym__lnk] = "link",
  [sym__img] = "image",
  [sym__lnk_tal] = "_lnk_tal",
  [sym__lnk_tal_inl] = "_lnk_tal_inl",
  [sym__lnk_tal_ful] = "_lnk_tal_ful",
  [sym__lnk_tal_clp] = "_lnk_tal_clp",
  [sym__lnk_dst] = "link_destination",
  [sym__lnk_tit] = "link_title",
  [sym__ext_www_aut_lnk] = "www_autolink",
  [sym__ext_www_aut_lnk_hed] = "_ext_www_aut_lnk_hed",
  [sym__ext_url_aut_lnk] = "uri_autolink",
  [sym__ext_url_aut_lnk_hed] = "_ext_url_aut_lnk_hed",
  [sym__ext_eml_aut_lnk] = "email_autolink",
  [sym__ext_eml_aut_lnk_hed] = "_ext_eml_aut_lnk_hed",
  [sym__uri_aut_lnk] = "uri_autolink",
  [sym__eml_aut_lnk] = "email_autolink",
  [sym__cod_spn] = "code_span",
  [sym__htm_opn_tag] = "html_open_tag",
  [sym__htm_slf_cls_tag] = "html_self_closing_tag",
  [sym__htm_opn_tag_hed] = "_htm_opn_tag_hed",
  [sym__htm_cls_tag] = "html_close_tag",
  [sym__htm_cmt] = "html_comment",
  [sym__htm_prc] = "html_processing_instruction",
  [sym__htm_dcl] = "html_declaration",
  [sym__htm_cda] = "html_cdata_section",
  [sym__htm_atr] = "html_atrribute",
  [sym__htm_atr_val] = "html_attribute_value",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym__pgh_hed_repeat1] = "_pgh_hed_repeat1",
  [aux_sym__lnk_ref_def_hed_repeat1] = "_lnk_ref_def_hed_repeat1",
  [aux_sym__atx_hed_repeat1] = "_atx_hed_repeat1",
  [aux_sym__ind_cod_hed_repeat1] = "_ind_cod_hed_repeat1",
  [aux_sym__fen_cod_hed_repeat1] = "_fen_cod_hed_repeat1",
  [aux_sym__tig_lst_hed_repeat1] = "_tig_lst_hed_repeat1",
  [aux_sym__los_lst_hed_repeat1] = "_los_lst_hed_repeat1",
  [aux_sym__tig_lst_itm_hed_repeat1] = "_tig_lst_itm_hed_repeat1",
  [aux_sym__los_lst_itm_hed_repeat1] = "_los_lst_itm_hed_repeat1",
  [aux_sym__tbl_repeat1] = "_tbl_repeat1",
  [aux_sym__tbl_hed_row_hed_repeat1] = "_tbl_hed_row_hed_repeat1",
  [aux_sym__tbl_dlm_row_hed_repeat1] = "_tbl_dlm_row_hed_repeat1",
  [aux_sym__lnk_dst_repeat1] = "_lnk_dst_repeat1",
  [aux_sym__htm_opn_tag_hed_repeat1] = "_htm_opn_tag_hed_repeat1",
  [alias_sym_code_fence_content] = "code_fence_content",
  [alias_sym_heading_content] = "heading_content",
  [alias_sym_html_attribute_key] = "html_attribute_key",
  [alias_sym_html_declaration_name] = "html_declaration_name",
  [alias_sym_html_tag_name] = "html_tag_name",
  [alias_sym_image_description] = "image_description",
  [alias_sym_info_string] = "info_string",
  [alias_sym_line_break] = "line_break",
  [alias_sym_link_label] = "link_label",
  [alias_sym_link_text] = "link_text",
  [alias_sym_paragraph] = "paragraph",
  [alias_sym_table_cell] = "table_cell",
  [alias_sym_task_list_item_marker] = "task_list_item_marker",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym__lka] = {
    .visible = false,
    .named = true,
  },
  [sym__thm_brk_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__thm_brk_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__pgh_bgn_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__pgh_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_ref_def_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__stx_bgn] = {
    .visible = true,
    .named = true,
  },
  [sym__stx_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__atx_bgn] = {
    .visible = true,
    .named = true,
  },
  [sym__atx_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__ind_cod_bgn_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__ind_cod_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__fen_cod_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__fen_cod_end] = {
    .visible = false,
    .named = true,
  },
  [sym__fen_cod_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_scr_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_scr_end] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_scr_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_cmt_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_cmt_end] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_cmt_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_prc_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_prc_end] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_prc_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_dcl_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_dcl_end] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_dcl_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_cda_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_cda_end] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_cda_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_div_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_div_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_cmp_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_cmp_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__bqt_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__bqt_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__lst_bgn_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__lst_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__lst_itm_bgn] = {
    .visible = true,
    .named = true,
  },
  [sym__lst_itm_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__lst_itm_cnt_bgn_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__lst_itm_cnt_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__tbl_hed_row_bgn_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__tbl_dlm_row_bgn_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__tbl_dat_row_bgn_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__tbl_row_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__bsl_esc] = {
    .visible = true,
    .named = true,
  },
  [sym__chr_ref] = {
    .visible = true,
    .named = true,
  },
  [sym__emp_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__emp_end] = {
    .visible = false,
    .named = true,
  },
  [sym__stg_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__stg_end] = {
    .visible = false,
    .named = true,
  },
  [sym__del_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__del_end] = {
    .visible = false,
    .named = true,
  },
  [sym__img_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_ref_def_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_ref_def_cln] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_inl_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_inl_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_dst_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_dst_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_dst_bgn_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_dst_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_tit_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_tit_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_ref_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_ref_end] = {
    .visible = false,
    .named = true,
  },
  [sym__ext_www_aut_lnk_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__ext_url_aut_lnk_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__ext_eml_aut_lnk_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__ext_aut_lnk_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__uri_aut_lnk_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__eml_aut_lnk_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__aut_lnk_end] = {
    .visible = false,
    .named = true,
  },
  [sym__cod_spn_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__cod_spn_end] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_opn_tag_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_tag_end] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_cls_tag_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_slf_tag_end] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_dcl_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_atr_eql] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_atr_val_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_atr_val_end] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_atr_val_bgn_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_atr_val_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_cmt_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_cmt_end] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_prc_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_prc_end] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_cda_bgn] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_cda_end] = {
    .visible = false,
    .named = true,
  },
  [sym__atx_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lst_chk_box] = {
    .visible = false,
    .named = true,
  },
  [sym__tbl_col_sep] = {
    .visible = false,
    .named = true,
  },
  [sym__tbl_col_aln] = {
    .visible = true,
    .named = true,
  },
  [sym__fen_cod_inf_bgn_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__fen_cod_inf_end_mkr] = {
    .visible = false,
    .named = true,
  },
  [sym__hrd_lbk] = {
    .visible = true,
    .named = true,
  },
  [sym__sft_lbk] = {
    .visible = true,
    .named = true,
  },
  [sym__blk_lbk] = {
    .visible = false,
    .named = true,
  },
  [sym__bnk_lbk] = {
    .visible = false,
    .named = true,
  },
  [sym__lit_lbk] = {
    .visible = false,
    .named = true,
  },
  [sym__txt] = {
    .visible = false,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym__blk_nod] = {
    .visible = false,
    .named = true,
  },
  [sym__thm_brk] = {
    .visible = false,
    .named = true,
  },
  [sym__thm_brk_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__pgh] = {
    .visible = false,
    .named = true,
  },
  [sym__pgh_hed] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_ref_def] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_ref_def_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__stx] = {
    .visible = false,
    .named = true,
  },
  [sym__stx_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__atx] = {
    .visible = false,
    .named = true,
  },
  [sym__atx_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__ind_cod] = {
    .visible = false,
    .named = true,
  },
  [sym__ind_cod_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__fen_cod] = {
    .visible = false,
    .named = true,
  },
  [sym__fen_cod_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_blk_scr] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_scr_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_blk_cmt] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_cmt_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_blk_prc] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_prc_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_blk_dcl] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_dcl_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_blk_cda] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_cda_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_blk_div] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_div_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_blk_cmp] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_blk_cmp_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__bqt] = {
    .visible = false,
    .named = true,
  },
  [sym__bqt_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__tig_lst] = {
    .visible = false,
    .named = true,
  },
  [sym__tig_lst_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__los_lst] = {
    .visible = false,
    .named = true,
  },
  [sym__los_lst_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__tig_lst_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__tig_lst_itm_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__tig_chk_box_lst_itm_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__los_lst_itm] = {
    .visible = false,
    .named = true,
  },
  [sym__los_lst_itm_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__los_chk_box_lst_itm_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__chk_box_pgh] = {
    .visible = false,
    .named = true,
  },
  [sym__chk_box_pgh_ctn] = {
    .visible = true,
    .named = true,
  },
  [sym__chk_box_lik_stx] = {
    .visible = false,
    .named = true,
  },
  [sym__chk_box_lik_stx_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__chk_box_lik_stx_ctn] = {
    .visible = true,
    .named = true,
  },
  [sym__tbl] = {
    .visible = true,
    .named = true,
  },
  [sym__tbl_hed_row] = {
    .visible = false,
    .named = true,
  },
  [sym__tbl_hed_row_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__tbl_dlm_row] = {
    .visible = false,
    .named = true,
  },
  [sym__tbl_dlm_row_hed] = {
    .visible = true,
    .named = true,
  },
  [sym__tbl_dat_row] = {
    .visible = false,
    .named = true,
  },
  [sym__tbl_dat_row_hed] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__tbl_dat_cel] = {
    .visible = false,
    .named = false,
  },
  [sym__inl_nod] = {
    .visible = false,
    .named = true,
  },
  [sym__inl_txt] = {
    .visible = false,
    .named = true,
  },
  [sym__inl_lbk] = {
    .visible = false,
    .named = true,
  },
  [sym__emp] = {
    .visible = true,
    .named = true,
  },
  [sym__stg] = {
    .visible = true,
    .named = true,
  },
  [sym__del] = {
    .visible = true,
    .named = true,
  },
  [sym__lnk] = {
    .visible = true,
    .named = true,
  },
  [sym__img] = {
    .visible = true,
    .named = true,
  },
  [sym__lnk_tal] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_tal_inl] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_tal_ful] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_tal_clp] = {
    .visible = false,
    .named = true,
  },
  [sym__lnk_dst] = {
    .visible = true,
    .named = true,
  },
  [sym__lnk_tit] = {
    .visible = true,
    .named = true,
  },
  [sym__ext_www_aut_lnk] = {
    .visible = true,
    .named = true,
  },
  [sym__ext_www_aut_lnk_hed] = {
    .visible = false,
    .named = true,
  },
  [sym__ext_url_aut_lnk] = {
    .visible = true,
    .named = true,
  },
  [sym__ext_url_aut_lnk_hed] = {
    .visible = false,
    .named = true,
  },
  [sym__ext_eml_aut_lnk] = {
    .visible = true,
    .named = true,
  },
  [sym__ext_eml_aut_lnk_hed] = {
    .visible = false,
    .named = true,
  },
  [sym__uri_aut_lnk] = {
    .visible = true,
    .named = true,
  },
  [sym__eml_aut_lnk] = {
    .visible = true,
    .named = true,
  },
  [sym__cod_spn] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_opn_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_slf_cls_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_opn_tag_hed] = {
    .visible = false,
    .named = true,
  },
  [sym__htm_cls_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_cmt] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_prc] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_dcl] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_cda] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_atr] = {
    .visible = true,
    .named = true,
  },
  [sym__htm_atr_val] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__pgh_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__lnk_ref_def_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__atx_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__ind_cod_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__fen_cod_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__tig_lst_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__los_lst_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__tig_lst_itm_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__los_lst_itm_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__tbl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__tbl_hed_row_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__tbl_dlm_row_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__lnk_dst_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__htm_opn_tag_hed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_code_fence_content] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_heading_content] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_html_attribute_key] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_html_declaration_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_html_tag_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_image_description] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_info_string] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_line_break] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_link_label] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_link_text] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_paragraph] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_table_cell] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_task_list_item_marker] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[19][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [1] = alias_sym_heading_content,
  },
  [2] = {
    [0] = alias_sym_line_break,
  },
  [3] = {
    [1] = alias_sym_table_cell,
  },
  [4] = {
    [0] = alias_sym_paragraph,
  },
  [5] = {
    [1] = alias_sym_html_tag_name,
  },
  [6] = {
    [2] = alias_sym_code_fence_content,
  },
  [7] = {
    [2] = alias_sym_table_cell,
  },
  [8] = {
    [0] = alias_sym_heading_content,
  },
  [9] = {
    [1] = alias_sym_image_description,
  },
  [10] = {
    [1] = alias_sym_link_text,
  },
  [11] = {
    [0] = alias_sym_html_attribute_key,
  },
  [12] = {
    [1] = alias_sym_html_declaration_name,
  },
  [13] = {
    [2] = alias_sym_info_string,
  },
  [14] = {
    [4] = alias_sym_code_fence_content,
  },
  [15] = {
    [0] = alias_sym_task_list_item_marker,
  },
  [16] = {
    [1] = alias_sym_link_label,
  },
  [17] = {
    [2] = alias_sym_link_label,
  },
  [18] = {
    [2] = alias_sym_info_string,
    [5] = alias_sym_code_fence_content,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      if (lookahead == 0) ADVANCE(1);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 0, .external_lex_state = 2},
  [2] = {.lex_state = 0, .external_lex_state = 3},
  [3] = {.lex_state = 0, .external_lex_state = 4},
  [4] = {.lex_state = 0, .external_lex_state = 3},
  [5] = {.lex_state = 0, .external_lex_state = 3},
  [6] = {.lex_state = 0, .external_lex_state = 3},
  [7] = {.lex_state = 0, .external_lex_state = 3},
  [8] = {.lex_state = 0, .external_lex_state = 5},
  [9] = {.lex_state = 0, .external_lex_state = 3},
  [10] = {.lex_state = 0, .external_lex_state = 3},
  [11] = {.lex_state = 0, .external_lex_state = 2},
  [12] = {.lex_state = 0, .external_lex_state = 5},
  [13] = {.lex_state = 0, .external_lex_state = 3},
  [14] = {.lex_state = 0, .external_lex_state = 3},
  [15] = {.lex_state = 0, .external_lex_state = 5},
  [16] = {.lex_state = 0, .external_lex_state = 3},
  [17] = {.lex_state = 0, .external_lex_state = 3},
  [18] = {.lex_state = 0, .external_lex_state = 3},
  [19] = {.lex_state = 0, .external_lex_state = 3},
  [20] = {.lex_state = 0, .external_lex_state = 3},
  [21] = {.lex_state = 0, .external_lex_state = 2},
  [22] = {.lex_state = 0, .external_lex_state = 3},
  [23] = {.lex_state = 0, .external_lex_state = 3},
  [24] = {.lex_state = 0, .external_lex_state = 3},
  [25] = {.lex_state = 0, .external_lex_state = 3},
  [26] = {.lex_state = 0, .external_lex_state = 4},
  [27] = {.lex_state = 0, .external_lex_state = 4},
  [28] = {.lex_state = 0, .external_lex_state = 4},
  [29] = {.lex_state = 0, .external_lex_state = 4},
  [30] = {.lex_state = 0, .external_lex_state = 4},
  [31] = {.lex_state = 0, .external_lex_state = 4},
  [32] = {.lex_state = 0, .external_lex_state = 6},
  [33] = {.lex_state = 0, .external_lex_state = 6},
  [34] = {.lex_state = 0, .external_lex_state = 7},
  [35] = {.lex_state = 0, .external_lex_state = 7},
  [36] = {.lex_state = 0, .external_lex_state = 7},
  [37] = {.lex_state = 0, .external_lex_state = 8},
  [38] = {.lex_state = 0, .external_lex_state = 7},
  [39] = {.lex_state = 0, .external_lex_state = 7},
  [40] = {.lex_state = 0, .external_lex_state = 7},
  [41] = {.lex_state = 0, .external_lex_state = 7},
  [42] = {.lex_state = 0, .external_lex_state = 7},
  [43] = {.lex_state = 0, .external_lex_state = 7},
  [44] = {.lex_state = 0, .external_lex_state = 7},
  [45] = {.lex_state = 0, .external_lex_state = 7},
  [46] = {.lex_state = 0, .external_lex_state = 7},
  [47] = {.lex_state = 0, .external_lex_state = 7},
  [48] = {.lex_state = 0, .external_lex_state = 7},
  [49] = {.lex_state = 0, .external_lex_state = 7},
  [50] = {.lex_state = 0, .external_lex_state = 7},
  [51] = {.lex_state = 0, .external_lex_state = 7},
  [52] = {.lex_state = 0, .external_lex_state = 7},
  [53] = {.lex_state = 0, .external_lex_state = 7},
  [54] = {.lex_state = 0, .external_lex_state = 7},
  [55] = {.lex_state = 0, .external_lex_state = 7},
  [56] = {.lex_state = 0, .external_lex_state = 7},
  [57] = {.lex_state = 0, .external_lex_state = 7},
  [58] = {.lex_state = 0, .external_lex_state = 7},
  [59] = {.lex_state = 0, .external_lex_state = 7},
  [60] = {.lex_state = 0, .external_lex_state = 7},
  [61] = {.lex_state = 0, .external_lex_state = 7},
  [62] = {.lex_state = 0, .external_lex_state = 7},
  [63] = {.lex_state = 0, .external_lex_state = 9},
  [64] = {.lex_state = 0, .external_lex_state = 10},
  [65] = {.lex_state = 0, .external_lex_state = 10},
  [66] = {.lex_state = 0, .external_lex_state = 11},
  [67] = {.lex_state = 0, .external_lex_state = 12},
  [68] = {.lex_state = 0, .external_lex_state = 10},
  [69] = {.lex_state = 0, .external_lex_state = 10},
  [70] = {.lex_state = 0, .external_lex_state = 9},
  [71] = {.lex_state = 0, .external_lex_state = 11},
  [72] = {.lex_state = 0, .external_lex_state = 9},
  [73] = {.lex_state = 0, .external_lex_state = 12},
  [74] = {.lex_state = 0, .external_lex_state = 7},
  [75] = {.lex_state = 0, .external_lex_state = 10},
  [76] = {.lex_state = 0, .external_lex_state = 9},
  [77] = {.lex_state = 0, .external_lex_state = 12},
  [78] = {.lex_state = 0, .external_lex_state = 9},
  [79] = {.lex_state = 0, .external_lex_state = 10},
  [80] = {.lex_state = 0, .external_lex_state = 12},
  [81] = {.lex_state = 0, .external_lex_state = 9},
  [82] = {.lex_state = 0, .external_lex_state = 12},
  [83] = {.lex_state = 0, .external_lex_state = 9},
  [84] = {.lex_state = 0, .external_lex_state = 10},
  [85] = {.lex_state = 0, .external_lex_state = 10},
  [86] = {.lex_state = 0, .external_lex_state = 12},
  [87] = {.lex_state = 0, .external_lex_state = 12},
  [88] = {.lex_state = 0, .external_lex_state = 11},
  [89] = {.lex_state = 0, .external_lex_state = 9},
  [90] = {.lex_state = 0, .external_lex_state = 12},
  [91] = {.lex_state = 0, .external_lex_state = 9},
  [92] = {.lex_state = 0, .external_lex_state = 10},
  [93] = {.lex_state = 0, .external_lex_state = 12},
  [94] = {.lex_state = 0, .external_lex_state = 9},
  [95] = {.lex_state = 0, .external_lex_state = 12},
  [96] = {.lex_state = 0, .external_lex_state = 10},
  [97] = {.lex_state = 0, .external_lex_state = 9},
  [98] = {.lex_state = 0, .external_lex_state = 10},
  [99] = {.lex_state = 0, .external_lex_state = 11},
  [100] = {.lex_state = 0, .external_lex_state = 9},
  [101] = {.lex_state = 0, .external_lex_state = 12},
  [102] = {.lex_state = 0, .external_lex_state = 10},
  [103] = {.lex_state = 0, .external_lex_state = 12},
  [104] = {.lex_state = 0, .external_lex_state = 9},
  [105] = {.lex_state = 0, .external_lex_state = 10},
  [106] = {.lex_state = 0, .external_lex_state = 12},
  [107] = {.lex_state = 0, .external_lex_state = 9},
  [108] = {.lex_state = 0, .external_lex_state = 10},
  [109] = {.lex_state = 0, .external_lex_state = 12},
  [110] = {.lex_state = 0, .external_lex_state = 9},
  [111] = {.lex_state = 0, .external_lex_state = 10},
  [112] = {.lex_state = 0, .external_lex_state = 12},
  [113] = {.lex_state = 0, .external_lex_state = 13},
  [114] = {.lex_state = 0, .external_lex_state = 13},
  [115] = {.lex_state = 0, .external_lex_state = 13},
  [116] = {.lex_state = 0, .external_lex_state = 13},
  [117] = {.lex_state = 0, .external_lex_state = 13},
  [118] = {.lex_state = 0, .external_lex_state = 14},
  [119] = {.lex_state = 0, .external_lex_state = 14},
  [120] = {.lex_state = 0, .external_lex_state = 14},
  [121] = {.lex_state = 0, .external_lex_state = 13},
  [122] = {.lex_state = 0, .external_lex_state = 15},
  [123] = {.lex_state = 0, .external_lex_state = 15},
  [124] = {.lex_state = 0, .external_lex_state = 15},
  [125] = {.lex_state = 0, .external_lex_state = 15},
  [126] = {.lex_state = 0, .external_lex_state = 15},
  [127] = {.lex_state = 0, .external_lex_state = 16},
  [128] = {.lex_state = 0, .external_lex_state = 15},
  [129] = {.lex_state = 0, .external_lex_state = 16},
  [130] = {.lex_state = 0, .external_lex_state = 15},
  [131] = {.lex_state = 0, .external_lex_state = 15},
  [132] = {.lex_state = 0, .external_lex_state = 17},
  [133] = {.lex_state = 0, .external_lex_state = 17},
  [134] = {.lex_state = 0, .external_lex_state = 17},
  [135] = {.lex_state = 0, .external_lex_state = 18},
  [136] = {.lex_state = 0, .external_lex_state = 19},
  [137] = {.lex_state = 0, .external_lex_state = 20},
  [138] = {.lex_state = 0, .external_lex_state = 21},
  [139] = {.lex_state = 0, .external_lex_state = 22},
  [140] = {.lex_state = 0, .external_lex_state = 23},
  [141] = {.lex_state = 0, .external_lex_state = 24},
  [142] = {.lex_state = 0, .external_lex_state = 9},
  [143] = {.lex_state = 0, .external_lex_state = 12},
  [144] = {.lex_state = 0, .external_lex_state = 7},
  [145] = {.lex_state = 0, .external_lex_state = 11},
  [146] = {.lex_state = 0, .external_lex_state = 7},
  [147] = {.lex_state = 0, .external_lex_state = 11},
  [148] = {.lex_state = 0, .external_lex_state = 7},
  [149] = {.lex_state = 0, .external_lex_state = 11},
  [150] = {.lex_state = 0, .external_lex_state = 11},
  [151] = {.lex_state = 0, .external_lex_state = 11},
  [152] = {.lex_state = 0, .external_lex_state = 11},
  [153] = {.lex_state = 0, .external_lex_state = 11},
  [154] = {.lex_state = 0, .external_lex_state = 7},
  [155] = {.lex_state = 0, .external_lex_state = 7},
  [156] = {.lex_state = 0, .external_lex_state = 7},
  [157] = {.lex_state = 0, .external_lex_state = 7},
  [158] = {.lex_state = 0, .external_lex_state = 12},
  [159] = {.lex_state = 0, .external_lex_state = 7},
  [160] = {.lex_state = 0, .external_lex_state = 7},
  [161] = {.lex_state = 0, .external_lex_state = 7},
  [162] = {.lex_state = 0, .external_lex_state = 7},
  [163] = {.lex_state = 0, .external_lex_state = 7},
  [164] = {.lex_state = 0, .external_lex_state = 7},
  [165] = {.lex_state = 0, .external_lex_state = 7},
  [166] = {.lex_state = 0, .external_lex_state = 11},
  [167] = {.lex_state = 0, .external_lex_state = 7},
  [168] = {.lex_state = 0, .external_lex_state = 12},
  [169] = {.lex_state = 0, .external_lex_state = 7},
  [170] = {.lex_state = 0, .external_lex_state = 7},
  [171] = {.lex_state = 0, .external_lex_state = 12},
  [172] = {.lex_state = 0, .external_lex_state = 12},
  [173] = {.lex_state = 0, .external_lex_state = 7},
  [174] = {.lex_state = 0, .external_lex_state = 7},
  [175] = {.lex_state = 0, .external_lex_state = 10},
  [176] = {.lex_state = 0, .external_lex_state = 7},
  [177] = {.lex_state = 0, .external_lex_state = 7},
  [178] = {.lex_state = 0, .external_lex_state = 7},
  [179] = {.lex_state = 0, .external_lex_state = 7},
  [180] = {.lex_state = 0, .external_lex_state = 11},
  [181] = {.lex_state = 0, .external_lex_state = 7},
  [182] = {.lex_state = 0, .external_lex_state = 10},
  [183] = {.lex_state = 0, .external_lex_state = 10},
  [184] = {.lex_state = 0, .external_lex_state = 11},
  [185] = {.lex_state = 0, .external_lex_state = 11},
  [186] = {.lex_state = 0, .external_lex_state = 11},
  [187] = {.lex_state = 0, .external_lex_state = 9},
  [188] = {.lex_state = 0, .external_lex_state = 9},
  [189] = {.lex_state = 0, .external_lex_state = 11},
  [190] = {.lex_state = 0, .external_lex_state = 11},
  [191] = {.lex_state = 0, .external_lex_state = 11},
  [192] = {.lex_state = 0, .external_lex_state = 9},
  [193] = {.lex_state = 0, .external_lex_state = 9},
  [194] = {.lex_state = 0, .external_lex_state = 9},
  [195] = {.lex_state = 0, .external_lex_state = 11},
  [196] = {.lex_state = 0, .external_lex_state = 11},
  [197] = {.lex_state = 0, .external_lex_state = 11},
  [198] = {.lex_state = 0, .external_lex_state = 9},
  [199] = {.lex_state = 0, .external_lex_state = 10},
  [200] = {.lex_state = 0, .external_lex_state = 11},
  [201] = {.lex_state = 0, .external_lex_state = 11},
  [202] = {.lex_state = 0, .external_lex_state = 9},
  [203] = {.lex_state = 0, .external_lex_state = 11},
  [204] = {.lex_state = 0, .external_lex_state = 11},
  [205] = {.lex_state = 0, .external_lex_state = 11},
  [206] = {.lex_state = 0, .external_lex_state = 10},
  [207] = {.lex_state = 0, .external_lex_state = 9},
  [208] = {.lex_state = 0, .external_lex_state = 10},
  [209] = {.lex_state = 0, .external_lex_state = 9},
  [210] = {.lex_state = 0, .external_lex_state = 9},
  [211] = {.lex_state = 0, .external_lex_state = 7},
  [212] = {.lex_state = 0, .external_lex_state = 11},
  [213] = {.lex_state = 0, .external_lex_state = 7},
  [214] = {.lex_state = 0, .external_lex_state = 7},
  [215] = {.lex_state = 0, .external_lex_state = 9},
  [216] = {.lex_state = 0, .external_lex_state = 7},
  [217] = {.lex_state = 0, .external_lex_state = 10},
  [218] = {.lex_state = 0, .external_lex_state = 9},
  [219] = {.lex_state = 0, .external_lex_state = 9},
  [220] = {.lex_state = 0, .external_lex_state = 10},
  [221] = {.lex_state = 0, .external_lex_state = 9},
  [222] = {.lex_state = 0, .external_lex_state = 7},
  [223] = {.lex_state = 0, .external_lex_state = 9},
  [224] = {.lex_state = 0, .external_lex_state = 7},
  [225] = {.lex_state = 0, .external_lex_state = 7},
  [226] = {.lex_state = 0, .external_lex_state = 9},
  [227] = {.lex_state = 0, .external_lex_state = 9},
  [228] = {.lex_state = 0, .external_lex_state = 9},
  [229] = {.lex_state = 0, .external_lex_state = 9},
  [230] = {.lex_state = 0, .external_lex_state = 11},
  [231] = {.lex_state = 0, .external_lex_state = 11},
  [232] = {.lex_state = 0, .external_lex_state = 10},
  [233] = {.lex_state = 0, .external_lex_state = 10},
  [234] = {.lex_state = 0, .external_lex_state = 11},
  [235] = {.lex_state = 0, .external_lex_state = 10},
  [236] = {.lex_state = 0, .external_lex_state = 10},
  [237] = {.lex_state = 0, .external_lex_state = 9},
  [238] = {.lex_state = 0, .external_lex_state = 11},
  [239] = {.lex_state = 0, .external_lex_state = 11},
  [240] = {.lex_state = 0, .external_lex_state = 10},
  [241] = {.lex_state = 0, .external_lex_state = 9},
  [242] = {.lex_state = 0, .external_lex_state = 9},
  [243] = {.lex_state = 0, .external_lex_state = 10},
  [244] = {.lex_state = 0, .external_lex_state = 11},
  [245] = {.lex_state = 0, .external_lex_state = 9},
  [246] = {.lex_state = 0, .external_lex_state = 9},
  [247] = {.lex_state = 0, .external_lex_state = 9},
  [248] = {.lex_state = 0, .external_lex_state = 10},
  [249] = {.lex_state = 0, .external_lex_state = 9},
  [250] = {.lex_state = 0, .external_lex_state = 11},
  [251] = {.lex_state = 0, .external_lex_state = 9},
  [252] = {.lex_state = 0, .external_lex_state = 9},
  [253] = {.lex_state = 0, .external_lex_state = 11},
  [254] = {.lex_state = 0, .external_lex_state = 7},
  [255] = {.lex_state = 0, .external_lex_state = 7},
  [256] = {.lex_state = 0, .external_lex_state = 7},
  [257] = {.lex_state = 0, .external_lex_state = 10},
  [258] = {.lex_state = 0, .external_lex_state = 10},
  [259] = {.lex_state = 0, .external_lex_state = 7},
  [260] = {.lex_state = 0, .external_lex_state = 10},
  [261] = {.lex_state = 0, .external_lex_state = 10},
  [262] = {.lex_state = 0, .external_lex_state = 10},
  [263] = {.lex_state = 0, .external_lex_state = 9},
  [264] = {.lex_state = 0, .external_lex_state = 9},
  [265] = {.lex_state = 0, .external_lex_state = 9},
  [266] = {.lex_state = 0, .external_lex_state = 10},
  [267] = {.lex_state = 0, .external_lex_state = 10},
  [268] = {.lex_state = 0, .external_lex_state = 10},
  [269] = {.lex_state = 0, .external_lex_state = 12},
  [270] = {.lex_state = 0, .external_lex_state = 10},
  [271] = {.lex_state = 0, .external_lex_state = 10},
  [272] = {.lex_state = 0, .external_lex_state = 10},
  [273] = {.lex_state = 0, .external_lex_state = 11},
  [274] = {.lex_state = 0, .external_lex_state = 10},
  [275] = {.lex_state = 0, .external_lex_state = 9},
  [276] = {.lex_state = 0, .external_lex_state = 11},
  [277] = {.lex_state = 0, .external_lex_state = 10},
  [278] = {.lex_state = 0, .external_lex_state = 9},
  [279] = {.lex_state = 0, .external_lex_state = 9},
  [280] = {.lex_state = 0, .external_lex_state = 9},
  [281] = {.lex_state = 0, .external_lex_state = 12},
  [282] = {.lex_state = 0, .external_lex_state = 12},
  [283] = {.lex_state = 0, .external_lex_state = 12},
  [284] = {.lex_state = 0, .external_lex_state = 12},
  [285] = {.lex_state = 0, .external_lex_state = 12},
  [286] = {.lex_state = 0, .external_lex_state = 12},
  [287] = {.lex_state = 0, .external_lex_state = 10},
  [288] = {.lex_state = 0, .external_lex_state = 10},
  [289] = {.lex_state = 0, .external_lex_state = 12},
  [290] = {.lex_state = 0, .external_lex_state = 10},
  [291] = {.lex_state = 0, .external_lex_state = 10},
  [292] = {.lex_state = 0, .external_lex_state = 10},
  [293] = {.lex_state = 0, .external_lex_state = 11},
  [294] = {.lex_state = 0, .external_lex_state = 10},
  [295] = {.lex_state = 0, .external_lex_state = 10},
  [296] = {.lex_state = 0, .external_lex_state = 10},
  [297] = {.lex_state = 0, .external_lex_state = 9},
  [298] = {.lex_state = 0, .external_lex_state = 12},
  [299] = {.lex_state = 0, .external_lex_state = 12},
  [300] = {.lex_state = 0, .external_lex_state = 11},
  [301] = {.lex_state = 0, .external_lex_state = 12},
  [302] = {.lex_state = 0, .external_lex_state = 12},
  [303] = {.lex_state = 0, .external_lex_state = 12},
  [304] = {.lex_state = 0, .external_lex_state = 12},
  [305] = {.lex_state = 0, .external_lex_state = 12},
  [306] = {.lex_state = 0, .external_lex_state = 12},
  [307] = {.lex_state = 0, .external_lex_state = 11},
  [308] = {.lex_state = 0, .external_lex_state = 12},
  [309] = {.lex_state = 0, .external_lex_state = 12},
  [310] = {.lex_state = 0, .external_lex_state = 12},
  [311] = {.lex_state = 0, .external_lex_state = 12},
  [312] = {.lex_state = 0, .external_lex_state = 12},
  [313] = {.lex_state = 0, .external_lex_state = 12},
  [314] = {.lex_state = 0, .external_lex_state = 12},
  [315] = {.lex_state = 0, .external_lex_state = 12},
  [316] = {.lex_state = 0, .external_lex_state = 7},
  [317] = {.lex_state = 0, .external_lex_state = 7},
  [318] = {.lex_state = 0, .external_lex_state = 12},
  [319] = {.lex_state = 0, .external_lex_state = 12},
  [320] = {.lex_state = 0, .external_lex_state = 12},
  [321] = {.lex_state = 0, .external_lex_state = 12},
  [322] = {.lex_state = 0, .external_lex_state = 12},
  [323] = {.lex_state = 0, .external_lex_state = 12},
  [324] = {.lex_state = 0, .external_lex_state = 10},
  [325] = {.lex_state = 0, .external_lex_state = 12},
  [326] = {.lex_state = 0, .external_lex_state = 12},
  [327] = {.lex_state = 0, .external_lex_state = 13},
  [328] = {.lex_state = 0, .external_lex_state = 13},
  [329] = {.lex_state = 0, .external_lex_state = 13},
  [330] = {.lex_state = 0, .external_lex_state = 13},
  [331] = {.lex_state = 0, .external_lex_state = 13},
  [332] = {.lex_state = 0, .external_lex_state = 13},
  [333] = {.lex_state = 0, .external_lex_state = 13},
  [334] = {.lex_state = 0, .external_lex_state = 13},
  [335] = {.lex_state = 0, .external_lex_state = 13},
  [336] = {.lex_state = 0, .external_lex_state = 13},
  [337] = {.lex_state = 0, .external_lex_state = 13},
  [338] = {.lex_state = 0, .external_lex_state = 13},
  [339] = {.lex_state = 0, .external_lex_state = 13},
  [340] = {.lex_state = 0, .external_lex_state = 13},
  [341] = {.lex_state = 0, .external_lex_state = 13},
  [342] = {.lex_state = 0, .external_lex_state = 13},
  [343] = {.lex_state = 0, .external_lex_state = 13},
  [344] = {.lex_state = 0, .external_lex_state = 13},
  [345] = {.lex_state = 0, .external_lex_state = 13},
  [346] = {.lex_state = 0, .external_lex_state = 13},
  [347] = {.lex_state = 0, .external_lex_state = 13},
  [348] = {.lex_state = 0, .external_lex_state = 13},
  [349] = {.lex_state = 0, .external_lex_state = 13},
  [350] = {.lex_state = 0, .external_lex_state = 13},
  [351] = {.lex_state = 0, .external_lex_state = 13},
  [352] = {.lex_state = 0, .external_lex_state = 13},
  [353] = {.lex_state = 0, .external_lex_state = 13},
  [354] = {.lex_state = 0, .external_lex_state = 13},
  [355] = {.lex_state = 0, .external_lex_state = 14},
  [356] = {.lex_state = 0, .external_lex_state = 14},
  [357] = {.lex_state = 0, .external_lex_state = 14},
  [358] = {.lex_state = 0, .external_lex_state = 13},
  [359] = {.lex_state = 0, .external_lex_state = 14},
  [360] = {.lex_state = 0, .external_lex_state = 13},
  [361] = {.lex_state = 0, .external_lex_state = 14},
  [362] = {.lex_state = 0, .external_lex_state = 13},
  [363] = {.lex_state = 0, .external_lex_state = 14},
  [364] = {.lex_state = 0, .external_lex_state = 14},
  [365] = {.lex_state = 0, .external_lex_state = 14},
  [366] = {.lex_state = 0, .external_lex_state = 14},
  [367] = {.lex_state = 0, .external_lex_state = 14},
  [368] = {.lex_state = 0, .external_lex_state = 14},
  [369] = {.lex_state = 0, .external_lex_state = 14},
  [370] = {.lex_state = 0, .external_lex_state = 14},
  [371] = {.lex_state = 0, .external_lex_state = 14},
  [372] = {.lex_state = 0, .external_lex_state = 14},
  [373] = {.lex_state = 0, .external_lex_state = 14},
  [374] = {.lex_state = 0, .external_lex_state = 13},
  [375] = {.lex_state = 0, .external_lex_state = 13},
  [376] = {.lex_state = 0, .external_lex_state = 14},
  [377] = {.lex_state = 0, .external_lex_state = 13},
  [378] = {.lex_state = 0, .external_lex_state = 14},
  [379] = {.lex_state = 0, .external_lex_state = 14},
  [380] = {.lex_state = 0, .external_lex_state = 14},
  [381] = {.lex_state = 0, .external_lex_state = 14},
  [382] = {.lex_state = 0, .external_lex_state = 14},
  [383] = {.lex_state = 0, .external_lex_state = 14},
  [384] = {.lex_state = 0, .external_lex_state = 14},
  [385] = {.lex_state = 0, .external_lex_state = 14},
  [386] = {.lex_state = 0, .external_lex_state = 14},
  [387] = {.lex_state = 0, .external_lex_state = 14},
  [388] = {.lex_state = 0, .external_lex_state = 14},
  [389] = {.lex_state = 0, .external_lex_state = 14},
  [390] = {.lex_state = 0, .external_lex_state = 14},
  [391] = {.lex_state = 0, .external_lex_state = 14},
  [392] = {.lex_state = 0, .external_lex_state = 13},
  [393] = {.lex_state = 0, .external_lex_state = 13},
  [394] = {.lex_state = 0, .external_lex_state = 14},
  [395] = {.lex_state = 0, .external_lex_state = 14},
  [396] = {.lex_state = 0, .external_lex_state = 14},
  [397] = {.lex_state = 0, .external_lex_state = 13},
  [398] = {.lex_state = 0, .external_lex_state = 14},
  [399] = {.lex_state = 0, .external_lex_state = 14},
  [400] = {.lex_state = 0, .external_lex_state = 14},
  [401] = {.lex_state = 0, .external_lex_state = 25},
  [402] = {.lex_state = 0, .external_lex_state = 26},
  [403] = {.lex_state = 0, .external_lex_state = 27},
  [404] = {.lex_state = 0, .external_lex_state = 26},
  [405] = {.lex_state = 0, .external_lex_state = 27},
  [406] = {.lex_state = 0, .external_lex_state = 25},
  [407] = {.lex_state = 0, .external_lex_state = 27},
  [408] = {.lex_state = 0, .external_lex_state = 26},
  [409] = {.lex_state = 0, .external_lex_state = 25},
  [410] = {.lex_state = 0, .external_lex_state = 28},
  [411] = {.lex_state = 0, .external_lex_state = 28},
  [412] = {.lex_state = 0, .external_lex_state = 28},
  [413] = {.lex_state = 0, .external_lex_state = 27},
  [414] = {.lex_state = 0, .external_lex_state = 25},
  [415] = {.lex_state = 0, .external_lex_state = 29},
  [416] = {.lex_state = 0, .external_lex_state = 27},
  [417] = {.lex_state = 0, .external_lex_state = 25},
  [418] = {.lex_state = 0, .external_lex_state = 30},
  [419] = {.lex_state = 0, .external_lex_state = 26},
  [420] = {.lex_state = 0, .external_lex_state = 26},
  [421] = {.lex_state = 0, .external_lex_state = 31},
  [422] = {.lex_state = 0, .external_lex_state = 5},
  [423] = {.lex_state = 0, .external_lex_state = 3},
  [424] = {.lex_state = 0, .external_lex_state = 3},
  [425] = {.lex_state = 0, .external_lex_state = 3},
  [426] = {.lex_state = 0, .external_lex_state = 3},
  [427] = {.lex_state = 0, .external_lex_state = 3},
  [428] = {.lex_state = 0, .external_lex_state = 3},
  [429] = {.lex_state = 0, .external_lex_state = 3},
  [430] = {.lex_state = 0, .external_lex_state = 3},
  [431] = {.lex_state = 0, .external_lex_state = 3},
  [432] = {.lex_state = 0, .external_lex_state = 3},
  [433] = {.lex_state = 0, .external_lex_state = 3},
  [434] = {.lex_state = 0, .external_lex_state = 3},
  [435] = {.lex_state = 0, .external_lex_state = 2},
  [436] = {.lex_state = 0, .external_lex_state = 2},
  [437] = {.lex_state = 0, .external_lex_state = 2},
  [438] = {.lex_state = 0, .external_lex_state = 3},
  [439] = {.lex_state = 0, .external_lex_state = 28},
  [440] = {.lex_state = 0, .external_lex_state = 2},
  [441] = {.lex_state = 0, .external_lex_state = 2},
  [442] = {.lex_state = 0, .external_lex_state = 5},
  [443] = {.lex_state = 0, .external_lex_state = 5},
  [444] = {.lex_state = 0, .external_lex_state = 5},
  [445] = {.lex_state = 0, .external_lex_state = 3},
  [446] = {.lex_state = 0, .external_lex_state = 5},
  [447] = {.lex_state = 0, .external_lex_state = 5},
  [448] = {.lex_state = 0, .external_lex_state = 5},
  [449] = {.lex_state = 0, .external_lex_state = 5},
  [450] = {.lex_state = 0, .external_lex_state = 5},
  [451] = {.lex_state = 0, .external_lex_state = 2},
  [452] = {.lex_state = 0, .external_lex_state = 5},
  [453] = {.lex_state = 0, .external_lex_state = 5},
  [454] = {.lex_state = 0, .external_lex_state = 5},
  [455] = {.lex_state = 0, .external_lex_state = 5},
  [456] = {.lex_state = 0, .external_lex_state = 5},
  [457] = {.lex_state = 0, .external_lex_state = 5},
  [458] = {.lex_state = 0, .external_lex_state = 2},
  [459] = {.lex_state = 0, .external_lex_state = 5},
  [460] = {.lex_state = 0, .external_lex_state = 3},
  [461] = {.lex_state = 0, .external_lex_state = 3},
  [462] = {.lex_state = 0, .external_lex_state = 2},
  [463] = {.lex_state = 0, .external_lex_state = 2},
  [464] = {.lex_state = 0, .external_lex_state = 2},
  [465] = {.lex_state = 0, .external_lex_state = 2},
  [466] = {.lex_state = 0, .external_lex_state = 2},
  [467] = {.lex_state = 0, .external_lex_state = 28},
  [468] = {.lex_state = 0, .external_lex_state = 3},
  [469] = {.lex_state = 0, .external_lex_state = 2},
  [470] = {.lex_state = 0, .external_lex_state = 2},
  [471] = {.lex_state = 0, .external_lex_state = 32},
  [472] = {.lex_state = 0, .external_lex_state = 2},
  [473] = {.lex_state = 0, .external_lex_state = 2},
  [474] = {.lex_state = 0, .external_lex_state = 3},
  [475] = {.lex_state = 0, .external_lex_state = 4},
  [476] = {.lex_state = 0, .external_lex_state = 4},
  [477] = {.lex_state = 0, .external_lex_state = 4},
  [478] = {.lex_state = 0, .external_lex_state = 4},
  [479] = {.lex_state = 0, .external_lex_state = 4},
  [480] = {.lex_state = 0, .external_lex_state = 4},
  [481] = {.lex_state = 0, .external_lex_state = 4},
  [482] = {.lex_state = 0, .external_lex_state = 4},
  [483] = {.lex_state = 0, .external_lex_state = 4},
  [484] = {.lex_state = 0, .external_lex_state = 4},
  [485] = {.lex_state = 0, .external_lex_state = 4},
  [486] = {.lex_state = 0, .external_lex_state = 4},
  [487] = {.lex_state = 0, .external_lex_state = 4},
  [488] = {.lex_state = 0, .external_lex_state = 4},
  [489] = {.lex_state = 0, .external_lex_state = 4},
  [490] = {.lex_state = 0, .external_lex_state = 4},
  [491] = {.lex_state = 0, .external_lex_state = 4},
  [492] = {.lex_state = 0, .external_lex_state = 4},
  [493] = {.lex_state = 0, .external_lex_state = 33},
  [494] = {.lex_state = 0, .external_lex_state = 33},
  [495] = {.lex_state = 0, .external_lex_state = 33},
  [496] = {.lex_state = 0, .external_lex_state = 33},
  [497] = {.lex_state = 0, .external_lex_state = 33},
  [498] = {.lex_state = 0, .external_lex_state = 33},
  [499] = {.lex_state = 0, .external_lex_state = 33},
  [500] = {.lex_state = 0, .external_lex_state = 33},
  [501] = {.lex_state = 0, .external_lex_state = 34},
  [502] = {.lex_state = 0, .external_lex_state = 34},
  [503] = {.lex_state = 0, .external_lex_state = 35},
  [504] = {.lex_state = 0, .external_lex_state = 34},
  [505] = {.lex_state = 0, .external_lex_state = 36},
  [506] = {.lex_state = 0, .external_lex_state = 34},
  [507] = {.lex_state = 0, .external_lex_state = 34},
  [508] = {.lex_state = 0, .external_lex_state = 36},
  [509] = {.lex_state = 0, .external_lex_state = 35},
  [510] = {.lex_state = 0, .external_lex_state = 36},
  [511] = {.lex_state = 0, .external_lex_state = 36},
  [512] = {.lex_state = 0, .external_lex_state = 35},
  [513] = {.lex_state = 0, .external_lex_state = 37},
  [514] = {.lex_state = 0, .external_lex_state = 37},
  [515] = {.lex_state = 0, .external_lex_state = 35},
  [516] = {.lex_state = 0, .external_lex_state = 36},
  [517] = {.lex_state = 0, .external_lex_state = 35},
  [518] = {.lex_state = 0, .external_lex_state = 37},
  [519] = {.lex_state = 0, .external_lex_state = 38},
  [520] = {.lex_state = 0, .external_lex_state = 39},
  [521] = {.lex_state = 0, .external_lex_state = 40},
  [522] = {.lex_state = 0, .external_lex_state = 41},
  [523] = {.lex_state = 0, .external_lex_state = 42},
  [524] = {.lex_state = 0, .external_lex_state = 41},
  [525] = {.lex_state = 0, .external_lex_state = 43},
  [526] = {.lex_state = 0, .external_lex_state = 40},
  [527] = {.lex_state = 0, .external_lex_state = 44},
  [528] = {.lex_state = 0, .external_lex_state = 44},
  [529] = {.lex_state = 0, .external_lex_state = 40},
  [530] = {.lex_state = 0, .external_lex_state = 39},
  [531] = {.lex_state = 0, .external_lex_state = 38},
  [532] = {.lex_state = 0, .external_lex_state = 42},
  [533] = {.lex_state = 0, .external_lex_state = 44},
  [534] = {.lex_state = 0, .external_lex_state = 39},
  [535] = {.lex_state = 0, .external_lex_state = 43},
  [536] = {.lex_state = 0, .external_lex_state = 43},
  [537] = {.lex_state = 0, .external_lex_state = 42},
  [538] = {.lex_state = 0, .external_lex_state = 38},
  [539] = {.lex_state = 0, .external_lex_state = 41},
  [540] = {.lex_state = 0, .external_lex_state = 45},
  [541] = {.lex_state = 0, .external_lex_state = 46},
  [542] = {.lex_state = 0, .external_lex_state = 47},
  [543] = {.lex_state = 0, .external_lex_state = 48},
  [544] = {.lex_state = 0, .external_lex_state = 42},
  [545] = {.lex_state = 0, .external_lex_state = 44},
  [546] = {.lex_state = 0, .external_lex_state = 44},
  [547] = {.lex_state = 0, .external_lex_state = 41},
  [548] = {.lex_state = 0, .external_lex_state = 41},
  [549] = {.lex_state = 0, .external_lex_state = 45},
  [550] = {.lex_state = 0, .external_lex_state = 49},
  [551] = {.lex_state = 0, .external_lex_state = 50},
  [552] = {.lex_state = 0, .external_lex_state = 45},
  [553] = {.lex_state = 0, .external_lex_state = 51},
  [554] = {.lex_state = 0, .external_lex_state = 45},
  [555] = {.lex_state = 0, .external_lex_state = 40},
  [556] = {.lex_state = 0, .external_lex_state = 46},
  [557] = {.lex_state = 0, .external_lex_state = 52},
  [558] = {.lex_state = 0, .external_lex_state = 43},
  [559] = {.lex_state = 0, .external_lex_state = 43},
  [560] = {.lex_state = 0, .external_lex_state = 51},
  [561] = {.lex_state = 0, .external_lex_state = 53},
  [562] = {.lex_state = 0, .external_lex_state = 52},
  [563] = {.lex_state = 0, .external_lex_state = 45},
  [564] = {.lex_state = 0, .external_lex_state = 50},
  [565] = {.lex_state = 0, .external_lex_state = 49},
  [566] = {.lex_state = 0, .external_lex_state = 51},
  [567] = {.lex_state = 0, .external_lex_state = 52},
  [568] = {.lex_state = 0, .external_lex_state = 54},
  [569] = {.lex_state = 0, .external_lex_state = 49},
  [570] = {.lex_state = 0, .external_lex_state = 55},
  [571] = {.lex_state = 0, .external_lex_state = 47},
  [572] = {.lex_state = 0, .external_lex_state = 49},
  [573] = {.lex_state = 0, .external_lex_state = 53},
  [574] = {.lex_state = 0, .external_lex_state = 48},
  [575] = {.lex_state = 0, .external_lex_state = 48},
  [576] = {.lex_state = 0, .external_lex_state = 47},
  [577] = {.lex_state = 0, .external_lex_state = 52},
  [578] = {.lex_state = 0, .external_lex_state = 48},
  [579] = {.lex_state = 0, .external_lex_state = 56},
  [580] = {.lex_state = 0, .external_lex_state = 40},
  [581] = {.lex_state = 0, .external_lex_state = 48},
  [582] = {.lex_state = 0, .external_lex_state = 40},
  [583] = {.lex_state = 0, .external_lex_state = 57},
  [584] = {.lex_state = 0, .external_lex_state = 38},
  [585] = {.lex_state = 0, .external_lex_state = 38},
  [586] = {.lex_state = 0, .external_lex_state = 51},
  [587] = {.lex_state = 0, .external_lex_state = 54},
  [588] = {.lex_state = 0, .external_lex_state = 55},
  [589] = {.lex_state = 0, .external_lex_state = 49},
  [590] = {.lex_state = 0, .external_lex_state = 53},
  [591] = {.lex_state = 0, .external_lex_state = 58},
  [592] = {.lex_state = 0, .external_lex_state = 47},
  [593] = {.lex_state = 0, .external_lex_state = 48},
  [594] = {.lex_state = 0, .external_lex_state = 48},
  [595] = {.lex_state = 0, .external_lex_state = 47},
  [596] = {.lex_state = 0, .external_lex_state = 48},
  [597] = {.lex_state = 0, .external_lex_state = 48},
  [598] = {.lex_state = 0, .external_lex_state = 46},
  [599] = {.lex_state = 0, .external_lex_state = 46},
  [600] = {.lex_state = 0, .external_lex_state = 51},
  [601] = {.lex_state = 0, .external_lex_state = 52},
  [602] = {.lex_state = 0, .external_lex_state = 56},
  [603] = {.lex_state = 0, .external_lex_state = 40},
  [604] = {.lex_state = 0, .external_lex_state = 49},
  [605] = {.lex_state = 0, .external_lex_state = 48},
  [606] = {.lex_state = 0, .external_lex_state = 48},
  [607] = {.lex_state = 0, .external_lex_state = 47},
  [608] = {.lex_state = 0, .external_lex_state = 49},
  [609] = {.lex_state = 0, .external_lex_state = 52},
  [610] = {.lex_state = 0, .external_lex_state = 42},
  [611] = {.lex_state = 0, .external_lex_state = 51},
  [612] = {.lex_state = 0, .external_lex_state = 46},
  [613] = {.lex_state = 0, .external_lex_state = 52},
  [614] = {.lex_state = 0, .external_lex_state = 59},
  [615] = {.lex_state = 0, .external_lex_state = 47},
  [616] = {.lex_state = 0, .external_lex_state = 48},
  [617] = {.lex_state = 0, .external_lex_state = 48},
  [618] = {.lex_state = 0, .external_lex_state = 48},
  [619] = {.lex_state = 0, .external_lex_state = 40},
  [620] = {.lex_state = 0, .external_lex_state = 48},
  [621] = {.lex_state = 0, .external_lex_state = 45},
  [622] = {.lex_state = 0, .external_lex_state = 53},
  [623] = {.lex_state = 0, .external_lex_state = 60},
  [624] = {.lex_state = 0, .external_lex_state = 59},
  [625] = {.lex_state = 0, .external_lex_state = 61},
  [626] = {.lex_state = 0, .external_lex_state = 57},
  [627] = {.lex_state = 0, .external_lex_state = 45},
  [628] = {.lex_state = 0, .external_lex_state = 47},
  [629] = {.lex_state = 0, .external_lex_state = 53},
  [630] = {.lex_state = 0, .external_lex_state = 50},
  [631] = {.lex_state = 0, .external_lex_state = 45},
  [632] = {.lex_state = 0, .external_lex_state = 53},
  [633] = {.lex_state = 0, .external_lex_state = 45},
  [634] = {.lex_state = 0, .external_lex_state = 53},
  [635] = {.lex_state = 0, .external_lex_state = 50},
  [636] = {.lex_state = 0, .external_lex_state = 45},
  [637] = {.lex_state = 0, .external_lex_state = 50},
  [638] = {.lex_state = 0, .external_lex_state = 49},
  [639] = {.lex_state = 0, .external_lex_state = 51},
  [640] = {.lex_state = 0, .external_lex_state = 52},
  [641] = {.lex_state = 0, .external_lex_state = 49},
  [642] = {.lex_state = 0, .external_lex_state = 53},
  [643] = {.lex_state = 0, .external_lex_state = 47},
  [644] = {.lex_state = 0, .external_lex_state = 56},
  [645] = {.lex_state = 0, .external_lex_state = 40},
  [646] = {.lex_state = 0, .external_lex_state = 48},
  [647] = {.lex_state = 0, .external_lex_state = 37},
  [648] = {.lex_state = 0, .external_lex_state = 51},
  [649] = {.lex_state = 0, .external_lex_state = 57},
  [650] = {.lex_state = 0, .external_lex_state = 58},
  [651] = {.lex_state = 0, .external_lex_state = 48},
  [652] = {.lex_state = 0, .external_lex_state = 51},
  [653] = {.lex_state = 0, .external_lex_state = 52},
  [654] = {.lex_state = 0, .external_lex_state = 49},
  [655] = {.lex_state = 0, .external_lex_state = 53},
  [656] = {.lex_state = 0, .external_lex_state = 52},
  [657] = {.lex_state = 0, .external_lex_state = 51},
  [658] = {.lex_state = 0, .external_lex_state = 47},
  [659] = {.lex_state = 0, .external_lex_state = 48},
  [660] = {.lex_state = 0, .external_lex_state = 48},
  [661] = {.lex_state = 0, .external_lex_state = 53},
  [662] = {.lex_state = 0, .external_lex_state = 51},
  [663] = {.lex_state = 0, .external_lex_state = 46},
  [664] = {.lex_state = 0, .external_lex_state = 59},
  [665] = {.lex_state = 0, .external_lex_state = 52},
  [666] = {.lex_state = 0, .external_lex_state = 49},
  [667] = {.lex_state = 0, .external_lex_state = 49},
  [668] = {.lex_state = 0, .external_lex_state = 47},
  [669] = {.lex_state = 0, .external_lex_state = 48},
  [670] = {.lex_state = 0, .external_lex_state = 53},
  [671] = {.lex_state = 0, .external_lex_state = 48},
  [672] = {.lex_state = 0, .external_lex_state = 52},
  [673] = {.lex_state = 0, .external_lex_state = 47},
  [674] = {.lex_state = 0, .external_lex_state = 48},
  [675] = {.lex_state = 0, .external_lex_state = 61},
  [676] = {.lex_state = 0, .external_lex_state = 53},
  [677] = {.lex_state = 0, .external_lex_state = 48},
  [678] = {.lex_state = 0, .external_lex_state = 51},
  [679] = {.lex_state = 0, .external_lex_state = 50},
  [680] = {.lex_state = 0, .external_lex_state = 56},
  [681] = {.lex_state = 0, .external_lex_state = 45},
  [682] = {.lex_state = 0, .external_lex_state = 45},
  [683] = {.lex_state = 0, .external_lex_state = 55},
  [684] = {.lex_state = 0, .external_lex_state = 53},
  [685] = {.lex_state = 0, .external_lex_state = 54},
  [686] = {.lex_state = 0, .external_lex_state = 45},
  [687] = {.lex_state = 0, .external_lex_state = 45},
  [688] = {.lex_state = 0, .external_lex_state = 53},
  [689] = {.lex_state = 0, .external_lex_state = 45},
  [690] = {.lex_state = 0, .external_lex_state = 50},
  [691] = {.lex_state = 0, .external_lex_state = 51},
  [692] = {.lex_state = 0, .external_lex_state = 52},
  [693] = {.lex_state = 0, .external_lex_state = 49},
  [694] = {.lex_state = 0, .external_lex_state = 53},
  [695] = {.lex_state = 0, .external_lex_state = 47},
  [696] = {.lex_state = 0, .external_lex_state = 48},
  [697] = {.lex_state = 0, .external_lex_state = 48},
  [698] = {.lex_state = 0, .external_lex_state = 51},
  [699] = {.lex_state = 0, .external_lex_state = 51},
  [700] = {.lex_state = 0, .external_lex_state = 52},
  [701] = {.lex_state = 0, .external_lex_state = 49},
  [702] = {.lex_state = 0, .external_lex_state = 47},
  [703] = {.lex_state = 0, .external_lex_state = 52},
  [704] = {.lex_state = 0, .external_lex_state = 46},
  [705] = {.lex_state = 0, .external_lex_state = 48},
  [706] = {.lex_state = 0, .external_lex_state = 61},
  [707] = {.lex_state = 0, .external_lex_state = 58},
  [708] = {.lex_state = 0, .external_lex_state = 48},
  [709] = {.lex_state = 0, .external_lex_state = 48},
  [710] = {.lex_state = 0, .external_lex_state = 48},
  [711] = {.lex_state = 0, .external_lex_state = 47},
  [712] = {.lex_state = 0, .external_lex_state = 49},
  [713] = {.lex_state = 0, .external_lex_state = 62},
  [714] = {.lex_state = 0, .external_lex_state = 63},
  [715] = {.lex_state = 0, .external_lex_state = 64},
  [716] = {.lex_state = 0, .external_lex_state = 62},
  [717] = {.lex_state = 0, .external_lex_state = 62},
  [718] = {.lex_state = 0, .external_lex_state = 47},
  [719] = {.lex_state = 0, .external_lex_state = 54},
  [720] = {.lex_state = 0, .external_lex_state = 55},
  [721] = {.lex_state = 0, .external_lex_state = 45},
  [722] = {.lex_state = 0, .external_lex_state = 56},
  [723] = {.lex_state = 0, .external_lex_state = 56},
  [724] = {.lex_state = 0, .external_lex_state = 53},
  [725] = {.lex_state = 0, .external_lex_state = 61},
  [726] = {.lex_state = 0, .external_lex_state = 61},
  [727] = {.lex_state = 0, .external_lex_state = 49},
  [728] = {.lex_state = 0, .external_lex_state = 59},
  [729] = {.lex_state = 0, .external_lex_state = 48},
  [730] = {.lex_state = 0, .external_lex_state = 46},
  [731] = {.lex_state = 0, .external_lex_state = 51},
  [732] = {.lex_state = 0, .external_lex_state = 64},
  [733] = {.lex_state = 0, .external_lex_state = 62},
  [734] = {.lex_state = 0, .external_lex_state = 64},
  [735] = {.lex_state = 0, .external_lex_state = 58},
  [736] = {.lex_state = 0, .external_lex_state = 58},
  [737] = {.lex_state = 0, .external_lex_state = 65},
  [738] = {.lex_state = 0, .external_lex_state = 62},
  [739] = {.lex_state = 0, .external_lex_state = 62},
  [740] = {.lex_state = 0, .external_lex_state = 33},
  [741] = {.lex_state = 0, .external_lex_state = 57},
  [742] = {.lex_state = 0, .external_lex_state = 57},
  [743] = {.lex_state = 0, .external_lex_state = 33},
  [744] = {.lex_state = 0, .external_lex_state = 64},
  [745] = {.lex_state = 0, .external_lex_state = 39},
  [746] = {.lex_state = 0, .external_lex_state = 64},
  [747] = {.lex_state = 0, .external_lex_state = 39},
  [748] = {.lex_state = 0, .external_lex_state = 66},
  [749] = {.lex_state = 0, .external_lex_state = 64},
  [750] = {.lex_state = 0, .external_lex_state = 64},
  [751] = {.lex_state = 0, .external_lex_state = 62},
  [752] = {.lex_state = 0, .external_lex_state = 67},
  [753] = {.lex_state = 0, .external_lex_state = 65},
  [754] = {.lex_state = 0, .external_lex_state = 68},
  [755] = {.lex_state = 0, .external_lex_state = 39},
  [756] = {.lex_state = 0, .external_lex_state = 64},
  [757] = {.lex_state = 0, .external_lex_state = 67},
  [758] = {.lex_state = 0, .external_lex_state = 64},
  [759] = {.lex_state = 0, .external_lex_state = 66},
  [760] = {.lex_state = 0, .external_lex_state = 52},
  [761] = {.lex_state = 0, .external_lex_state = 64},
  [762] = {.lex_state = 0, .external_lex_state = 66},
  [763] = {.lex_state = 0, .external_lex_state = 66},
  [764] = {.lex_state = 0, .external_lex_state = 62},
  [765] = {.lex_state = 0, .external_lex_state = 69},
  [766] = {.lex_state = 0, .external_lex_state = 64},
  [767] = {.lex_state = 0, .external_lex_state = 69},
  [768] = {.lex_state = 0, .external_lex_state = 70},
  [769] = {.lex_state = 0, .external_lex_state = 70},
  [770] = {.lex_state = 0, .external_lex_state = 62},
  [771] = {.lex_state = 0, .external_lex_state = 69},
  [772] = {.lex_state = 0, .external_lex_state = 70},
  [773] = {.lex_state = 0, .external_lex_state = 69},
  [774] = {.lex_state = 0, .external_lex_state = 71},
  [775] = {.lex_state = 0, .external_lex_state = 71},
  [776] = {.lex_state = 0, .external_lex_state = 67},
  [777] = {.lex_state = 0, .external_lex_state = 67},
  [778] = {.lex_state = 0, .external_lex_state = 69},
  [779] = {.lex_state = 0, .external_lex_state = 69},
  [780] = {.lex_state = 0, .external_lex_state = 72},
  [781] = {.lex_state = 0, .external_lex_state = 69},
  [782] = {.lex_state = 0, .external_lex_state = 73},
  [783] = {.lex_state = 0, .external_lex_state = 74},
  [784] = {.lex_state = 0, .external_lex_state = 75},
  [785] = {.lex_state = 0, .external_lex_state = 75},
  [786] = {.lex_state = 0, .external_lex_state = 76},
  [787] = {.lex_state = 0, .external_lex_state = 76},
  [788] = {.lex_state = 0, .external_lex_state = 76},
  [789] = {.lex_state = 0, .external_lex_state = 76},
  [790] = {.lex_state = 0, .external_lex_state = 76},
  [791] = {.lex_state = 0, .external_lex_state = 76},
  [792] = {.lex_state = 0, .external_lex_state = 77},
  [793] = {.lex_state = 0, .external_lex_state = 78},
  [794] = {.lex_state = 0, .external_lex_state = 78},
  [795] = {.lex_state = 0, .external_lex_state = 79},
  [796] = {.lex_state = 0, .external_lex_state = 77},
  [797] = {.lex_state = 0, .external_lex_state = 80},
  [798] = {.lex_state = 0, .external_lex_state = 81},
  [799] = {.lex_state = 0, .external_lex_state = 82},
  [800] = {.lex_state = 0, .external_lex_state = 83},
  [801] = {.lex_state = 0, .external_lex_state = 73},
  [802] = {.lex_state = 0, .external_lex_state = 84},
  [803] = {.lex_state = 0, .external_lex_state = 85},
  [804] = {.lex_state = 0, .external_lex_state = 86},
  [805] = {.lex_state = 0, .external_lex_state = 87},
  [806] = {.lex_state = 0, .external_lex_state = 88},
  [807] = {.lex_state = 0, .external_lex_state = 89},
  [808] = {.lex_state = 0, .external_lex_state = 90},
  [809] = {.lex_state = 0, .external_lex_state = 91},
  [810] = {.lex_state = 0, .external_lex_state = 92},
  [811] = {.lex_state = 0, .external_lex_state = 93},
  [812] = {.lex_state = 0, .external_lex_state = 74},
  [813] = {.lex_state = 0, .external_lex_state = 75},
  [814] = {.lex_state = 0, .external_lex_state = 75},
  [815] = {.lex_state = 0, .external_lex_state = 93},
  [816] = {.lex_state = 0, .external_lex_state = 78},
  [817] = {.lex_state = 0, .external_lex_state = 81},
  [818] = {.lex_state = 0, .external_lex_state = 92},
  [819] = {.lex_state = 0, .external_lex_state = 91},
  [820] = {.lex_state = 0, .external_lex_state = 90},
  [821] = {.lex_state = 0, .external_lex_state = 89},
  [822] = {.lex_state = 0, .external_lex_state = 88},
  [823] = {.lex_state = 0, .external_lex_state = 87},
  [824] = {.lex_state = 0, .external_lex_state = 86},
  [825] = {.lex_state = 0, .external_lex_state = 85},
  [826] = {.lex_state = 0, .external_lex_state = 84},
  [827] = {.lex_state = 0, .external_lex_state = 76},
  [828] = {.lex_state = 0, .external_lex_state = 76},
  [829] = {.lex_state = 0, .external_lex_state = 76},
  [830] = {.lex_state = 0, .external_lex_state = 83},
  [831] = {.lex_state = 0, .external_lex_state = 77},
  [832] = {.lex_state = 0, .external_lex_state = 94},
  [833] = {.lex_state = 0, .external_lex_state = 82},
  [834] = {.lex_state = 0, .external_lex_state = 81},
  [835] = {.lex_state = 0, .external_lex_state = 80},
  [836] = {.lex_state = 0, .external_lex_state = 84},
  [837] = {.lex_state = 0, .external_lex_state = 82},
  [838] = {.lex_state = 0, .external_lex_state = 79},
  [839] = {.lex_state = 0, .external_lex_state = 87},
  [840] = {.lex_state = 0, .external_lex_state = 73},
  [841] = {.lex_state = 0, .external_lex_state = 77},
  [842] = {.lex_state = 0, .external_lex_state = 79},
  [843] = {.lex_state = 0, .external_lex_state = 77},
  [844] = {.lex_state = 0, .external_lex_state = 88},
  [845] = {.lex_state = 0, .external_lex_state = 89},
  [846] = {.lex_state = 0, .external_lex_state = 90},
  [847] = {.lex_state = 0, .external_lex_state = 77},
  [848] = {.lex_state = 0, .external_lex_state = 76},
  [849] = {.lex_state = 0, .external_lex_state = 80},
  [850] = {.lex_state = 0, .external_lex_state = 77},
  [851] = {.lex_state = 0, .external_lex_state = 76},
  [852] = {.lex_state = 0, .external_lex_state = 75},
  [853] = {.lex_state = 0, .external_lex_state = 75},
  [854] = {.lex_state = 0, .external_lex_state = 74},
  [855] = {.lex_state = 0, .external_lex_state = 76},
  [856] = {.lex_state = 0, .external_lex_state = 91},
  [857] = {.lex_state = 0, .external_lex_state = 95},
  [858] = {.lex_state = 0, .external_lex_state = 75},
  [859] = {.lex_state = 0, .external_lex_state = 75},
  [860] = {.lex_state = 0, .external_lex_state = 74},
  [861] = {.lex_state = 0, .external_lex_state = 76},
  [862] = {.lex_state = 0, .external_lex_state = 76},
  [863] = {.lex_state = 0, .external_lex_state = 76},
  [864] = {.lex_state = 0, .external_lex_state = 93},
  [865] = {.lex_state = 0, .external_lex_state = 93},
  [866] = {.lex_state = 0, .external_lex_state = 92},
  [867] = {.lex_state = 0, .external_lex_state = 91},
  [868] = {.lex_state = 0, .external_lex_state = 92},
  [869] = {.lex_state = 0, .external_lex_state = 91},
  [870] = {.lex_state = 0, .external_lex_state = 90},
  [871] = {.lex_state = 0, .external_lex_state = 79},
  [872] = {.lex_state = 0, .external_lex_state = 89},
  [873] = {.lex_state = 0, .external_lex_state = 88},
  [874] = {.lex_state = 0, .external_lex_state = 87},
  [875] = {.lex_state = 0, .external_lex_state = 86},
  [876] = {.lex_state = 0, .external_lex_state = 85},
  [877] = {.lex_state = 0, .external_lex_state = 84},
  [878] = {.lex_state = 0, .external_lex_state = 73},
  [879] = {.lex_state = 0, .external_lex_state = 83},
  [880] = {.lex_state = 0, .external_lex_state = 82},
  [881] = {.lex_state = 0, .external_lex_state = 80},
  [882] = {.lex_state = 0, .external_lex_state = 90},
  [883] = {.lex_state = 0, .external_lex_state = 89},
  [884] = {.lex_state = 0, .external_lex_state = 88},
  [885] = {.lex_state = 0, .external_lex_state = 87},
  [886] = {.lex_state = 0, .external_lex_state = 86},
  [887] = {.lex_state = 0, .external_lex_state = 83},
  [888] = {.lex_state = 0, .external_lex_state = 96},
  [889] = {.lex_state = 0, .external_lex_state = 77},
  [890] = {.lex_state = 0, .external_lex_state = 66},
  [891] = {.lex_state = 0, .external_lex_state = 94},
  [892] = {.lex_state = 0, .external_lex_state = 97},
  [893] = {.lex_state = 0, .external_lex_state = 76},
  [894] = {.lex_state = 0, .external_lex_state = 76},
  [895] = {.lex_state = 0, .external_lex_state = 76},
  [896] = {.lex_state = 0, .external_lex_state = 96},
  [897] = {.lex_state = 0, .external_lex_state = 85},
  [898] = {.lex_state = 0, .external_lex_state = 84},
  [899] = {.lex_state = 0, .external_lex_state = 73},
  [900] = {.lex_state = 0, .external_lex_state = 79},
  [901] = {.lex_state = 0, .external_lex_state = 84},
  [902] = {.lex_state = 0, .external_lex_state = 86},
  [903] = {.lex_state = 0, .external_lex_state = 79},
  [904] = {.lex_state = 0, .external_lex_state = 87},
  [905] = {.lex_state = 0, .external_lex_state = 88},
  [906] = {.lex_state = 0, .external_lex_state = 89},
  [907] = {.lex_state = 0, .external_lex_state = 90},
  [908] = {.lex_state = 0, .external_lex_state = 91},
  [909] = {.lex_state = 0, .external_lex_state = 98},
  [910] = {.lex_state = 0, .external_lex_state = 98},
  [911] = {.lex_state = 0, .external_lex_state = 73},
  [912] = {.lex_state = 0, .external_lex_state = 99},
  [913] = {.lex_state = 0, .external_lex_state = 80},
  [914] = {.lex_state = 0, .external_lex_state = 83},
  [915] = {.lex_state = 0, .external_lex_state = 82},
  [916] = {.lex_state = 0, .external_lex_state = 81},
  [917] = {.lex_state = 0, .external_lex_state = 94},
  [918] = {.lex_state = 0, .external_lex_state = 77},
  [919] = {.lex_state = 0, .external_lex_state = 97},
  [920] = {.lex_state = 0, .external_lex_state = 86},
  [921] = {.lex_state = 0, .external_lex_state = 73},
  [922] = {.lex_state = 0, .external_lex_state = 95},
  [923] = {.lex_state = 0, .external_lex_state = 86},
  [924] = {.lex_state = 0, .external_lex_state = 86},
  [925] = {.lex_state = 0, .external_lex_state = 76},
  [926] = {.lex_state = 0, .external_lex_state = 76},
  [927] = {.lex_state = 0, .external_lex_state = 76},
  [928] = {.lex_state = 0, .external_lex_state = 82},
  [929] = {.lex_state = 0, .external_lex_state = 82},
  [930] = {.lex_state = 0, .external_lex_state = 80},
  [931] = {.lex_state = 0, .external_lex_state = 83},
  [932] = {.lex_state = 0, .external_lex_state = 86},
  [933] = {.lex_state = 0, .external_lex_state = 86},
  [934] = {.lex_state = 0, .external_lex_state = 100},
  [935] = {.lex_state = 0, .external_lex_state = 79},
  [936] = {.lex_state = 0, .external_lex_state = 99},
  [937] = {.lex_state = 0, .external_lex_state = 80},
  [938] = {.lex_state = 0, .external_lex_state = 83},
  [939] = {.lex_state = 0, .external_lex_state = 86},
  [940] = {.lex_state = 0, .external_lex_state = 86},
  [941] = {.lex_state = 0, .external_lex_state = 73},
  [942] = {.lex_state = 0, .external_lex_state = 80},
  [943] = {.lex_state = 0, .external_lex_state = 86},
  [944] = {.lex_state = 0, .external_lex_state = 83},
  [945] = {.lex_state = 0, .external_lex_state = 80},
  [946] = {.lex_state = 0, .external_lex_state = 78},
  [947] = {.lex_state = 0, .external_lex_state = 78},
  [948] = {.lex_state = 0, .external_lex_state = 81},
  [949] = {.lex_state = 0, .external_lex_state = 78},
  [950] = {.lex_state = 0, .external_lex_state = 78},
  [951] = {.lex_state = 0, .external_lex_state = 78},
  [952] = {.lex_state = 0, .external_lex_state = 78},
  [953] = {.lex_state = 0, .external_lex_state = 78},
  [954] = {.lex_state = 0, .external_lex_state = 78},
  [955] = {.lex_state = 0, .external_lex_state = 78},
  [956] = {.lex_state = 0, .external_lex_state = 78},
  [957] = {.lex_state = 0, .external_lex_state = 78},
  [958] = {.lex_state = 0, .external_lex_state = 78},
};

enum {
  ts_external_token__eof = 0,
  ts_external_token__lka = 1,
  ts_external_token__thm_brk_bgn = 2,
  ts_external_token__thm_brk_end_mkr = 3,
  ts_external_token__pgh_bgn_mkr = 4,
  ts_external_token__pgh_end_mkr = 5,
  ts_external_token__lnk_ref_def_end_mkr = 6,
  ts_external_token__stx_bgn = 7,
  ts_external_token__stx_end_mkr = 8,
  ts_external_token__atx_bgn = 9,
  ts_external_token__atx_end_mkr = 10,
  ts_external_token__ind_cod_bgn_mkr = 11,
  ts_external_token__ind_cod_end_mkr = 12,
  ts_external_token__fen_cod_bgn = 13,
  ts_external_token__fen_cod_end = 14,
  ts_external_token__fen_cod_end_mkr = 15,
  ts_external_token__htm_blk_scr_bgn = 16,
  ts_external_token__htm_blk_scr_end = 17,
  ts_external_token__htm_blk_scr_end_mkr = 18,
  ts_external_token__htm_blk_cmt_bgn = 19,
  ts_external_token__htm_blk_cmt_end = 20,
  ts_external_token__htm_blk_cmt_end_mkr = 21,
  ts_external_token__htm_blk_prc_bgn = 22,
  ts_external_token__htm_blk_prc_end = 23,
  ts_external_token__htm_blk_prc_end_mkr = 24,
  ts_external_token__htm_blk_dcl_bgn = 25,
  ts_external_token__htm_blk_dcl_end = 26,
  ts_external_token__htm_blk_dcl_end_mkr = 27,
  ts_external_token__htm_blk_cda_bgn = 28,
  ts_external_token__htm_blk_cda_end = 29,
  ts_external_token__htm_blk_cda_end_mkr = 30,
  ts_external_token__htm_blk_div_bgn = 31,
  ts_external_token__htm_blk_div_end_mkr = 32,
  ts_external_token__htm_blk_cmp_bgn = 33,
  ts_external_token__htm_blk_cmp_end_mkr = 34,
  ts_external_token__bqt_bgn = 35,
  ts_external_token__bqt_end_mkr = 36,
  ts_external_token__lst_bgn_mkr = 37,
  ts_external_token__lst_end_mkr = 38,
  ts_external_token__lst_itm_bgn = 39,
  ts_external_token__lst_itm_end_mkr = 40,
  ts_external_token__lst_itm_cnt_bgn_mkr = 41,
  ts_external_token__lst_itm_cnt_end_mkr = 42,
  ts_external_token__tbl_hed_row_bgn_mkr = 43,
  ts_external_token__tbl_dlm_row_bgn_mkr = 44,
  ts_external_token__tbl_dat_row_bgn_mkr = 45,
  ts_external_token__tbl_row_end_mkr = 46,
  ts_external_token__bsl_esc = 47,
  ts_external_token__chr_ref = 48,
  ts_external_token__emp_bgn = 49,
  ts_external_token__emp_end = 50,
  ts_external_token__stg_bgn = 51,
  ts_external_token__stg_end = 52,
  ts_external_token__del_bgn = 53,
  ts_external_token__del_end = 54,
  ts_external_token__img_bgn = 55,
  ts_external_token__lnk_bgn = 56,
  ts_external_token__lnk_end = 57,
  ts_external_token__lnk_ref_def_bgn = 58,
  ts_external_token__lnk_ref_def_cln = 59,
  ts_external_token__lnk_inl_bgn = 60,
  ts_external_token__lnk_inl_end = 61,
  ts_external_token__lnk_dst_bgn = 62,
  ts_external_token__lnk_dst_end = 63,
  ts_external_token__lnk_dst_bgn_mkr = 64,
  ts_external_token__lnk_dst_end_mkr = 65,
  ts_external_token__lnk_tit_bgn = 66,
  ts_external_token__lnk_tit_end = 67,
  ts_external_token__lnk_ref_bgn = 68,
  ts_external_token__lnk_ref_end = 69,
  ts_external_token__ext_www_aut_lnk_bgn = 70,
  ts_external_token__ext_url_aut_lnk_bgn = 71,
  ts_external_token__ext_eml_aut_lnk_bgn = 72,
  ts_external_token__ext_aut_lnk_end_mkr = 73,
  ts_external_token__uri_aut_lnk_bgn = 74,
  ts_external_token__eml_aut_lnk_bgn = 75,
  ts_external_token__aut_lnk_end = 76,
  ts_external_token__cod_spn_bgn = 77,
  ts_external_token__cod_spn_end = 78,
  ts_external_token__htm_opn_tag_bgn = 79,
  ts_external_token__htm_tag_end = 80,
  ts_external_token__htm_cls_tag_bgn = 81,
  ts_external_token__htm_slf_tag_end = 82,
  ts_external_token__htm_dcl_bgn = 83,
  ts_external_token__htm_atr_eql = 84,
  ts_external_token__htm_atr_val_bgn = 85,
  ts_external_token__htm_atr_val_end = 86,
  ts_external_token__htm_atr_val_bgn_mkr = 87,
  ts_external_token__htm_atr_val_end_mkr = 88,
  ts_external_token__htm_cmt_bgn = 89,
  ts_external_token__htm_cmt_end = 90,
  ts_external_token__htm_prc_bgn = 91,
  ts_external_token__htm_prc_end = 92,
  ts_external_token__htm_cda_bgn = 93,
  ts_external_token__htm_cda_end = 94,
  ts_external_token__atx_end = 95,
  ts_external_token__lst_chk_box = 96,
  ts_external_token__tbl_col_sep = 97,
  ts_external_token__tbl_col_aln = 98,
  ts_external_token__fen_cod_inf_bgn_mkr = 99,
  ts_external_token__fen_cod_inf_end_mkr = 100,
  ts_external_token__hrd_lbk = 101,
  ts_external_token__sft_lbk = 102,
  ts_external_token__blk_lbk = 103,
  ts_external_token__bnk_lbk = 104,
  ts_external_token__lit_lbk = 105,
  ts_external_token__txt = 106,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__eof] = sym__eof,
  [ts_external_token__lka] = sym__lka,
  [ts_external_token__thm_brk_bgn] = sym__thm_brk_bgn,
  [ts_external_token__thm_brk_end_mkr] = sym__thm_brk_end_mkr,
  [ts_external_token__pgh_bgn_mkr] = sym__pgh_bgn_mkr,
  [ts_external_token__pgh_end_mkr] = sym__pgh_end_mkr,
  [ts_external_token__lnk_ref_def_end_mkr] = sym__lnk_ref_def_end_mkr,
  [ts_external_token__stx_bgn] = sym__stx_bgn,
  [ts_external_token__stx_end_mkr] = sym__stx_end_mkr,
  [ts_external_token__atx_bgn] = sym__atx_bgn,
  [ts_external_token__atx_end_mkr] = sym__atx_end_mkr,
  [ts_external_token__ind_cod_bgn_mkr] = sym__ind_cod_bgn_mkr,
  [ts_external_token__ind_cod_end_mkr] = sym__ind_cod_end_mkr,
  [ts_external_token__fen_cod_bgn] = sym__fen_cod_bgn,
  [ts_external_token__fen_cod_end] = sym__fen_cod_end,
  [ts_external_token__fen_cod_end_mkr] = sym__fen_cod_end_mkr,
  [ts_external_token__htm_blk_scr_bgn] = sym__htm_blk_scr_bgn,
  [ts_external_token__htm_blk_scr_end] = sym__htm_blk_scr_end,
  [ts_external_token__htm_blk_scr_end_mkr] = sym__htm_blk_scr_end_mkr,
  [ts_external_token__htm_blk_cmt_bgn] = sym__htm_blk_cmt_bgn,
  [ts_external_token__htm_blk_cmt_end] = sym__htm_blk_cmt_end,
  [ts_external_token__htm_blk_cmt_end_mkr] = sym__htm_blk_cmt_end_mkr,
  [ts_external_token__htm_blk_prc_bgn] = sym__htm_blk_prc_bgn,
  [ts_external_token__htm_blk_prc_end] = sym__htm_blk_prc_end,
  [ts_external_token__htm_blk_prc_end_mkr] = sym__htm_blk_prc_end_mkr,
  [ts_external_token__htm_blk_dcl_bgn] = sym__htm_blk_dcl_bgn,
  [ts_external_token__htm_blk_dcl_end] = sym__htm_blk_dcl_end,
  [ts_external_token__htm_blk_dcl_end_mkr] = sym__htm_blk_dcl_end_mkr,
  [ts_external_token__htm_blk_cda_bgn] = sym__htm_blk_cda_bgn,
  [ts_external_token__htm_blk_cda_end] = sym__htm_blk_cda_end,
  [ts_external_token__htm_blk_cda_end_mkr] = sym__htm_blk_cda_end_mkr,
  [ts_external_token__htm_blk_div_bgn] = sym__htm_blk_div_bgn,
  [ts_external_token__htm_blk_div_end_mkr] = sym__htm_blk_div_end_mkr,
  [ts_external_token__htm_blk_cmp_bgn] = sym__htm_blk_cmp_bgn,
  [ts_external_token__htm_blk_cmp_end_mkr] = sym__htm_blk_cmp_end_mkr,
  [ts_external_token__bqt_bgn] = sym__bqt_bgn,
  [ts_external_token__bqt_end_mkr] = sym__bqt_end_mkr,
  [ts_external_token__lst_bgn_mkr] = sym__lst_bgn_mkr,
  [ts_external_token__lst_end_mkr] = sym__lst_end_mkr,
  [ts_external_token__lst_itm_bgn] = sym__lst_itm_bgn,
  [ts_external_token__lst_itm_end_mkr] = sym__lst_itm_end_mkr,
  [ts_external_token__lst_itm_cnt_bgn_mkr] = sym__lst_itm_cnt_bgn_mkr,
  [ts_external_token__lst_itm_cnt_end_mkr] = sym__lst_itm_cnt_end_mkr,
  [ts_external_token__tbl_hed_row_bgn_mkr] = sym__tbl_hed_row_bgn_mkr,
  [ts_external_token__tbl_dlm_row_bgn_mkr] = sym__tbl_dlm_row_bgn_mkr,
  [ts_external_token__tbl_dat_row_bgn_mkr] = sym__tbl_dat_row_bgn_mkr,
  [ts_external_token__tbl_row_end_mkr] = sym__tbl_row_end_mkr,
  [ts_external_token__bsl_esc] = sym__bsl_esc,
  [ts_external_token__chr_ref] = sym__chr_ref,
  [ts_external_token__emp_bgn] = sym__emp_bgn,
  [ts_external_token__emp_end] = sym__emp_end,
  [ts_external_token__stg_bgn] = sym__stg_bgn,
  [ts_external_token__stg_end] = sym__stg_end,
  [ts_external_token__del_bgn] = sym__del_bgn,
  [ts_external_token__del_end] = sym__del_end,
  [ts_external_token__img_bgn] = sym__img_bgn,
  [ts_external_token__lnk_bgn] = sym__lnk_bgn,
  [ts_external_token__lnk_end] = sym__lnk_end,
  [ts_external_token__lnk_ref_def_bgn] = sym__lnk_ref_def_bgn,
  [ts_external_token__lnk_ref_def_cln] = sym__lnk_ref_def_cln,
  [ts_external_token__lnk_inl_bgn] = sym__lnk_inl_bgn,
  [ts_external_token__lnk_inl_end] = sym__lnk_inl_end,
  [ts_external_token__lnk_dst_bgn] = sym__lnk_dst_bgn,
  [ts_external_token__lnk_dst_end] = sym__lnk_dst_end,
  [ts_external_token__lnk_dst_bgn_mkr] = sym__lnk_dst_bgn_mkr,
  [ts_external_token__lnk_dst_end_mkr] = sym__lnk_dst_end_mkr,
  [ts_external_token__lnk_tit_bgn] = sym__lnk_tit_bgn,
  [ts_external_token__lnk_tit_end] = sym__lnk_tit_end,
  [ts_external_token__lnk_ref_bgn] = sym__lnk_ref_bgn,
  [ts_external_token__lnk_ref_end] = sym__lnk_ref_end,
  [ts_external_token__ext_www_aut_lnk_bgn] = sym__ext_www_aut_lnk_bgn,
  [ts_external_token__ext_url_aut_lnk_bgn] = sym__ext_url_aut_lnk_bgn,
  [ts_external_token__ext_eml_aut_lnk_bgn] = sym__ext_eml_aut_lnk_bgn,
  [ts_external_token__ext_aut_lnk_end_mkr] = sym__ext_aut_lnk_end_mkr,
  [ts_external_token__uri_aut_lnk_bgn] = sym__uri_aut_lnk_bgn,
  [ts_external_token__eml_aut_lnk_bgn] = sym__eml_aut_lnk_bgn,
  [ts_external_token__aut_lnk_end] = sym__aut_lnk_end,
  [ts_external_token__cod_spn_bgn] = sym__cod_spn_bgn,
  [ts_external_token__cod_spn_end] = sym__cod_spn_end,
  [ts_external_token__htm_opn_tag_bgn] = sym__htm_opn_tag_bgn,
  [ts_external_token__htm_tag_end] = sym__htm_tag_end,
  [ts_external_token__htm_cls_tag_bgn] = sym__htm_cls_tag_bgn,
  [ts_external_token__htm_slf_tag_end] = sym__htm_slf_tag_end,
  [ts_external_token__htm_dcl_bgn] = sym__htm_dcl_bgn,
  [ts_external_token__htm_atr_eql] = sym__htm_atr_eql,
  [ts_external_token__htm_atr_val_bgn] = sym__htm_atr_val_bgn,
  [ts_external_token__htm_atr_val_end] = sym__htm_atr_val_end,
  [ts_external_token__htm_atr_val_bgn_mkr] = sym__htm_atr_val_bgn_mkr,
  [ts_external_token__htm_atr_val_end_mkr] = sym__htm_atr_val_end_mkr,
  [ts_external_token__htm_cmt_bgn] = sym__htm_cmt_bgn,
  [ts_external_token__htm_cmt_end] = sym__htm_cmt_end,
  [ts_external_token__htm_prc_bgn] = sym__htm_prc_bgn,
  [ts_external_token__htm_prc_end] = sym__htm_prc_end,
  [ts_external_token__htm_cda_bgn] = sym__htm_cda_bgn,
  [ts_external_token__htm_cda_end] = sym__htm_cda_end,
  [ts_external_token__atx_end] = sym__atx_end,
  [ts_external_token__lst_chk_box] = sym__lst_chk_box,
  [ts_external_token__tbl_col_sep] = sym__tbl_col_sep,
  [ts_external_token__tbl_col_aln] = sym__tbl_col_aln,
  [ts_external_token__fen_cod_inf_bgn_mkr] = sym__fen_cod_inf_bgn_mkr,
  [ts_external_token__fen_cod_inf_end_mkr] = sym__fen_cod_inf_end_mkr,
  [ts_external_token__hrd_lbk] = sym__hrd_lbk,
  [ts_external_token__sft_lbk] = sym__sft_lbk,
  [ts_external_token__blk_lbk] = sym__blk_lbk,
  [ts_external_token__bnk_lbk] = sym__bnk_lbk,
  [ts_external_token__lit_lbk] = sym__lit_lbk,
  [ts_external_token__txt] = sym__txt,
};

static bool ts_external_scanner_states[101][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__eof] = true,
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__thm_brk_end_mkr] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__pgh_end_mkr] = true,
    [ts_external_token__lnk_ref_def_end_mkr] = true,
    [ts_external_token__stx_bgn] = true,
    [ts_external_token__stx_end_mkr] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__atx_end_mkr] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__ind_cod_end_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__fen_cod_end] = true,
    [ts_external_token__fen_cod_end_mkr] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_scr_end] = true,
    [ts_external_token__htm_blk_scr_end_mkr] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_cmt_end] = true,
    [ts_external_token__htm_blk_cmt_end_mkr] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_prc_end] = true,
    [ts_external_token__htm_blk_prc_end_mkr] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_dcl_end] = true,
    [ts_external_token__htm_blk_dcl_end_mkr] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_cda_end] = true,
    [ts_external_token__htm_blk_cda_end_mkr] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_div_end_mkr] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__htm_blk_cmp_end_mkr] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__bqt_end_mkr] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__lst_end_mkr] = true,
    [ts_external_token__lst_itm_bgn] = true,
    [ts_external_token__lst_itm_end_mkr] = true,
    [ts_external_token__lst_itm_cnt_bgn_mkr] = true,
    [ts_external_token__lst_itm_cnt_end_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__tbl_dlm_row_bgn_mkr] = true,
    [ts_external_token__tbl_dat_row_bgn_mkr] = true,
    [ts_external_token__tbl_row_end_mkr] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__emp_end] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__stg_end] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__del_end] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__lnk_end] = true,
    [ts_external_token__lnk_ref_def_bgn] = true,
    [ts_external_token__lnk_ref_def_cln] = true,
    [ts_external_token__lnk_inl_bgn] = true,
    [ts_external_token__lnk_inl_end] = true,
    [ts_external_token__lnk_dst_bgn] = true,
    [ts_external_token__lnk_dst_end] = true,
    [ts_external_token__lnk_dst_bgn_mkr] = true,
    [ts_external_token__lnk_dst_end_mkr] = true,
    [ts_external_token__lnk_tit_bgn] = true,
    [ts_external_token__lnk_tit_end] = true,
    [ts_external_token__lnk_ref_bgn] = true,
    [ts_external_token__lnk_ref_end] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__ext_aut_lnk_end_mkr] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__aut_lnk_end] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__cod_spn_end] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_tag_end] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_slf_tag_end] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_atr_eql] = true,
    [ts_external_token__htm_atr_val_bgn] = true,
    [ts_external_token__htm_atr_val_end] = true,
    [ts_external_token__htm_atr_val_bgn_mkr] = true,
    [ts_external_token__htm_atr_val_end_mkr] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_cmt_end] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_prc_end] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__htm_cda_end] = true,
    [ts_external_token__atx_end] = true,
    [ts_external_token__lst_chk_box] = true,
    [ts_external_token__tbl_col_sep] = true,
    [ts_external_token__tbl_col_aln] = true,
    [ts_external_token__fen_cod_inf_bgn_mkr] = true,
    [ts_external_token__fen_cod_inf_end_mkr] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__bnk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [2] = {
    [ts_external_token__eof] = true,
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__bnk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [3] = {
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__lst_itm_cnt_end_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__bnk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [4] = {
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__lst_itm_cnt_end_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [5] = {
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__bqt_end_mkr] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__bnk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [6] = {
    [ts_external_token__lka] = true,
    [ts_external_token__pgh_end_mkr] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__lnk_ref_def_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__lst_chk_box] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [7] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__lnk_end] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [8] = {
    [ts_external_token__lka] = true,
    [ts_external_token__pgh_end_mkr] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__lnk_ref_def_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [9] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__del_end] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [10] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__emp_end] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [11] = {
    [ts_external_token__lka] = true,
    [ts_external_token__pgh_end_mkr] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [12] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__stg_end] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [13] = {
    [ts_external_token__lka] = true,
    [ts_external_token__tbl_row_end_mkr] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__tbl_col_sep] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [14] = {
    [ts_external_token__lka] = true,
    [ts_external_token__atx_end_mkr] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__atx_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [15] = {
    [ts_external_token__lka] = true,
    [ts_external_token__tbl_row_end_mkr] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [16] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__tbl_col_sep] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [17] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [18] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__emp_end] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__lnk_inl_bgn] = true,
    [ts_external_token__lnk_ref_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [19] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__stg_end] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__lnk_inl_bgn] = true,
    [ts_external_token__lnk_ref_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [20] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__lnk_end] = true,
    [ts_external_token__lnk_inl_bgn] = true,
    [ts_external_token__lnk_ref_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [21] = {
    [ts_external_token__lka] = true,
    [ts_external_token__pgh_end_mkr] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__lnk_inl_bgn] = true,
    [ts_external_token__lnk_ref_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [22] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__del_end] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__lnk_inl_bgn] = true,
    [ts_external_token__lnk_ref_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__hrd_lbk] = true,
    [ts_external_token__sft_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [23] = {
    [ts_external_token__lka] = true,
    [ts_external_token__atx_end_mkr] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__lnk_inl_bgn] = true,
    [ts_external_token__lnk_ref_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__atx_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [24] = {
    [ts_external_token__lka] = true,
    [ts_external_token__tbl_row_end_mkr] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__emp_bgn] = true,
    [ts_external_token__stg_bgn] = true,
    [ts_external_token__del_bgn] = true,
    [ts_external_token__img_bgn] = true,
    [ts_external_token__lnk_bgn] = true,
    [ts_external_token__lnk_inl_bgn] = true,
    [ts_external_token__lnk_ref_bgn] = true,
    [ts_external_token__ext_www_aut_lnk_bgn] = true,
    [ts_external_token__ext_url_aut_lnk_bgn] = true,
    [ts_external_token__ext_eml_aut_lnk_bgn] = true,
    [ts_external_token__uri_aut_lnk_bgn] = true,
    [ts_external_token__eml_aut_lnk_bgn] = true,
    [ts_external_token__cod_spn_bgn] = true,
    [ts_external_token__htm_opn_tag_bgn] = true,
    [ts_external_token__htm_cls_tag_bgn] = true,
    [ts_external_token__htm_dcl_bgn] = true,
    [ts_external_token__htm_cmt_bgn] = true,
    [ts_external_token__htm_prc_bgn] = true,
    [ts_external_token__htm_cda_bgn] = true,
    [ts_external_token__tbl_col_sep] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [25] = {
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__bqt_end_mkr] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__tbl_dat_row_bgn_mkr] = true,
    [ts_external_token__bnk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [26] = {
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__lst_itm_cnt_end_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__tbl_dat_row_bgn_mkr] = true,
    [ts_external_token__bnk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [27] = {
    [ts_external_token__eof] = true,
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__tbl_dat_row_bgn_mkr] = true,
    [ts_external_token__bnk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [28] = {
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__lst_itm_cnt_end_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__tbl_dat_row_bgn_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [29] = {
    [ts_external_token__eof] = true,
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__stx_bgn] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__bnk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [30] = {
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__stx_bgn] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__bqt_end_mkr] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__bnk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [31] = {
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__stx_bgn] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__lst_itm_cnt_end_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__bnk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [32] = {
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_bgn] = true,
    [ts_external_token__pgh_bgn_mkr] = true,
    [ts_external_token__stx_bgn] = true,
    [ts_external_token__atx_bgn] = true,
    [ts_external_token__ind_cod_bgn_mkr] = true,
    [ts_external_token__fen_cod_bgn] = true,
    [ts_external_token__htm_blk_scr_bgn] = true,
    [ts_external_token__htm_blk_cmt_bgn] = true,
    [ts_external_token__htm_blk_prc_bgn] = true,
    [ts_external_token__htm_blk_dcl_bgn] = true,
    [ts_external_token__htm_blk_cda_bgn] = true,
    [ts_external_token__htm_blk_div_bgn] = true,
    [ts_external_token__htm_blk_cmp_bgn] = true,
    [ts_external_token__bqt_bgn] = true,
    [ts_external_token__lst_bgn_mkr] = true,
    [ts_external_token__lst_itm_cnt_end_mkr] = true,
    [ts_external_token__tbl_hed_row_bgn_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [33] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lst_end_mkr] = true,
    [ts_external_token__lst_itm_bgn] = true,
    [ts_external_token__bnk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [34] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__lnk_dst_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [35] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__lnk_dst_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [36] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__lnk_tit_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [37] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__chr_ref] = true,
    [ts_external_token__fen_cod_inf_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [38] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_cda_end] = true,
    [ts_external_token__htm_blk_cda_end_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [39] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_tag_end] = true,
    [ts_external_token__htm_slf_tag_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [40] = {
    [ts_external_token__lka] = true,
    [ts_external_token__fen_cod_end] = true,
    [ts_external_token__fen_cod_end_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [41] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_cmt_end] = true,
    [ts_external_token__htm_blk_cmt_end_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [42] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_prc_end] = true,
    [ts_external_token__htm_blk_prc_end_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [43] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_scr_end] = true,
    [ts_external_token__htm_blk_scr_end_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [44] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_dcl_end] = true,
    [ts_external_token__htm_blk_dcl_end_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [45] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__lnk_ref_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [46] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__ext_aut_lnk_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [47] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__cod_spn_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [48] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__aut_lnk_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [49] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__htm_cmt_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [50] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lnk_inl_end] = true,
    [ts_external_token__lnk_dst_bgn] = true,
    [ts_external_token__lnk_dst_bgn_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [51] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__htm_cda_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [52] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__htm_prc_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [53] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__htm_tag_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [54] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__htm_atr_val_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [55] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__htm_atr_val_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [56] = {
    [ts_external_token__lka] = true,
    [ts_external_token__fen_cod_end_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [57] = {
    [ts_external_token__lka] = true,
    [ts_external_token__ind_cod_end_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [58] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_div_end_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [59] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bsl_esc] = true,
    [ts_external_token__lnk_end] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [60] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_tag_end] = true,
    [ts_external_token__htm_slf_tag_end] = true,
    [ts_external_token__htm_atr_eql] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [61] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_cmp_end_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [62] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lnk_inl_end] = true,
    [ts_external_token__lnk_tit_bgn] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [63] = {
    [ts_external_token__lka] = true,
    [ts_external_token__fen_cod_end_mkr] = true,
    [ts_external_token__fen_cod_inf_bgn_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [64] = {
    [ts_external_token__lka] = true,
    [ts_external_token__tbl_row_end_mkr] = true,
    [ts_external_token__tbl_col_sep] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [65] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lnk_dst_bgn] = true,
    [ts_external_token__lnk_dst_bgn_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [66] = {
    [ts_external_token__lka] = true,
    [ts_external_token__tbl_dlm_row_bgn_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [67] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lnk_ref_def_end_mkr] = true,
    [ts_external_token__lnk_tit_bgn] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [68] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_atr_val_bgn] = true,
    [ts_external_token__htm_atr_val_bgn_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [69] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_tag_end] = true,
    [ts_external_token__htm_slf_tag_end] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [70] = {
    [ts_external_token__lka] = true,
    [ts_external_token__tbl_row_end_mkr] = true,
    [ts_external_token__tbl_col_aln] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [71] = {
    [ts_external_token__lka] = true,
    [ts_external_token__fen_cod_end_mkr] = true,
    [ts_external_token__blk_lbk] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [72] = {
    [ts_external_token__lka] = true,
    [ts_external_token__tbl_col_sep] = true,
    [ts_external_token__tbl_col_aln] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [73] = {
    [ts_external_token__lka] = true,
    [ts_external_token__stx_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [74] = {
    [ts_external_token__lka] = true,
    [ts_external_token__bqt_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [75] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lst_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [76] = {
    [ts_external_token__lka] = true,
    [ts_external_token__ext_aut_lnk_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [77] = {
    [ts_external_token__lka] = true,
    [ts_external_token__tbl_row_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [78] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lit_lbk] = true,
    [ts_external_token__txt] = true,
  },
  [79] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_tag_end] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [80] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lnk_inl_end] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [81] = {
    [ts_external_token__lka] = true,
    [ts_external_token__thm_brk_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [82] = {
    [ts_external_token__lka] = true,
    [ts_external_token__pgh_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [83] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lnk_ref_def_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [84] = {
    [ts_external_token__lka] = true,
    [ts_external_token__atx_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [85] = {
    [ts_external_token__lka] = true,
    [ts_external_token__ind_cod_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [86] = {
    [ts_external_token__lka] = true,
    [ts_external_token__fen_cod_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [87] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_scr_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [88] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_cmt_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [89] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_prc_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [90] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_dcl_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [91] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_cda_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [92] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_div_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [93] = {
    [ts_external_token__lka] = true,
    [ts_external_token__htm_blk_cmp_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [94] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [95] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lst_itm_cnt_bgn_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [96] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lst_itm_cnt_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [97] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lnk_ref_def_cln] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [98] = {
    [ts_external_token__lka] = true,
    [ts_external_token__lst_itm_end_mkr] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [99] = {
    [ts_external_token__lka] = true,
    [ts_external_token__tbl_col_aln] = true,
    [ts_external_token__lit_lbk] = true,
  },
  [100] = {
    [ts_external_token__lka] = true,
    [ts_external_token__stx_bgn] = true,
    [ts_external_token__lit_lbk] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1),
    [sym__thm_brk_end_mkr] = ACTIONS(1),
    [sym__pgh_bgn_mkr] = ACTIONS(1),
    [sym__pgh_end_mkr] = ACTIONS(1),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(1),
    [sym__stx_bgn] = ACTIONS(1),
    [sym__stx_end_mkr] = ACTIONS(1),
    [sym__atx_bgn] = ACTIONS(1),
    [sym__atx_end_mkr] = ACTIONS(1),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1),
    [sym__ind_cod_end_mkr] = ACTIONS(1),
    [sym__fen_cod_bgn] = ACTIONS(1),
    [sym__fen_cod_end] = ACTIONS(1),
    [sym__fen_cod_end_mkr] = ACTIONS(1),
    [sym__htm_blk_scr_bgn] = ACTIONS(1),
    [sym__htm_blk_scr_end] = ACTIONS(1),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(1),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1),
    [sym__htm_blk_cmt_end] = ACTIONS(1),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(1),
    [sym__htm_blk_prc_bgn] = ACTIONS(1),
    [sym__htm_blk_prc_end] = ACTIONS(1),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(1),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1),
    [sym__htm_blk_dcl_end] = ACTIONS(1),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(1),
    [sym__htm_blk_cda_bgn] = ACTIONS(1),
    [sym__htm_blk_cda_end] = ACTIONS(1),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(1),
    [sym__htm_blk_div_bgn] = ACTIONS(1),
    [sym__htm_blk_div_end_mkr] = ACTIONS(1),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1),
    [sym__htm_blk_cmp_end_mkr] = ACTIONS(1),
    [sym__bqt_bgn] = ACTIONS(1),
    [sym__bqt_end_mkr] = ACTIONS(1),
    [sym__lst_bgn_mkr] = ACTIONS(1),
    [sym__lst_end_mkr] = ACTIONS(1),
    [sym__lst_itm_bgn] = ACTIONS(1),
    [sym__lst_itm_end_mkr] = ACTIONS(1),
    [sym__lst_itm_cnt_bgn_mkr] = ACTIONS(1),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1),
    [sym__tbl_dlm_row_bgn_mkr] = ACTIONS(1),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1),
    [sym__tbl_row_end_mkr] = ACTIONS(1),
    [sym__bsl_esc] = ACTIONS(1),
    [sym__chr_ref] = ACTIONS(1),
    [sym__emp_bgn] = ACTIONS(1),
    [sym__emp_end] = ACTIONS(1),
    [sym__stg_bgn] = ACTIONS(1),
    [sym__stg_end] = ACTIONS(1),
    [sym__del_bgn] = ACTIONS(1),
    [sym__del_end] = ACTIONS(1),
    [sym__img_bgn] = ACTIONS(1),
    [sym__lnk_bgn] = ACTIONS(1),
    [sym__lnk_end] = ACTIONS(1),
    [sym__lnk_ref_def_bgn] = ACTIONS(1),
    [sym__lnk_ref_def_cln] = ACTIONS(1),
    [sym__lnk_inl_bgn] = ACTIONS(1),
    [sym__lnk_inl_end] = ACTIONS(1),
    [sym__lnk_dst_bgn] = ACTIONS(1),
    [sym__lnk_dst_end] = ACTIONS(1),
    [sym__lnk_dst_bgn_mkr] = ACTIONS(1),
    [sym__lnk_dst_end_mkr] = ACTIONS(1),
    [sym__lnk_tit_bgn] = ACTIONS(1),
    [sym__lnk_tit_end] = ACTIONS(1),
    [sym__lnk_ref_bgn] = ACTIONS(1),
    [sym__lnk_ref_end] = ACTIONS(1),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1),
    [sym__aut_lnk_end] = ACTIONS(1),
    [sym__cod_spn_bgn] = ACTIONS(1),
    [sym__cod_spn_end] = ACTIONS(1),
    [sym__htm_opn_tag_bgn] = ACTIONS(1),
    [sym__htm_tag_end] = ACTIONS(1),
    [sym__htm_cls_tag_bgn] = ACTIONS(1),
    [sym__htm_slf_tag_end] = ACTIONS(1),
    [sym__htm_dcl_bgn] = ACTIONS(1),
    [sym__htm_atr_eql] = ACTIONS(1),
    [sym__htm_atr_val_bgn] = ACTIONS(1),
    [sym__htm_atr_val_end] = ACTIONS(1),
    [sym__htm_atr_val_bgn_mkr] = ACTIONS(1),
    [sym__htm_atr_val_end_mkr] = ACTIONS(1),
    [sym__htm_cmt_bgn] = ACTIONS(1),
    [sym__htm_cmt_end] = ACTIONS(1),
    [sym__htm_prc_bgn] = ACTIONS(1),
    [sym__htm_prc_end] = ACTIONS(1),
    [sym__htm_cda_bgn] = ACTIONS(1),
    [sym__htm_cda_end] = ACTIONS(1),
    [sym__atx_end] = ACTIONS(1),
    [sym__lst_chk_box] = ACTIONS(1),
    [sym__tbl_col_sep] = ACTIONS(1),
    [sym__tbl_col_aln] = ACTIONS(1),
    [sym__fen_cod_inf_bgn_mkr] = ACTIONS(1),
    [sym__fen_cod_inf_end_mkr] = ACTIONS(1),
    [sym__hrd_lbk] = ACTIONS(1),
    [sym__sft_lbk] = ACTIONS(1),
    [sym__blk_lbk] = ACTIONS(1),
    [sym__bnk_lbk] = ACTIONS(1),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(917),
    [sym__blk_nod] = STATE(11),
    [sym__thm_brk] = STATE(11),
    [sym__thm_brk_hed] = STATE(916),
    [sym__pgh] = STATE(11),
    [sym__pgh_hed] = STATE(915),
    [sym__lnk_ref_def] = STATE(11),
    [sym__lnk_ref_def_hed] = STATE(914),
    [sym__stx] = STATE(11),
    [sym__stx_hed] = STATE(899),
    [sym__atx] = STATE(11),
    [sym__atx_hed] = STATE(898),
    [sym__ind_cod] = STATE(11),
    [sym__ind_cod_hed] = STATE(897),
    [sym__fen_cod] = STATE(11),
    [sym__fen_cod_hed] = STATE(886),
    [sym__htm_blk_scr] = STATE(11),
    [sym__htm_blk_scr_hed] = STATE(885),
    [sym__htm_blk_cmt] = STATE(11),
    [sym__htm_blk_cmt_hed] = STATE(884),
    [sym__htm_blk_prc] = STATE(11),
    [sym__htm_blk_prc_hed] = STATE(883),
    [sym__htm_blk_dcl] = STATE(11),
    [sym__htm_blk_dcl_hed] = STATE(882),
    [sym__htm_blk_cda] = STATE(11),
    [sym__htm_blk_cda_hed] = STATE(867),
    [sym__htm_blk_div] = STATE(11),
    [sym__htm_blk_div_hed] = STATE(866),
    [sym__htm_blk_cmp] = STATE(11),
    [sym__htm_blk_cmp_hed] = STATE(865),
    [sym__bqt] = STATE(11),
    [sym__bqt_hed] = STATE(854),
    [sym__tig_lst] = STATE(11),
    [sym__tig_lst_hed] = STATE(853),
    [sym__los_lst] = STATE(11),
    [sym__los_lst_hed] = STATE(852),
    [sym__tbl] = STATE(11),
    [sym__tbl_hed_row] = STATE(748),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym_document_repeat1] = STATE(11),
    [sym__eof] = ACTIONS(5),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(37),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [2] = {
    [sym__blk_nod] = STATE(17),
    [sym__thm_brk] = STATE(17),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(17),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(17),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(17),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(17),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(17),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(17),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(17),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(17),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(17),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(17),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(17),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(17),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(17),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(17),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(17),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(17),
    [sym__los_lst_hed] = STATE(785),
    [sym__chk_box_pgh] = STATE(7),
    [sym__chk_box_lik_stx] = STATE(16),
    [sym__chk_box_lik_stx_hed] = STATE(921),
    [sym__tbl] = STATE(17),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(17),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(39),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(41),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(43),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [3] = {
    [sym__blk_nod] = STATE(28),
    [sym__thm_brk] = STATE(28),
    [sym__thm_brk_hed] = STATE(798),
    [sym__pgh] = STATE(28),
    [sym__pgh_hed] = STATE(799),
    [sym__lnk_ref_def] = STATE(28),
    [sym__lnk_ref_def_hed] = STATE(800),
    [sym__stx] = STATE(28),
    [sym__stx_hed] = STATE(801),
    [sym__atx] = STATE(28),
    [sym__atx_hed] = STATE(802),
    [sym__ind_cod] = STATE(28),
    [sym__ind_cod_hed] = STATE(803),
    [sym__fen_cod] = STATE(28),
    [sym__fen_cod_hed] = STATE(804),
    [sym__htm_blk_scr] = STATE(28),
    [sym__htm_blk_scr_hed] = STATE(805),
    [sym__htm_blk_cmt] = STATE(28),
    [sym__htm_blk_cmt_hed] = STATE(806),
    [sym__htm_blk_prc] = STATE(28),
    [sym__htm_blk_prc_hed] = STATE(807),
    [sym__htm_blk_dcl] = STATE(28),
    [sym__htm_blk_dcl_hed] = STATE(808),
    [sym__htm_blk_cda] = STATE(28),
    [sym__htm_blk_cda_hed] = STATE(809),
    [sym__htm_blk_div] = STATE(28),
    [sym__htm_blk_div_hed] = STATE(810),
    [sym__htm_blk_cmp] = STATE(28),
    [sym__htm_blk_cmp_hed] = STATE(811),
    [sym__bqt] = STATE(28),
    [sym__bqt_hed] = STATE(812),
    [sym__tig_lst] = STATE(28),
    [sym__tig_lst_hed] = STATE(813),
    [sym__los_lst] = STATE(28),
    [sym__los_lst_hed] = STATE(814),
    [sym__chk_box_pgh] = STATE(26),
    [sym__chk_box_lik_stx] = STATE(27),
    [sym__chk_box_lik_stx_hed] = STATE(840),
    [sym__tbl] = STATE(28),
    [sym__tbl_hed_row] = STATE(759),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(28),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(45),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(41),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [4] = {
    [sym__blk_nod] = STATE(4),
    [sym__thm_brk] = STATE(4),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(4),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(4),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(4),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(4),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(4),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(4),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(4),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(4),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(4),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(4),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(4),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(4),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(4),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(4),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(4),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(4),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(4),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(4),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(47),
    [sym__pgh_bgn_mkr] = ACTIONS(50),
    [sym__atx_bgn] = ACTIONS(53),
    [sym__ind_cod_bgn_mkr] = ACTIONS(56),
    [sym__fen_cod_bgn] = ACTIONS(59),
    [sym__htm_blk_scr_bgn] = ACTIONS(62),
    [sym__htm_blk_cmt_bgn] = ACTIONS(65),
    [sym__htm_blk_prc_bgn] = ACTIONS(68),
    [sym__htm_blk_dcl_bgn] = ACTIONS(71),
    [sym__htm_blk_cda_bgn] = ACTIONS(74),
    [sym__htm_blk_div_bgn] = ACTIONS(77),
    [sym__htm_blk_cmp_bgn] = ACTIONS(80),
    [sym__bqt_bgn] = ACTIONS(83),
    [sym__lst_bgn_mkr] = ACTIONS(86),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(89),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(91),
    [sym__bnk_lbk] = ACTIONS(89),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [5] = {
    [sym__blk_nod] = STATE(4),
    [sym__thm_brk] = STATE(4),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(4),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(4),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(4),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(4),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(4),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(4),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(4),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(4),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(4),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(4),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(4),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(4),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(4),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(4),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(4),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(4),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(4),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(4),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(94),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(96),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [6] = {
    [sym__blk_nod] = STATE(24),
    [sym__thm_brk] = STATE(24),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(24),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(24),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(24),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(24),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(24),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(24),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(24),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(24),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(24),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(24),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(24),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(24),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(24),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(24),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(24),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(24),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(24),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__los_lst_itm_hed_repeat1] = STATE(24),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(98),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(100),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [7] = {
    [sym__blk_nod] = STATE(5),
    [sym__thm_brk] = STATE(5),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(5),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(5),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(5),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(5),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(5),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(5),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(5),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(5),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(5),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(5),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(5),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(5),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(5),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(5),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(5),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(5),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(5),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(5),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(102),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(104),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [8] = {
    [sym__blk_nod] = STATE(8),
    [sym__thm_brk] = STATE(8),
    [sym__thm_brk_hed] = STATE(817),
    [sym__pgh] = STATE(8),
    [sym__pgh_hed] = STATE(880),
    [sym__lnk_ref_def] = STATE(8),
    [sym__lnk_ref_def_hed] = STATE(879),
    [sym__stx] = STATE(8),
    [sym__stx_hed] = STATE(878),
    [sym__atx] = STATE(8),
    [sym__atx_hed] = STATE(877),
    [sym__ind_cod] = STATE(8),
    [sym__ind_cod_hed] = STATE(876),
    [sym__fen_cod] = STATE(8),
    [sym__fen_cod_hed] = STATE(875),
    [sym__htm_blk_scr] = STATE(8),
    [sym__htm_blk_scr_hed] = STATE(874),
    [sym__htm_blk_cmt] = STATE(8),
    [sym__htm_blk_cmt_hed] = STATE(873),
    [sym__htm_blk_prc] = STATE(8),
    [sym__htm_blk_prc_hed] = STATE(872),
    [sym__htm_blk_dcl] = STATE(8),
    [sym__htm_blk_dcl_hed] = STATE(870),
    [sym__htm_blk_cda] = STATE(8),
    [sym__htm_blk_cda_hed] = STATE(869),
    [sym__htm_blk_div] = STATE(8),
    [sym__htm_blk_div_hed] = STATE(868),
    [sym__htm_blk_cmp] = STATE(8),
    [sym__htm_blk_cmp_hed] = STATE(864),
    [sym__bqt] = STATE(8),
    [sym__bqt_hed] = STATE(860),
    [sym__tig_lst] = STATE(8),
    [sym__tig_lst_hed] = STATE(859),
    [sym__los_lst] = STATE(8),
    [sym__los_lst_hed] = STATE(858),
    [sym__tbl] = STATE(8),
    [sym__tbl_hed_row] = STATE(762),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym_document_repeat1] = STATE(8),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(106),
    [sym__pgh_bgn_mkr] = ACTIONS(109),
    [sym__atx_bgn] = ACTIONS(112),
    [sym__ind_cod_bgn_mkr] = ACTIONS(115),
    [sym__fen_cod_bgn] = ACTIONS(118),
    [sym__htm_blk_scr_bgn] = ACTIONS(121),
    [sym__htm_blk_cmt_bgn] = ACTIONS(124),
    [sym__htm_blk_prc_bgn] = ACTIONS(127),
    [sym__htm_blk_dcl_bgn] = ACTIONS(130),
    [sym__htm_blk_cda_bgn] = ACTIONS(133),
    [sym__htm_blk_div_bgn] = ACTIONS(136),
    [sym__htm_blk_cmp_bgn] = ACTIONS(139),
    [sym__bqt_bgn] = ACTIONS(142),
    [sym__bqt_end_mkr] = ACTIONS(145),
    [sym__lst_bgn_mkr] = ACTIONS(147),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(150),
    [sym__bnk_lbk] = ACTIONS(153),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [9] = {
    [sym__blk_nod] = STATE(22),
    [sym__thm_brk] = STATE(22),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(22),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(22),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(22),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(22),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(22),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(22),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(22),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(22),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(22),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(22),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(22),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(22),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(22),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(22),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(22),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(22),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(22),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__los_lst_itm_hed_repeat1] = STATE(22),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(156),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(158),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [10] = {
    [sym__blk_nod] = STATE(14),
    [sym__thm_brk] = STATE(14),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(14),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(14),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(14),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(14),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(14),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(14),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(14),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(14),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(14),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(14),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(14),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(14),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(14),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(14),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(14),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(14),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(14),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__los_lst_itm_hed_repeat1] = STATE(14),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(98),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(160),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [11] = {
    [sym__blk_nod] = STATE(21),
    [sym__thm_brk] = STATE(21),
    [sym__thm_brk_hed] = STATE(916),
    [sym__pgh] = STATE(21),
    [sym__pgh_hed] = STATE(915),
    [sym__lnk_ref_def] = STATE(21),
    [sym__lnk_ref_def_hed] = STATE(914),
    [sym__stx] = STATE(21),
    [sym__stx_hed] = STATE(899),
    [sym__atx] = STATE(21),
    [sym__atx_hed] = STATE(898),
    [sym__ind_cod] = STATE(21),
    [sym__ind_cod_hed] = STATE(897),
    [sym__fen_cod] = STATE(21),
    [sym__fen_cod_hed] = STATE(886),
    [sym__htm_blk_scr] = STATE(21),
    [sym__htm_blk_scr_hed] = STATE(885),
    [sym__htm_blk_cmt] = STATE(21),
    [sym__htm_blk_cmt_hed] = STATE(884),
    [sym__htm_blk_prc] = STATE(21),
    [sym__htm_blk_prc_hed] = STATE(883),
    [sym__htm_blk_dcl] = STATE(21),
    [sym__htm_blk_dcl_hed] = STATE(882),
    [sym__htm_blk_cda] = STATE(21),
    [sym__htm_blk_cda_hed] = STATE(867),
    [sym__htm_blk_div] = STATE(21),
    [sym__htm_blk_div_hed] = STATE(866),
    [sym__htm_blk_cmp] = STATE(21),
    [sym__htm_blk_cmp_hed] = STATE(865),
    [sym__bqt] = STATE(21),
    [sym__bqt_hed] = STATE(854),
    [sym__tig_lst] = STATE(21),
    [sym__tig_lst_hed] = STATE(853),
    [sym__los_lst] = STATE(21),
    [sym__los_lst_hed] = STATE(852),
    [sym__tbl] = STATE(21),
    [sym__tbl_hed_row] = STATE(748),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym_document_repeat1] = STATE(21),
    [sym__eof] = ACTIONS(162),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(164),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [12] = {
    [sym__blk_nod] = STATE(8),
    [sym__thm_brk] = STATE(8),
    [sym__thm_brk_hed] = STATE(817),
    [sym__pgh] = STATE(8),
    [sym__pgh_hed] = STATE(880),
    [sym__lnk_ref_def] = STATE(8),
    [sym__lnk_ref_def_hed] = STATE(879),
    [sym__stx] = STATE(8),
    [sym__stx_hed] = STATE(878),
    [sym__atx] = STATE(8),
    [sym__atx_hed] = STATE(877),
    [sym__ind_cod] = STATE(8),
    [sym__ind_cod_hed] = STATE(876),
    [sym__fen_cod] = STATE(8),
    [sym__fen_cod_hed] = STATE(875),
    [sym__htm_blk_scr] = STATE(8),
    [sym__htm_blk_scr_hed] = STATE(874),
    [sym__htm_blk_cmt] = STATE(8),
    [sym__htm_blk_cmt_hed] = STATE(873),
    [sym__htm_blk_prc] = STATE(8),
    [sym__htm_blk_prc_hed] = STATE(872),
    [sym__htm_blk_dcl] = STATE(8),
    [sym__htm_blk_dcl_hed] = STATE(870),
    [sym__htm_blk_cda] = STATE(8),
    [sym__htm_blk_cda_hed] = STATE(869),
    [sym__htm_blk_div] = STATE(8),
    [sym__htm_blk_div_hed] = STATE(868),
    [sym__htm_blk_cmp] = STATE(8),
    [sym__htm_blk_cmp_hed] = STATE(864),
    [sym__bqt] = STATE(8),
    [sym__bqt_hed] = STATE(860),
    [sym__tig_lst] = STATE(8),
    [sym__tig_lst_hed] = STATE(859),
    [sym__los_lst] = STATE(8),
    [sym__los_lst_hed] = STATE(858),
    [sym__tbl] = STATE(8),
    [sym__tbl_hed_row] = STATE(762),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym_document_repeat1] = STATE(8),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__bqt_end_mkr] = ACTIONS(166),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(168),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [13] = {
    [sym__blk_nod] = STATE(24),
    [sym__thm_brk] = STATE(24),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(24),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(24),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(24),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(24),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(24),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(24),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(24),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(24),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(24),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(24),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(24),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(24),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(24),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(24),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(24),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(24),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(24),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__los_lst_itm_hed_repeat1] = STATE(24),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(170),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(100),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [14] = {
    [sym__blk_nod] = STATE(24),
    [sym__thm_brk] = STATE(24),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(24),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(24),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(24),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(24),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(24),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(24),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(24),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(24),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(24),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(24),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(24),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(24),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(24),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(24),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(24),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(24),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(24),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__los_lst_itm_hed_repeat1] = STATE(24),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(172),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(100),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [15] = {
    [sym__blk_nod] = STATE(12),
    [sym__thm_brk] = STATE(12),
    [sym__thm_brk_hed] = STATE(817),
    [sym__pgh] = STATE(12),
    [sym__pgh_hed] = STATE(880),
    [sym__lnk_ref_def] = STATE(12),
    [sym__lnk_ref_def_hed] = STATE(879),
    [sym__stx] = STATE(12),
    [sym__stx_hed] = STATE(878),
    [sym__atx] = STATE(12),
    [sym__atx_hed] = STATE(877),
    [sym__ind_cod] = STATE(12),
    [sym__ind_cod_hed] = STATE(876),
    [sym__fen_cod] = STATE(12),
    [sym__fen_cod_hed] = STATE(875),
    [sym__htm_blk_scr] = STATE(12),
    [sym__htm_blk_scr_hed] = STATE(874),
    [sym__htm_blk_cmt] = STATE(12),
    [sym__htm_blk_cmt_hed] = STATE(873),
    [sym__htm_blk_prc] = STATE(12),
    [sym__htm_blk_prc_hed] = STATE(872),
    [sym__htm_blk_dcl] = STATE(12),
    [sym__htm_blk_dcl_hed] = STATE(870),
    [sym__htm_blk_cda] = STATE(12),
    [sym__htm_blk_cda_hed] = STATE(869),
    [sym__htm_blk_div] = STATE(12),
    [sym__htm_blk_div_hed] = STATE(868),
    [sym__htm_blk_cmp] = STATE(12),
    [sym__htm_blk_cmp_hed] = STATE(864),
    [sym__bqt] = STATE(12),
    [sym__bqt_hed] = STATE(860),
    [sym__tig_lst] = STATE(12),
    [sym__tig_lst_hed] = STATE(859),
    [sym__los_lst] = STATE(12),
    [sym__los_lst_hed] = STATE(858),
    [sym__tbl] = STATE(12),
    [sym__tbl_hed_row] = STATE(762),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym_document_repeat1] = STATE(12),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__bqt_end_mkr] = ACTIONS(174),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(176),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [16] = {
    [sym__blk_nod] = STATE(19),
    [sym__thm_brk] = STATE(19),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(19),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(19),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(19),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(19),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(19),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(19),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(19),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(19),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(19),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(19),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(19),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(19),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(19),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(19),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(19),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(19),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(19),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(19),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(178),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(180),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [17] = {
    [sym__blk_nod] = STATE(4),
    [sym__thm_brk] = STATE(4),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(4),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(4),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(4),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(4),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(4),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(4),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(4),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(4),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(4),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(4),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(4),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(4),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(4),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(4),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(4),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(4),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(4),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(4),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(178),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(180),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [18] = {
    [sym__blk_nod] = STATE(24),
    [sym__thm_brk] = STATE(24),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(24),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(24),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(24),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(24),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(24),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(24),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(24),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(24),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(24),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(24),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(24),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(24),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(24),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(24),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(24),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(24),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(24),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__los_lst_itm_hed_repeat1] = STATE(24),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(182),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(100),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [19] = {
    [sym__blk_nod] = STATE(4),
    [sym__thm_brk] = STATE(4),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(4),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(4),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(4),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(4),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(4),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(4),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(4),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(4),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(4),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(4),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(4),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(4),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(4),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(4),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(4),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(4),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(4),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(4),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(184),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(186),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [20] = {
    [sym__blk_nod] = STATE(18),
    [sym__thm_brk] = STATE(18),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(18),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(18),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(18),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(18),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(18),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(18),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(18),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(18),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(18),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(18),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(18),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(18),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(18),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(18),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(18),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(18),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(18),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__los_lst_itm_hed_repeat1] = STATE(18),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(188),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(190),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [21] = {
    [sym__blk_nod] = STATE(21),
    [sym__thm_brk] = STATE(21),
    [sym__thm_brk_hed] = STATE(916),
    [sym__pgh] = STATE(21),
    [sym__pgh_hed] = STATE(915),
    [sym__lnk_ref_def] = STATE(21),
    [sym__lnk_ref_def_hed] = STATE(914),
    [sym__stx] = STATE(21),
    [sym__stx_hed] = STATE(899),
    [sym__atx] = STATE(21),
    [sym__atx_hed] = STATE(898),
    [sym__ind_cod] = STATE(21),
    [sym__ind_cod_hed] = STATE(897),
    [sym__fen_cod] = STATE(21),
    [sym__fen_cod_hed] = STATE(886),
    [sym__htm_blk_scr] = STATE(21),
    [sym__htm_blk_scr_hed] = STATE(885),
    [sym__htm_blk_cmt] = STATE(21),
    [sym__htm_blk_cmt_hed] = STATE(884),
    [sym__htm_blk_prc] = STATE(21),
    [sym__htm_blk_prc_hed] = STATE(883),
    [sym__htm_blk_dcl] = STATE(21),
    [sym__htm_blk_dcl_hed] = STATE(882),
    [sym__htm_blk_cda] = STATE(21),
    [sym__htm_blk_cda_hed] = STATE(867),
    [sym__htm_blk_div] = STATE(21),
    [sym__htm_blk_div_hed] = STATE(866),
    [sym__htm_blk_cmp] = STATE(21),
    [sym__htm_blk_cmp_hed] = STATE(865),
    [sym__bqt] = STATE(21),
    [sym__bqt_hed] = STATE(854),
    [sym__tig_lst] = STATE(21),
    [sym__tig_lst_hed] = STATE(853),
    [sym__los_lst] = STATE(21),
    [sym__los_lst_hed] = STATE(852),
    [sym__tbl] = STATE(21),
    [sym__tbl_hed_row] = STATE(748),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym_document_repeat1] = STATE(21),
    [sym__eof] = ACTIONS(145),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(106),
    [sym__pgh_bgn_mkr] = ACTIONS(109),
    [sym__atx_bgn] = ACTIONS(112),
    [sym__ind_cod_bgn_mkr] = ACTIONS(115),
    [sym__fen_cod_bgn] = ACTIONS(118),
    [sym__htm_blk_scr_bgn] = ACTIONS(121),
    [sym__htm_blk_cmt_bgn] = ACTIONS(124),
    [sym__htm_blk_prc_bgn] = ACTIONS(127),
    [sym__htm_blk_dcl_bgn] = ACTIONS(130),
    [sym__htm_blk_cda_bgn] = ACTIONS(133),
    [sym__htm_blk_div_bgn] = ACTIONS(136),
    [sym__htm_blk_cmp_bgn] = ACTIONS(139),
    [sym__bqt_bgn] = ACTIONS(142),
    [sym__lst_bgn_mkr] = ACTIONS(147),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(150),
    [sym__bnk_lbk] = ACTIONS(192),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [22] = {
    [sym__blk_nod] = STATE(24),
    [sym__thm_brk] = STATE(24),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(24),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(24),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(24),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(24),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(24),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(24),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(24),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(24),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(24),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(24),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(24),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(24),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(24),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(24),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(24),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(24),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(24),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__los_lst_itm_hed_repeat1] = STATE(24),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(188),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(100),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [23] = {
    [sym__blk_nod] = STATE(6),
    [sym__thm_brk] = STATE(6),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(6),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(6),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(6),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(6),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(6),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(6),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(6),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(6),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(6),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(6),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(6),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(6),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(6),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(6),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(6),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(6),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(6),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__los_lst_itm_hed_repeat1] = STATE(6),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(195),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(197),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [24] = {
    [sym__blk_nod] = STATE(24),
    [sym__thm_brk] = STATE(24),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(24),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(24),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(24),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(24),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(24),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(24),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(24),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(24),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(24),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(24),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(24),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(24),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(24),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(24),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(24),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(24),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(24),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__los_lst_itm_hed_repeat1] = STATE(24),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(199),
    [sym__pgh_bgn_mkr] = ACTIONS(202),
    [sym__atx_bgn] = ACTIONS(205),
    [sym__ind_cod_bgn_mkr] = ACTIONS(208),
    [sym__fen_cod_bgn] = ACTIONS(211),
    [sym__htm_blk_scr_bgn] = ACTIONS(214),
    [sym__htm_blk_cmt_bgn] = ACTIONS(217),
    [sym__htm_blk_prc_bgn] = ACTIONS(220),
    [sym__htm_blk_dcl_bgn] = ACTIONS(223),
    [sym__htm_blk_cda_bgn] = ACTIONS(226),
    [sym__htm_blk_div_bgn] = ACTIONS(229),
    [sym__htm_blk_cmp_bgn] = ACTIONS(232),
    [sym__bqt_bgn] = ACTIONS(235),
    [sym__lst_bgn_mkr] = ACTIONS(238),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(241),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(243),
    [sym__bnk_lbk] = ACTIONS(246),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [25] = {
    [sym__blk_nod] = STATE(13),
    [sym__thm_brk] = STATE(13),
    [sym__thm_brk_hed] = STATE(834),
    [sym__pgh] = STATE(13),
    [sym__pgh_hed] = STATE(833),
    [sym__lnk_ref_def] = STATE(13),
    [sym__lnk_ref_def_hed] = STATE(830),
    [sym__stx] = STATE(13),
    [sym__stx_hed] = STATE(782),
    [sym__atx] = STATE(13),
    [sym__atx_hed] = STATE(826),
    [sym__ind_cod] = STATE(13),
    [sym__ind_cod_hed] = STATE(825),
    [sym__fen_cod] = STATE(13),
    [sym__fen_cod_hed] = STATE(824),
    [sym__htm_blk_scr] = STATE(13),
    [sym__htm_blk_scr_hed] = STATE(823),
    [sym__htm_blk_cmt] = STATE(13),
    [sym__htm_blk_cmt_hed] = STATE(822),
    [sym__htm_blk_prc] = STATE(13),
    [sym__htm_blk_prc_hed] = STATE(821),
    [sym__htm_blk_dcl] = STATE(13),
    [sym__htm_blk_dcl_hed] = STATE(820),
    [sym__htm_blk_cda] = STATE(13),
    [sym__htm_blk_cda_hed] = STATE(819),
    [sym__htm_blk_div] = STATE(13),
    [sym__htm_blk_div_hed] = STATE(818),
    [sym__htm_blk_cmp] = STATE(13),
    [sym__htm_blk_cmp_hed] = STATE(815),
    [sym__bqt] = STATE(13),
    [sym__bqt_hed] = STATE(783),
    [sym__tig_lst] = STATE(13),
    [sym__tig_lst_hed] = STATE(784),
    [sym__los_lst] = STATE(13),
    [sym__los_lst_hed] = STATE(785),
    [sym__tbl] = STATE(13),
    [sym__tbl_hed_row] = STATE(763),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__los_lst_itm_hed_repeat1] = STATE(13),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(182),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__bnk_lbk] = ACTIONS(249),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [26] = {
    [sym__blk_nod] = STATE(29),
    [sym__thm_brk] = STATE(29),
    [sym__thm_brk_hed] = STATE(798),
    [sym__pgh] = STATE(29),
    [sym__pgh_hed] = STATE(799),
    [sym__lnk_ref_def] = STATE(29),
    [sym__lnk_ref_def_hed] = STATE(800),
    [sym__stx] = STATE(29),
    [sym__stx_hed] = STATE(801),
    [sym__atx] = STATE(29),
    [sym__atx_hed] = STATE(802),
    [sym__ind_cod] = STATE(29),
    [sym__ind_cod_hed] = STATE(803),
    [sym__fen_cod] = STATE(29),
    [sym__fen_cod_hed] = STATE(804),
    [sym__htm_blk_scr] = STATE(29),
    [sym__htm_blk_scr_hed] = STATE(805),
    [sym__htm_blk_cmt] = STATE(29),
    [sym__htm_blk_cmt_hed] = STATE(806),
    [sym__htm_blk_prc] = STATE(29),
    [sym__htm_blk_prc_hed] = STATE(807),
    [sym__htm_blk_dcl] = STATE(29),
    [sym__htm_blk_dcl_hed] = STATE(808),
    [sym__htm_blk_cda] = STATE(29),
    [sym__htm_blk_cda_hed] = STATE(809),
    [sym__htm_blk_div] = STATE(29),
    [sym__htm_blk_div_hed] = STATE(810),
    [sym__htm_blk_cmp] = STATE(29),
    [sym__htm_blk_cmp_hed] = STATE(811),
    [sym__bqt] = STATE(29),
    [sym__bqt_hed] = STATE(812),
    [sym__tig_lst] = STATE(29),
    [sym__tig_lst_hed] = STATE(813),
    [sym__los_lst] = STATE(29),
    [sym__los_lst_hed] = STATE(814),
    [sym__tbl] = STATE(29),
    [sym__tbl_hed_row] = STATE(759),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(29),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(102),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [27] = {
    [sym__blk_nod] = STATE(30),
    [sym__thm_brk] = STATE(30),
    [sym__thm_brk_hed] = STATE(798),
    [sym__pgh] = STATE(30),
    [sym__pgh_hed] = STATE(799),
    [sym__lnk_ref_def] = STATE(30),
    [sym__lnk_ref_def_hed] = STATE(800),
    [sym__stx] = STATE(30),
    [sym__stx_hed] = STATE(801),
    [sym__atx] = STATE(30),
    [sym__atx_hed] = STATE(802),
    [sym__ind_cod] = STATE(30),
    [sym__ind_cod_hed] = STATE(803),
    [sym__fen_cod] = STATE(30),
    [sym__fen_cod_hed] = STATE(804),
    [sym__htm_blk_scr] = STATE(30),
    [sym__htm_blk_scr_hed] = STATE(805),
    [sym__htm_blk_cmt] = STATE(30),
    [sym__htm_blk_cmt_hed] = STATE(806),
    [sym__htm_blk_prc] = STATE(30),
    [sym__htm_blk_prc_hed] = STATE(807),
    [sym__htm_blk_dcl] = STATE(30),
    [sym__htm_blk_dcl_hed] = STATE(808),
    [sym__htm_blk_cda] = STATE(30),
    [sym__htm_blk_cda_hed] = STATE(809),
    [sym__htm_blk_div] = STATE(30),
    [sym__htm_blk_div_hed] = STATE(810),
    [sym__htm_blk_cmp] = STATE(30),
    [sym__htm_blk_cmp_hed] = STATE(811),
    [sym__bqt] = STATE(30),
    [sym__bqt_hed] = STATE(812),
    [sym__tig_lst] = STATE(30),
    [sym__tig_lst_hed] = STATE(813),
    [sym__los_lst] = STATE(30),
    [sym__los_lst_hed] = STATE(814),
    [sym__tbl] = STATE(30),
    [sym__tbl_hed_row] = STATE(759),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(30),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(178),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [28] = {
    [sym__blk_nod] = STATE(31),
    [sym__thm_brk] = STATE(31),
    [sym__thm_brk_hed] = STATE(798),
    [sym__pgh] = STATE(31),
    [sym__pgh_hed] = STATE(799),
    [sym__lnk_ref_def] = STATE(31),
    [sym__lnk_ref_def_hed] = STATE(800),
    [sym__stx] = STATE(31),
    [sym__stx_hed] = STATE(801),
    [sym__atx] = STATE(31),
    [sym__atx_hed] = STATE(802),
    [sym__ind_cod] = STATE(31),
    [sym__ind_cod_hed] = STATE(803),
    [sym__fen_cod] = STATE(31),
    [sym__fen_cod_hed] = STATE(804),
    [sym__htm_blk_scr] = STATE(31),
    [sym__htm_blk_scr_hed] = STATE(805),
    [sym__htm_blk_cmt] = STATE(31),
    [sym__htm_blk_cmt_hed] = STATE(806),
    [sym__htm_blk_prc] = STATE(31),
    [sym__htm_blk_prc_hed] = STATE(807),
    [sym__htm_blk_dcl] = STATE(31),
    [sym__htm_blk_dcl_hed] = STATE(808),
    [sym__htm_blk_cda] = STATE(31),
    [sym__htm_blk_cda_hed] = STATE(809),
    [sym__htm_blk_div] = STATE(31),
    [sym__htm_blk_div_hed] = STATE(810),
    [sym__htm_blk_cmp] = STATE(31),
    [sym__htm_blk_cmp_hed] = STATE(811),
    [sym__bqt] = STATE(31),
    [sym__bqt_hed] = STATE(812),
    [sym__tig_lst] = STATE(31),
    [sym__tig_lst_hed] = STATE(813),
    [sym__los_lst] = STATE(31),
    [sym__los_lst_hed] = STATE(814),
    [sym__tbl] = STATE(31),
    [sym__tbl_hed_row] = STATE(759),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(31),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(178),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [29] = {
    [sym__blk_nod] = STATE(31),
    [sym__thm_brk] = STATE(31),
    [sym__thm_brk_hed] = STATE(798),
    [sym__pgh] = STATE(31),
    [sym__pgh_hed] = STATE(799),
    [sym__lnk_ref_def] = STATE(31),
    [sym__lnk_ref_def_hed] = STATE(800),
    [sym__stx] = STATE(31),
    [sym__stx_hed] = STATE(801),
    [sym__atx] = STATE(31),
    [sym__atx_hed] = STATE(802),
    [sym__ind_cod] = STATE(31),
    [sym__ind_cod_hed] = STATE(803),
    [sym__fen_cod] = STATE(31),
    [sym__fen_cod_hed] = STATE(804),
    [sym__htm_blk_scr] = STATE(31),
    [sym__htm_blk_scr_hed] = STATE(805),
    [sym__htm_blk_cmt] = STATE(31),
    [sym__htm_blk_cmt_hed] = STATE(806),
    [sym__htm_blk_prc] = STATE(31),
    [sym__htm_blk_prc_hed] = STATE(807),
    [sym__htm_blk_dcl] = STATE(31),
    [sym__htm_blk_dcl_hed] = STATE(808),
    [sym__htm_blk_cda] = STATE(31),
    [sym__htm_blk_cda_hed] = STATE(809),
    [sym__htm_blk_div] = STATE(31),
    [sym__htm_blk_div_hed] = STATE(810),
    [sym__htm_blk_cmp] = STATE(31),
    [sym__htm_blk_cmp_hed] = STATE(811),
    [sym__bqt] = STATE(31),
    [sym__bqt_hed] = STATE(812),
    [sym__tig_lst] = STATE(31),
    [sym__tig_lst_hed] = STATE(813),
    [sym__los_lst] = STATE(31),
    [sym__los_lst_hed] = STATE(814),
    [sym__tbl] = STATE(31),
    [sym__tbl_hed_row] = STATE(759),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(31),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(94),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [30] = {
    [sym__blk_nod] = STATE(31),
    [sym__thm_brk] = STATE(31),
    [sym__thm_brk_hed] = STATE(798),
    [sym__pgh] = STATE(31),
    [sym__pgh_hed] = STATE(799),
    [sym__lnk_ref_def] = STATE(31),
    [sym__lnk_ref_def_hed] = STATE(800),
    [sym__stx] = STATE(31),
    [sym__stx_hed] = STATE(801),
    [sym__atx] = STATE(31),
    [sym__atx_hed] = STATE(802),
    [sym__ind_cod] = STATE(31),
    [sym__ind_cod_hed] = STATE(803),
    [sym__fen_cod] = STATE(31),
    [sym__fen_cod_hed] = STATE(804),
    [sym__htm_blk_scr] = STATE(31),
    [sym__htm_blk_scr_hed] = STATE(805),
    [sym__htm_blk_cmt] = STATE(31),
    [sym__htm_blk_cmt_hed] = STATE(806),
    [sym__htm_blk_prc] = STATE(31),
    [sym__htm_blk_prc_hed] = STATE(807),
    [sym__htm_blk_dcl] = STATE(31),
    [sym__htm_blk_dcl_hed] = STATE(808),
    [sym__htm_blk_cda] = STATE(31),
    [sym__htm_blk_cda_hed] = STATE(809),
    [sym__htm_blk_div] = STATE(31),
    [sym__htm_blk_div_hed] = STATE(810),
    [sym__htm_blk_cmp] = STATE(31),
    [sym__htm_blk_cmp_hed] = STATE(811),
    [sym__bqt] = STATE(31),
    [sym__bqt_hed] = STATE(812),
    [sym__tig_lst] = STATE(31),
    [sym__tig_lst_hed] = STATE(813),
    [sym__los_lst] = STATE(31),
    [sym__los_lst_hed] = STATE(814),
    [sym__tbl] = STATE(31),
    [sym__tbl_hed_row] = STATE(759),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(31),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(7),
    [sym__pgh_bgn_mkr] = ACTIONS(9),
    [sym__atx_bgn] = ACTIONS(11),
    [sym__ind_cod_bgn_mkr] = ACTIONS(13),
    [sym__fen_cod_bgn] = ACTIONS(15),
    [sym__htm_blk_scr_bgn] = ACTIONS(17),
    [sym__htm_blk_cmt_bgn] = ACTIONS(19),
    [sym__htm_blk_prc_bgn] = ACTIONS(21),
    [sym__htm_blk_dcl_bgn] = ACTIONS(23),
    [sym__htm_blk_cda_bgn] = ACTIONS(25),
    [sym__htm_blk_div_bgn] = ACTIONS(27),
    [sym__htm_blk_cmp_bgn] = ACTIONS(29),
    [sym__bqt_bgn] = ACTIONS(31),
    [sym__lst_bgn_mkr] = ACTIONS(33),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(184),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(35),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [31] = {
    [sym__blk_nod] = STATE(31),
    [sym__thm_brk] = STATE(31),
    [sym__thm_brk_hed] = STATE(798),
    [sym__pgh] = STATE(31),
    [sym__pgh_hed] = STATE(799),
    [sym__lnk_ref_def] = STATE(31),
    [sym__lnk_ref_def_hed] = STATE(800),
    [sym__stx] = STATE(31),
    [sym__stx_hed] = STATE(801),
    [sym__atx] = STATE(31),
    [sym__atx_hed] = STATE(802),
    [sym__ind_cod] = STATE(31),
    [sym__ind_cod_hed] = STATE(803),
    [sym__fen_cod] = STATE(31),
    [sym__fen_cod_hed] = STATE(804),
    [sym__htm_blk_scr] = STATE(31),
    [sym__htm_blk_scr_hed] = STATE(805),
    [sym__htm_blk_cmt] = STATE(31),
    [sym__htm_blk_cmt_hed] = STATE(806),
    [sym__htm_blk_prc] = STATE(31),
    [sym__htm_blk_prc_hed] = STATE(807),
    [sym__htm_blk_dcl] = STATE(31),
    [sym__htm_blk_dcl_hed] = STATE(808),
    [sym__htm_blk_cda] = STATE(31),
    [sym__htm_blk_cda_hed] = STATE(809),
    [sym__htm_blk_div] = STATE(31),
    [sym__htm_blk_div_hed] = STATE(810),
    [sym__htm_blk_cmp] = STATE(31),
    [sym__htm_blk_cmp_hed] = STATE(811),
    [sym__bqt] = STATE(31),
    [sym__bqt_hed] = STATE(812),
    [sym__tig_lst] = STATE(31),
    [sym__tig_lst_hed] = STATE(813),
    [sym__los_lst] = STATE(31),
    [sym__los_lst_hed] = STATE(814),
    [sym__tbl] = STATE(31),
    [sym__tbl_hed_row] = STATE(759),
    [sym__tbl_hed_row_hed] = STATE(850),
    [aux_sym__tig_lst_itm_hed_repeat1] = STATE(31),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(47),
    [sym__pgh_bgn_mkr] = ACTIONS(50),
    [sym__atx_bgn] = ACTIONS(53),
    [sym__ind_cod_bgn_mkr] = ACTIONS(56),
    [sym__fen_cod_bgn] = ACTIONS(59),
    [sym__htm_blk_scr_bgn] = ACTIONS(62),
    [sym__htm_blk_cmt_bgn] = ACTIONS(65),
    [sym__htm_blk_prc_bgn] = ACTIONS(68),
    [sym__htm_blk_dcl_bgn] = ACTIONS(71),
    [sym__htm_blk_cda_bgn] = ACTIONS(74),
    [sym__htm_blk_div_bgn] = ACTIONS(77),
    [sym__htm_blk_cmp_bgn] = ACTIONS(80),
    [sym__bqt_bgn] = ACTIONS(83),
    [sym__lst_bgn_mkr] = ACTIONS(86),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(89),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(91),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [32] = {
    [sym__chk_box_pgh_ctn] = STATE(837),
    [sym__chk_box_lik_stx_ctn] = STATE(929),
    [sym__inl_nod] = STATE(293),
    [sym__inl_txt] = STATE(293),
    [sym__inl_lbk] = STATE(293),
    [sym__emp] = STATE(293),
    [sym__stg] = STATE(293),
    [sym__del] = STATE(293),
    [sym__lnk] = STATE(293),
    [sym__img] = STATE(293),
    [sym__ext_www_aut_lnk] = STATE(293),
    [sym__ext_www_aut_lnk_hed] = STATE(788),
    [sym__ext_url_aut_lnk] = STATE(293),
    [sym__ext_url_aut_lnk_hed] = STATE(787),
    [sym__ext_eml_aut_lnk] = STATE(293),
    [sym__ext_eml_aut_lnk_hed] = STATE(786),
    [sym__uri_aut_lnk] = STATE(293),
    [sym__eml_aut_lnk] = STATE(293),
    [sym__cod_spn] = STATE(293),
    [sym__htm_opn_tag] = STATE(293),
    [sym__htm_slf_cls_tag] = STATE(293),
    [sym__htm_opn_tag_hed] = STATE(773),
    [sym__htm_cls_tag] = STATE(293),
    [sym__htm_cmt] = STATE(293),
    [sym__htm_prc] = STATE(293),
    [sym__htm_dcl] = STATE(293),
    [sym__htm_cda] = STATE(293),
    [aux_sym__pgh_hed_repeat1] = STATE(66),
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(251),
    [sym__bsl_esc] = ACTIONS(253),
    [sym__chr_ref] = ACTIONS(253),
    [sym__emp_bgn] = ACTIONS(255),
    [sym__stg_bgn] = ACTIONS(257),
    [sym__del_bgn] = ACTIONS(259),
    [sym__img_bgn] = ACTIONS(261),
    [sym__lnk_bgn] = ACTIONS(263),
    [sym__lnk_ref_def_bgn] = ACTIONS(265),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(273),
    [sym__eml_aut_lnk_bgn] = ACTIONS(275),
    [sym__cod_spn_bgn] = ACTIONS(277),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(281),
    [sym__htm_dcl_bgn] = ACTIONS(283),
    [sym__htm_cmt_bgn] = ACTIONS(285),
    [sym__htm_prc_bgn] = ACTIONS(287),
    [sym__htm_cda_bgn] = ACTIONS(289),
    [sym__lst_chk_box] = ACTIONS(291),
    [sym__hrd_lbk] = ACTIONS(253),
    [sym__sft_lbk] = ACTIONS(253),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(253),
  },
  [33] = {
    [sym__chk_box_pgh_ctn] = STATE(928),
    [sym__chk_box_lik_stx_ctn] = STATE(929),
    [sym__inl_nod] = STATE(293),
    [sym__inl_txt] = STATE(293),
    [sym__inl_lbk] = STATE(293),
    [sym__emp] = STATE(293),
    [sym__stg] = STATE(293),
    [sym__del] = STATE(293),
    [sym__lnk] = STATE(293),
    [sym__img] = STATE(293),
    [sym__ext_www_aut_lnk] = STATE(293),
    [sym__ext_www_aut_lnk_hed] = STATE(788),
    [sym__ext_url_aut_lnk] = STATE(293),
    [sym__ext_url_aut_lnk_hed] = STATE(787),
    [sym__ext_eml_aut_lnk] = STATE(293),
    [sym__ext_eml_aut_lnk_hed] = STATE(786),
    [sym__uri_aut_lnk] = STATE(293),
    [sym__eml_aut_lnk] = STATE(293),
    [sym__cod_spn] = STATE(293),
    [sym__htm_opn_tag] = STATE(293),
    [sym__htm_slf_cls_tag] = STATE(293),
    [sym__htm_opn_tag_hed] = STATE(773),
    [sym__htm_cls_tag] = STATE(293),
    [sym__htm_cmt] = STATE(293),
    [sym__htm_prc] = STATE(293),
    [sym__htm_dcl] = STATE(293),
    [sym__htm_cda] = STATE(293),
    [aux_sym__pgh_hed_repeat1] = STATE(66),
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(251),
    [sym__bsl_esc] = ACTIONS(253),
    [sym__chr_ref] = ACTIONS(253),
    [sym__emp_bgn] = ACTIONS(255),
    [sym__stg_bgn] = ACTIONS(257),
    [sym__del_bgn] = ACTIONS(259),
    [sym__img_bgn] = ACTIONS(261),
    [sym__lnk_bgn] = ACTIONS(263),
    [sym__lnk_ref_def_bgn] = ACTIONS(265),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(273),
    [sym__eml_aut_lnk_bgn] = ACTIONS(275),
    [sym__cod_spn_bgn] = ACTIONS(277),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(281),
    [sym__htm_dcl_bgn] = ACTIONS(283),
    [sym__htm_cmt_bgn] = ACTIONS(285),
    [sym__htm_prc_bgn] = ACTIONS(287),
    [sym__htm_cda_bgn] = ACTIONS(289),
    [sym__lst_chk_box] = ACTIONS(291),
    [sym__hrd_lbk] = ACTIONS(253),
    [sym__sft_lbk] = ACTIONS(253),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(253),
  },
  [34] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(223),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(305),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [35] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(377),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(40),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(323),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [36] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(170),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(325),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [37] = {
    [sym__inl_nod] = STATE(293),
    [sym__inl_txt] = STATE(293),
    [sym__inl_lbk] = STATE(293),
    [sym__emp] = STATE(293),
    [sym__stg] = STATE(293),
    [sym__del] = STATE(293),
    [sym__lnk] = STATE(293),
    [sym__img] = STATE(293),
    [sym__ext_www_aut_lnk] = STATE(293),
    [sym__ext_www_aut_lnk_hed] = STATE(788),
    [sym__ext_url_aut_lnk] = STATE(293),
    [sym__ext_url_aut_lnk_hed] = STATE(787),
    [sym__ext_eml_aut_lnk] = STATE(293),
    [sym__ext_eml_aut_lnk_hed] = STATE(786),
    [sym__uri_aut_lnk] = STATE(293),
    [sym__eml_aut_lnk] = STATE(293),
    [sym__cod_spn] = STATE(293),
    [sym__htm_opn_tag] = STATE(293),
    [sym__htm_slf_cls_tag] = STATE(293),
    [sym__htm_opn_tag_hed] = STATE(773),
    [sym__htm_cls_tag] = STATE(293),
    [sym__htm_cmt] = STATE(293),
    [sym__htm_prc] = STATE(293),
    [sym__htm_dcl] = STATE(293),
    [sym__htm_cda] = STATE(293),
    [aux_sym__pgh_hed_repeat1] = STATE(66),
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(251),
    [sym__bsl_esc] = ACTIONS(253),
    [sym__chr_ref] = ACTIONS(253),
    [sym__emp_bgn] = ACTIONS(255),
    [sym__stg_bgn] = ACTIONS(257),
    [sym__del_bgn] = ACTIONS(259),
    [sym__img_bgn] = ACTIONS(261),
    [sym__lnk_bgn] = ACTIONS(263),
    [sym__lnk_ref_def_bgn] = ACTIONS(265),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(273),
    [sym__eml_aut_lnk_bgn] = ACTIONS(275),
    [sym__cod_spn_bgn] = ACTIONS(277),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(281),
    [sym__htm_dcl_bgn] = ACTIONS(283),
    [sym__htm_cmt_bgn] = ACTIONS(285),
    [sym__htm_prc_bgn] = ACTIONS(287),
    [sym__htm_cda_bgn] = ACTIONS(289),
    [sym__hrd_lbk] = ACTIONS(253),
    [sym__sft_lbk] = ACTIONS(253),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(253),
  },
  [38] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(158),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(62),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(327),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [39] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(174),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(325),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [40] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(345),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(323),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [41] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(275),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(55),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(305),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [42] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(231),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(45),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(329),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [43] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(230),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(48),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(329),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [44] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(142),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(34),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(305),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [45] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(190),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(329),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [46] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(291),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(53),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(331),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [47] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(292),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(51),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(331),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [48] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(191),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(329),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [49] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(176),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(36),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(325),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [50] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(169),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(39),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(325),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [51] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(257),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(331),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [52] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(359),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(58),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(333),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [53] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(248),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(331),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [54] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(375),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(61),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(323),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [55] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(226),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(305),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [56] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(361),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(59),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(333),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [57] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(269),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(60),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(327),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [58] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(382),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(333),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [59] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(383),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(333),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [60] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(310),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(327),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [61] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(344),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(323),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [62] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__lnk_tal] = STATE(311),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(293),
    [sym__chr_ref] = ACTIONS(293),
    [sym__emp_bgn] = ACTIONS(295),
    [sym__stg_bgn] = ACTIONS(297),
    [sym__del_bgn] = ACTIONS(299),
    [sym__img_bgn] = ACTIONS(301),
    [sym__lnk_bgn] = ACTIONS(303),
    [sym__lnk_end] = ACTIONS(327),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(307),
    [sym__eml_aut_lnk_bgn] = ACTIONS(309),
    [sym__cod_spn_bgn] = ACTIONS(311),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(313),
    [sym__htm_dcl_bgn] = ACTIONS(315),
    [sym__htm_cmt_bgn] = ACTIONS(317),
    [sym__htm_prc_bgn] = ACTIONS(319),
    [sym__htm_cda_bgn] = ACTIONS(321),
    [sym__hrd_lbk] = ACTIONS(293),
    [sym__sft_lbk] = ACTIONS(293),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(293),
  },
  [63] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(70),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(343),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [64] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(68),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(369),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [65] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(79),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(395),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [66] = {
    [sym__inl_nod] = STATE(293),
    [sym__inl_txt] = STATE(293),
    [sym__inl_lbk] = STATE(293),
    [sym__emp] = STATE(293),
    [sym__stg] = STATE(293),
    [sym__del] = STATE(293),
    [sym__lnk] = STATE(293),
    [sym__img] = STATE(293),
    [sym__ext_www_aut_lnk] = STATE(293),
    [sym__ext_www_aut_lnk_hed] = STATE(788),
    [sym__ext_url_aut_lnk] = STATE(293),
    [sym__ext_url_aut_lnk_hed] = STATE(787),
    [sym__ext_eml_aut_lnk] = STATE(293),
    [sym__ext_eml_aut_lnk_hed] = STATE(786),
    [sym__uri_aut_lnk] = STATE(293),
    [sym__eml_aut_lnk] = STATE(293),
    [sym__cod_spn] = STATE(293),
    [sym__htm_opn_tag] = STATE(293),
    [sym__htm_slf_cls_tag] = STATE(293),
    [sym__htm_opn_tag_hed] = STATE(773),
    [sym__htm_cls_tag] = STATE(293),
    [sym__htm_cmt] = STATE(293),
    [sym__htm_prc] = STATE(293),
    [sym__htm_dcl] = STATE(293),
    [sym__htm_cda] = STATE(293),
    [aux_sym__pgh_hed_repeat1] = STATE(71),
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(397),
    [sym__bsl_esc] = ACTIONS(253),
    [sym__chr_ref] = ACTIONS(253),
    [sym__emp_bgn] = ACTIONS(255),
    [sym__stg_bgn] = ACTIONS(257),
    [sym__del_bgn] = ACTIONS(259),
    [sym__img_bgn] = ACTIONS(261),
    [sym__lnk_bgn] = ACTIONS(263),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(273),
    [sym__eml_aut_lnk_bgn] = ACTIONS(275),
    [sym__cod_spn_bgn] = ACTIONS(277),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(281),
    [sym__htm_dcl_bgn] = ACTIONS(283),
    [sym__htm_cmt_bgn] = ACTIONS(285),
    [sym__htm_prc_bgn] = ACTIONS(287),
    [sym__htm_cda_bgn] = ACTIONS(289),
    [sym__hrd_lbk] = ACTIONS(253),
    [sym__sft_lbk] = ACTIONS(253),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(253),
  },
  [67] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(77),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(405),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [68] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(69),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(429),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [69] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(69),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(431),
    [sym__chr_ref] = ACTIONS(431),
    [sym__emp_bgn] = ACTIONS(434),
    [sym__emp_end] = ACTIONS(437),
    [sym__stg_bgn] = ACTIONS(439),
    [sym__del_bgn] = ACTIONS(442),
    [sym__img_bgn] = ACTIONS(445),
    [sym__lnk_bgn] = ACTIONS(448),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(451),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(454),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(457),
    [sym__uri_aut_lnk_bgn] = ACTIONS(460),
    [sym__eml_aut_lnk_bgn] = ACTIONS(463),
    [sym__cod_spn_bgn] = ACTIONS(466),
    [sym__htm_opn_tag_bgn] = ACTIONS(469),
    [sym__htm_cls_tag_bgn] = ACTIONS(472),
    [sym__htm_dcl_bgn] = ACTIONS(475),
    [sym__htm_cmt_bgn] = ACTIONS(478),
    [sym__htm_prc_bgn] = ACTIONS(481),
    [sym__htm_cda_bgn] = ACTIONS(484),
    [sym__hrd_lbk] = ACTIONS(431),
    [sym__sft_lbk] = ACTIONS(431),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(431),
  },
  [70] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(70),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(487),
    [sym__chr_ref] = ACTIONS(487),
    [sym__emp_bgn] = ACTIONS(490),
    [sym__stg_bgn] = ACTIONS(493),
    [sym__del_bgn] = ACTIONS(496),
    [sym__del_end] = ACTIONS(437),
    [sym__img_bgn] = ACTIONS(499),
    [sym__lnk_bgn] = ACTIONS(502),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(451),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(454),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(457),
    [sym__uri_aut_lnk_bgn] = ACTIONS(505),
    [sym__eml_aut_lnk_bgn] = ACTIONS(508),
    [sym__cod_spn_bgn] = ACTIONS(511),
    [sym__htm_opn_tag_bgn] = ACTIONS(469),
    [sym__htm_cls_tag_bgn] = ACTIONS(514),
    [sym__htm_dcl_bgn] = ACTIONS(517),
    [sym__htm_cmt_bgn] = ACTIONS(520),
    [sym__htm_prc_bgn] = ACTIONS(523),
    [sym__htm_cda_bgn] = ACTIONS(526),
    [sym__hrd_lbk] = ACTIONS(487),
    [sym__sft_lbk] = ACTIONS(487),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(487),
  },
  [71] = {
    [sym__inl_nod] = STATE(293),
    [sym__inl_txt] = STATE(293),
    [sym__inl_lbk] = STATE(293),
    [sym__emp] = STATE(293),
    [sym__stg] = STATE(293),
    [sym__del] = STATE(293),
    [sym__lnk] = STATE(293),
    [sym__img] = STATE(293),
    [sym__ext_www_aut_lnk] = STATE(293),
    [sym__ext_www_aut_lnk_hed] = STATE(788),
    [sym__ext_url_aut_lnk] = STATE(293),
    [sym__ext_url_aut_lnk_hed] = STATE(787),
    [sym__ext_eml_aut_lnk] = STATE(293),
    [sym__ext_eml_aut_lnk_hed] = STATE(786),
    [sym__uri_aut_lnk] = STATE(293),
    [sym__eml_aut_lnk] = STATE(293),
    [sym__cod_spn] = STATE(293),
    [sym__htm_opn_tag] = STATE(293),
    [sym__htm_slf_cls_tag] = STATE(293),
    [sym__htm_opn_tag_hed] = STATE(773),
    [sym__htm_cls_tag] = STATE(293),
    [sym__htm_cmt] = STATE(293),
    [sym__htm_prc] = STATE(293),
    [sym__htm_dcl] = STATE(293),
    [sym__htm_cda] = STATE(293),
    [aux_sym__pgh_hed_repeat1] = STATE(71),
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(437),
    [sym__bsl_esc] = ACTIONS(529),
    [sym__chr_ref] = ACTIONS(529),
    [sym__emp_bgn] = ACTIONS(532),
    [sym__stg_bgn] = ACTIONS(535),
    [sym__del_bgn] = ACTIONS(538),
    [sym__img_bgn] = ACTIONS(541),
    [sym__lnk_bgn] = ACTIONS(544),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(451),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(454),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(457),
    [sym__uri_aut_lnk_bgn] = ACTIONS(547),
    [sym__eml_aut_lnk_bgn] = ACTIONS(550),
    [sym__cod_spn_bgn] = ACTIONS(553),
    [sym__htm_opn_tag_bgn] = ACTIONS(469),
    [sym__htm_cls_tag_bgn] = ACTIONS(556),
    [sym__htm_dcl_bgn] = ACTIONS(559),
    [sym__htm_cmt_bgn] = ACTIONS(562),
    [sym__htm_prc_bgn] = ACTIONS(565),
    [sym__htm_cda_bgn] = ACTIONS(568),
    [sym__hrd_lbk] = ACTIONS(529),
    [sym__sft_lbk] = ACTIONS(529),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(529),
  },
  [72] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(70),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(571),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [73] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(77),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(573),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [74] = {
    [sym__inl_nod] = STATE(173),
    [sym__inl_txt] = STATE(173),
    [sym__inl_lbk] = STATE(173),
    [sym__emp] = STATE(173),
    [sym__stg] = STATE(173),
    [sym__del] = STATE(173),
    [sym__lnk] = STATE(173),
    [sym__img] = STATE(173),
    [sym__ext_www_aut_lnk] = STATE(173),
    [sym__ext_www_aut_lnk_hed] = STATE(925),
    [sym__ext_url_aut_lnk] = STATE(173),
    [sym__ext_url_aut_lnk_hed] = STATE(926),
    [sym__ext_eml_aut_lnk] = STATE(173),
    [sym__ext_eml_aut_lnk_hed] = STATE(927),
    [sym__uri_aut_lnk] = STATE(173),
    [sym__eml_aut_lnk] = STATE(173),
    [sym__cod_spn] = STATE(173),
    [sym__htm_opn_tag] = STATE(173),
    [sym__htm_slf_cls_tag] = STATE(173),
    [sym__htm_opn_tag_hed] = STATE(767),
    [sym__htm_cls_tag] = STATE(173),
    [sym__htm_cmt] = STATE(173),
    [sym__htm_prc] = STATE(173),
    [sym__htm_dcl] = STATE(173),
    [sym__htm_cda] = STATE(173),
    [aux_sym__pgh_hed_repeat1] = STATE(74),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(575),
    [sym__chr_ref] = ACTIONS(575),
    [sym__emp_bgn] = ACTIONS(578),
    [sym__stg_bgn] = ACTIONS(581),
    [sym__del_bgn] = ACTIONS(584),
    [sym__img_bgn] = ACTIONS(587),
    [sym__lnk_bgn] = ACTIONS(590),
    [sym__lnk_end] = ACTIONS(437),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(451),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(454),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(457),
    [sym__uri_aut_lnk_bgn] = ACTIONS(593),
    [sym__eml_aut_lnk_bgn] = ACTIONS(596),
    [sym__cod_spn_bgn] = ACTIONS(599),
    [sym__htm_opn_tag_bgn] = ACTIONS(469),
    [sym__htm_cls_tag_bgn] = ACTIONS(602),
    [sym__htm_dcl_bgn] = ACTIONS(605),
    [sym__htm_cmt_bgn] = ACTIONS(608),
    [sym__htm_prc_bgn] = ACTIONS(611),
    [sym__htm_cda_bgn] = ACTIONS(614),
    [sym__hrd_lbk] = ACTIONS(575),
    [sym__sft_lbk] = ACTIONS(575),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(575),
  },
  [75] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(69),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(617),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [76] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(72),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(619),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [77] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(77),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(621),
    [sym__chr_ref] = ACTIONS(621),
    [sym__emp_bgn] = ACTIONS(624),
    [sym__stg_bgn] = ACTIONS(627),
    [sym__stg_end] = ACTIONS(437),
    [sym__del_bgn] = ACTIONS(630),
    [sym__img_bgn] = ACTIONS(633),
    [sym__lnk_bgn] = ACTIONS(636),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(451),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(454),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(457),
    [sym__uri_aut_lnk_bgn] = ACTIONS(639),
    [sym__eml_aut_lnk_bgn] = ACTIONS(642),
    [sym__cod_spn_bgn] = ACTIONS(645),
    [sym__htm_opn_tag_bgn] = ACTIONS(469),
    [sym__htm_cls_tag_bgn] = ACTIONS(648),
    [sym__htm_dcl_bgn] = ACTIONS(651),
    [sym__htm_cmt_bgn] = ACTIONS(654),
    [sym__htm_prc_bgn] = ACTIONS(657),
    [sym__htm_cda_bgn] = ACTIONS(660),
    [sym__hrd_lbk] = ACTIONS(621),
    [sym__sft_lbk] = ACTIONS(621),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(621),
  },
  [78] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(83),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(663),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [79] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(69),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(665),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [80] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(77),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(667),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [81] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(63),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(669),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [82] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(73),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(671),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [83] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(70),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(673),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [84] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(75),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(675),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [85] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(92),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(677),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [86] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(93),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(679),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [87] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(67),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(681),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [88] = {
    [sym__inl_nod] = STATE(293),
    [sym__inl_txt] = STATE(293),
    [sym__inl_lbk] = STATE(293),
    [sym__emp] = STATE(293),
    [sym__stg] = STATE(293),
    [sym__del] = STATE(293),
    [sym__lnk] = STATE(293),
    [sym__img] = STATE(293),
    [sym__ext_www_aut_lnk] = STATE(293),
    [sym__ext_www_aut_lnk_hed] = STATE(788),
    [sym__ext_url_aut_lnk] = STATE(293),
    [sym__ext_url_aut_lnk_hed] = STATE(787),
    [sym__ext_eml_aut_lnk] = STATE(293),
    [sym__ext_eml_aut_lnk_hed] = STATE(786),
    [sym__uri_aut_lnk] = STATE(293),
    [sym__eml_aut_lnk] = STATE(293),
    [sym__cod_spn] = STATE(293),
    [sym__htm_opn_tag] = STATE(293),
    [sym__htm_slf_cls_tag] = STATE(293),
    [sym__htm_opn_tag_hed] = STATE(773),
    [sym__htm_cls_tag] = STATE(293),
    [sym__htm_cmt] = STATE(293),
    [sym__htm_prc] = STATE(293),
    [sym__htm_dcl] = STATE(293),
    [sym__htm_cda] = STATE(293),
    [aux_sym__pgh_hed_repeat1] = STATE(99),
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(683),
    [sym__bsl_esc] = ACTIONS(253),
    [sym__chr_ref] = ACTIONS(253),
    [sym__emp_bgn] = ACTIONS(255),
    [sym__stg_bgn] = ACTIONS(257),
    [sym__del_bgn] = ACTIONS(259),
    [sym__img_bgn] = ACTIONS(261),
    [sym__lnk_bgn] = ACTIONS(263),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(273),
    [sym__eml_aut_lnk_bgn] = ACTIONS(275),
    [sym__cod_spn_bgn] = ACTIONS(277),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(281),
    [sym__htm_dcl_bgn] = ACTIONS(283),
    [sym__htm_cmt_bgn] = ACTIONS(285),
    [sym__htm_prc_bgn] = ACTIONS(287),
    [sym__htm_cda_bgn] = ACTIONS(289),
    [sym__hrd_lbk] = ACTIONS(253),
    [sym__sft_lbk] = ACTIONS(253),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(253),
  },
  [89] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(70),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(686),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [90] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(77),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(688),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [91] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(97),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(690),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [92] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(69),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(692),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [93] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(77),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(694),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [94] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(89),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(696),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [95] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(90),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(698),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [96] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(102),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(700),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [97] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(70),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(702),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [98] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(105),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(704),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [99] = {
    [sym__inl_nod] = STATE(293),
    [sym__inl_txt] = STATE(293),
    [sym__inl_lbk] = STATE(293),
    [sym__emp] = STATE(293),
    [sym__stg] = STATE(293),
    [sym__del] = STATE(293),
    [sym__lnk] = STATE(293),
    [sym__img] = STATE(293),
    [sym__ext_www_aut_lnk] = STATE(293),
    [sym__ext_www_aut_lnk_hed] = STATE(788),
    [sym__ext_url_aut_lnk] = STATE(293),
    [sym__ext_url_aut_lnk_hed] = STATE(787),
    [sym__ext_eml_aut_lnk] = STATE(293),
    [sym__ext_eml_aut_lnk_hed] = STATE(786),
    [sym__uri_aut_lnk] = STATE(293),
    [sym__eml_aut_lnk] = STATE(293),
    [sym__cod_spn] = STATE(293),
    [sym__htm_opn_tag] = STATE(293),
    [sym__htm_slf_cls_tag] = STATE(293),
    [sym__htm_opn_tag_hed] = STATE(773),
    [sym__htm_cls_tag] = STATE(293),
    [sym__htm_cmt] = STATE(293),
    [sym__htm_prc] = STATE(293),
    [sym__htm_dcl] = STATE(293),
    [sym__htm_cda] = STATE(293),
    [aux_sym__pgh_hed_repeat1] = STATE(71),
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(706),
    [sym__bsl_esc] = ACTIONS(253),
    [sym__chr_ref] = ACTIONS(253),
    [sym__emp_bgn] = ACTIONS(255),
    [sym__stg_bgn] = ACTIONS(257),
    [sym__del_bgn] = ACTIONS(259),
    [sym__img_bgn] = ACTIONS(261),
    [sym__lnk_bgn] = ACTIONS(263),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(273),
    [sym__eml_aut_lnk_bgn] = ACTIONS(275),
    [sym__cod_spn_bgn] = ACTIONS(277),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(281),
    [sym__htm_dcl_bgn] = ACTIONS(283),
    [sym__htm_cmt_bgn] = ACTIONS(285),
    [sym__htm_prc_bgn] = ACTIONS(287),
    [sym__htm_cda_bgn] = ACTIONS(289),
    [sym__hrd_lbk] = ACTIONS(253),
    [sym__sft_lbk] = ACTIONS(253),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(253),
  },
  [100] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(70),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(709),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [101] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(106),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(711),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [102] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(69),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(713),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [103] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(80),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(715),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [104] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(107),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(717),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [105] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(69),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(719),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [106] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(77),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(721),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [107] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(70),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(723),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [108] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(111),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(725),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [109] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(112),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(727),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [110] = {
    [sym__inl_nod] = STATE(297),
    [sym__inl_txt] = STATE(297),
    [sym__inl_lbk] = STATE(297),
    [sym__emp] = STATE(297),
    [sym__stg] = STATE(297),
    [sym__del] = STATE(297),
    [sym__lnk] = STATE(297),
    [sym__img] = STATE(297),
    [sym__ext_www_aut_lnk] = STATE(297),
    [sym__ext_www_aut_lnk_hed] = STATE(893),
    [sym__ext_url_aut_lnk] = STATE(297),
    [sym__ext_url_aut_lnk_hed] = STATE(894),
    [sym__ext_eml_aut_lnk] = STATE(297),
    [sym__ext_eml_aut_lnk_hed] = STATE(895),
    [sym__uri_aut_lnk] = STATE(297),
    [sym__eml_aut_lnk] = STATE(297),
    [sym__cod_spn] = STATE(297),
    [sym__htm_opn_tag] = STATE(297),
    [sym__htm_slf_cls_tag] = STATE(297),
    [sym__htm_opn_tag_hed] = STATE(779),
    [sym__htm_cls_tag] = STATE(297),
    [sym__htm_cmt] = STATE(297),
    [sym__htm_prc] = STATE(297),
    [sym__htm_dcl] = STATE(297),
    [sym__htm_cda] = STATE(297),
    [aux_sym__pgh_hed_repeat1] = STATE(100),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(335),
    [sym__chr_ref] = ACTIONS(335),
    [sym__emp_bgn] = ACTIONS(337),
    [sym__stg_bgn] = ACTIONS(339),
    [sym__del_bgn] = ACTIONS(341),
    [sym__del_end] = ACTIONS(729),
    [sym__img_bgn] = ACTIONS(345),
    [sym__lnk_bgn] = ACTIONS(347),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(349),
    [sym__eml_aut_lnk_bgn] = ACTIONS(351),
    [sym__cod_spn_bgn] = ACTIONS(353),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(355),
    [sym__htm_dcl_bgn] = ACTIONS(357),
    [sym__htm_cmt_bgn] = ACTIONS(359),
    [sym__htm_prc_bgn] = ACTIONS(361),
    [sym__htm_cda_bgn] = ACTIONS(363),
    [sym__hrd_lbk] = ACTIONS(335),
    [sym__sft_lbk] = ACTIONS(335),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(335),
  },
  [111] = {
    [sym__inl_nod] = STATE(324),
    [sym__inl_txt] = STATE(324),
    [sym__inl_lbk] = STATE(324),
    [sym__emp] = STATE(324),
    [sym__stg] = STATE(324),
    [sym__del] = STATE(324),
    [sym__lnk] = STATE(324),
    [sym__img] = STATE(324),
    [sym__ext_www_aut_lnk] = STATE(324),
    [sym__ext_www_aut_lnk_hed] = STATE(827),
    [sym__ext_url_aut_lnk] = STATE(324),
    [sym__ext_url_aut_lnk_hed] = STATE(828),
    [sym__ext_eml_aut_lnk] = STATE(324),
    [sym__ext_eml_aut_lnk_hed] = STATE(829),
    [sym__uri_aut_lnk] = STATE(324),
    [sym__eml_aut_lnk] = STATE(324),
    [sym__cod_spn] = STATE(324),
    [sym__htm_opn_tag] = STATE(324),
    [sym__htm_slf_cls_tag] = STATE(324),
    [sym__htm_opn_tag_hed] = STATE(781),
    [sym__htm_cls_tag] = STATE(324),
    [sym__htm_cmt] = STATE(324),
    [sym__htm_prc] = STATE(324),
    [sym__htm_dcl] = STATE(324),
    [sym__htm_cda] = STATE(324),
    [aux_sym__pgh_hed_repeat1] = STATE(69),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(365),
    [sym__chr_ref] = ACTIONS(365),
    [sym__emp_bgn] = ACTIONS(367),
    [sym__emp_end] = ACTIONS(731),
    [sym__stg_bgn] = ACTIONS(371),
    [sym__del_bgn] = ACTIONS(373),
    [sym__img_bgn] = ACTIONS(375),
    [sym__lnk_bgn] = ACTIONS(377),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(379),
    [sym__eml_aut_lnk_bgn] = ACTIONS(381),
    [sym__cod_spn_bgn] = ACTIONS(383),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(385),
    [sym__htm_dcl_bgn] = ACTIONS(387),
    [sym__htm_cmt_bgn] = ACTIONS(389),
    [sym__htm_prc_bgn] = ACTIONS(391),
    [sym__htm_cda_bgn] = ACTIONS(393),
    [sym__hrd_lbk] = ACTIONS(365),
    [sym__sft_lbk] = ACTIONS(365),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(365),
  },
  [112] = {
    [sym__inl_nod] = STATE(306),
    [sym__inl_txt] = STATE(306),
    [sym__inl_lbk] = STATE(306),
    [sym__emp] = STATE(306),
    [sym__stg] = STATE(306),
    [sym__del] = STATE(306),
    [sym__lnk] = STATE(306),
    [sym__img] = STATE(306),
    [sym__ext_www_aut_lnk] = STATE(306),
    [sym__ext_www_aut_lnk_hed] = STATE(861),
    [sym__ext_url_aut_lnk] = STATE(306),
    [sym__ext_url_aut_lnk_hed] = STATE(862),
    [sym__ext_eml_aut_lnk] = STATE(306),
    [sym__ext_eml_aut_lnk_hed] = STATE(863),
    [sym__uri_aut_lnk] = STATE(306),
    [sym__eml_aut_lnk] = STATE(306),
    [sym__cod_spn] = STATE(306),
    [sym__htm_opn_tag] = STATE(306),
    [sym__htm_slf_cls_tag] = STATE(306),
    [sym__htm_opn_tag_hed] = STATE(765),
    [sym__htm_cls_tag] = STATE(306),
    [sym__htm_cmt] = STATE(306),
    [sym__htm_prc] = STATE(306),
    [sym__htm_dcl] = STATE(306),
    [sym__htm_cda] = STATE(306),
    [aux_sym__pgh_hed_repeat1] = STATE(77),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(399),
    [sym__chr_ref] = ACTIONS(399),
    [sym__emp_bgn] = ACTIONS(401),
    [sym__stg_bgn] = ACTIONS(403),
    [sym__stg_end] = ACTIONS(733),
    [sym__del_bgn] = ACTIONS(407),
    [sym__img_bgn] = ACTIONS(409),
    [sym__lnk_bgn] = ACTIONS(411),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(413),
    [sym__eml_aut_lnk_bgn] = ACTIONS(415),
    [sym__cod_spn_bgn] = ACTIONS(417),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(419),
    [sym__htm_dcl_bgn] = ACTIONS(421),
    [sym__htm_cmt_bgn] = ACTIONS(423),
    [sym__htm_prc_bgn] = ACTIONS(425),
    [sym__htm_cda_bgn] = ACTIONS(427),
    [sym__hrd_lbk] = ACTIONS(399),
    [sym__sft_lbk] = ACTIONS(399),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(399),
  },
  [113] = {
    [aux_sym__tbl_dat_cel] = STATE(121),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [aux_sym__tbl_hed_row_hed_repeat1] = STATE(749),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(735),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__tbl_col_sep] = ACTIONS(765),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [114] = {
    [aux_sym__tbl_dat_cel] = STATE(121),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [aux_sym__tbl_hed_row_hed_repeat1] = STATE(744),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(767),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__tbl_col_sep] = ACTIONS(769),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [115] = {
    [aux_sym__tbl_dat_cel] = STATE(121),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [aux_sym__tbl_hed_row_hed_repeat1] = STATE(761),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(771),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__tbl_col_sep] = ACTIONS(773),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [116] = {
    [aux_sym__tbl_dat_cel] = STATE(121),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [aux_sym__tbl_hed_row_hed_repeat1] = STATE(732),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(775),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__tbl_col_sep] = ACTIONS(777),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [117] = {
    [aux_sym__tbl_dat_cel] = STATE(121),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(779),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__tbl_col_sep] = ACTIONS(779),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [118] = {
    [sym__inl_nod] = STATE(376),
    [sym__inl_txt] = STATE(376),
    [sym__emp] = STATE(376),
    [sym__stg] = STATE(376),
    [sym__del] = STATE(376),
    [sym__lnk] = STATE(376),
    [sym__img] = STATE(376),
    [sym__ext_www_aut_lnk] = STATE(376),
    [sym__ext_www_aut_lnk_hed] = STATE(855),
    [sym__ext_url_aut_lnk] = STATE(376),
    [sym__ext_url_aut_lnk_hed] = STATE(851),
    [sym__ext_eml_aut_lnk] = STATE(376),
    [sym__ext_eml_aut_lnk_hed] = STATE(848),
    [sym__uri_aut_lnk] = STATE(376),
    [sym__eml_aut_lnk] = STATE(376),
    [sym__cod_spn] = STATE(376),
    [sym__htm_opn_tag] = STATE(376),
    [sym__htm_slf_cls_tag] = STATE(376),
    [sym__htm_opn_tag_hed] = STATE(771),
    [sym__htm_cls_tag] = STATE(376),
    [sym__htm_cmt] = STATE(376),
    [sym__htm_prc] = STATE(376),
    [sym__htm_dcl] = STATE(376),
    [sym__htm_cda] = STATE(376),
    [aux_sym__atx_hed_repeat1] = STATE(118),
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(781),
    [sym__bsl_esc] = ACTIONS(783),
    [sym__chr_ref] = ACTIONS(783),
    [sym__emp_bgn] = ACTIONS(786),
    [sym__stg_bgn] = ACTIONS(789),
    [sym__del_bgn] = ACTIONS(792),
    [sym__img_bgn] = ACTIONS(795),
    [sym__lnk_bgn] = ACTIONS(798),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(801),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(804),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(807),
    [sym__uri_aut_lnk_bgn] = ACTIONS(810),
    [sym__eml_aut_lnk_bgn] = ACTIONS(813),
    [sym__cod_spn_bgn] = ACTIONS(816),
    [sym__htm_opn_tag_bgn] = ACTIONS(819),
    [sym__htm_cls_tag_bgn] = ACTIONS(822),
    [sym__htm_dcl_bgn] = ACTIONS(825),
    [sym__htm_cmt_bgn] = ACTIONS(828),
    [sym__htm_prc_bgn] = ACTIONS(831),
    [sym__htm_cda_bgn] = ACTIONS(834),
    [sym__atx_end] = ACTIONS(781),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(783),
  },
  [119] = {
    [sym__inl_nod] = STATE(376),
    [sym__inl_txt] = STATE(376),
    [sym__emp] = STATE(376),
    [sym__stg] = STATE(376),
    [sym__del] = STATE(376),
    [sym__lnk] = STATE(376),
    [sym__img] = STATE(376),
    [sym__ext_www_aut_lnk] = STATE(376),
    [sym__ext_www_aut_lnk_hed] = STATE(855),
    [sym__ext_url_aut_lnk] = STATE(376),
    [sym__ext_url_aut_lnk_hed] = STATE(851),
    [sym__ext_eml_aut_lnk] = STATE(376),
    [sym__ext_eml_aut_lnk_hed] = STATE(848),
    [sym__uri_aut_lnk] = STATE(376),
    [sym__eml_aut_lnk] = STATE(376),
    [sym__cod_spn] = STATE(376),
    [sym__htm_opn_tag] = STATE(376),
    [sym__htm_slf_cls_tag] = STATE(376),
    [sym__htm_opn_tag_hed] = STATE(771),
    [sym__htm_cls_tag] = STATE(376),
    [sym__htm_cmt] = STATE(376),
    [sym__htm_prc] = STATE(376),
    [sym__htm_dcl] = STATE(376),
    [sym__htm_cda] = STATE(376),
    [aux_sym__atx_hed_repeat1] = STATE(120),
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(837),
    [sym__bsl_esc] = ACTIONS(839),
    [sym__chr_ref] = ACTIONS(839),
    [sym__emp_bgn] = ACTIONS(841),
    [sym__stg_bgn] = ACTIONS(843),
    [sym__del_bgn] = ACTIONS(845),
    [sym__img_bgn] = ACTIONS(847),
    [sym__lnk_bgn] = ACTIONS(849),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(851),
    [sym__eml_aut_lnk_bgn] = ACTIONS(853),
    [sym__cod_spn_bgn] = ACTIONS(855),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(857),
    [sym__htm_dcl_bgn] = ACTIONS(859),
    [sym__htm_cmt_bgn] = ACTIONS(861),
    [sym__htm_prc_bgn] = ACTIONS(863),
    [sym__htm_cda_bgn] = ACTIONS(865),
    [sym__atx_end] = ACTIONS(867),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(839),
  },
  [120] = {
    [sym__inl_nod] = STATE(376),
    [sym__inl_txt] = STATE(376),
    [sym__emp] = STATE(376),
    [sym__stg] = STATE(376),
    [sym__del] = STATE(376),
    [sym__lnk] = STATE(376),
    [sym__img] = STATE(376),
    [sym__ext_www_aut_lnk] = STATE(376),
    [sym__ext_www_aut_lnk_hed] = STATE(855),
    [sym__ext_url_aut_lnk] = STATE(376),
    [sym__ext_url_aut_lnk_hed] = STATE(851),
    [sym__ext_eml_aut_lnk] = STATE(376),
    [sym__ext_eml_aut_lnk_hed] = STATE(848),
    [sym__uri_aut_lnk] = STATE(376),
    [sym__eml_aut_lnk] = STATE(376),
    [sym__cod_spn] = STATE(376),
    [sym__htm_opn_tag] = STATE(376),
    [sym__htm_slf_cls_tag] = STATE(376),
    [sym__htm_opn_tag_hed] = STATE(771),
    [sym__htm_cls_tag] = STATE(376),
    [sym__htm_cmt] = STATE(376),
    [sym__htm_prc] = STATE(376),
    [sym__htm_dcl] = STATE(376),
    [sym__htm_cda] = STATE(376),
    [aux_sym__atx_hed_repeat1] = STATE(118),
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(869),
    [sym__bsl_esc] = ACTIONS(839),
    [sym__chr_ref] = ACTIONS(839),
    [sym__emp_bgn] = ACTIONS(841),
    [sym__stg_bgn] = ACTIONS(843),
    [sym__del_bgn] = ACTIONS(845),
    [sym__img_bgn] = ACTIONS(847),
    [sym__lnk_bgn] = ACTIONS(849),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(851),
    [sym__eml_aut_lnk_bgn] = ACTIONS(853),
    [sym__cod_spn_bgn] = ACTIONS(855),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(857),
    [sym__htm_dcl_bgn] = ACTIONS(859),
    [sym__htm_cmt_bgn] = ACTIONS(861),
    [sym__htm_prc_bgn] = ACTIONS(863),
    [sym__htm_cda_bgn] = ACTIONS(865),
    [sym__atx_end] = ACTIONS(871),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(839),
  },
  [121] = {
    [aux_sym__tbl_dat_cel] = STATE(121),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(873),
    [sym__bsl_esc] = ACTIONS(875),
    [sym__chr_ref] = ACTIONS(875),
    [sym__emp_bgn] = ACTIONS(878),
    [sym__stg_bgn] = ACTIONS(881),
    [sym__del_bgn] = ACTIONS(884),
    [sym__img_bgn] = ACTIONS(887),
    [sym__lnk_bgn] = ACTIONS(890),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(893),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(896),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(899),
    [sym__uri_aut_lnk_bgn] = ACTIONS(902),
    [sym__eml_aut_lnk_bgn] = ACTIONS(905),
    [sym__cod_spn_bgn] = ACTIONS(908),
    [sym__htm_opn_tag_bgn] = ACTIONS(911),
    [sym__htm_cls_tag_bgn] = ACTIONS(914),
    [sym__htm_dcl_bgn] = ACTIONS(917),
    [sym__htm_cmt_bgn] = ACTIONS(920),
    [sym__htm_prc_bgn] = ACTIONS(923),
    [sym__htm_cda_bgn] = ACTIONS(926),
    [sym__tbl_col_sep] = ACTIONS(873),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(875),
  },
  [122] = {
    [aux_sym__tbl_dat_cel] = STATE(117),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(929),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [123] = {
    [aux_sym__tbl_dat_cel] = STATE(117),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(931),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [124] = {
    [aux_sym__tbl_dat_cel] = STATE(117),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(933),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [125] = {
    [aux_sym__tbl_dat_cel] = STATE(117),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(935),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [126] = {
    [aux_sym__tbl_dat_cel] = STATE(117),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(937),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [127] = {
    [aux_sym__tbl_dat_cel] = STATE(116),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__tbl_col_sep] = ACTIONS(939),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [128] = {
    [aux_sym__tbl_dat_cel] = STATE(117),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(941),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [129] = {
    [aux_sym__tbl_dat_cel] = STATE(115),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__tbl_col_sep] = ACTIONS(943),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [130] = {
    [aux_sym__tbl_dat_cel] = STATE(117),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(945),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [131] = {
    [aux_sym__tbl_dat_cel] = STATE(117),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(947),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [132] = {
    [aux_sym__tbl_dat_cel] = STATE(113),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [133] = {
    [aux_sym__tbl_dat_cel] = STATE(114),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [134] = {
    [aux_sym__tbl_dat_cel] = STATE(117),
    [sym__inl_nod] = STATE(329),
    [sym__inl_txt] = STATE(329),
    [sym__emp] = STATE(329),
    [sym__stg] = STATE(329),
    [sym__del] = STATE(329),
    [sym__lnk] = STATE(329),
    [sym__img] = STATE(329),
    [sym__ext_www_aut_lnk] = STATE(329),
    [sym__ext_www_aut_lnk_hed] = STATE(789),
    [sym__ext_url_aut_lnk] = STATE(329),
    [sym__ext_url_aut_lnk_hed] = STATE(790),
    [sym__ext_eml_aut_lnk] = STATE(329),
    [sym__ext_eml_aut_lnk_hed] = STATE(791),
    [sym__uri_aut_lnk] = STATE(329),
    [sym__eml_aut_lnk] = STATE(329),
    [sym__cod_spn] = STATE(329),
    [sym__htm_opn_tag] = STATE(329),
    [sym__htm_slf_cls_tag] = STATE(329),
    [sym__htm_opn_tag_hed] = STATE(778),
    [sym__htm_cls_tag] = STATE(329),
    [sym__htm_cmt] = STATE(329),
    [sym__htm_prc] = STATE(329),
    [sym__htm_dcl] = STATE(329),
    [sym__htm_cda] = STATE(329),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(737),
    [sym__chr_ref] = ACTIONS(737),
    [sym__emp_bgn] = ACTIONS(739),
    [sym__stg_bgn] = ACTIONS(741),
    [sym__del_bgn] = ACTIONS(743),
    [sym__img_bgn] = ACTIONS(745),
    [sym__lnk_bgn] = ACTIONS(747),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(267),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(269),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(271),
    [sym__uri_aut_lnk_bgn] = ACTIONS(749),
    [sym__eml_aut_lnk_bgn] = ACTIONS(751),
    [sym__cod_spn_bgn] = ACTIONS(753),
    [sym__htm_opn_tag_bgn] = ACTIONS(279),
    [sym__htm_cls_tag_bgn] = ACTIONS(755),
    [sym__htm_dcl_bgn] = ACTIONS(757),
    [sym__htm_cmt_bgn] = ACTIONS(759),
    [sym__htm_prc_bgn] = ACTIONS(761),
    [sym__htm_cda_bgn] = ACTIONS(763),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(737),
  },
  [135] = {
    [sym__lnk_tal_inl] = STATE(258),
    [sym__lnk_tal_ful] = STATE(258),
    [sym__lnk_tal_clp] = STATE(258),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(949),
    [sym__chr_ref] = ACTIONS(949),
    [sym__emp_bgn] = ACTIONS(949),
    [sym__emp_end] = ACTIONS(949),
    [sym__stg_bgn] = ACTIONS(949),
    [sym__del_bgn] = ACTIONS(949),
    [sym__img_bgn] = ACTIONS(949),
    [sym__lnk_bgn] = ACTIONS(949),
    [sym__lnk_inl_bgn] = ACTIONS(951),
    [sym__lnk_ref_bgn] = ACTIONS(953),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__uri_aut_lnk_bgn] = ACTIONS(949),
    [sym__eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__cod_spn_bgn] = ACTIONS(949),
    [sym__htm_opn_tag_bgn] = ACTIONS(949),
    [sym__htm_cls_tag_bgn] = ACTIONS(949),
    [sym__htm_dcl_bgn] = ACTIONS(949),
    [sym__htm_cmt_bgn] = ACTIONS(949),
    [sym__htm_prc_bgn] = ACTIONS(949),
    [sym__htm_cda_bgn] = ACTIONS(949),
    [sym__hrd_lbk] = ACTIONS(949),
    [sym__sft_lbk] = ACTIONS(949),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(949),
  },
  [136] = {
    [sym__lnk_tal_inl] = STATE(312),
    [sym__lnk_tal_ful] = STATE(312),
    [sym__lnk_tal_clp] = STATE(312),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(949),
    [sym__chr_ref] = ACTIONS(949),
    [sym__emp_bgn] = ACTIONS(949),
    [sym__stg_bgn] = ACTIONS(949),
    [sym__stg_end] = ACTIONS(949),
    [sym__del_bgn] = ACTIONS(949),
    [sym__img_bgn] = ACTIONS(949),
    [sym__lnk_bgn] = ACTIONS(949),
    [sym__lnk_inl_bgn] = ACTIONS(955),
    [sym__lnk_ref_bgn] = ACTIONS(957),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__uri_aut_lnk_bgn] = ACTIONS(949),
    [sym__eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__cod_spn_bgn] = ACTIONS(949),
    [sym__htm_opn_tag_bgn] = ACTIONS(949),
    [sym__htm_cls_tag_bgn] = ACTIONS(949),
    [sym__htm_dcl_bgn] = ACTIONS(949),
    [sym__htm_cmt_bgn] = ACTIONS(949),
    [sym__htm_prc_bgn] = ACTIONS(949),
    [sym__htm_cda_bgn] = ACTIONS(949),
    [sym__hrd_lbk] = ACTIONS(949),
    [sym__sft_lbk] = ACTIONS(949),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(949),
  },
  [137] = {
    [sym__lnk_tal_inl] = STATE(167),
    [sym__lnk_tal_ful] = STATE(167),
    [sym__lnk_tal_clp] = STATE(167),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(949),
    [sym__chr_ref] = ACTIONS(949),
    [sym__emp_bgn] = ACTIONS(949),
    [sym__stg_bgn] = ACTIONS(949),
    [sym__del_bgn] = ACTIONS(949),
    [sym__img_bgn] = ACTIONS(949),
    [sym__lnk_bgn] = ACTIONS(949),
    [sym__lnk_end] = ACTIONS(949),
    [sym__lnk_inl_bgn] = ACTIONS(959),
    [sym__lnk_ref_bgn] = ACTIONS(961),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__uri_aut_lnk_bgn] = ACTIONS(949),
    [sym__eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__cod_spn_bgn] = ACTIONS(949),
    [sym__htm_opn_tag_bgn] = ACTIONS(949),
    [sym__htm_cls_tag_bgn] = ACTIONS(949),
    [sym__htm_dcl_bgn] = ACTIONS(949),
    [sym__htm_cmt_bgn] = ACTIONS(949),
    [sym__htm_prc_bgn] = ACTIONS(949),
    [sym__htm_cda_bgn] = ACTIONS(949),
    [sym__hrd_lbk] = ACTIONS(949),
    [sym__sft_lbk] = ACTIONS(949),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(949),
  },
  [138] = {
    [sym__lnk_tal_inl] = STATE(189),
    [sym__lnk_tal_ful] = STATE(189),
    [sym__lnk_tal_clp] = STATE(189),
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(949),
    [sym__bsl_esc] = ACTIONS(949),
    [sym__chr_ref] = ACTIONS(949),
    [sym__emp_bgn] = ACTIONS(949),
    [sym__stg_bgn] = ACTIONS(949),
    [sym__del_bgn] = ACTIONS(949),
    [sym__img_bgn] = ACTIONS(949),
    [sym__lnk_bgn] = ACTIONS(949),
    [sym__lnk_inl_bgn] = ACTIONS(963),
    [sym__lnk_ref_bgn] = ACTIONS(965),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__uri_aut_lnk_bgn] = ACTIONS(949),
    [sym__eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__cod_spn_bgn] = ACTIONS(949),
    [sym__htm_opn_tag_bgn] = ACTIONS(949),
    [sym__htm_cls_tag_bgn] = ACTIONS(949),
    [sym__htm_dcl_bgn] = ACTIONS(949),
    [sym__htm_cmt_bgn] = ACTIONS(949),
    [sym__htm_prc_bgn] = ACTIONS(949),
    [sym__htm_cda_bgn] = ACTIONS(949),
    [sym__hrd_lbk] = ACTIONS(949),
    [sym__sft_lbk] = ACTIONS(949),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(949),
  },
  [139] = {
    [sym__lnk_tal_inl] = STATE(227),
    [sym__lnk_tal_ful] = STATE(227),
    [sym__lnk_tal_clp] = STATE(227),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(949),
    [sym__chr_ref] = ACTIONS(949),
    [sym__emp_bgn] = ACTIONS(949),
    [sym__stg_bgn] = ACTIONS(949),
    [sym__del_bgn] = ACTIONS(949),
    [sym__del_end] = ACTIONS(949),
    [sym__img_bgn] = ACTIONS(949),
    [sym__lnk_bgn] = ACTIONS(949),
    [sym__lnk_inl_bgn] = ACTIONS(967),
    [sym__lnk_ref_bgn] = ACTIONS(969),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__uri_aut_lnk_bgn] = ACTIONS(949),
    [sym__eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__cod_spn_bgn] = ACTIONS(949),
    [sym__htm_opn_tag_bgn] = ACTIONS(949),
    [sym__htm_cls_tag_bgn] = ACTIONS(949),
    [sym__htm_dcl_bgn] = ACTIONS(949),
    [sym__htm_cmt_bgn] = ACTIONS(949),
    [sym__htm_prc_bgn] = ACTIONS(949),
    [sym__htm_cda_bgn] = ACTIONS(949),
    [sym__hrd_lbk] = ACTIONS(949),
    [sym__sft_lbk] = ACTIONS(949),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(949),
  },
  [140] = {
    [sym__lnk_tal_inl] = STATE(381),
    [sym__lnk_tal_ful] = STATE(381),
    [sym__lnk_tal_clp] = STATE(381),
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(949),
    [sym__bsl_esc] = ACTIONS(949),
    [sym__chr_ref] = ACTIONS(949),
    [sym__emp_bgn] = ACTIONS(949),
    [sym__stg_bgn] = ACTIONS(949),
    [sym__del_bgn] = ACTIONS(949),
    [sym__img_bgn] = ACTIONS(949),
    [sym__lnk_bgn] = ACTIONS(949),
    [sym__lnk_inl_bgn] = ACTIONS(971),
    [sym__lnk_ref_bgn] = ACTIONS(973),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__uri_aut_lnk_bgn] = ACTIONS(949),
    [sym__eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__cod_spn_bgn] = ACTIONS(949),
    [sym__htm_opn_tag_bgn] = ACTIONS(949),
    [sym__htm_cls_tag_bgn] = ACTIONS(949),
    [sym__htm_dcl_bgn] = ACTIONS(949),
    [sym__htm_cmt_bgn] = ACTIONS(949),
    [sym__htm_prc_bgn] = ACTIONS(949),
    [sym__htm_cda_bgn] = ACTIONS(949),
    [sym__atx_end] = ACTIONS(949),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(949),
  },
  [141] = {
    [sym__lnk_tal_inl] = STATE(346),
    [sym__lnk_tal_ful] = STATE(346),
    [sym__lnk_tal_clp] = STATE(346),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(949),
    [sym__bsl_esc] = ACTIONS(949),
    [sym__chr_ref] = ACTIONS(949),
    [sym__emp_bgn] = ACTIONS(949),
    [sym__stg_bgn] = ACTIONS(949),
    [sym__del_bgn] = ACTIONS(949),
    [sym__img_bgn] = ACTIONS(949),
    [sym__lnk_bgn] = ACTIONS(949),
    [sym__lnk_inl_bgn] = ACTIONS(975),
    [sym__lnk_ref_bgn] = ACTIONS(977),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(949),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__uri_aut_lnk_bgn] = ACTIONS(949),
    [sym__eml_aut_lnk_bgn] = ACTIONS(949),
    [sym__cod_spn_bgn] = ACTIONS(949),
    [sym__htm_opn_tag_bgn] = ACTIONS(949),
    [sym__htm_cls_tag_bgn] = ACTIONS(949),
    [sym__htm_dcl_bgn] = ACTIONS(949),
    [sym__htm_cmt_bgn] = ACTIONS(949),
    [sym__htm_prc_bgn] = ACTIONS(949),
    [sym__htm_cda_bgn] = ACTIONS(949),
    [sym__tbl_col_sep] = ACTIONS(949),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(949),
  },
  [142] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(979),
    [sym__chr_ref] = ACTIONS(979),
    [sym__emp_bgn] = ACTIONS(979),
    [sym__stg_bgn] = ACTIONS(979),
    [sym__del_bgn] = ACTIONS(979),
    [sym__del_end] = ACTIONS(979),
    [sym__img_bgn] = ACTIONS(979),
    [sym__lnk_bgn] = ACTIONS(979),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__uri_aut_lnk_bgn] = ACTIONS(979),
    [sym__eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__cod_spn_bgn] = ACTIONS(979),
    [sym__htm_opn_tag_bgn] = ACTIONS(979),
    [sym__htm_cls_tag_bgn] = ACTIONS(979),
    [sym__htm_dcl_bgn] = ACTIONS(979),
    [sym__htm_cmt_bgn] = ACTIONS(979),
    [sym__htm_prc_bgn] = ACTIONS(979),
    [sym__htm_cda_bgn] = ACTIONS(979),
    [sym__hrd_lbk] = ACTIONS(979),
    [sym__sft_lbk] = ACTIONS(979),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(979),
  },
  [143] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(981),
    [sym__chr_ref] = ACTIONS(981),
    [sym__emp_bgn] = ACTIONS(981),
    [sym__stg_bgn] = ACTIONS(981),
    [sym__stg_end] = ACTIONS(981),
    [sym__del_bgn] = ACTIONS(981),
    [sym__img_bgn] = ACTIONS(981),
    [sym__lnk_bgn] = ACTIONS(981),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__uri_aut_lnk_bgn] = ACTIONS(981),
    [sym__eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__cod_spn_bgn] = ACTIONS(981),
    [sym__htm_opn_tag_bgn] = ACTIONS(981),
    [sym__htm_cls_tag_bgn] = ACTIONS(981),
    [sym__htm_dcl_bgn] = ACTIONS(981),
    [sym__htm_cmt_bgn] = ACTIONS(981),
    [sym__htm_prc_bgn] = ACTIONS(981),
    [sym__htm_cda_bgn] = ACTIONS(981),
    [sym__hrd_lbk] = ACTIONS(981),
    [sym__sft_lbk] = ACTIONS(981),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(981),
  },
  [144] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(983),
    [sym__chr_ref] = ACTIONS(983),
    [sym__emp_bgn] = ACTIONS(983),
    [sym__stg_bgn] = ACTIONS(983),
    [sym__del_bgn] = ACTIONS(983),
    [sym__img_bgn] = ACTIONS(983),
    [sym__lnk_bgn] = ACTIONS(983),
    [sym__lnk_end] = ACTIONS(983),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__uri_aut_lnk_bgn] = ACTIONS(983),
    [sym__eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__cod_spn_bgn] = ACTIONS(983),
    [sym__htm_opn_tag_bgn] = ACTIONS(983),
    [sym__htm_cls_tag_bgn] = ACTIONS(983),
    [sym__htm_dcl_bgn] = ACTIONS(983),
    [sym__htm_cmt_bgn] = ACTIONS(983),
    [sym__htm_prc_bgn] = ACTIONS(983),
    [sym__htm_cda_bgn] = ACTIONS(983),
    [sym__hrd_lbk] = ACTIONS(983),
    [sym__sft_lbk] = ACTIONS(983),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(983),
  },
  [145] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(985),
    [sym__bsl_esc] = ACTIONS(985),
    [sym__chr_ref] = ACTIONS(985),
    [sym__emp_bgn] = ACTIONS(985),
    [sym__stg_bgn] = ACTIONS(985),
    [sym__del_bgn] = ACTIONS(985),
    [sym__img_bgn] = ACTIONS(985),
    [sym__lnk_bgn] = ACTIONS(985),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__uri_aut_lnk_bgn] = ACTIONS(985),
    [sym__eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__cod_spn_bgn] = ACTIONS(985),
    [sym__htm_opn_tag_bgn] = ACTIONS(985),
    [sym__htm_cls_tag_bgn] = ACTIONS(985),
    [sym__htm_dcl_bgn] = ACTIONS(985),
    [sym__htm_cmt_bgn] = ACTIONS(985),
    [sym__htm_prc_bgn] = ACTIONS(985),
    [sym__htm_cda_bgn] = ACTIONS(985),
    [sym__hrd_lbk] = ACTIONS(985),
    [sym__sft_lbk] = ACTIONS(985),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(985),
  },
  [146] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(987),
    [sym__chr_ref] = ACTIONS(987),
    [sym__emp_bgn] = ACTIONS(987),
    [sym__stg_bgn] = ACTIONS(987),
    [sym__del_bgn] = ACTIONS(987),
    [sym__img_bgn] = ACTIONS(987),
    [sym__lnk_bgn] = ACTIONS(987),
    [sym__lnk_end] = ACTIONS(987),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__uri_aut_lnk_bgn] = ACTIONS(987),
    [sym__eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__cod_spn_bgn] = ACTIONS(987),
    [sym__htm_opn_tag_bgn] = ACTIONS(987),
    [sym__htm_cls_tag_bgn] = ACTIONS(987),
    [sym__htm_dcl_bgn] = ACTIONS(987),
    [sym__htm_cmt_bgn] = ACTIONS(987),
    [sym__htm_prc_bgn] = ACTIONS(987),
    [sym__htm_cda_bgn] = ACTIONS(987),
    [sym__hrd_lbk] = ACTIONS(987),
    [sym__sft_lbk] = ACTIONS(987),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(987),
  },
  [147] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(989),
    [sym__bsl_esc] = ACTIONS(989),
    [sym__chr_ref] = ACTIONS(989),
    [sym__emp_bgn] = ACTIONS(989),
    [sym__stg_bgn] = ACTIONS(989),
    [sym__del_bgn] = ACTIONS(989),
    [sym__img_bgn] = ACTIONS(989),
    [sym__lnk_bgn] = ACTIONS(989),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__uri_aut_lnk_bgn] = ACTIONS(989),
    [sym__eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__cod_spn_bgn] = ACTIONS(989),
    [sym__htm_opn_tag_bgn] = ACTIONS(989),
    [sym__htm_cls_tag_bgn] = ACTIONS(989),
    [sym__htm_dcl_bgn] = ACTIONS(989),
    [sym__htm_cmt_bgn] = ACTIONS(989),
    [sym__htm_prc_bgn] = ACTIONS(989),
    [sym__htm_cda_bgn] = ACTIONS(989),
    [sym__hrd_lbk] = ACTIONS(989),
    [sym__sft_lbk] = ACTIONS(989),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(989),
  },
  [148] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(991),
    [sym__chr_ref] = ACTIONS(991),
    [sym__emp_bgn] = ACTIONS(991),
    [sym__stg_bgn] = ACTIONS(991),
    [sym__del_bgn] = ACTIONS(991),
    [sym__img_bgn] = ACTIONS(991),
    [sym__lnk_bgn] = ACTIONS(991),
    [sym__lnk_end] = ACTIONS(991),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__uri_aut_lnk_bgn] = ACTIONS(991),
    [sym__eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__cod_spn_bgn] = ACTIONS(991),
    [sym__htm_opn_tag_bgn] = ACTIONS(991),
    [sym__htm_cls_tag_bgn] = ACTIONS(991),
    [sym__htm_dcl_bgn] = ACTIONS(991),
    [sym__htm_cmt_bgn] = ACTIONS(991),
    [sym__htm_prc_bgn] = ACTIONS(991),
    [sym__htm_cda_bgn] = ACTIONS(991),
    [sym__hrd_lbk] = ACTIONS(991),
    [sym__sft_lbk] = ACTIONS(991),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(991),
  },
  [149] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(993),
    [sym__bsl_esc] = ACTIONS(993),
    [sym__chr_ref] = ACTIONS(993),
    [sym__emp_bgn] = ACTIONS(993),
    [sym__stg_bgn] = ACTIONS(993),
    [sym__del_bgn] = ACTIONS(993),
    [sym__img_bgn] = ACTIONS(993),
    [sym__lnk_bgn] = ACTIONS(993),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__uri_aut_lnk_bgn] = ACTIONS(993),
    [sym__eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__cod_spn_bgn] = ACTIONS(993),
    [sym__htm_opn_tag_bgn] = ACTIONS(993),
    [sym__htm_cls_tag_bgn] = ACTIONS(993),
    [sym__htm_dcl_bgn] = ACTIONS(993),
    [sym__htm_cmt_bgn] = ACTIONS(993),
    [sym__htm_prc_bgn] = ACTIONS(993),
    [sym__htm_cda_bgn] = ACTIONS(993),
    [sym__hrd_lbk] = ACTIONS(993),
    [sym__sft_lbk] = ACTIONS(993),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(993),
  },
  [150] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(981),
    [sym__bsl_esc] = ACTIONS(981),
    [sym__chr_ref] = ACTIONS(981),
    [sym__emp_bgn] = ACTIONS(981),
    [sym__stg_bgn] = ACTIONS(981),
    [sym__del_bgn] = ACTIONS(981),
    [sym__img_bgn] = ACTIONS(981),
    [sym__lnk_bgn] = ACTIONS(981),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__uri_aut_lnk_bgn] = ACTIONS(981),
    [sym__eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__cod_spn_bgn] = ACTIONS(981),
    [sym__htm_opn_tag_bgn] = ACTIONS(981),
    [sym__htm_cls_tag_bgn] = ACTIONS(981),
    [sym__htm_dcl_bgn] = ACTIONS(981),
    [sym__htm_cmt_bgn] = ACTIONS(981),
    [sym__htm_prc_bgn] = ACTIONS(981),
    [sym__htm_cda_bgn] = ACTIONS(981),
    [sym__hrd_lbk] = ACTIONS(981),
    [sym__sft_lbk] = ACTIONS(981),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(981),
  },
  [151] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(995),
    [sym__bsl_esc] = ACTIONS(995),
    [sym__chr_ref] = ACTIONS(995),
    [sym__emp_bgn] = ACTIONS(995),
    [sym__stg_bgn] = ACTIONS(995),
    [sym__del_bgn] = ACTIONS(995),
    [sym__img_bgn] = ACTIONS(995),
    [sym__lnk_bgn] = ACTIONS(995),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__uri_aut_lnk_bgn] = ACTIONS(995),
    [sym__eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__cod_spn_bgn] = ACTIONS(995),
    [sym__htm_opn_tag_bgn] = ACTIONS(995),
    [sym__htm_cls_tag_bgn] = ACTIONS(995),
    [sym__htm_dcl_bgn] = ACTIONS(995),
    [sym__htm_cmt_bgn] = ACTIONS(995),
    [sym__htm_prc_bgn] = ACTIONS(995),
    [sym__htm_cda_bgn] = ACTIONS(995),
    [sym__hrd_lbk] = ACTIONS(995),
    [sym__sft_lbk] = ACTIONS(995),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(995),
  },
  [152] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(997),
    [sym__bsl_esc] = ACTIONS(997),
    [sym__chr_ref] = ACTIONS(997),
    [sym__emp_bgn] = ACTIONS(997),
    [sym__stg_bgn] = ACTIONS(997),
    [sym__del_bgn] = ACTIONS(997),
    [sym__img_bgn] = ACTIONS(997),
    [sym__lnk_bgn] = ACTIONS(997),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__uri_aut_lnk_bgn] = ACTIONS(997),
    [sym__eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__cod_spn_bgn] = ACTIONS(997),
    [sym__htm_opn_tag_bgn] = ACTIONS(997),
    [sym__htm_cls_tag_bgn] = ACTIONS(997),
    [sym__htm_dcl_bgn] = ACTIONS(997),
    [sym__htm_cmt_bgn] = ACTIONS(997),
    [sym__htm_prc_bgn] = ACTIONS(997),
    [sym__htm_cda_bgn] = ACTIONS(997),
    [sym__hrd_lbk] = ACTIONS(997),
    [sym__sft_lbk] = ACTIONS(997),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(997),
  },
  [153] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(999),
    [sym__bsl_esc] = ACTIONS(999),
    [sym__chr_ref] = ACTIONS(999),
    [sym__emp_bgn] = ACTIONS(999),
    [sym__stg_bgn] = ACTIONS(999),
    [sym__del_bgn] = ACTIONS(999),
    [sym__img_bgn] = ACTIONS(999),
    [sym__lnk_bgn] = ACTIONS(999),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__uri_aut_lnk_bgn] = ACTIONS(999),
    [sym__eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__cod_spn_bgn] = ACTIONS(999),
    [sym__htm_opn_tag_bgn] = ACTIONS(999),
    [sym__htm_cls_tag_bgn] = ACTIONS(999),
    [sym__htm_dcl_bgn] = ACTIONS(999),
    [sym__htm_cmt_bgn] = ACTIONS(999),
    [sym__htm_prc_bgn] = ACTIONS(999),
    [sym__htm_cda_bgn] = ACTIONS(999),
    [sym__hrd_lbk] = ACTIONS(999),
    [sym__sft_lbk] = ACTIONS(999),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(999),
  },
  [154] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(999),
    [sym__chr_ref] = ACTIONS(999),
    [sym__emp_bgn] = ACTIONS(999),
    [sym__stg_bgn] = ACTIONS(999),
    [sym__del_bgn] = ACTIONS(999),
    [sym__img_bgn] = ACTIONS(999),
    [sym__lnk_bgn] = ACTIONS(999),
    [sym__lnk_end] = ACTIONS(999),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__uri_aut_lnk_bgn] = ACTIONS(999),
    [sym__eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__cod_spn_bgn] = ACTIONS(999),
    [sym__htm_opn_tag_bgn] = ACTIONS(999),
    [sym__htm_cls_tag_bgn] = ACTIONS(999),
    [sym__htm_dcl_bgn] = ACTIONS(999),
    [sym__htm_cmt_bgn] = ACTIONS(999),
    [sym__htm_prc_bgn] = ACTIONS(999),
    [sym__htm_cda_bgn] = ACTIONS(999),
    [sym__hrd_lbk] = ACTIONS(999),
    [sym__sft_lbk] = ACTIONS(999),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(999),
  },
  [155] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(997),
    [sym__chr_ref] = ACTIONS(997),
    [sym__emp_bgn] = ACTIONS(997),
    [sym__stg_bgn] = ACTIONS(997),
    [sym__del_bgn] = ACTIONS(997),
    [sym__img_bgn] = ACTIONS(997),
    [sym__lnk_bgn] = ACTIONS(997),
    [sym__lnk_end] = ACTIONS(997),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__uri_aut_lnk_bgn] = ACTIONS(997),
    [sym__eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__cod_spn_bgn] = ACTIONS(997),
    [sym__htm_opn_tag_bgn] = ACTIONS(997),
    [sym__htm_cls_tag_bgn] = ACTIONS(997),
    [sym__htm_dcl_bgn] = ACTIONS(997),
    [sym__htm_cmt_bgn] = ACTIONS(997),
    [sym__htm_prc_bgn] = ACTIONS(997),
    [sym__htm_cda_bgn] = ACTIONS(997),
    [sym__hrd_lbk] = ACTIONS(997),
    [sym__sft_lbk] = ACTIONS(997),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(997),
  },
  [156] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(995),
    [sym__chr_ref] = ACTIONS(995),
    [sym__emp_bgn] = ACTIONS(995),
    [sym__stg_bgn] = ACTIONS(995),
    [sym__del_bgn] = ACTIONS(995),
    [sym__img_bgn] = ACTIONS(995),
    [sym__lnk_bgn] = ACTIONS(995),
    [sym__lnk_end] = ACTIONS(995),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__uri_aut_lnk_bgn] = ACTIONS(995),
    [sym__eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__cod_spn_bgn] = ACTIONS(995),
    [sym__htm_opn_tag_bgn] = ACTIONS(995),
    [sym__htm_cls_tag_bgn] = ACTIONS(995),
    [sym__htm_dcl_bgn] = ACTIONS(995),
    [sym__htm_cmt_bgn] = ACTIONS(995),
    [sym__htm_prc_bgn] = ACTIONS(995),
    [sym__htm_cda_bgn] = ACTIONS(995),
    [sym__hrd_lbk] = ACTIONS(995),
    [sym__sft_lbk] = ACTIONS(995),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(995),
  },
  [157] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(981),
    [sym__chr_ref] = ACTIONS(981),
    [sym__emp_bgn] = ACTIONS(981),
    [sym__stg_bgn] = ACTIONS(981),
    [sym__del_bgn] = ACTIONS(981),
    [sym__img_bgn] = ACTIONS(981),
    [sym__lnk_bgn] = ACTIONS(981),
    [sym__lnk_end] = ACTIONS(981),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__uri_aut_lnk_bgn] = ACTIONS(981),
    [sym__eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__cod_spn_bgn] = ACTIONS(981),
    [sym__htm_opn_tag_bgn] = ACTIONS(981),
    [sym__htm_cls_tag_bgn] = ACTIONS(981),
    [sym__htm_dcl_bgn] = ACTIONS(981),
    [sym__htm_cmt_bgn] = ACTIONS(981),
    [sym__htm_prc_bgn] = ACTIONS(981),
    [sym__htm_cda_bgn] = ACTIONS(981),
    [sym__hrd_lbk] = ACTIONS(981),
    [sym__sft_lbk] = ACTIONS(981),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(981),
  },
  [158] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1001),
    [sym__chr_ref] = ACTIONS(1001),
    [sym__emp_bgn] = ACTIONS(1001),
    [sym__stg_bgn] = ACTIONS(1001),
    [sym__stg_end] = ACTIONS(1001),
    [sym__del_bgn] = ACTIONS(1001),
    [sym__img_bgn] = ACTIONS(1001),
    [sym__lnk_bgn] = ACTIONS(1001),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1001),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__cod_spn_bgn] = ACTIONS(1001),
    [sym__htm_opn_tag_bgn] = ACTIONS(1001),
    [sym__htm_cls_tag_bgn] = ACTIONS(1001),
    [sym__htm_dcl_bgn] = ACTIONS(1001),
    [sym__htm_cmt_bgn] = ACTIONS(1001),
    [sym__htm_prc_bgn] = ACTIONS(1001),
    [sym__htm_cda_bgn] = ACTIONS(1001),
    [sym__hrd_lbk] = ACTIONS(1001),
    [sym__sft_lbk] = ACTIONS(1001),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1001),
  },
  [159] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(993),
    [sym__chr_ref] = ACTIONS(993),
    [sym__emp_bgn] = ACTIONS(993),
    [sym__stg_bgn] = ACTIONS(993),
    [sym__del_bgn] = ACTIONS(993),
    [sym__img_bgn] = ACTIONS(993),
    [sym__lnk_bgn] = ACTIONS(993),
    [sym__lnk_end] = ACTIONS(993),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__uri_aut_lnk_bgn] = ACTIONS(993),
    [sym__eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__cod_spn_bgn] = ACTIONS(993),
    [sym__htm_opn_tag_bgn] = ACTIONS(993),
    [sym__htm_cls_tag_bgn] = ACTIONS(993),
    [sym__htm_dcl_bgn] = ACTIONS(993),
    [sym__htm_cmt_bgn] = ACTIONS(993),
    [sym__htm_prc_bgn] = ACTIONS(993),
    [sym__htm_cda_bgn] = ACTIONS(993),
    [sym__hrd_lbk] = ACTIONS(993),
    [sym__sft_lbk] = ACTIONS(993),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(993),
  },
  [160] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(989),
    [sym__chr_ref] = ACTIONS(989),
    [sym__emp_bgn] = ACTIONS(989),
    [sym__stg_bgn] = ACTIONS(989),
    [sym__del_bgn] = ACTIONS(989),
    [sym__img_bgn] = ACTIONS(989),
    [sym__lnk_bgn] = ACTIONS(989),
    [sym__lnk_end] = ACTIONS(989),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__uri_aut_lnk_bgn] = ACTIONS(989),
    [sym__eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__cod_spn_bgn] = ACTIONS(989),
    [sym__htm_opn_tag_bgn] = ACTIONS(989),
    [sym__htm_cls_tag_bgn] = ACTIONS(989),
    [sym__htm_dcl_bgn] = ACTIONS(989),
    [sym__htm_cmt_bgn] = ACTIONS(989),
    [sym__htm_prc_bgn] = ACTIONS(989),
    [sym__htm_cda_bgn] = ACTIONS(989),
    [sym__hrd_lbk] = ACTIONS(989),
    [sym__sft_lbk] = ACTIONS(989),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(989),
  },
  [161] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(985),
    [sym__chr_ref] = ACTIONS(985),
    [sym__emp_bgn] = ACTIONS(985),
    [sym__stg_bgn] = ACTIONS(985),
    [sym__del_bgn] = ACTIONS(985),
    [sym__img_bgn] = ACTIONS(985),
    [sym__lnk_bgn] = ACTIONS(985),
    [sym__lnk_end] = ACTIONS(985),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__uri_aut_lnk_bgn] = ACTIONS(985),
    [sym__eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__cod_spn_bgn] = ACTIONS(985),
    [sym__htm_opn_tag_bgn] = ACTIONS(985),
    [sym__htm_cls_tag_bgn] = ACTIONS(985),
    [sym__htm_dcl_bgn] = ACTIONS(985),
    [sym__htm_cmt_bgn] = ACTIONS(985),
    [sym__htm_prc_bgn] = ACTIONS(985),
    [sym__htm_cda_bgn] = ACTIONS(985),
    [sym__hrd_lbk] = ACTIONS(985),
    [sym__sft_lbk] = ACTIONS(985),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(985),
  },
  [162] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1003),
    [sym__chr_ref] = ACTIONS(1003),
    [sym__emp_bgn] = ACTIONS(1003),
    [sym__stg_bgn] = ACTIONS(1003),
    [sym__del_bgn] = ACTIONS(1003),
    [sym__img_bgn] = ACTIONS(1003),
    [sym__lnk_bgn] = ACTIONS(1003),
    [sym__lnk_end] = ACTIONS(1003),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1003),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__cod_spn_bgn] = ACTIONS(1003),
    [sym__htm_opn_tag_bgn] = ACTIONS(1003),
    [sym__htm_cls_tag_bgn] = ACTIONS(1003),
    [sym__htm_dcl_bgn] = ACTIONS(1003),
    [sym__htm_cmt_bgn] = ACTIONS(1003),
    [sym__htm_prc_bgn] = ACTIONS(1003),
    [sym__htm_cda_bgn] = ACTIONS(1003),
    [sym__hrd_lbk] = ACTIONS(1003),
    [sym__sft_lbk] = ACTIONS(1003),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1003),
  },
  [163] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1005),
    [sym__chr_ref] = ACTIONS(1005),
    [sym__emp_bgn] = ACTIONS(1005),
    [sym__stg_bgn] = ACTIONS(1005),
    [sym__del_bgn] = ACTIONS(1005),
    [sym__img_bgn] = ACTIONS(1005),
    [sym__lnk_bgn] = ACTIONS(1005),
    [sym__lnk_end] = ACTIONS(1005),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1005),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__cod_spn_bgn] = ACTIONS(1005),
    [sym__htm_opn_tag_bgn] = ACTIONS(1005),
    [sym__htm_cls_tag_bgn] = ACTIONS(1005),
    [sym__htm_dcl_bgn] = ACTIONS(1005),
    [sym__htm_cmt_bgn] = ACTIONS(1005),
    [sym__htm_prc_bgn] = ACTIONS(1005),
    [sym__htm_cda_bgn] = ACTIONS(1005),
    [sym__hrd_lbk] = ACTIONS(1005),
    [sym__sft_lbk] = ACTIONS(1005),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1005),
  },
  [164] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1007),
    [sym__chr_ref] = ACTIONS(1007),
    [sym__emp_bgn] = ACTIONS(1007),
    [sym__stg_bgn] = ACTIONS(1007),
    [sym__del_bgn] = ACTIONS(1007),
    [sym__img_bgn] = ACTIONS(1007),
    [sym__lnk_bgn] = ACTIONS(1007),
    [sym__lnk_end] = ACTIONS(1007),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1007),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__cod_spn_bgn] = ACTIONS(1007),
    [sym__htm_opn_tag_bgn] = ACTIONS(1007),
    [sym__htm_cls_tag_bgn] = ACTIONS(1007),
    [sym__htm_dcl_bgn] = ACTIONS(1007),
    [sym__htm_cmt_bgn] = ACTIONS(1007),
    [sym__htm_prc_bgn] = ACTIONS(1007),
    [sym__htm_cda_bgn] = ACTIONS(1007),
    [sym__hrd_lbk] = ACTIONS(1007),
    [sym__sft_lbk] = ACTIONS(1007),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1007),
  },
  [165] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1009),
    [sym__chr_ref] = ACTIONS(1009),
    [sym__emp_bgn] = ACTIONS(1009),
    [sym__stg_bgn] = ACTIONS(1009),
    [sym__del_bgn] = ACTIONS(1009),
    [sym__img_bgn] = ACTIONS(1009),
    [sym__lnk_bgn] = ACTIONS(1009),
    [sym__lnk_end] = ACTIONS(1009),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1009),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__cod_spn_bgn] = ACTIONS(1009),
    [sym__htm_opn_tag_bgn] = ACTIONS(1009),
    [sym__htm_cls_tag_bgn] = ACTIONS(1009),
    [sym__htm_dcl_bgn] = ACTIONS(1009),
    [sym__htm_cmt_bgn] = ACTIONS(1009),
    [sym__htm_prc_bgn] = ACTIONS(1009),
    [sym__htm_cda_bgn] = ACTIONS(1009),
    [sym__hrd_lbk] = ACTIONS(1009),
    [sym__sft_lbk] = ACTIONS(1009),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1009),
  },
  [166] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1005),
    [sym__bsl_esc] = ACTIONS(1005),
    [sym__chr_ref] = ACTIONS(1005),
    [sym__emp_bgn] = ACTIONS(1005),
    [sym__stg_bgn] = ACTIONS(1005),
    [sym__del_bgn] = ACTIONS(1005),
    [sym__img_bgn] = ACTIONS(1005),
    [sym__lnk_bgn] = ACTIONS(1005),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1005),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__cod_spn_bgn] = ACTIONS(1005),
    [sym__htm_opn_tag_bgn] = ACTIONS(1005),
    [sym__htm_cls_tag_bgn] = ACTIONS(1005),
    [sym__htm_dcl_bgn] = ACTIONS(1005),
    [sym__htm_cmt_bgn] = ACTIONS(1005),
    [sym__htm_prc_bgn] = ACTIONS(1005),
    [sym__htm_cda_bgn] = ACTIONS(1005),
    [sym__hrd_lbk] = ACTIONS(1005),
    [sym__sft_lbk] = ACTIONS(1005),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1005),
  },
  [167] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1011),
    [sym__chr_ref] = ACTIONS(1011),
    [sym__emp_bgn] = ACTIONS(1011),
    [sym__stg_bgn] = ACTIONS(1011),
    [sym__del_bgn] = ACTIONS(1011),
    [sym__img_bgn] = ACTIONS(1011),
    [sym__lnk_bgn] = ACTIONS(1011),
    [sym__lnk_end] = ACTIONS(1011),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1011),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__cod_spn_bgn] = ACTIONS(1011),
    [sym__htm_opn_tag_bgn] = ACTIONS(1011),
    [sym__htm_cls_tag_bgn] = ACTIONS(1011),
    [sym__htm_dcl_bgn] = ACTIONS(1011),
    [sym__htm_cmt_bgn] = ACTIONS(1011),
    [sym__htm_prc_bgn] = ACTIONS(1011),
    [sym__htm_cda_bgn] = ACTIONS(1011),
    [sym__hrd_lbk] = ACTIONS(1011),
    [sym__sft_lbk] = ACTIONS(1011),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1011),
  },
  [168] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1013),
    [sym__chr_ref] = ACTIONS(1013),
    [sym__emp_bgn] = ACTIONS(1013),
    [sym__stg_bgn] = ACTIONS(1013),
    [sym__stg_end] = ACTIONS(1013),
    [sym__del_bgn] = ACTIONS(1013),
    [sym__img_bgn] = ACTIONS(1013),
    [sym__lnk_bgn] = ACTIONS(1013),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1013),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__cod_spn_bgn] = ACTIONS(1013),
    [sym__htm_opn_tag_bgn] = ACTIONS(1013),
    [sym__htm_cls_tag_bgn] = ACTIONS(1013),
    [sym__htm_dcl_bgn] = ACTIONS(1013),
    [sym__htm_cmt_bgn] = ACTIONS(1013),
    [sym__htm_prc_bgn] = ACTIONS(1013),
    [sym__htm_cda_bgn] = ACTIONS(1013),
    [sym__hrd_lbk] = ACTIONS(1013),
    [sym__sft_lbk] = ACTIONS(1013),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1013),
  },
  [169] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(979),
    [sym__chr_ref] = ACTIONS(979),
    [sym__emp_bgn] = ACTIONS(979),
    [sym__stg_bgn] = ACTIONS(979),
    [sym__del_bgn] = ACTIONS(979),
    [sym__img_bgn] = ACTIONS(979),
    [sym__lnk_bgn] = ACTIONS(979),
    [sym__lnk_end] = ACTIONS(979),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__uri_aut_lnk_bgn] = ACTIONS(979),
    [sym__eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__cod_spn_bgn] = ACTIONS(979),
    [sym__htm_opn_tag_bgn] = ACTIONS(979),
    [sym__htm_cls_tag_bgn] = ACTIONS(979),
    [sym__htm_dcl_bgn] = ACTIONS(979),
    [sym__htm_cmt_bgn] = ACTIONS(979),
    [sym__htm_prc_bgn] = ACTIONS(979),
    [sym__htm_cda_bgn] = ACTIONS(979),
    [sym__hrd_lbk] = ACTIONS(979),
    [sym__sft_lbk] = ACTIONS(979),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(979),
  },
  [170] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1015),
    [sym__chr_ref] = ACTIONS(1015),
    [sym__emp_bgn] = ACTIONS(1015),
    [sym__stg_bgn] = ACTIONS(1015),
    [sym__del_bgn] = ACTIONS(1015),
    [sym__img_bgn] = ACTIONS(1015),
    [sym__lnk_bgn] = ACTIONS(1015),
    [sym__lnk_end] = ACTIONS(1015),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1015),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__cod_spn_bgn] = ACTIONS(1015),
    [sym__htm_opn_tag_bgn] = ACTIONS(1015),
    [sym__htm_cls_tag_bgn] = ACTIONS(1015),
    [sym__htm_dcl_bgn] = ACTIONS(1015),
    [sym__htm_cmt_bgn] = ACTIONS(1015),
    [sym__htm_prc_bgn] = ACTIONS(1015),
    [sym__htm_cda_bgn] = ACTIONS(1015),
    [sym__hrd_lbk] = ACTIONS(1015),
    [sym__sft_lbk] = ACTIONS(1015),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1015),
  },
  [171] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1017),
    [sym__chr_ref] = ACTIONS(1017),
    [sym__emp_bgn] = ACTIONS(1017),
    [sym__stg_bgn] = ACTIONS(1017),
    [sym__stg_end] = ACTIONS(1017),
    [sym__del_bgn] = ACTIONS(1017),
    [sym__img_bgn] = ACTIONS(1017),
    [sym__lnk_bgn] = ACTIONS(1017),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1017),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__cod_spn_bgn] = ACTIONS(1017),
    [sym__htm_opn_tag_bgn] = ACTIONS(1017),
    [sym__htm_cls_tag_bgn] = ACTIONS(1017),
    [sym__htm_dcl_bgn] = ACTIONS(1017),
    [sym__htm_cmt_bgn] = ACTIONS(1017),
    [sym__htm_prc_bgn] = ACTIONS(1017),
    [sym__htm_cda_bgn] = ACTIONS(1017),
    [sym__hrd_lbk] = ACTIONS(1017),
    [sym__sft_lbk] = ACTIONS(1017),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1017),
  },
  [172] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1019),
    [sym__chr_ref] = ACTIONS(1019),
    [sym__emp_bgn] = ACTIONS(1019),
    [sym__stg_bgn] = ACTIONS(1019),
    [sym__stg_end] = ACTIONS(1019),
    [sym__del_bgn] = ACTIONS(1019),
    [sym__img_bgn] = ACTIONS(1019),
    [sym__lnk_bgn] = ACTIONS(1019),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1019),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__cod_spn_bgn] = ACTIONS(1019),
    [sym__htm_opn_tag_bgn] = ACTIONS(1019),
    [sym__htm_cls_tag_bgn] = ACTIONS(1019),
    [sym__htm_dcl_bgn] = ACTIONS(1019),
    [sym__htm_cmt_bgn] = ACTIONS(1019),
    [sym__htm_prc_bgn] = ACTIONS(1019),
    [sym__htm_cda_bgn] = ACTIONS(1019),
    [sym__hrd_lbk] = ACTIONS(1019),
    [sym__sft_lbk] = ACTIONS(1019),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1019),
  },
  [173] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1021),
    [sym__chr_ref] = ACTIONS(1021),
    [sym__emp_bgn] = ACTIONS(1021),
    [sym__stg_bgn] = ACTIONS(1021),
    [sym__del_bgn] = ACTIONS(1021),
    [sym__img_bgn] = ACTIONS(1021),
    [sym__lnk_bgn] = ACTIONS(1021),
    [sym__lnk_end] = ACTIONS(1021),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1021),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1021),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1021),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1021),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1021),
    [sym__cod_spn_bgn] = ACTIONS(1021),
    [sym__htm_opn_tag_bgn] = ACTIONS(1021),
    [sym__htm_cls_tag_bgn] = ACTIONS(1021),
    [sym__htm_dcl_bgn] = ACTIONS(1021),
    [sym__htm_cmt_bgn] = ACTIONS(1021),
    [sym__htm_prc_bgn] = ACTIONS(1021),
    [sym__htm_cda_bgn] = ACTIONS(1021),
    [sym__hrd_lbk] = ACTIONS(1021),
    [sym__sft_lbk] = ACTIONS(1021),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1021),
  },
  [174] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1023),
    [sym__chr_ref] = ACTIONS(1023),
    [sym__emp_bgn] = ACTIONS(1023),
    [sym__stg_bgn] = ACTIONS(1023),
    [sym__del_bgn] = ACTIONS(1023),
    [sym__img_bgn] = ACTIONS(1023),
    [sym__lnk_bgn] = ACTIONS(1023),
    [sym__lnk_end] = ACTIONS(1023),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1023),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__cod_spn_bgn] = ACTIONS(1023),
    [sym__htm_opn_tag_bgn] = ACTIONS(1023),
    [sym__htm_cls_tag_bgn] = ACTIONS(1023),
    [sym__htm_dcl_bgn] = ACTIONS(1023),
    [sym__htm_cmt_bgn] = ACTIONS(1023),
    [sym__htm_prc_bgn] = ACTIONS(1023),
    [sym__htm_cda_bgn] = ACTIONS(1023),
    [sym__hrd_lbk] = ACTIONS(1023),
    [sym__sft_lbk] = ACTIONS(1023),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1023),
  },
  [175] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1025),
    [sym__chr_ref] = ACTIONS(1025),
    [sym__emp_bgn] = ACTIONS(1025),
    [sym__emp_end] = ACTIONS(1025),
    [sym__stg_bgn] = ACTIONS(1025),
    [sym__del_bgn] = ACTIONS(1025),
    [sym__img_bgn] = ACTIONS(1025),
    [sym__lnk_bgn] = ACTIONS(1025),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1025),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__cod_spn_bgn] = ACTIONS(1025),
    [sym__htm_opn_tag_bgn] = ACTIONS(1025),
    [sym__htm_cls_tag_bgn] = ACTIONS(1025),
    [sym__htm_dcl_bgn] = ACTIONS(1025),
    [sym__htm_cmt_bgn] = ACTIONS(1025),
    [sym__htm_prc_bgn] = ACTIONS(1025),
    [sym__htm_cda_bgn] = ACTIONS(1025),
    [sym__hrd_lbk] = ACTIONS(1025),
    [sym__sft_lbk] = ACTIONS(1025),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1025),
  },
  [176] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1001),
    [sym__chr_ref] = ACTIONS(1001),
    [sym__emp_bgn] = ACTIONS(1001),
    [sym__stg_bgn] = ACTIONS(1001),
    [sym__del_bgn] = ACTIONS(1001),
    [sym__img_bgn] = ACTIONS(1001),
    [sym__lnk_bgn] = ACTIONS(1001),
    [sym__lnk_end] = ACTIONS(1001),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1001),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__cod_spn_bgn] = ACTIONS(1001),
    [sym__htm_opn_tag_bgn] = ACTIONS(1001),
    [sym__htm_cls_tag_bgn] = ACTIONS(1001),
    [sym__htm_dcl_bgn] = ACTIONS(1001),
    [sym__htm_cmt_bgn] = ACTIONS(1001),
    [sym__htm_prc_bgn] = ACTIONS(1001),
    [sym__htm_cda_bgn] = ACTIONS(1001),
    [sym__hrd_lbk] = ACTIONS(1001),
    [sym__sft_lbk] = ACTIONS(1001),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1001),
  },
  [177] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1027),
    [sym__chr_ref] = ACTIONS(1027),
    [sym__emp_bgn] = ACTIONS(1027),
    [sym__stg_bgn] = ACTIONS(1027),
    [sym__del_bgn] = ACTIONS(1027),
    [sym__img_bgn] = ACTIONS(1027),
    [sym__lnk_bgn] = ACTIONS(1027),
    [sym__lnk_end] = ACTIONS(1027),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1027),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__cod_spn_bgn] = ACTIONS(1027),
    [sym__htm_opn_tag_bgn] = ACTIONS(1027),
    [sym__htm_cls_tag_bgn] = ACTIONS(1027),
    [sym__htm_dcl_bgn] = ACTIONS(1027),
    [sym__htm_cmt_bgn] = ACTIONS(1027),
    [sym__htm_prc_bgn] = ACTIONS(1027),
    [sym__htm_cda_bgn] = ACTIONS(1027),
    [sym__hrd_lbk] = ACTIONS(1027),
    [sym__sft_lbk] = ACTIONS(1027),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1027),
  },
  [178] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1013),
    [sym__chr_ref] = ACTIONS(1013),
    [sym__emp_bgn] = ACTIONS(1013),
    [sym__stg_bgn] = ACTIONS(1013),
    [sym__del_bgn] = ACTIONS(1013),
    [sym__img_bgn] = ACTIONS(1013),
    [sym__lnk_bgn] = ACTIONS(1013),
    [sym__lnk_end] = ACTIONS(1013),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1013),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__cod_spn_bgn] = ACTIONS(1013),
    [sym__htm_opn_tag_bgn] = ACTIONS(1013),
    [sym__htm_cls_tag_bgn] = ACTIONS(1013),
    [sym__htm_dcl_bgn] = ACTIONS(1013),
    [sym__htm_cmt_bgn] = ACTIONS(1013),
    [sym__htm_prc_bgn] = ACTIONS(1013),
    [sym__htm_cda_bgn] = ACTIONS(1013),
    [sym__hrd_lbk] = ACTIONS(1013),
    [sym__sft_lbk] = ACTIONS(1013),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1013),
  },
  [179] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1017),
    [sym__chr_ref] = ACTIONS(1017),
    [sym__emp_bgn] = ACTIONS(1017),
    [sym__stg_bgn] = ACTIONS(1017),
    [sym__del_bgn] = ACTIONS(1017),
    [sym__img_bgn] = ACTIONS(1017),
    [sym__lnk_bgn] = ACTIONS(1017),
    [sym__lnk_end] = ACTIONS(1017),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1017),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__cod_spn_bgn] = ACTIONS(1017),
    [sym__htm_opn_tag_bgn] = ACTIONS(1017),
    [sym__htm_cls_tag_bgn] = ACTIONS(1017),
    [sym__htm_dcl_bgn] = ACTIONS(1017),
    [sym__htm_cmt_bgn] = ACTIONS(1017),
    [sym__htm_prc_bgn] = ACTIONS(1017),
    [sym__htm_cda_bgn] = ACTIONS(1017),
    [sym__hrd_lbk] = ACTIONS(1017),
    [sym__sft_lbk] = ACTIONS(1017),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1017),
  },
  [180] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1007),
    [sym__bsl_esc] = ACTIONS(1007),
    [sym__chr_ref] = ACTIONS(1007),
    [sym__emp_bgn] = ACTIONS(1007),
    [sym__stg_bgn] = ACTIONS(1007),
    [sym__del_bgn] = ACTIONS(1007),
    [sym__img_bgn] = ACTIONS(1007),
    [sym__lnk_bgn] = ACTIONS(1007),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1007),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__cod_spn_bgn] = ACTIONS(1007),
    [sym__htm_opn_tag_bgn] = ACTIONS(1007),
    [sym__htm_cls_tag_bgn] = ACTIONS(1007),
    [sym__htm_dcl_bgn] = ACTIONS(1007),
    [sym__htm_cmt_bgn] = ACTIONS(1007),
    [sym__htm_prc_bgn] = ACTIONS(1007),
    [sym__htm_cda_bgn] = ACTIONS(1007),
    [sym__hrd_lbk] = ACTIONS(1007),
    [sym__sft_lbk] = ACTIONS(1007),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1007),
  },
  [181] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1019),
    [sym__chr_ref] = ACTIONS(1019),
    [sym__emp_bgn] = ACTIONS(1019),
    [sym__stg_bgn] = ACTIONS(1019),
    [sym__del_bgn] = ACTIONS(1019),
    [sym__img_bgn] = ACTIONS(1019),
    [sym__lnk_bgn] = ACTIONS(1019),
    [sym__lnk_end] = ACTIONS(1019),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1019),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__cod_spn_bgn] = ACTIONS(1019),
    [sym__htm_opn_tag_bgn] = ACTIONS(1019),
    [sym__htm_cls_tag_bgn] = ACTIONS(1019),
    [sym__htm_dcl_bgn] = ACTIONS(1019),
    [sym__htm_cmt_bgn] = ACTIONS(1019),
    [sym__htm_prc_bgn] = ACTIONS(1019),
    [sym__htm_cda_bgn] = ACTIONS(1019),
    [sym__hrd_lbk] = ACTIONS(1019),
    [sym__sft_lbk] = ACTIONS(1019),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1019),
  },
  [182] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1029),
    [sym__chr_ref] = ACTIONS(1029),
    [sym__emp_bgn] = ACTIONS(1029),
    [sym__emp_end] = ACTIONS(1029),
    [sym__stg_bgn] = ACTIONS(1029),
    [sym__del_bgn] = ACTIONS(1029),
    [sym__img_bgn] = ACTIONS(1029),
    [sym__lnk_bgn] = ACTIONS(1029),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1029),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__cod_spn_bgn] = ACTIONS(1029),
    [sym__htm_opn_tag_bgn] = ACTIONS(1029),
    [sym__htm_cls_tag_bgn] = ACTIONS(1029),
    [sym__htm_dcl_bgn] = ACTIONS(1029),
    [sym__htm_cmt_bgn] = ACTIONS(1029),
    [sym__htm_prc_bgn] = ACTIONS(1029),
    [sym__htm_cda_bgn] = ACTIONS(1029),
    [sym__hrd_lbk] = ACTIONS(1029),
    [sym__sft_lbk] = ACTIONS(1029),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1029),
  },
  [183] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1031),
    [sym__chr_ref] = ACTIONS(1031),
    [sym__emp_bgn] = ACTIONS(1031),
    [sym__emp_end] = ACTIONS(1031),
    [sym__stg_bgn] = ACTIONS(1031),
    [sym__del_bgn] = ACTIONS(1031),
    [sym__img_bgn] = ACTIONS(1031),
    [sym__lnk_bgn] = ACTIONS(1031),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1031),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__cod_spn_bgn] = ACTIONS(1031),
    [sym__htm_opn_tag_bgn] = ACTIONS(1031),
    [sym__htm_cls_tag_bgn] = ACTIONS(1031),
    [sym__htm_dcl_bgn] = ACTIONS(1031),
    [sym__htm_cmt_bgn] = ACTIONS(1031),
    [sym__htm_prc_bgn] = ACTIONS(1031),
    [sym__htm_cda_bgn] = ACTIONS(1031),
    [sym__hrd_lbk] = ACTIONS(1031),
    [sym__sft_lbk] = ACTIONS(1031),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1031),
  },
  [184] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(991),
    [sym__bsl_esc] = ACTIONS(991),
    [sym__chr_ref] = ACTIONS(991),
    [sym__emp_bgn] = ACTIONS(991),
    [sym__stg_bgn] = ACTIONS(991),
    [sym__del_bgn] = ACTIONS(991),
    [sym__img_bgn] = ACTIONS(991),
    [sym__lnk_bgn] = ACTIONS(991),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__uri_aut_lnk_bgn] = ACTIONS(991),
    [sym__eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__cod_spn_bgn] = ACTIONS(991),
    [sym__htm_opn_tag_bgn] = ACTIONS(991),
    [sym__htm_cls_tag_bgn] = ACTIONS(991),
    [sym__htm_dcl_bgn] = ACTIONS(991),
    [sym__htm_cmt_bgn] = ACTIONS(991),
    [sym__htm_prc_bgn] = ACTIONS(991),
    [sym__htm_cda_bgn] = ACTIONS(991),
    [sym__hrd_lbk] = ACTIONS(991),
    [sym__sft_lbk] = ACTIONS(991),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(991),
  },
  [185] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(987),
    [sym__bsl_esc] = ACTIONS(987),
    [sym__chr_ref] = ACTIONS(987),
    [sym__emp_bgn] = ACTIONS(987),
    [sym__stg_bgn] = ACTIONS(987),
    [sym__del_bgn] = ACTIONS(987),
    [sym__img_bgn] = ACTIONS(987),
    [sym__lnk_bgn] = ACTIONS(987),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__uri_aut_lnk_bgn] = ACTIONS(987),
    [sym__eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__cod_spn_bgn] = ACTIONS(987),
    [sym__htm_opn_tag_bgn] = ACTIONS(987),
    [sym__htm_cls_tag_bgn] = ACTIONS(987),
    [sym__htm_dcl_bgn] = ACTIONS(987),
    [sym__htm_cmt_bgn] = ACTIONS(987),
    [sym__htm_prc_bgn] = ACTIONS(987),
    [sym__htm_cda_bgn] = ACTIONS(987),
    [sym__hrd_lbk] = ACTIONS(987),
    [sym__sft_lbk] = ACTIONS(987),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(987),
  },
  [186] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(983),
    [sym__bsl_esc] = ACTIONS(983),
    [sym__chr_ref] = ACTIONS(983),
    [sym__emp_bgn] = ACTIONS(983),
    [sym__stg_bgn] = ACTIONS(983),
    [sym__del_bgn] = ACTIONS(983),
    [sym__img_bgn] = ACTIONS(983),
    [sym__lnk_bgn] = ACTIONS(983),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__uri_aut_lnk_bgn] = ACTIONS(983),
    [sym__eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__cod_spn_bgn] = ACTIONS(983),
    [sym__htm_opn_tag_bgn] = ACTIONS(983),
    [sym__htm_cls_tag_bgn] = ACTIONS(983),
    [sym__htm_dcl_bgn] = ACTIONS(983),
    [sym__htm_cmt_bgn] = ACTIONS(983),
    [sym__htm_prc_bgn] = ACTIONS(983),
    [sym__htm_cda_bgn] = ACTIONS(983),
    [sym__hrd_lbk] = ACTIONS(983),
    [sym__sft_lbk] = ACTIONS(983),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(983),
  },
  [187] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1025),
    [sym__chr_ref] = ACTIONS(1025),
    [sym__emp_bgn] = ACTIONS(1025),
    [sym__stg_bgn] = ACTIONS(1025),
    [sym__del_bgn] = ACTIONS(1025),
    [sym__del_end] = ACTIONS(1025),
    [sym__img_bgn] = ACTIONS(1025),
    [sym__lnk_bgn] = ACTIONS(1025),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1025),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__cod_spn_bgn] = ACTIONS(1025),
    [sym__htm_opn_tag_bgn] = ACTIONS(1025),
    [sym__htm_cls_tag_bgn] = ACTIONS(1025),
    [sym__htm_dcl_bgn] = ACTIONS(1025),
    [sym__htm_cmt_bgn] = ACTIONS(1025),
    [sym__htm_prc_bgn] = ACTIONS(1025),
    [sym__htm_cda_bgn] = ACTIONS(1025),
    [sym__hrd_lbk] = ACTIONS(1025),
    [sym__sft_lbk] = ACTIONS(1025),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1025),
  },
  [188] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1029),
    [sym__chr_ref] = ACTIONS(1029),
    [sym__emp_bgn] = ACTIONS(1029),
    [sym__stg_bgn] = ACTIONS(1029),
    [sym__del_bgn] = ACTIONS(1029),
    [sym__del_end] = ACTIONS(1029),
    [sym__img_bgn] = ACTIONS(1029),
    [sym__lnk_bgn] = ACTIONS(1029),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1029),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__cod_spn_bgn] = ACTIONS(1029),
    [sym__htm_opn_tag_bgn] = ACTIONS(1029),
    [sym__htm_cls_tag_bgn] = ACTIONS(1029),
    [sym__htm_dcl_bgn] = ACTIONS(1029),
    [sym__htm_cmt_bgn] = ACTIONS(1029),
    [sym__htm_prc_bgn] = ACTIONS(1029),
    [sym__htm_cda_bgn] = ACTIONS(1029),
    [sym__hrd_lbk] = ACTIONS(1029),
    [sym__sft_lbk] = ACTIONS(1029),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1029),
  },
  [189] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1011),
    [sym__bsl_esc] = ACTIONS(1011),
    [sym__chr_ref] = ACTIONS(1011),
    [sym__emp_bgn] = ACTIONS(1011),
    [sym__stg_bgn] = ACTIONS(1011),
    [sym__del_bgn] = ACTIONS(1011),
    [sym__img_bgn] = ACTIONS(1011),
    [sym__lnk_bgn] = ACTIONS(1011),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1011),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__cod_spn_bgn] = ACTIONS(1011),
    [sym__htm_opn_tag_bgn] = ACTIONS(1011),
    [sym__htm_cls_tag_bgn] = ACTIONS(1011),
    [sym__htm_dcl_bgn] = ACTIONS(1011),
    [sym__htm_cmt_bgn] = ACTIONS(1011),
    [sym__htm_prc_bgn] = ACTIONS(1011),
    [sym__htm_cda_bgn] = ACTIONS(1011),
    [sym__hrd_lbk] = ACTIONS(1011),
    [sym__sft_lbk] = ACTIONS(1011),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1011),
  },
  [190] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1015),
    [sym__bsl_esc] = ACTIONS(1015),
    [sym__chr_ref] = ACTIONS(1015),
    [sym__emp_bgn] = ACTIONS(1015),
    [sym__stg_bgn] = ACTIONS(1015),
    [sym__del_bgn] = ACTIONS(1015),
    [sym__img_bgn] = ACTIONS(1015),
    [sym__lnk_bgn] = ACTIONS(1015),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1015),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__cod_spn_bgn] = ACTIONS(1015),
    [sym__htm_opn_tag_bgn] = ACTIONS(1015),
    [sym__htm_cls_tag_bgn] = ACTIONS(1015),
    [sym__htm_dcl_bgn] = ACTIONS(1015),
    [sym__htm_cmt_bgn] = ACTIONS(1015),
    [sym__htm_prc_bgn] = ACTIONS(1015),
    [sym__htm_cda_bgn] = ACTIONS(1015),
    [sym__hrd_lbk] = ACTIONS(1015),
    [sym__sft_lbk] = ACTIONS(1015),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1015),
  },
  [191] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1023),
    [sym__bsl_esc] = ACTIONS(1023),
    [sym__chr_ref] = ACTIONS(1023),
    [sym__emp_bgn] = ACTIONS(1023),
    [sym__stg_bgn] = ACTIONS(1023),
    [sym__del_bgn] = ACTIONS(1023),
    [sym__img_bgn] = ACTIONS(1023),
    [sym__lnk_bgn] = ACTIONS(1023),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1023),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__cod_spn_bgn] = ACTIONS(1023),
    [sym__htm_opn_tag_bgn] = ACTIONS(1023),
    [sym__htm_cls_tag_bgn] = ACTIONS(1023),
    [sym__htm_dcl_bgn] = ACTIONS(1023),
    [sym__htm_cmt_bgn] = ACTIONS(1023),
    [sym__htm_prc_bgn] = ACTIONS(1023),
    [sym__htm_cda_bgn] = ACTIONS(1023),
    [sym__hrd_lbk] = ACTIONS(1023),
    [sym__sft_lbk] = ACTIONS(1023),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1023),
  },
  [192] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1031),
    [sym__chr_ref] = ACTIONS(1031),
    [sym__emp_bgn] = ACTIONS(1031),
    [sym__stg_bgn] = ACTIONS(1031),
    [sym__del_bgn] = ACTIONS(1031),
    [sym__del_end] = ACTIONS(1031),
    [sym__img_bgn] = ACTIONS(1031),
    [sym__lnk_bgn] = ACTIONS(1031),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1031),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__cod_spn_bgn] = ACTIONS(1031),
    [sym__htm_opn_tag_bgn] = ACTIONS(1031),
    [sym__htm_cls_tag_bgn] = ACTIONS(1031),
    [sym__htm_dcl_bgn] = ACTIONS(1031),
    [sym__htm_cmt_bgn] = ACTIONS(1031),
    [sym__htm_prc_bgn] = ACTIONS(1031),
    [sym__htm_cda_bgn] = ACTIONS(1031),
    [sym__hrd_lbk] = ACTIONS(1031),
    [sym__sft_lbk] = ACTIONS(1031),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1031),
  },
  [193] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1033),
    [sym__chr_ref] = ACTIONS(1033),
    [sym__emp_bgn] = ACTIONS(1033),
    [sym__stg_bgn] = ACTIONS(1033),
    [sym__del_bgn] = ACTIONS(1033),
    [sym__del_end] = ACTIONS(1033),
    [sym__img_bgn] = ACTIONS(1033),
    [sym__lnk_bgn] = ACTIONS(1033),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1033),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__cod_spn_bgn] = ACTIONS(1033),
    [sym__htm_opn_tag_bgn] = ACTIONS(1033),
    [sym__htm_cls_tag_bgn] = ACTIONS(1033),
    [sym__htm_dcl_bgn] = ACTIONS(1033),
    [sym__htm_cmt_bgn] = ACTIONS(1033),
    [sym__htm_prc_bgn] = ACTIONS(1033),
    [sym__htm_cda_bgn] = ACTIONS(1033),
    [sym__hrd_lbk] = ACTIONS(1033),
    [sym__sft_lbk] = ACTIONS(1033),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1033),
  },
  [194] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1035),
    [sym__chr_ref] = ACTIONS(1035),
    [sym__emp_bgn] = ACTIONS(1035),
    [sym__stg_bgn] = ACTIONS(1035),
    [sym__del_bgn] = ACTIONS(1035),
    [sym__del_end] = ACTIONS(1035),
    [sym__img_bgn] = ACTIONS(1035),
    [sym__lnk_bgn] = ACTIONS(1035),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1035),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__cod_spn_bgn] = ACTIONS(1035),
    [sym__htm_opn_tag_bgn] = ACTIONS(1035),
    [sym__htm_cls_tag_bgn] = ACTIONS(1035),
    [sym__htm_dcl_bgn] = ACTIONS(1035),
    [sym__htm_cmt_bgn] = ACTIONS(1035),
    [sym__htm_prc_bgn] = ACTIONS(1035),
    [sym__htm_cda_bgn] = ACTIONS(1035),
    [sym__hrd_lbk] = ACTIONS(1035),
    [sym__sft_lbk] = ACTIONS(1035),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1035),
  },
  [195] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1027),
    [sym__bsl_esc] = ACTIONS(1027),
    [sym__chr_ref] = ACTIONS(1027),
    [sym__emp_bgn] = ACTIONS(1027),
    [sym__stg_bgn] = ACTIONS(1027),
    [sym__del_bgn] = ACTIONS(1027),
    [sym__img_bgn] = ACTIONS(1027),
    [sym__lnk_bgn] = ACTIONS(1027),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1027),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__cod_spn_bgn] = ACTIONS(1027),
    [sym__htm_opn_tag_bgn] = ACTIONS(1027),
    [sym__htm_cls_tag_bgn] = ACTIONS(1027),
    [sym__htm_dcl_bgn] = ACTIONS(1027),
    [sym__htm_cmt_bgn] = ACTIONS(1027),
    [sym__htm_prc_bgn] = ACTIONS(1027),
    [sym__htm_cda_bgn] = ACTIONS(1027),
    [sym__hrd_lbk] = ACTIONS(1027),
    [sym__sft_lbk] = ACTIONS(1027),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1027),
  },
  [196] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1037),
    [sym__bsl_esc] = ACTIONS(1037),
    [sym__chr_ref] = ACTIONS(1037),
    [sym__emp_bgn] = ACTIONS(1037),
    [sym__stg_bgn] = ACTIONS(1037),
    [sym__del_bgn] = ACTIONS(1037),
    [sym__img_bgn] = ACTIONS(1037),
    [sym__lnk_bgn] = ACTIONS(1037),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1037),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__cod_spn_bgn] = ACTIONS(1037),
    [sym__htm_opn_tag_bgn] = ACTIONS(1037),
    [sym__htm_cls_tag_bgn] = ACTIONS(1037),
    [sym__htm_dcl_bgn] = ACTIONS(1037),
    [sym__htm_cmt_bgn] = ACTIONS(1037),
    [sym__htm_prc_bgn] = ACTIONS(1037),
    [sym__htm_cda_bgn] = ACTIONS(1037),
    [sym__hrd_lbk] = ACTIONS(1037),
    [sym__sft_lbk] = ACTIONS(1037),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1037),
  },
  [197] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1039),
    [sym__bsl_esc] = ACTIONS(1039),
    [sym__chr_ref] = ACTIONS(1039),
    [sym__emp_bgn] = ACTIONS(1039),
    [sym__stg_bgn] = ACTIONS(1039),
    [sym__del_bgn] = ACTIONS(1039),
    [sym__img_bgn] = ACTIONS(1039),
    [sym__lnk_bgn] = ACTIONS(1039),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1039),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__cod_spn_bgn] = ACTIONS(1039),
    [sym__htm_opn_tag_bgn] = ACTIONS(1039),
    [sym__htm_cls_tag_bgn] = ACTIONS(1039),
    [sym__htm_dcl_bgn] = ACTIONS(1039),
    [sym__htm_cmt_bgn] = ACTIONS(1039),
    [sym__htm_prc_bgn] = ACTIONS(1039),
    [sym__htm_cda_bgn] = ACTIONS(1039),
    [sym__hrd_lbk] = ACTIONS(1039),
    [sym__sft_lbk] = ACTIONS(1039),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1039),
  },
  [198] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1041),
    [sym__chr_ref] = ACTIONS(1041),
    [sym__emp_bgn] = ACTIONS(1041),
    [sym__stg_bgn] = ACTIONS(1041),
    [sym__del_bgn] = ACTIONS(1041),
    [sym__del_end] = ACTIONS(1041),
    [sym__img_bgn] = ACTIONS(1041),
    [sym__lnk_bgn] = ACTIONS(1041),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1041),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__cod_spn_bgn] = ACTIONS(1041),
    [sym__htm_opn_tag_bgn] = ACTIONS(1041),
    [sym__htm_cls_tag_bgn] = ACTIONS(1041),
    [sym__htm_dcl_bgn] = ACTIONS(1041),
    [sym__htm_cmt_bgn] = ACTIONS(1041),
    [sym__htm_prc_bgn] = ACTIONS(1041),
    [sym__htm_cda_bgn] = ACTIONS(1041),
    [sym__hrd_lbk] = ACTIONS(1041),
    [sym__sft_lbk] = ACTIONS(1041),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1041),
  },
  [199] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1033),
    [sym__chr_ref] = ACTIONS(1033),
    [sym__emp_bgn] = ACTIONS(1033),
    [sym__emp_end] = ACTIONS(1033),
    [sym__stg_bgn] = ACTIONS(1033),
    [sym__del_bgn] = ACTIONS(1033),
    [sym__img_bgn] = ACTIONS(1033),
    [sym__lnk_bgn] = ACTIONS(1033),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1033),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__cod_spn_bgn] = ACTIONS(1033),
    [sym__htm_opn_tag_bgn] = ACTIONS(1033),
    [sym__htm_cls_tag_bgn] = ACTIONS(1033),
    [sym__htm_dcl_bgn] = ACTIONS(1033),
    [sym__htm_cmt_bgn] = ACTIONS(1033),
    [sym__htm_prc_bgn] = ACTIONS(1033),
    [sym__htm_cda_bgn] = ACTIONS(1033),
    [sym__hrd_lbk] = ACTIONS(1033),
    [sym__sft_lbk] = ACTIONS(1033),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1033),
  },
  [200] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1043),
    [sym__bsl_esc] = ACTIONS(1043),
    [sym__chr_ref] = ACTIONS(1043),
    [sym__emp_bgn] = ACTIONS(1043),
    [sym__stg_bgn] = ACTIONS(1043),
    [sym__del_bgn] = ACTIONS(1043),
    [sym__img_bgn] = ACTIONS(1043),
    [sym__lnk_bgn] = ACTIONS(1043),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1043),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__cod_spn_bgn] = ACTIONS(1043),
    [sym__htm_opn_tag_bgn] = ACTIONS(1043),
    [sym__htm_cls_tag_bgn] = ACTIONS(1043),
    [sym__htm_dcl_bgn] = ACTIONS(1043),
    [sym__htm_cmt_bgn] = ACTIONS(1043),
    [sym__htm_prc_bgn] = ACTIONS(1043),
    [sym__htm_cda_bgn] = ACTIONS(1043),
    [sym__hrd_lbk] = ACTIONS(1043),
    [sym__sft_lbk] = ACTIONS(1043),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1043),
  },
  [201] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1045),
    [sym__bsl_esc] = ACTIONS(1045),
    [sym__chr_ref] = ACTIONS(1045),
    [sym__emp_bgn] = ACTIONS(1045),
    [sym__stg_bgn] = ACTIONS(1045),
    [sym__del_bgn] = ACTIONS(1045),
    [sym__img_bgn] = ACTIONS(1045),
    [sym__lnk_bgn] = ACTIONS(1045),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1045),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__cod_spn_bgn] = ACTIONS(1045),
    [sym__htm_opn_tag_bgn] = ACTIONS(1045),
    [sym__htm_cls_tag_bgn] = ACTIONS(1045),
    [sym__htm_dcl_bgn] = ACTIONS(1045),
    [sym__htm_cmt_bgn] = ACTIONS(1045),
    [sym__htm_prc_bgn] = ACTIONS(1045),
    [sym__htm_cda_bgn] = ACTIONS(1045),
    [sym__hrd_lbk] = ACTIONS(1045),
    [sym__sft_lbk] = ACTIONS(1045),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1045),
  },
  [202] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1047),
    [sym__chr_ref] = ACTIONS(1047),
    [sym__emp_bgn] = ACTIONS(1047),
    [sym__stg_bgn] = ACTIONS(1047),
    [sym__del_bgn] = ACTIONS(1047),
    [sym__del_end] = ACTIONS(1047),
    [sym__img_bgn] = ACTIONS(1047),
    [sym__lnk_bgn] = ACTIONS(1047),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1047),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__cod_spn_bgn] = ACTIONS(1047),
    [sym__htm_opn_tag_bgn] = ACTIONS(1047),
    [sym__htm_cls_tag_bgn] = ACTIONS(1047),
    [sym__htm_dcl_bgn] = ACTIONS(1047),
    [sym__htm_cmt_bgn] = ACTIONS(1047),
    [sym__htm_prc_bgn] = ACTIONS(1047),
    [sym__htm_cda_bgn] = ACTIONS(1047),
    [sym__hrd_lbk] = ACTIONS(1047),
    [sym__sft_lbk] = ACTIONS(1047),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1047),
  },
  [203] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1049),
    [sym__bsl_esc] = ACTIONS(1049),
    [sym__chr_ref] = ACTIONS(1049),
    [sym__emp_bgn] = ACTIONS(1049),
    [sym__stg_bgn] = ACTIONS(1049),
    [sym__del_bgn] = ACTIONS(1049),
    [sym__img_bgn] = ACTIONS(1049),
    [sym__lnk_bgn] = ACTIONS(1049),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1049),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__cod_spn_bgn] = ACTIONS(1049),
    [sym__htm_opn_tag_bgn] = ACTIONS(1049),
    [sym__htm_cls_tag_bgn] = ACTIONS(1049),
    [sym__htm_dcl_bgn] = ACTIONS(1049),
    [sym__htm_cmt_bgn] = ACTIONS(1049),
    [sym__htm_prc_bgn] = ACTIONS(1049),
    [sym__htm_cda_bgn] = ACTIONS(1049),
    [sym__hrd_lbk] = ACTIONS(1049),
    [sym__sft_lbk] = ACTIONS(1049),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1049),
  },
  [204] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1051),
    [sym__bsl_esc] = ACTIONS(1051),
    [sym__chr_ref] = ACTIONS(1051),
    [sym__emp_bgn] = ACTIONS(1051),
    [sym__stg_bgn] = ACTIONS(1051),
    [sym__del_bgn] = ACTIONS(1051),
    [sym__img_bgn] = ACTIONS(1051),
    [sym__lnk_bgn] = ACTIONS(1051),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1051),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__cod_spn_bgn] = ACTIONS(1051),
    [sym__htm_opn_tag_bgn] = ACTIONS(1051),
    [sym__htm_cls_tag_bgn] = ACTIONS(1051),
    [sym__htm_dcl_bgn] = ACTIONS(1051),
    [sym__htm_cmt_bgn] = ACTIONS(1051),
    [sym__htm_prc_bgn] = ACTIONS(1051),
    [sym__htm_cda_bgn] = ACTIONS(1051),
    [sym__hrd_lbk] = ACTIONS(1051),
    [sym__sft_lbk] = ACTIONS(1051),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1051),
  },
  [205] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1047),
    [sym__bsl_esc] = ACTIONS(1047),
    [sym__chr_ref] = ACTIONS(1047),
    [sym__emp_bgn] = ACTIONS(1047),
    [sym__stg_bgn] = ACTIONS(1047),
    [sym__del_bgn] = ACTIONS(1047),
    [sym__img_bgn] = ACTIONS(1047),
    [sym__lnk_bgn] = ACTIONS(1047),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1047),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__cod_spn_bgn] = ACTIONS(1047),
    [sym__htm_opn_tag_bgn] = ACTIONS(1047),
    [sym__htm_cls_tag_bgn] = ACTIONS(1047),
    [sym__htm_dcl_bgn] = ACTIONS(1047),
    [sym__htm_cmt_bgn] = ACTIONS(1047),
    [sym__htm_prc_bgn] = ACTIONS(1047),
    [sym__htm_cda_bgn] = ACTIONS(1047),
    [sym__hrd_lbk] = ACTIONS(1047),
    [sym__sft_lbk] = ACTIONS(1047),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1047),
  },
  [206] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1035),
    [sym__chr_ref] = ACTIONS(1035),
    [sym__emp_bgn] = ACTIONS(1035),
    [sym__emp_end] = ACTIONS(1035),
    [sym__stg_bgn] = ACTIONS(1035),
    [sym__del_bgn] = ACTIONS(1035),
    [sym__img_bgn] = ACTIONS(1035),
    [sym__lnk_bgn] = ACTIONS(1035),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1035),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__cod_spn_bgn] = ACTIONS(1035),
    [sym__htm_opn_tag_bgn] = ACTIONS(1035),
    [sym__htm_cls_tag_bgn] = ACTIONS(1035),
    [sym__htm_dcl_bgn] = ACTIONS(1035),
    [sym__htm_cmt_bgn] = ACTIONS(1035),
    [sym__htm_prc_bgn] = ACTIONS(1035),
    [sym__htm_cda_bgn] = ACTIONS(1035),
    [sym__hrd_lbk] = ACTIONS(1035),
    [sym__sft_lbk] = ACTIONS(1035),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1035),
  },
  [207] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1051),
    [sym__chr_ref] = ACTIONS(1051),
    [sym__emp_bgn] = ACTIONS(1051),
    [sym__stg_bgn] = ACTIONS(1051),
    [sym__del_bgn] = ACTIONS(1051),
    [sym__del_end] = ACTIONS(1051),
    [sym__img_bgn] = ACTIONS(1051),
    [sym__lnk_bgn] = ACTIONS(1051),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1051),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__cod_spn_bgn] = ACTIONS(1051),
    [sym__htm_opn_tag_bgn] = ACTIONS(1051),
    [sym__htm_cls_tag_bgn] = ACTIONS(1051),
    [sym__htm_dcl_bgn] = ACTIONS(1051),
    [sym__htm_cmt_bgn] = ACTIONS(1051),
    [sym__htm_prc_bgn] = ACTIONS(1051),
    [sym__htm_cda_bgn] = ACTIONS(1051),
    [sym__hrd_lbk] = ACTIONS(1051),
    [sym__sft_lbk] = ACTIONS(1051),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1051),
  },
  [208] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1041),
    [sym__chr_ref] = ACTIONS(1041),
    [sym__emp_bgn] = ACTIONS(1041),
    [sym__emp_end] = ACTIONS(1041),
    [sym__stg_bgn] = ACTIONS(1041),
    [sym__del_bgn] = ACTIONS(1041),
    [sym__img_bgn] = ACTIONS(1041),
    [sym__lnk_bgn] = ACTIONS(1041),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1041),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__cod_spn_bgn] = ACTIONS(1041),
    [sym__htm_opn_tag_bgn] = ACTIONS(1041),
    [sym__htm_cls_tag_bgn] = ACTIONS(1041),
    [sym__htm_dcl_bgn] = ACTIONS(1041),
    [sym__htm_cmt_bgn] = ACTIONS(1041),
    [sym__htm_prc_bgn] = ACTIONS(1041),
    [sym__htm_cda_bgn] = ACTIONS(1041),
    [sym__hrd_lbk] = ACTIONS(1041),
    [sym__sft_lbk] = ACTIONS(1041),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1041),
  },
  [209] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1049),
    [sym__chr_ref] = ACTIONS(1049),
    [sym__emp_bgn] = ACTIONS(1049),
    [sym__stg_bgn] = ACTIONS(1049),
    [sym__del_bgn] = ACTIONS(1049),
    [sym__del_end] = ACTIONS(1049),
    [sym__img_bgn] = ACTIONS(1049),
    [sym__lnk_bgn] = ACTIONS(1049),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1049),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__cod_spn_bgn] = ACTIONS(1049),
    [sym__htm_opn_tag_bgn] = ACTIONS(1049),
    [sym__htm_cls_tag_bgn] = ACTIONS(1049),
    [sym__htm_dcl_bgn] = ACTIONS(1049),
    [sym__htm_cmt_bgn] = ACTIONS(1049),
    [sym__htm_prc_bgn] = ACTIONS(1049),
    [sym__htm_cda_bgn] = ACTIONS(1049),
    [sym__hrd_lbk] = ACTIONS(1049),
    [sym__sft_lbk] = ACTIONS(1049),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1049),
  },
  [210] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1045),
    [sym__chr_ref] = ACTIONS(1045),
    [sym__emp_bgn] = ACTIONS(1045),
    [sym__stg_bgn] = ACTIONS(1045),
    [sym__del_bgn] = ACTIONS(1045),
    [sym__del_end] = ACTIONS(1045),
    [sym__img_bgn] = ACTIONS(1045),
    [sym__lnk_bgn] = ACTIONS(1045),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1045),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__cod_spn_bgn] = ACTIONS(1045),
    [sym__htm_opn_tag_bgn] = ACTIONS(1045),
    [sym__htm_cls_tag_bgn] = ACTIONS(1045),
    [sym__htm_dcl_bgn] = ACTIONS(1045),
    [sym__htm_cmt_bgn] = ACTIONS(1045),
    [sym__htm_prc_bgn] = ACTIONS(1045),
    [sym__htm_cda_bgn] = ACTIONS(1045),
    [sym__hrd_lbk] = ACTIONS(1045),
    [sym__sft_lbk] = ACTIONS(1045),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1045),
  },
  [211] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1037),
    [sym__chr_ref] = ACTIONS(1037),
    [sym__emp_bgn] = ACTIONS(1037),
    [sym__stg_bgn] = ACTIONS(1037),
    [sym__del_bgn] = ACTIONS(1037),
    [sym__img_bgn] = ACTIONS(1037),
    [sym__lnk_bgn] = ACTIONS(1037),
    [sym__lnk_end] = ACTIONS(1037),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1037),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__cod_spn_bgn] = ACTIONS(1037),
    [sym__htm_opn_tag_bgn] = ACTIONS(1037),
    [sym__htm_cls_tag_bgn] = ACTIONS(1037),
    [sym__htm_dcl_bgn] = ACTIONS(1037),
    [sym__htm_cmt_bgn] = ACTIONS(1037),
    [sym__htm_prc_bgn] = ACTIONS(1037),
    [sym__htm_cda_bgn] = ACTIONS(1037),
    [sym__hrd_lbk] = ACTIONS(1037),
    [sym__sft_lbk] = ACTIONS(1037),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1037),
  },
  [212] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1009),
    [sym__bsl_esc] = ACTIONS(1009),
    [sym__chr_ref] = ACTIONS(1009),
    [sym__emp_bgn] = ACTIONS(1009),
    [sym__stg_bgn] = ACTIONS(1009),
    [sym__del_bgn] = ACTIONS(1009),
    [sym__img_bgn] = ACTIONS(1009),
    [sym__lnk_bgn] = ACTIONS(1009),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1009),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__cod_spn_bgn] = ACTIONS(1009),
    [sym__htm_opn_tag_bgn] = ACTIONS(1009),
    [sym__htm_cls_tag_bgn] = ACTIONS(1009),
    [sym__htm_dcl_bgn] = ACTIONS(1009),
    [sym__htm_cmt_bgn] = ACTIONS(1009),
    [sym__htm_prc_bgn] = ACTIONS(1009),
    [sym__htm_cda_bgn] = ACTIONS(1009),
    [sym__hrd_lbk] = ACTIONS(1009),
    [sym__sft_lbk] = ACTIONS(1009),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1009),
  },
  [213] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1039),
    [sym__chr_ref] = ACTIONS(1039),
    [sym__emp_bgn] = ACTIONS(1039),
    [sym__stg_bgn] = ACTIONS(1039),
    [sym__del_bgn] = ACTIONS(1039),
    [sym__img_bgn] = ACTIONS(1039),
    [sym__lnk_bgn] = ACTIONS(1039),
    [sym__lnk_end] = ACTIONS(1039),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1039),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__cod_spn_bgn] = ACTIONS(1039),
    [sym__htm_opn_tag_bgn] = ACTIONS(1039),
    [sym__htm_cls_tag_bgn] = ACTIONS(1039),
    [sym__htm_dcl_bgn] = ACTIONS(1039),
    [sym__htm_cmt_bgn] = ACTIONS(1039),
    [sym__htm_prc_bgn] = ACTIONS(1039),
    [sym__htm_cda_bgn] = ACTIONS(1039),
    [sym__hrd_lbk] = ACTIONS(1039),
    [sym__sft_lbk] = ACTIONS(1039),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1039),
  },
  [214] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1043),
    [sym__chr_ref] = ACTIONS(1043),
    [sym__emp_bgn] = ACTIONS(1043),
    [sym__stg_bgn] = ACTIONS(1043),
    [sym__del_bgn] = ACTIONS(1043),
    [sym__img_bgn] = ACTIONS(1043),
    [sym__lnk_bgn] = ACTIONS(1043),
    [sym__lnk_end] = ACTIONS(1043),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1043),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__cod_spn_bgn] = ACTIONS(1043),
    [sym__htm_opn_tag_bgn] = ACTIONS(1043),
    [sym__htm_cls_tag_bgn] = ACTIONS(1043),
    [sym__htm_dcl_bgn] = ACTIONS(1043),
    [sym__htm_cmt_bgn] = ACTIONS(1043),
    [sym__htm_prc_bgn] = ACTIONS(1043),
    [sym__htm_cda_bgn] = ACTIONS(1043),
    [sym__hrd_lbk] = ACTIONS(1043),
    [sym__sft_lbk] = ACTIONS(1043),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1043),
  },
  [215] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1043),
    [sym__chr_ref] = ACTIONS(1043),
    [sym__emp_bgn] = ACTIONS(1043),
    [sym__stg_bgn] = ACTIONS(1043),
    [sym__del_bgn] = ACTIONS(1043),
    [sym__del_end] = ACTIONS(1043),
    [sym__img_bgn] = ACTIONS(1043),
    [sym__lnk_bgn] = ACTIONS(1043),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1043),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__cod_spn_bgn] = ACTIONS(1043),
    [sym__htm_opn_tag_bgn] = ACTIONS(1043),
    [sym__htm_cls_tag_bgn] = ACTIONS(1043),
    [sym__htm_dcl_bgn] = ACTIONS(1043),
    [sym__htm_cmt_bgn] = ACTIONS(1043),
    [sym__htm_prc_bgn] = ACTIONS(1043),
    [sym__htm_cda_bgn] = ACTIONS(1043),
    [sym__hrd_lbk] = ACTIONS(1043),
    [sym__sft_lbk] = ACTIONS(1043),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1043),
  },
  [216] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1045),
    [sym__chr_ref] = ACTIONS(1045),
    [sym__emp_bgn] = ACTIONS(1045),
    [sym__stg_bgn] = ACTIONS(1045),
    [sym__del_bgn] = ACTIONS(1045),
    [sym__img_bgn] = ACTIONS(1045),
    [sym__lnk_bgn] = ACTIONS(1045),
    [sym__lnk_end] = ACTIONS(1045),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1045),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__cod_spn_bgn] = ACTIONS(1045),
    [sym__htm_opn_tag_bgn] = ACTIONS(1045),
    [sym__htm_cls_tag_bgn] = ACTIONS(1045),
    [sym__htm_dcl_bgn] = ACTIONS(1045),
    [sym__htm_cmt_bgn] = ACTIONS(1045),
    [sym__htm_prc_bgn] = ACTIONS(1045),
    [sym__htm_cda_bgn] = ACTIONS(1045),
    [sym__hrd_lbk] = ACTIONS(1045),
    [sym__sft_lbk] = ACTIONS(1045),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1045),
  },
  [217] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1047),
    [sym__chr_ref] = ACTIONS(1047),
    [sym__emp_bgn] = ACTIONS(1047),
    [sym__emp_end] = ACTIONS(1047),
    [sym__stg_bgn] = ACTIONS(1047),
    [sym__del_bgn] = ACTIONS(1047),
    [sym__img_bgn] = ACTIONS(1047),
    [sym__lnk_bgn] = ACTIONS(1047),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1047),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__cod_spn_bgn] = ACTIONS(1047),
    [sym__htm_opn_tag_bgn] = ACTIONS(1047),
    [sym__htm_cls_tag_bgn] = ACTIONS(1047),
    [sym__htm_dcl_bgn] = ACTIONS(1047),
    [sym__htm_cmt_bgn] = ACTIONS(1047),
    [sym__htm_prc_bgn] = ACTIONS(1047),
    [sym__htm_cda_bgn] = ACTIONS(1047),
    [sym__hrd_lbk] = ACTIONS(1047),
    [sym__sft_lbk] = ACTIONS(1047),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1047),
  },
  [218] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1039),
    [sym__chr_ref] = ACTIONS(1039),
    [sym__emp_bgn] = ACTIONS(1039),
    [sym__stg_bgn] = ACTIONS(1039),
    [sym__del_bgn] = ACTIONS(1039),
    [sym__del_end] = ACTIONS(1039),
    [sym__img_bgn] = ACTIONS(1039),
    [sym__lnk_bgn] = ACTIONS(1039),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1039),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__cod_spn_bgn] = ACTIONS(1039),
    [sym__htm_opn_tag_bgn] = ACTIONS(1039),
    [sym__htm_cls_tag_bgn] = ACTIONS(1039),
    [sym__htm_dcl_bgn] = ACTIONS(1039),
    [sym__htm_cmt_bgn] = ACTIONS(1039),
    [sym__htm_prc_bgn] = ACTIONS(1039),
    [sym__htm_cda_bgn] = ACTIONS(1039),
    [sym__hrd_lbk] = ACTIONS(1039),
    [sym__sft_lbk] = ACTIONS(1039),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1039),
  },
  [219] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1037),
    [sym__chr_ref] = ACTIONS(1037),
    [sym__emp_bgn] = ACTIONS(1037),
    [sym__stg_bgn] = ACTIONS(1037),
    [sym__del_bgn] = ACTIONS(1037),
    [sym__del_end] = ACTIONS(1037),
    [sym__img_bgn] = ACTIONS(1037),
    [sym__lnk_bgn] = ACTIONS(1037),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1037),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__cod_spn_bgn] = ACTIONS(1037),
    [sym__htm_opn_tag_bgn] = ACTIONS(1037),
    [sym__htm_cls_tag_bgn] = ACTIONS(1037),
    [sym__htm_dcl_bgn] = ACTIONS(1037),
    [sym__htm_cmt_bgn] = ACTIONS(1037),
    [sym__htm_prc_bgn] = ACTIONS(1037),
    [sym__htm_cda_bgn] = ACTIONS(1037),
    [sym__hrd_lbk] = ACTIONS(1037),
    [sym__sft_lbk] = ACTIONS(1037),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1037),
  },
  [220] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1051),
    [sym__chr_ref] = ACTIONS(1051),
    [sym__emp_bgn] = ACTIONS(1051),
    [sym__emp_end] = ACTIONS(1051),
    [sym__stg_bgn] = ACTIONS(1051),
    [sym__del_bgn] = ACTIONS(1051),
    [sym__img_bgn] = ACTIONS(1051),
    [sym__lnk_bgn] = ACTIONS(1051),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1051),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__cod_spn_bgn] = ACTIONS(1051),
    [sym__htm_opn_tag_bgn] = ACTIONS(1051),
    [sym__htm_cls_tag_bgn] = ACTIONS(1051),
    [sym__htm_dcl_bgn] = ACTIONS(1051),
    [sym__htm_cmt_bgn] = ACTIONS(1051),
    [sym__htm_prc_bgn] = ACTIONS(1051),
    [sym__htm_cda_bgn] = ACTIONS(1051),
    [sym__hrd_lbk] = ACTIONS(1051),
    [sym__sft_lbk] = ACTIONS(1051),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1051),
  },
  [221] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1027),
    [sym__chr_ref] = ACTIONS(1027),
    [sym__emp_bgn] = ACTIONS(1027),
    [sym__stg_bgn] = ACTIONS(1027),
    [sym__del_bgn] = ACTIONS(1027),
    [sym__del_end] = ACTIONS(1027),
    [sym__img_bgn] = ACTIONS(1027),
    [sym__lnk_bgn] = ACTIONS(1027),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1027),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__cod_spn_bgn] = ACTIONS(1027),
    [sym__htm_opn_tag_bgn] = ACTIONS(1027),
    [sym__htm_cls_tag_bgn] = ACTIONS(1027),
    [sym__htm_dcl_bgn] = ACTIONS(1027),
    [sym__htm_cmt_bgn] = ACTIONS(1027),
    [sym__htm_prc_bgn] = ACTIONS(1027),
    [sym__htm_cda_bgn] = ACTIONS(1027),
    [sym__hrd_lbk] = ACTIONS(1027),
    [sym__sft_lbk] = ACTIONS(1027),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1027),
  },
  [222] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1049),
    [sym__chr_ref] = ACTIONS(1049),
    [sym__emp_bgn] = ACTIONS(1049),
    [sym__stg_bgn] = ACTIONS(1049),
    [sym__del_bgn] = ACTIONS(1049),
    [sym__img_bgn] = ACTIONS(1049),
    [sym__lnk_bgn] = ACTIONS(1049),
    [sym__lnk_end] = ACTIONS(1049),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1049),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__cod_spn_bgn] = ACTIONS(1049),
    [sym__htm_opn_tag_bgn] = ACTIONS(1049),
    [sym__htm_cls_tag_bgn] = ACTIONS(1049),
    [sym__htm_dcl_bgn] = ACTIONS(1049),
    [sym__htm_cmt_bgn] = ACTIONS(1049),
    [sym__htm_prc_bgn] = ACTIONS(1049),
    [sym__htm_cda_bgn] = ACTIONS(1049),
    [sym__hrd_lbk] = ACTIONS(1049),
    [sym__sft_lbk] = ACTIONS(1049),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1049),
  },
  [223] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1023),
    [sym__chr_ref] = ACTIONS(1023),
    [sym__emp_bgn] = ACTIONS(1023),
    [sym__stg_bgn] = ACTIONS(1023),
    [sym__del_bgn] = ACTIONS(1023),
    [sym__del_end] = ACTIONS(1023),
    [sym__img_bgn] = ACTIONS(1023),
    [sym__lnk_bgn] = ACTIONS(1023),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1023),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__cod_spn_bgn] = ACTIONS(1023),
    [sym__htm_opn_tag_bgn] = ACTIONS(1023),
    [sym__htm_cls_tag_bgn] = ACTIONS(1023),
    [sym__htm_dcl_bgn] = ACTIONS(1023),
    [sym__htm_cmt_bgn] = ACTIONS(1023),
    [sym__htm_prc_bgn] = ACTIONS(1023),
    [sym__htm_cda_bgn] = ACTIONS(1023),
    [sym__hrd_lbk] = ACTIONS(1023),
    [sym__sft_lbk] = ACTIONS(1023),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1023),
  },
  [224] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1051),
    [sym__chr_ref] = ACTIONS(1051),
    [sym__emp_bgn] = ACTIONS(1051),
    [sym__stg_bgn] = ACTIONS(1051),
    [sym__del_bgn] = ACTIONS(1051),
    [sym__img_bgn] = ACTIONS(1051),
    [sym__lnk_bgn] = ACTIONS(1051),
    [sym__lnk_end] = ACTIONS(1051),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1051),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__cod_spn_bgn] = ACTIONS(1051),
    [sym__htm_opn_tag_bgn] = ACTIONS(1051),
    [sym__htm_cls_tag_bgn] = ACTIONS(1051),
    [sym__htm_dcl_bgn] = ACTIONS(1051),
    [sym__htm_cmt_bgn] = ACTIONS(1051),
    [sym__htm_prc_bgn] = ACTIONS(1051),
    [sym__htm_cda_bgn] = ACTIONS(1051),
    [sym__hrd_lbk] = ACTIONS(1051),
    [sym__sft_lbk] = ACTIONS(1051),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1051),
  },
  [225] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1047),
    [sym__chr_ref] = ACTIONS(1047),
    [sym__emp_bgn] = ACTIONS(1047),
    [sym__stg_bgn] = ACTIONS(1047),
    [sym__del_bgn] = ACTIONS(1047),
    [sym__img_bgn] = ACTIONS(1047),
    [sym__lnk_bgn] = ACTIONS(1047),
    [sym__lnk_end] = ACTIONS(1047),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1047),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__cod_spn_bgn] = ACTIONS(1047),
    [sym__htm_opn_tag_bgn] = ACTIONS(1047),
    [sym__htm_cls_tag_bgn] = ACTIONS(1047),
    [sym__htm_dcl_bgn] = ACTIONS(1047),
    [sym__htm_cmt_bgn] = ACTIONS(1047),
    [sym__htm_prc_bgn] = ACTIONS(1047),
    [sym__htm_cda_bgn] = ACTIONS(1047),
    [sym__hrd_lbk] = ACTIONS(1047),
    [sym__sft_lbk] = ACTIONS(1047),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1047),
  },
  [226] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1015),
    [sym__chr_ref] = ACTIONS(1015),
    [sym__emp_bgn] = ACTIONS(1015),
    [sym__stg_bgn] = ACTIONS(1015),
    [sym__del_bgn] = ACTIONS(1015),
    [sym__del_end] = ACTIONS(1015),
    [sym__img_bgn] = ACTIONS(1015),
    [sym__lnk_bgn] = ACTIONS(1015),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1015),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__cod_spn_bgn] = ACTIONS(1015),
    [sym__htm_opn_tag_bgn] = ACTIONS(1015),
    [sym__htm_cls_tag_bgn] = ACTIONS(1015),
    [sym__htm_dcl_bgn] = ACTIONS(1015),
    [sym__htm_cmt_bgn] = ACTIONS(1015),
    [sym__htm_prc_bgn] = ACTIONS(1015),
    [sym__htm_cda_bgn] = ACTIONS(1015),
    [sym__hrd_lbk] = ACTIONS(1015),
    [sym__sft_lbk] = ACTIONS(1015),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1015),
  },
  [227] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1011),
    [sym__chr_ref] = ACTIONS(1011),
    [sym__emp_bgn] = ACTIONS(1011),
    [sym__stg_bgn] = ACTIONS(1011),
    [sym__del_bgn] = ACTIONS(1011),
    [sym__del_end] = ACTIONS(1011),
    [sym__img_bgn] = ACTIONS(1011),
    [sym__lnk_bgn] = ACTIONS(1011),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1011),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__cod_spn_bgn] = ACTIONS(1011),
    [sym__htm_opn_tag_bgn] = ACTIONS(1011),
    [sym__htm_cls_tag_bgn] = ACTIONS(1011),
    [sym__htm_dcl_bgn] = ACTIONS(1011),
    [sym__htm_cmt_bgn] = ACTIONS(1011),
    [sym__htm_prc_bgn] = ACTIONS(1011),
    [sym__htm_cda_bgn] = ACTIONS(1011),
    [sym__hrd_lbk] = ACTIONS(1011),
    [sym__sft_lbk] = ACTIONS(1011),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1011),
  },
  [228] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(983),
    [sym__chr_ref] = ACTIONS(983),
    [sym__emp_bgn] = ACTIONS(983),
    [sym__stg_bgn] = ACTIONS(983),
    [sym__del_bgn] = ACTIONS(983),
    [sym__del_end] = ACTIONS(983),
    [sym__img_bgn] = ACTIONS(983),
    [sym__lnk_bgn] = ACTIONS(983),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__uri_aut_lnk_bgn] = ACTIONS(983),
    [sym__eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__cod_spn_bgn] = ACTIONS(983),
    [sym__htm_opn_tag_bgn] = ACTIONS(983),
    [sym__htm_cls_tag_bgn] = ACTIONS(983),
    [sym__htm_dcl_bgn] = ACTIONS(983),
    [sym__htm_cmt_bgn] = ACTIONS(983),
    [sym__htm_prc_bgn] = ACTIONS(983),
    [sym__htm_cda_bgn] = ACTIONS(983),
    [sym__hrd_lbk] = ACTIONS(983),
    [sym__sft_lbk] = ACTIONS(983),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(983),
  },
  [229] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(987),
    [sym__chr_ref] = ACTIONS(987),
    [sym__emp_bgn] = ACTIONS(987),
    [sym__stg_bgn] = ACTIONS(987),
    [sym__del_bgn] = ACTIONS(987),
    [sym__del_end] = ACTIONS(987),
    [sym__img_bgn] = ACTIONS(987),
    [sym__lnk_bgn] = ACTIONS(987),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__uri_aut_lnk_bgn] = ACTIONS(987),
    [sym__eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__cod_spn_bgn] = ACTIONS(987),
    [sym__htm_opn_tag_bgn] = ACTIONS(987),
    [sym__htm_cls_tag_bgn] = ACTIONS(987),
    [sym__htm_dcl_bgn] = ACTIONS(987),
    [sym__htm_cmt_bgn] = ACTIONS(987),
    [sym__htm_prc_bgn] = ACTIONS(987),
    [sym__htm_cda_bgn] = ACTIONS(987),
    [sym__hrd_lbk] = ACTIONS(987),
    [sym__sft_lbk] = ACTIONS(987),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(987),
  },
  [230] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(979),
    [sym__bsl_esc] = ACTIONS(979),
    [sym__chr_ref] = ACTIONS(979),
    [sym__emp_bgn] = ACTIONS(979),
    [sym__stg_bgn] = ACTIONS(979),
    [sym__del_bgn] = ACTIONS(979),
    [sym__img_bgn] = ACTIONS(979),
    [sym__lnk_bgn] = ACTIONS(979),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__uri_aut_lnk_bgn] = ACTIONS(979),
    [sym__eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__cod_spn_bgn] = ACTIONS(979),
    [sym__htm_opn_tag_bgn] = ACTIONS(979),
    [sym__htm_cls_tag_bgn] = ACTIONS(979),
    [sym__htm_dcl_bgn] = ACTIONS(979),
    [sym__htm_cmt_bgn] = ACTIONS(979),
    [sym__htm_prc_bgn] = ACTIONS(979),
    [sym__htm_cda_bgn] = ACTIONS(979),
    [sym__hrd_lbk] = ACTIONS(979),
    [sym__sft_lbk] = ACTIONS(979),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(979),
  },
  [231] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1001),
    [sym__bsl_esc] = ACTIONS(1001),
    [sym__chr_ref] = ACTIONS(1001),
    [sym__emp_bgn] = ACTIONS(1001),
    [sym__stg_bgn] = ACTIONS(1001),
    [sym__del_bgn] = ACTIONS(1001),
    [sym__img_bgn] = ACTIONS(1001),
    [sym__lnk_bgn] = ACTIONS(1001),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1001),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__cod_spn_bgn] = ACTIONS(1001),
    [sym__htm_opn_tag_bgn] = ACTIONS(1001),
    [sym__htm_cls_tag_bgn] = ACTIONS(1001),
    [sym__htm_dcl_bgn] = ACTIONS(1001),
    [sym__htm_cmt_bgn] = ACTIONS(1001),
    [sym__htm_prc_bgn] = ACTIONS(1001),
    [sym__htm_cda_bgn] = ACTIONS(1001),
    [sym__hrd_lbk] = ACTIONS(1001),
    [sym__sft_lbk] = ACTIONS(1001),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1001),
  },
  [232] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1049),
    [sym__chr_ref] = ACTIONS(1049),
    [sym__emp_bgn] = ACTIONS(1049),
    [sym__emp_end] = ACTIONS(1049),
    [sym__stg_bgn] = ACTIONS(1049),
    [sym__del_bgn] = ACTIONS(1049),
    [sym__img_bgn] = ACTIONS(1049),
    [sym__lnk_bgn] = ACTIONS(1049),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1049),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__cod_spn_bgn] = ACTIONS(1049),
    [sym__htm_opn_tag_bgn] = ACTIONS(1049),
    [sym__htm_cls_tag_bgn] = ACTIONS(1049),
    [sym__htm_dcl_bgn] = ACTIONS(1049),
    [sym__htm_cmt_bgn] = ACTIONS(1049),
    [sym__htm_prc_bgn] = ACTIONS(1049),
    [sym__htm_cda_bgn] = ACTIONS(1049),
    [sym__hrd_lbk] = ACTIONS(1049),
    [sym__sft_lbk] = ACTIONS(1049),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1049),
  },
  [233] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1045),
    [sym__chr_ref] = ACTIONS(1045),
    [sym__emp_bgn] = ACTIONS(1045),
    [sym__emp_end] = ACTIONS(1045),
    [sym__stg_bgn] = ACTIONS(1045),
    [sym__del_bgn] = ACTIONS(1045),
    [sym__img_bgn] = ACTIONS(1045),
    [sym__lnk_bgn] = ACTIONS(1045),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1045),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__cod_spn_bgn] = ACTIONS(1045),
    [sym__htm_opn_tag_bgn] = ACTIONS(1045),
    [sym__htm_cls_tag_bgn] = ACTIONS(1045),
    [sym__htm_dcl_bgn] = ACTIONS(1045),
    [sym__htm_cmt_bgn] = ACTIONS(1045),
    [sym__htm_prc_bgn] = ACTIONS(1045),
    [sym__htm_cda_bgn] = ACTIONS(1045),
    [sym__hrd_lbk] = ACTIONS(1045),
    [sym__sft_lbk] = ACTIONS(1045),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1045),
  },
  [234] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1041),
    [sym__bsl_esc] = ACTIONS(1041),
    [sym__chr_ref] = ACTIONS(1041),
    [sym__emp_bgn] = ACTIONS(1041),
    [sym__stg_bgn] = ACTIONS(1041),
    [sym__del_bgn] = ACTIONS(1041),
    [sym__img_bgn] = ACTIONS(1041),
    [sym__lnk_bgn] = ACTIONS(1041),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1041),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__cod_spn_bgn] = ACTIONS(1041),
    [sym__htm_opn_tag_bgn] = ACTIONS(1041),
    [sym__htm_cls_tag_bgn] = ACTIONS(1041),
    [sym__htm_dcl_bgn] = ACTIONS(1041),
    [sym__htm_cmt_bgn] = ACTIONS(1041),
    [sym__htm_prc_bgn] = ACTIONS(1041),
    [sym__htm_cda_bgn] = ACTIONS(1041),
    [sym__hrd_lbk] = ACTIONS(1041),
    [sym__sft_lbk] = ACTIONS(1041),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1041),
  },
  [235] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1043),
    [sym__chr_ref] = ACTIONS(1043),
    [sym__emp_bgn] = ACTIONS(1043),
    [sym__emp_end] = ACTIONS(1043),
    [sym__stg_bgn] = ACTIONS(1043),
    [sym__del_bgn] = ACTIONS(1043),
    [sym__img_bgn] = ACTIONS(1043),
    [sym__lnk_bgn] = ACTIONS(1043),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1043),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__cod_spn_bgn] = ACTIONS(1043),
    [sym__htm_opn_tag_bgn] = ACTIONS(1043),
    [sym__htm_cls_tag_bgn] = ACTIONS(1043),
    [sym__htm_dcl_bgn] = ACTIONS(1043),
    [sym__htm_cmt_bgn] = ACTIONS(1043),
    [sym__htm_prc_bgn] = ACTIONS(1043),
    [sym__htm_cda_bgn] = ACTIONS(1043),
    [sym__hrd_lbk] = ACTIONS(1043),
    [sym__sft_lbk] = ACTIONS(1043),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1043),
  },
  [236] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1039),
    [sym__chr_ref] = ACTIONS(1039),
    [sym__emp_bgn] = ACTIONS(1039),
    [sym__emp_end] = ACTIONS(1039),
    [sym__stg_bgn] = ACTIONS(1039),
    [sym__del_bgn] = ACTIONS(1039),
    [sym__img_bgn] = ACTIONS(1039),
    [sym__lnk_bgn] = ACTIONS(1039),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1039),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__cod_spn_bgn] = ACTIONS(1039),
    [sym__htm_opn_tag_bgn] = ACTIONS(1039),
    [sym__htm_cls_tag_bgn] = ACTIONS(1039),
    [sym__htm_dcl_bgn] = ACTIONS(1039),
    [sym__htm_cmt_bgn] = ACTIONS(1039),
    [sym__htm_prc_bgn] = ACTIONS(1039),
    [sym__htm_cda_bgn] = ACTIONS(1039),
    [sym__hrd_lbk] = ACTIONS(1039),
    [sym__sft_lbk] = ACTIONS(1039),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1039),
  },
  [237] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(991),
    [sym__chr_ref] = ACTIONS(991),
    [sym__emp_bgn] = ACTIONS(991),
    [sym__stg_bgn] = ACTIONS(991),
    [sym__del_bgn] = ACTIONS(991),
    [sym__del_end] = ACTIONS(991),
    [sym__img_bgn] = ACTIONS(991),
    [sym__lnk_bgn] = ACTIONS(991),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__uri_aut_lnk_bgn] = ACTIONS(991),
    [sym__eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__cod_spn_bgn] = ACTIONS(991),
    [sym__htm_opn_tag_bgn] = ACTIONS(991),
    [sym__htm_cls_tag_bgn] = ACTIONS(991),
    [sym__htm_dcl_bgn] = ACTIONS(991),
    [sym__htm_cmt_bgn] = ACTIONS(991),
    [sym__htm_prc_bgn] = ACTIONS(991),
    [sym__htm_cda_bgn] = ACTIONS(991),
    [sym__hrd_lbk] = ACTIONS(991),
    [sym__sft_lbk] = ACTIONS(991),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(991),
  },
  [238] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1035),
    [sym__bsl_esc] = ACTIONS(1035),
    [sym__chr_ref] = ACTIONS(1035),
    [sym__emp_bgn] = ACTIONS(1035),
    [sym__stg_bgn] = ACTIONS(1035),
    [sym__del_bgn] = ACTIONS(1035),
    [sym__img_bgn] = ACTIONS(1035),
    [sym__lnk_bgn] = ACTIONS(1035),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1035),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__cod_spn_bgn] = ACTIONS(1035),
    [sym__htm_opn_tag_bgn] = ACTIONS(1035),
    [sym__htm_cls_tag_bgn] = ACTIONS(1035),
    [sym__htm_dcl_bgn] = ACTIONS(1035),
    [sym__htm_cmt_bgn] = ACTIONS(1035),
    [sym__htm_prc_bgn] = ACTIONS(1035),
    [sym__htm_cda_bgn] = ACTIONS(1035),
    [sym__hrd_lbk] = ACTIONS(1035),
    [sym__sft_lbk] = ACTIONS(1035),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1035),
  },
  [239] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1013),
    [sym__bsl_esc] = ACTIONS(1013),
    [sym__chr_ref] = ACTIONS(1013),
    [sym__emp_bgn] = ACTIONS(1013),
    [sym__stg_bgn] = ACTIONS(1013),
    [sym__del_bgn] = ACTIONS(1013),
    [sym__img_bgn] = ACTIONS(1013),
    [sym__lnk_bgn] = ACTIONS(1013),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1013),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__cod_spn_bgn] = ACTIONS(1013),
    [sym__htm_opn_tag_bgn] = ACTIONS(1013),
    [sym__htm_cls_tag_bgn] = ACTIONS(1013),
    [sym__htm_dcl_bgn] = ACTIONS(1013),
    [sym__htm_cmt_bgn] = ACTIONS(1013),
    [sym__htm_prc_bgn] = ACTIONS(1013),
    [sym__htm_cda_bgn] = ACTIONS(1013),
    [sym__hrd_lbk] = ACTIONS(1013),
    [sym__sft_lbk] = ACTIONS(1013),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1013),
  },
  [240] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1037),
    [sym__chr_ref] = ACTIONS(1037),
    [sym__emp_bgn] = ACTIONS(1037),
    [sym__emp_end] = ACTIONS(1037),
    [sym__stg_bgn] = ACTIONS(1037),
    [sym__del_bgn] = ACTIONS(1037),
    [sym__img_bgn] = ACTIONS(1037),
    [sym__lnk_bgn] = ACTIONS(1037),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1037),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__cod_spn_bgn] = ACTIONS(1037),
    [sym__htm_opn_tag_bgn] = ACTIONS(1037),
    [sym__htm_cls_tag_bgn] = ACTIONS(1037),
    [sym__htm_dcl_bgn] = ACTIONS(1037),
    [sym__htm_cmt_bgn] = ACTIONS(1037),
    [sym__htm_prc_bgn] = ACTIONS(1037),
    [sym__htm_cda_bgn] = ACTIONS(1037),
    [sym__hrd_lbk] = ACTIONS(1037),
    [sym__sft_lbk] = ACTIONS(1037),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1037),
  },
  [241] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(999),
    [sym__chr_ref] = ACTIONS(999),
    [sym__emp_bgn] = ACTIONS(999),
    [sym__stg_bgn] = ACTIONS(999),
    [sym__del_bgn] = ACTIONS(999),
    [sym__del_end] = ACTIONS(999),
    [sym__img_bgn] = ACTIONS(999),
    [sym__lnk_bgn] = ACTIONS(999),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__uri_aut_lnk_bgn] = ACTIONS(999),
    [sym__eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__cod_spn_bgn] = ACTIONS(999),
    [sym__htm_opn_tag_bgn] = ACTIONS(999),
    [sym__htm_cls_tag_bgn] = ACTIONS(999),
    [sym__htm_dcl_bgn] = ACTIONS(999),
    [sym__htm_cmt_bgn] = ACTIONS(999),
    [sym__htm_prc_bgn] = ACTIONS(999),
    [sym__htm_cda_bgn] = ACTIONS(999),
    [sym__hrd_lbk] = ACTIONS(999),
    [sym__sft_lbk] = ACTIONS(999),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(999),
  },
  [242] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(997),
    [sym__chr_ref] = ACTIONS(997),
    [sym__emp_bgn] = ACTIONS(997),
    [sym__stg_bgn] = ACTIONS(997),
    [sym__del_bgn] = ACTIONS(997),
    [sym__del_end] = ACTIONS(997),
    [sym__img_bgn] = ACTIONS(997),
    [sym__lnk_bgn] = ACTIONS(997),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__uri_aut_lnk_bgn] = ACTIONS(997),
    [sym__eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__cod_spn_bgn] = ACTIONS(997),
    [sym__htm_opn_tag_bgn] = ACTIONS(997),
    [sym__htm_cls_tag_bgn] = ACTIONS(997),
    [sym__htm_dcl_bgn] = ACTIONS(997),
    [sym__htm_cmt_bgn] = ACTIONS(997),
    [sym__htm_prc_bgn] = ACTIONS(997),
    [sym__htm_cda_bgn] = ACTIONS(997),
    [sym__hrd_lbk] = ACTIONS(997),
    [sym__sft_lbk] = ACTIONS(997),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(997),
  },
  [243] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1027),
    [sym__chr_ref] = ACTIONS(1027),
    [sym__emp_bgn] = ACTIONS(1027),
    [sym__emp_end] = ACTIONS(1027),
    [sym__stg_bgn] = ACTIONS(1027),
    [sym__del_bgn] = ACTIONS(1027),
    [sym__img_bgn] = ACTIONS(1027),
    [sym__lnk_bgn] = ACTIONS(1027),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1027),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__cod_spn_bgn] = ACTIONS(1027),
    [sym__htm_opn_tag_bgn] = ACTIONS(1027),
    [sym__htm_cls_tag_bgn] = ACTIONS(1027),
    [sym__htm_dcl_bgn] = ACTIONS(1027),
    [sym__htm_cmt_bgn] = ACTIONS(1027),
    [sym__htm_prc_bgn] = ACTIONS(1027),
    [sym__htm_cda_bgn] = ACTIONS(1027),
    [sym__hrd_lbk] = ACTIONS(1027),
    [sym__sft_lbk] = ACTIONS(1027),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1027),
  },
  [244] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1033),
    [sym__bsl_esc] = ACTIONS(1033),
    [sym__chr_ref] = ACTIONS(1033),
    [sym__emp_bgn] = ACTIONS(1033),
    [sym__stg_bgn] = ACTIONS(1033),
    [sym__del_bgn] = ACTIONS(1033),
    [sym__img_bgn] = ACTIONS(1033),
    [sym__lnk_bgn] = ACTIONS(1033),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1033),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__cod_spn_bgn] = ACTIONS(1033),
    [sym__htm_opn_tag_bgn] = ACTIONS(1033),
    [sym__htm_cls_tag_bgn] = ACTIONS(1033),
    [sym__htm_dcl_bgn] = ACTIONS(1033),
    [sym__htm_cmt_bgn] = ACTIONS(1033),
    [sym__htm_prc_bgn] = ACTIONS(1033),
    [sym__htm_cda_bgn] = ACTIONS(1033),
    [sym__hrd_lbk] = ACTIONS(1033),
    [sym__sft_lbk] = ACTIONS(1033),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1033),
  },
  [245] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(995),
    [sym__chr_ref] = ACTIONS(995),
    [sym__emp_bgn] = ACTIONS(995),
    [sym__stg_bgn] = ACTIONS(995),
    [sym__del_bgn] = ACTIONS(995),
    [sym__del_end] = ACTIONS(995),
    [sym__img_bgn] = ACTIONS(995),
    [sym__lnk_bgn] = ACTIONS(995),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__uri_aut_lnk_bgn] = ACTIONS(995),
    [sym__eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__cod_spn_bgn] = ACTIONS(995),
    [sym__htm_opn_tag_bgn] = ACTIONS(995),
    [sym__htm_cls_tag_bgn] = ACTIONS(995),
    [sym__htm_dcl_bgn] = ACTIONS(995),
    [sym__htm_cmt_bgn] = ACTIONS(995),
    [sym__htm_prc_bgn] = ACTIONS(995),
    [sym__htm_cda_bgn] = ACTIONS(995),
    [sym__hrd_lbk] = ACTIONS(995),
    [sym__sft_lbk] = ACTIONS(995),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(995),
  },
  [246] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(981),
    [sym__chr_ref] = ACTIONS(981),
    [sym__emp_bgn] = ACTIONS(981),
    [sym__stg_bgn] = ACTIONS(981),
    [sym__del_bgn] = ACTIONS(981),
    [sym__del_end] = ACTIONS(981),
    [sym__img_bgn] = ACTIONS(981),
    [sym__lnk_bgn] = ACTIONS(981),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__uri_aut_lnk_bgn] = ACTIONS(981),
    [sym__eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__cod_spn_bgn] = ACTIONS(981),
    [sym__htm_opn_tag_bgn] = ACTIONS(981),
    [sym__htm_cls_tag_bgn] = ACTIONS(981),
    [sym__htm_dcl_bgn] = ACTIONS(981),
    [sym__htm_cmt_bgn] = ACTIONS(981),
    [sym__htm_prc_bgn] = ACTIONS(981),
    [sym__htm_cda_bgn] = ACTIONS(981),
    [sym__hrd_lbk] = ACTIONS(981),
    [sym__sft_lbk] = ACTIONS(981),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(981),
  },
  [247] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(993),
    [sym__chr_ref] = ACTIONS(993),
    [sym__emp_bgn] = ACTIONS(993),
    [sym__stg_bgn] = ACTIONS(993),
    [sym__del_bgn] = ACTIONS(993),
    [sym__del_end] = ACTIONS(993),
    [sym__img_bgn] = ACTIONS(993),
    [sym__lnk_bgn] = ACTIONS(993),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__uri_aut_lnk_bgn] = ACTIONS(993),
    [sym__eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__cod_spn_bgn] = ACTIONS(993),
    [sym__htm_opn_tag_bgn] = ACTIONS(993),
    [sym__htm_cls_tag_bgn] = ACTIONS(993),
    [sym__htm_dcl_bgn] = ACTIONS(993),
    [sym__htm_cmt_bgn] = ACTIONS(993),
    [sym__htm_prc_bgn] = ACTIONS(993),
    [sym__htm_cda_bgn] = ACTIONS(993),
    [sym__hrd_lbk] = ACTIONS(993),
    [sym__sft_lbk] = ACTIONS(993),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(993),
  },
  [248] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1023),
    [sym__chr_ref] = ACTIONS(1023),
    [sym__emp_bgn] = ACTIONS(1023),
    [sym__emp_end] = ACTIONS(1023),
    [sym__stg_bgn] = ACTIONS(1023),
    [sym__del_bgn] = ACTIONS(1023),
    [sym__img_bgn] = ACTIONS(1023),
    [sym__lnk_bgn] = ACTIONS(1023),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1023),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__cod_spn_bgn] = ACTIONS(1023),
    [sym__htm_opn_tag_bgn] = ACTIONS(1023),
    [sym__htm_cls_tag_bgn] = ACTIONS(1023),
    [sym__htm_dcl_bgn] = ACTIONS(1023),
    [sym__htm_cmt_bgn] = ACTIONS(1023),
    [sym__htm_prc_bgn] = ACTIONS(1023),
    [sym__htm_cda_bgn] = ACTIONS(1023),
    [sym__hrd_lbk] = ACTIONS(1023),
    [sym__sft_lbk] = ACTIONS(1023),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1023),
  },
  [249] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(989),
    [sym__chr_ref] = ACTIONS(989),
    [sym__emp_bgn] = ACTIONS(989),
    [sym__stg_bgn] = ACTIONS(989),
    [sym__del_bgn] = ACTIONS(989),
    [sym__del_end] = ACTIONS(989),
    [sym__img_bgn] = ACTIONS(989),
    [sym__lnk_bgn] = ACTIONS(989),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__uri_aut_lnk_bgn] = ACTIONS(989),
    [sym__eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__cod_spn_bgn] = ACTIONS(989),
    [sym__htm_opn_tag_bgn] = ACTIONS(989),
    [sym__htm_cls_tag_bgn] = ACTIONS(989),
    [sym__htm_dcl_bgn] = ACTIONS(989),
    [sym__htm_cmt_bgn] = ACTIONS(989),
    [sym__htm_prc_bgn] = ACTIONS(989),
    [sym__htm_cda_bgn] = ACTIONS(989),
    [sym__hrd_lbk] = ACTIONS(989),
    [sym__sft_lbk] = ACTIONS(989),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(989),
  },
  [250] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1017),
    [sym__bsl_esc] = ACTIONS(1017),
    [sym__chr_ref] = ACTIONS(1017),
    [sym__emp_bgn] = ACTIONS(1017),
    [sym__stg_bgn] = ACTIONS(1017),
    [sym__del_bgn] = ACTIONS(1017),
    [sym__img_bgn] = ACTIONS(1017),
    [sym__lnk_bgn] = ACTIONS(1017),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1017),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__cod_spn_bgn] = ACTIONS(1017),
    [sym__htm_opn_tag_bgn] = ACTIONS(1017),
    [sym__htm_cls_tag_bgn] = ACTIONS(1017),
    [sym__htm_dcl_bgn] = ACTIONS(1017),
    [sym__htm_cmt_bgn] = ACTIONS(1017),
    [sym__htm_prc_bgn] = ACTIONS(1017),
    [sym__htm_cda_bgn] = ACTIONS(1017),
    [sym__hrd_lbk] = ACTIONS(1017),
    [sym__sft_lbk] = ACTIONS(1017),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1017),
  },
  [251] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(985),
    [sym__chr_ref] = ACTIONS(985),
    [sym__emp_bgn] = ACTIONS(985),
    [sym__stg_bgn] = ACTIONS(985),
    [sym__del_bgn] = ACTIONS(985),
    [sym__del_end] = ACTIONS(985),
    [sym__img_bgn] = ACTIONS(985),
    [sym__lnk_bgn] = ACTIONS(985),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__uri_aut_lnk_bgn] = ACTIONS(985),
    [sym__eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__cod_spn_bgn] = ACTIONS(985),
    [sym__htm_opn_tag_bgn] = ACTIONS(985),
    [sym__htm_cls_tag_bgn] = ACTIONS(985),
    [sym__htm_dcl_bgn] = ACTIONS(985),
    [sym__htm_cmt_bgn] = ACTIONS(985),
    [sym__htm_prc_bgn] = ACTIONS(985),
    [sym__htm_cda_bgn] = ACTIONS(985),
    [sym__hrd_lbk] = ACTIONS(985),
    [sym__sft_lbk] = ACTIONS(985),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(985),
  },
  [252] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1003),
    [sym__chr_ref] = ACTIONS(1003),
    [sym__emp_bgn] = ACTIONS(1003),
    [sym__stg_bgn] = ACTIONS(1003),
    [sym__del_bgn] = ACTIONS(1003),
    [sym__del_end] = ACTIONS(1003),
    [sym__img_bgn] = ACTIONS(1003),
    [sym__lnk_bgn] = ACTIONS(1003),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1003),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__cod_spn_bgn] = ACTIONS(1003),
    [sym__htm_opn_tag_bgn] = ACTIONS(1003),
    [sym__htm_cls_tag_bgn] = ACTIONS(1003),
    [sym__htm_dcl_bgn] = ACTIONS(1003),
    [sym__htm_cmt_bgn] = ACTIONS(1003),
    [sym__htm_prc_bgn] = ACTIONS(1003),
    [sym__htm_cda_bgn] = ACTIONS(1003),
    [sym__hrd_lbk] = ACTIONS(1003),
    [sym__sft_lbk] = ACTIONS(1003),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1003),
  },
  [253] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1019),
    [sym__bsl_esc] = ACTIONS(1019),
    [sym__chr_ref] = ACTIONS(1019),
    [sym__emp_bgn] = ACTIONS(1019),
    [sym__stg_bgn] = ACTIONS(1019),
    [sym__del_bgn] = ACTIONS(1019),
    [sym__img_bgn] = ACTIONS(1019),
    [sym__lnk_bgn] = ACTIONS(1019),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1019),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__cod_spn_bgn] = ACTIONS(1019),
    [sym__htm_opn_tag_bgn] = ACTIONS(1019),
    [sym__htm_cls_tag_bgn] = ACTIONS(1019),
    [sym__htm_dcl_bgn] = ACTIONS(1019),
    [sym__htm_cmt_bgn] = ACTIONS(1019),
    [sym__htm_prc_bgn] = ACTIONS(1019),
    [sym__htm_cda_bgn] = ACTIONS(1019),
    [sym__hrd_lbk] = ACTIONS(1019),
    [sym__sft_lbk] = ACTIONS(1019),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1019),
  },
  [254] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1041),
    [sym__chr_ref] = ACTIONS(1041),
    [sym__emp_bgn] = ACTIONS(1041),
    [sym__stg_bgn] = ACTIONS(1041),
    [sym__del_bgn] = ACTIONS(1041),
    [sym__img_bgn] = ACTIONS(1041),
    [sym__lnk_bgn] = ACTIONS(1041),
    [sym__lnk_end] = ACTIONS(1041),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1041),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__cod_spn_bgn] = ACTIONS(1041),
    [sym__htm_opn_tag_bgn] = ACTIONS(1041),
    [sym__htm_cls_tag_bgn] = ACTIONS(1041),
    [sym__htm_dcl_bgn] = ACTIONS(1041),
    [sym__htm_cmt_bgn] = ACTIONS(1041),
    [sym__htm_prc_bgn] = ACTIONS(1041),
    [sym__htm_cda_bgn] = ACTIONS(1041),
    [sym__hrd_lbk] = ACTIONS(1041),
    [sym__sft_lbk] = ACTIONS(1041),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1041),
  },
  [255] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1035),
    [sym__chr_ref] = ACTIONS(1035),
    [sym__emp_bgn] = ACTIONS(1035),
    [sym__stg_bgn] = ACTIONS(1035),
    [sym__del_bgn] = ACTIONS(1035),
    [sym__img_bgn] = ACTIONS(1035),
    [sym__lnk_bgn] = ACTIONS(1035),
    [sym__lnk_end] = ACTIONS(1035),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1035),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__cod_spn_bgn] = ACTIONS(1035),
    [sym__htm_opn_tag_bgn] = ACTIONS(1035),
    [sym__htm_cls_tag_bgn] = ACTIONS(1035),
    [sym__htm_dcl_bgn] = ACTIONS(1035),
    [sym__htm_cmt_bgn] = ACTIONS(1035),
    [sym__htm_prc_bgn] = ACTIONS(1035),
    [sym__htm_cda_bgn] = ACTIONS(1035),
    [sym__hrd_lbk] = ACTIONS(1035),
    [sym__sft_lbk] = ACTIONS(1035),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1035),
  },
  [256] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1033),
    [sym__chr_ref] = ACTIONS(1033),
    [sym__emp_bgn] = ACTIONS(1033),
    [sym__stg_bgn] = ACTIONS(1033),
    [sym__del_bgn] = ACTIONS(1033),
    [sym__img_bgn] = ACTIONS(1033),
    [sym__lnk_bgn] = ACTIONS(1033),
    [sym__lnk_end] = ACTIONS(1033),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1033),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__cod_spn_bgn] = ACTIONS(1033),
    [sym__htm_opn_tag_bgn] = ACTIONS(1033),
    [sym__htm_cls_tag_bgn] = ACTIONS(1033),
    [sym__htm_dcl_bgn] = ACTIONS(1033),
    [sym__htm_cmt_bgn] = ACTIONS(1033),
    [sym__htm_prc_bgn] = ACTIONS(1033),
    [sym__htm_cda_bgn] = ACTIONS(1033),
    [sym__hrd_lbk] = ACTIONS(1033),
    [sym__sft_lbk] = ACTIONS(1033),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1033),
  },
  [257] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1015),
    [sym__chr_ref] = ACTIONS(1015),
    [sym__emp_bgn] = ACTIONS(1015),
    [sym__emp_end] = ACTIONS(1015),
    [sym__stg_bgn] = ACTIONS(1015),
    [sym__del_bgn] = ACTIONS(1015),
    [sym__img_bgn] = ACTIONS(1015),
    [sym__lnk_bgn] = ACTIONS(1015),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1015),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__cod_spn_bgn] = ACTIONS(1015),
    [sym__htm_opn_tag_bgn] = ACTIONS(1015),
    [sym__htm_cls_tag_bgn] = ACTIONS(1015),
    [sym__htm_dcl_bgn] = ACTIONS(1015),
    [sym__htm_cmt_bgn] = ACTIONS(1015),
    [sym__htm_prc_bgn] = ACTIONS(1015),
    [sym__htm_cda_bgn] = ACTIONS(1015),
    [sym__hrd_lbk] = ACTIONS(1015),
    [sym__sft_lbk] = ACTIONS(1015),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1015),
  },
  [258] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1011),
    [sym__chr_ref] = ACTIONS(1011),
    [sym__emp_bgn] = ACTIONS(1011),
    [sym__emp_end] = ACTIONS(1011),
    [sym__stg_bgn] = ACTIONS(1011),
    [sym__del_bgn] = ACTIONS(1011),
    [sym__img_bgn] = ACTIONS(1011),
    [sym__lnk_bgn] = ACTIONS(1011),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1011),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__cod_spn_bgn] = ACTIONS(1011),
    [sym__htm_opn_tag_bgn] = ACTIONS(1011),
    [sym__htm_cls_tag_bgn] = ACTIONS(1011),
    [sym__htm_dcl_bgn] = ACTIONS(1011),
    [sym__htm_cmt_bgn] = ACTIONS(1011),
    [sym__htm_prc_bgn] = ACTIONS(1011),
    [sym__htm_cda_bgn] = ACTIONS(1011),
    [sym__hrd_lbk] = ACTIONS(1011),
    [sym__sft_lbk] = ACTIONS(1011),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1011),
  },
  [259] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1031),
    [sym__chr_ref] = ACTIONS(1031),
    [sym__emp_bgn] = ACTIONS(1031),
    [sym__stg_bgn] = ACTIONS(1031),
    [sym__del_bgn] = ACTIONS(1031),
    [sym__img_bgn] = ACTIONS(1031),
    [sym__lnk_bgn] = ACTIONS(1031),
    [sym__lnk_end] = ACTIONS(1031),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1031),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__cod_spn_bgn] = ACTIONS(1031),
    [sym__htm_opn_tag_bgn] = ACTIONS(1031),
    [sym__htm_cls_tag_bgn] = ACTIONS(1031),
    [sym__htm_dcl_bgn] = ACTIONS(1031),
    [sym__htm_cmt_bgn] = ACTIONS(1031),
    [sym__htm_prc_bgn] = ACTIONS(1031),
    [sym__htm_cda_bgn] = ACTIONS(1031),
    [sym__hrd_lbk] = ACTIONS(1031),
    [sym__sft_lbk] = ACTIONS(1031),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1031),
  },
  [260] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(983),
    [sym__chr_ref] = ACTIONS(983),
    [sym__emp_bgn] = ACTIONS(983),
    [sym__emp_end] = ACTIONS(983),
    [sym__stg_bgn] = ACTIONS(983),
    [sym__del_bgn] = ACTIONS(983),
    [sym__img_bgn] = ACTIONS(983),
    [sym__lnk_bgn] = ACTIONS(983),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__uri_aut_lnk_bgn] = ACTIONS(983),
    [sym__eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__cod_spn_bgn] = ACTIONS(983),
    [sym__htm_opn_tag_bgn] = ACTIONS(983),
    [sym__htm_cls_tag_bgn] = ACTIONS(983),
    [sym__htm_dcl_bgn] = ACTIONS(983),
    [sym__htm_cmt_bgn] = ACTIONS(983),
    [sym__htm_prc_bgn] = ACTIONS(983),
    [sym__htm_cda_bgn] = ACTIONS(983),
    [sym__hrd_lbk] = ACTIONS(983),
    [sym__sft_lbk] = ACTIONS(983),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(983),
  },
  [261] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(987),
    [sym__chr_ref] = ACTIONS(987),
    [sym__emp_bgn] = ACTIONS(987),
    [sym__emp_end] = ACTIONS(987),
    [sym__stg_bgn] = ACTIONS(987),
    [sym__del_bgn] = ACTIONS(987),
    [sym__img_bgn] = ACTIONS(987),
    [sym__lnk_bgn] = ACTIONS(987),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__uri_aut_lnk_bgn] = ACTIONS(987),
    [sym__eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__cod_spn_bgn] = ACTIONS(987),
    [sym__htm_opn_tag_bgn] = ACTIONS(987),
    [sym__htm_cls_tag_bgn] = ACTIONS(987),
    [sym__htm_dcl_bgn] = ACTIONS(987),
    [sym__htm_cmt_bgn] = ACTIONS(987),
    [sym__htm_prc_bgn] = ACTIONS(987),
    [sym__htm_cda_bgn] = ACTIONS(987),
    [sym__hrd_lbk] = ACTIONS(987),
    [sym__sft_lbk] = ACTIONS(987),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(987),
  },
  [262] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(991),
    [sym__chr_ref] = ACTIONS(991),
    [sym__emp_bgn] = ACTIONS(991),
    [sym__emp_end] = ACTIONS(991),
    [sym__stg_bgn] = ACTIONS(991),
    [sym__del_bgn] = ACTIONS(991),
    [sym__img_bgn] = ACTIONS(991),
    [sym__lnk_bgn] = ACTIONS(991),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__uri_aut_lnk_bgn] = ACTIONS(991),
    [sym__eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__cod_spn_bgn] = ACTIONS(991),
    [sym__htm_opn_tag_bgn] = ACTIONS(991),
    [sym__htm_cls_tag_bgn] = ACTIONS(991),
    [sym__htm_dcl_bgn] = ACTIONS(991),
    [sym__htm_cmt_bgn] = ACTIONS(991),
    [sym__htm_prc_bgn] = ACTIONS(991),
    [sym__htm_cda_bgn] = ACTIONS(991),
    [sym__hrd_lbk] = ACTIONS(991),
    [sym__sft_lbk] = ACTIONS(991),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(991),
  },
  [263] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1005),
    [sym__chr_ref] = ACTIONS(1005),
    [sym__emp_bgn] = ACTIONS(1005),
    [sym__stg_bgn] = ACTIONS(1005),
    [sym__del_bgn] = ACTIONS(1005),
    [sym__del_end] = ACTIONS(1005),
    [sym__img_bgn] = ACTIONS(1005),
    [sym__lnk_bgn] = ACTIONS(1005),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1005),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__cod_spn_bgn] = ACTIONS(1005),
    [sym__htm_opn_tag_bgn] = ACTIONS(1005),
    [sym__htm_cls_tag_bgn] = ACTIONS(1005),
    [sym__htm_dcl_bgn] = ACTIONS(1005),
    [sym__htm_cmt_bgn] = ACTIONS(1005),
    [sym__htm_prc_bgn] = ACTIONS(1005),
    [sym__htm_cda_bgn] = ACTIONS(1005),
    [sym__hrd_lbk] = ACTIONS(1005),
    [sym__sft_lbk] = ACTIONS(1005),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1005),
  },
  [264] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1007),
    [sym__chr_ref] = ACTIONS(1007),
    [sym__emp_bgn] = ACTIONS(1007),
    [sym__stg_bgn] = ACTIONS(1007),
    [sym__del_bgn] = ACTIONS(1007),
    [sym__del_end] = ACTIONS(1007),
    [sym__img_bgn] = ACTIONS(1007),
    [sym__lnk_bgn] = ACTIONS(1007),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1007),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__cod_spn_bgn] = ACTIONS(1007),
    [sym__htm_opn_tag_bgn] = ACTIONS(1007),
    [sym__htm_cls_tag_bgn] = ACTIONS(1007),
    [sym__htm_dcl_bgn] = ACTIONS(1007),
    [sym__htm_cmt_bgn] = ACTIONS(1007),
    [sym__htm_prc_bgn] = ACTIONS(1007),
    [sym__htm_cda_bgn] = ACTIONS(1007),
    [sym__hrd_lbk] = ACTIONS(1007),
    [sym__sft_lbk] = ACTIONS(1007),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1007),
  },
  [265] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1009),
    [sym__chr_ref] = ACTIONS(1009),
    [sym__emp_bgn] = ACTIONS(1009),
    [sym__stg_bgn] = ACTIONS(1009),
    [sym__del_bgn] = ACTIONS(1009),
    [sym__del_end] = ACTIONS(1009),
    [sym__img_bgn] = ACTIONS(1009),
    [sym__lnk_bgn] = ACTIONS(1009),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1009),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__cod_spn_bgn] = ACTIONS(1009),
    [sym__htm_opn_tag_bgn] = ACTIONS(1009),
    [sym__htm_cls_tag_bgn] = ACTIONS(1009),
    [sym__htm_dcl_bgn] = ACTIONS(1009),
    [sym__htm_cmt_bgn] = ACTIONS(1009),
    [sym__htm_prc_bgn] = ACTIONS(1009),
    [sym__htm_cda_bgn] = ACTIONS(1009),
    [sym__hrd_lbk] = ACTIONS(1009),
    [sym__sft_lbk] = ACTIONS(1009),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1009),
  },
  [266] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(999),
    [sym__chr_ref] = ACTIONS(999),
    [sym__emp_bgn] = ACTIONS(999),
    [sym__emp_end] = ACTIONS(999),
    [sym__stg_bgn] = ACTIONS(999),
    [sym__del_bgn] = ACTIONS(999),
    [sym__img_bgn] = ACTIONS(999),
    [sym__lnk_bgn] = ACTIONS(999),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__uri_aut_lnk_bgn] = ACTIONS(999),
    [sym__eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__cod_spn_bgn] = ACTIONS(999),
    [sym__htm_opn_tag_bgn] = ACTIONS(999),
    [sym__htm_cls_tag_bgn] = ACTIONS(999),
    [sym__htm_dcl_bgn] = ACTIONS(999),
    [sym__htm_cmt_bgn] = ACTIONS(999),
    [sym__htm_prc_bgn] = ACTIONS(999),
    [sym__htm_cda_bgn] = ACTIONS(999),
    [sym__hrd_lbk] = ACTIONS(999),
    [sym__sft_lbk] = ACTIONS(999),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(999),
  },
  [267] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(997),
    [sym__chr_ref] = ACTIONS(997),
    [sym__emp_bgn] = ACTIONS(997),
    [sym__emp_end] = ACTIONS(997),
    [sym__stg_bgn] = ACTIONS(997),
    [sym__del_bgn] = ACTIONS(997),
    [sym__img_bgn] = ACTIONS(997),
    [sym__lnk_bgn] = ACTIONS(997),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__uri_aut_lnk_bgn] = ACTIONS(997),
    [sym__eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__cod_spn_bgn] = ACTIONS(997),
    [sym__htm_opn_tag_bgn] = ACTIONS(997),
    [sym__htm_cls_tag_bgn] = ACTIONS(997),
    [sym__htm_dcl_bgn] = ACTIONS(997),
    [sym__htm_cmt_bgn] = ACTIONS(997),
    [sym__htm_prc_bgn] = ACTIONS(997),
    [sym__htm_cda_bgn] = ACTIONS(997),
    [sym__hrd_lbk] = ACTIONS(997),
    [sym__sft_lbk] = ACTIONS(997),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(997),
  },
  [268] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(995),
    [sym__chr_ref] = ACTIONS(995),
    [sym__emp_bgn] = ACTIONS(995),
    [sym__emp_end] = ACTIONS(995),
    [sym__stg_bgn] = ACTIONS(995),
    [sym__del_bgn] = ACTIONS(995),
    [sym__img_bgn] = ACTIONS(995),
    [sym__lnk_bgn] = ACTIONS(995),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__uri_aut_lnk_bgn] = ACTIONS(995),
    [sym__eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__cod_spn_bgn] = ACTIONS(995),
    [sym__htm_opn_tag_bgn] = ACTIONS(995),
    [sym__htm_cls_tag_bgn] = ACTIONS(995),
    [sym__htm_dcl_bgn] = ACTIONS(995),
    [sym__htm_cmt_bgn] = ACTIONS(995),
    [sym__htm_prc_bgn] = ACTIONS(995),
    [sym__htm_cda_bgn] = ACTIONS(995),
    [sym__hrd_lbk] = ACTIONS(995),
    [sym__sft_lbk] = ACTIONS(995),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(995),
  },
  [269] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(979),
    [sym__chr_ref] = ACTIONS(979),
    [sym__emp_bgn] = ACTIONS(979),
    [sym__stg_bgn] = ACTIONS(979),
    [sym__stg_end] = ACTIONS(979),
    [sym__del_bgn] = ACTIONS(979),
    [sym__img_bgn] = ACTIONS(979),
    [sym__lnk_bgn] = ACTIONS(979),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__uri_aut_lnk_bgn] = ACTIONS(979),
    [sym__eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__cod_spn_bgn] = ACTIONS(979),
    [sym__htm_opn_tag_bgn] = ACTIONS(979),
    [sym__htm_cls_tag_bgn] = ACTIONS(979),
    [sym__htm_dcl_bgn] = ACTIONS(979),
    [sym__htm_cmt_bgn] = ACTIONS(979),
    [sym__htm_prc_bgn] = ACTIONS(979),
    [sym__htm_cda_bgn] = ACTIONS(979),
    [sym__hrd_lbk] = ACTIONS(979),
    [sym__sft_lbk] = ACTIONS(979),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(979),
  },
  [270] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(981),
    [sym__chr_ref] = ACTIONS(981),
    [sym__emp_bgn] = ACTIONS(981),
    [sym__emp_end] = ACTIONS(981),
    [sym__stg_bgn] = ACTIONS(981),
    [sym__del_bgn] = ACTIONS(981),
    [sym__img_bgn] = ACTIONS(981),
    [sym__lnk_bgn] = ACTIONS(981),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__uri_aut_lnk_bgn] = ACTIONS(981),
    [sym__eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__cod_spn_bgn] = ACTIONS(981),
    [sym__htm_opn_tag_bgn] = ACTIONS(981),
    [sym__htm_cls_tag_bgn] = ACTIONS(981),
    [sym__htm_dcl_bgn] = ACTIONS(981),
    [sym__htm_cmt_bgn] = ACTIONS(981),
    [sym__htm_prc_bgn] = ACTIONS(981),
    [sym__htm_cda_bgn] = ACTIONS(981),
    [sym__hrd_lbk] = ACTIONS(981),
    [sym__sft_lbk] = ACTIONS(981),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(981),
  },
  [271] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(993),
    [sym__chr_ref] = ACTIONS(993),
    [sym__emp_bgn] = ACTIONS(993),
    [sym__emp_end] = ACTIONS(993),
    [sym__stg_bgn] = ACTIONS(993),
    [sym__del_bgn] = ACTIONS(993),
    [sym__img_bgn] = ACTIONS(993),
    [sym__lnk_bgn] = ACTIONS(993),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__uri_aut_lnk_bgn] = ACTIONS(993),
    [sym__eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__cod_spn_bgn] = ACTIONS(993),
    [sym__htm_opn_tag_bgn] = ACTIONS(993),
    [sym__htm_cls_tag_bgn] = ACTIONS(993),
    [sym__htm_dcl_bgn] = ACTIONS(993),
    [sym__htm_cmt_bgn] = ACTIONS(993),
    [sym__htm_prc_bgn] = ACTIONS(993),
    [sym__htm_cda_bgn] = ACTIONS(993),
    [sym__hrd_lbk] = ACTIONS(993),
    [sym__sft_lbk] = ACTIONS(993),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(993),
  },
  [272] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(989),
    [sym__chr_ref] = ACTIONS(989),
    [sym__emp_bgn] = ACTIONS(989),
    [sym__emp_end] = ACTIONS(989),
    [sym__stg_bgn] = ACTIONS(989),
    [sym__del_bgn] = ACTIONS(989),
    [sym__img_bgn] = ACTIONS(989),
    [sym__lnk_bgn] = ACTIONS(989),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__uri_aut_lnk_bgn] = ACTIONS(989),
    [sym__eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__cod_spn_bgn] = ACTIONS(989),
    [sym__htm_opn_tag_bgn] = ACTIONS(989),
    [sym__htm_cls_tag_bgn] = ACTIONS(989),
    [sym__htm_dcl_bgn] = ACTIONS(989),
    [sym__htm_cmt_bgn] = ACTIONS(989),
    [sym__htm_prc_bgn] = ACTIONS(989),
    [sym__htm_cda_bgn] = ACTIONS(989),
    [sym__hrd_lbk] = ACTIONS(989),
    [sym__sft_lbk] = ACTIONS(989),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(989),
  },
  [273] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1031),
    [sym__bsl_esc] = ACTIONS(1031),
    [sym__chr_ref] = ACTIONS(1031),
    [sym__emp_bgn] = ACTIONS(1031),
    [sym__stg_bgn] = ACTIONS(1031),
    [sym__del_bgn] = ACTIONS(1031),
    [sym__img_bgn] = ACTIONS(1031),
    [sym__lnk_bgn] = ACTIONS(1031),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1031),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__cod_spn_bgn] = ACTIONS(1031),
    [sym__htm_opn_tag_bgn] = ACTIONS(1031),
    [sym__htm_cls_tag_bgn] = ACTIONS(1031),
    [sym__htm_dcl_bgn] = ACTIONS(1031),
    [sym__htm_cmt_bgn] = ACTIONS(1031),
    [sym__htm_prc_bgn] = ACTIONS(1031),
    [sym__htm_cda_bgn] = ACTIONS(1031),
    [sym__hrd_lbk] = ACTIONS(1031),
    [sym__sft_lbk] = ACTIONS(1031),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1031),
  },
  [274] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(985),
    [sym__chr_ref] = ACTIONS(985),
    [sym__emp_bgn] = ACTIONS(985),
    [sym__emp_end] = ACTIONS(985),
    [sym__stg_bgn] = ACTIONS(985),
    [sym__del_bgn] = ACTIONS(985),
    [sym__img_bgn] = ACTIONS(985),
    [sym__lnk_bgn] = ACTIONS(985),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__uri_aut_lnk_bgn] = ACTIONS(985),
    [sym__eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__cod_spn_bgn] = ACTIONS(985),
    [sym__htm_opn_tag_bgn] = ACTIONS(985),
    [sym__htm_cls_tag_bgn] = ACTIONS(985),
    [sym__htm_dcl_bgn] = ACTIONS(985),
    [sym__htm_cmt_bgn] = ACTIONS(985),
    [sym__htm_prc_bgn] = ACTIONS(985),
    [sym__htm_cda_bgn] = ACTIONS(985),
    [sym__hrd_lbk] = ACTIONS(985),
    [sym__sft_lbk] = ACTIONS(985),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(985),
  },
  [275] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1001),
    [sym__chr_ref] = ACTIONS(1001),
    [sym__emp_bgn] = ACTIONS(1001),
    [sym__stg_bgn] = ACTIONS(1001),
    [sym__del_bgn] = ACTIONS(1001),
    [sym__del_end] = ACTIONS(1001),
    [sym__img_bgn] = ACTIONS(1001),
    [sym__lnk_bgn] = ACTIONS(1001),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1001),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__cod_spn_bgn] = ACTIONS(1001),
    [sym__htm_opn_tag_bgn] = ACTIONS(1001),
    [sym__htm_cls_tag_bgn] = ACTIONS(1001),
    [sym__htm_dcl_bgn] = ACTIONS(1001),
    [sym__htm_cmt_bgn] = ACTIONS(1001),
    [sym__htm_prc_bgn] = ACTIONS(1001),
    [sym__htm_cda_bgn] = ACTIONS(1001),
    [sym__hrd_lbk] = ACTIONS(1001),
    [sym__sft_lbk] = ACTIONS(1001),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1001),
  },
  [276] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1029),
    [sym__bsl_esc] = ACTIONS(1029),
    [sym__chr_ref] = ACTIONS(1029),
    [sym__emp_bgn] = ACTIONS(1029),
    [sym__stg_bgn] = ACTIONS(1029),
    [sym__del_bgn] = ACTIONS(1029),
    [sym__img_bgn] = ACTIONS(1029),
    [sym__lnk_bgn] = ACTIONS(1029),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1029),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__cod_spn_bgn] = ACTIONS(1029),
    [sym__htm_opn_tag_bgn] = ACTIONS(1029),
    [sym__htm_cls_tag_bgn] = ACTIONS(1029),
    [sym__htm_dcl_bgn] = ACTIONS(1029),
    [sym__htm_cmt_bgn] = ACTIONS(1029),
    [sym__htm_prc_bgn] = ACTIONS(1029),
    [sym__htm_cda_bgn] = ACTIONS(1029),
    [sym__hrd_lbk] = ACTIONS(1029),
    [sym__sft_lbk] = ACTIONS(1029),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1029),
  },
  [277] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1003),
    [sym__chr_ref] = ACTIONS(1003),
    [sym__emp_bgn] = ACTIONS(1003),
    [sym__emp_end] = ACTIONS(1003),
    [sym__stg_bgn] = ACTIONS(1003),
    [sym__del_bgn] = ACTIONS(1003),
    [sym__img_bgn] = ACTIONS(1003),
    [sym__lnk_bgn] = ACTIONS(1003),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1003),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__cod_spn_bgn] = ACTIONS(1003),
    [sym__htm_opn_tag_bgn] = ACTIONS(1003),
    [sym__htm_cls_tag_bgn] = ACTIONS(1003),
    [sym__htm_dcl_bgn] = ACTIONS(1003),
    [sym__htm_cmt_bgn] = ACTIONS(1003),
    [sym__htm_prc_bgn] = ACTIONS(1003),
    [sym__htm_cda_bgn] = ACTIONS(1003),
    [sym__hrd_lbk] = ACTIONS(1003),
    [sym__sft_lbk] = ACTIONS(1003),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1003),
  },
  [278] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1013),
    [sym__chr_ref] = ACTIONS(1013),
    [sym__emp_bgn] = ACTIONS(1013),
    [sym__stg_bgn] = ACTIONS(1013),
    [sym__del_bgn] = ACTIONS(1013),
    [sym__del_end] = ACTIONS(1013),
    [sym__img_bgn] = ACTIONS(1013),
    [sym__lnk_bgn] = ACTIONS(1013),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1013),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__cod_spn_bgn] = ACTIONS(1013),
    [sym__htm_opn_tag_bgn] = ACTIONS(1013),
    [sym__htm_cls_tag_bgn] = ACTIONS(1013),
    [sym__htm_dcl_bgn] = ACTIONS(1013),
    [sym__htm_cmt_bgn] = ACTIONS(1013),
    [sym__htm_prc_bgn] = ACTIONS(1013),
    [sym__htm_cda_bgn] = ACTIONS(1013),
    [sym__hrd_lbk] = ACTIONS(1013),
    [sym__sft_lbk] = ACTIONS(1013),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1013),
  },
  [279] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1017),
    [sym__chr_ref] = ACTIONS(1017),
    [sym__emp_bgn] = ACTIONS(1017),
    [sym__stg_bgn] = ACTIONS(1017),
    [sym__del_bgn] = ACTIONS(1017),
    [sym__del_end] = ACTIONS(1017),
    [sym__img_bgn] = ACTIONS(1017),
    [sym__lnk_bgn] = ACTIONS(1017),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1017),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__cod_spn_bgn] = ACTIONS(1017),
    [sym__htm_opn_tag_bgn] = ACTIONS(1017),
    [sym__htm_cls_tag_bgn] = ACTIONS(1017),
    [sym__htm_dcl_bgn] = ACTIONS(1017),
    [sym__htm_cmt_bgn] = ACTIONS(1017),
    [sym__htm_prc_bgn] = ACTIONS(1017),
    [sym__htm_cda_bgn] = ACTIONS(1017),
    [sym__hrd_lbk] = ACTIONS(1017),
    [sym__sft_lbk] = ACTIONS(1017),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1017),
  },
  [280] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1019),
    [sym__chr_ref] = ACTIONS(1019),
    [sym__emp_bgn] = ACTIONS(1019),
    [sym__stg_bgn] = ACTIONS(1019),
    [sym__del_bgn] = ACTIONS(1019),
    [sym__del_end] = ACTIONS(1019),
    [sym__img_bgn] = ACTIONS(1019),
    [sym__lnk_bgn] = ACTIONS(1019),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1019),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__cod_spn_bgn] = ACTIONS(1019),
    [sym__htm_opn_tag_bgn] = ACTIONS(1019),
    [sym__htm_cls_tag_bgn] = ACTIONS(1019),
    [sym__htm_dcl_bgn] = ACTIONS(1019),
    [sym__htm_cmt_bgn] = ACTIONS(1019),
    [sym__htm_prc_bgn] = ACTIONS(1019),
    [sym__htm_cda_bgn] = ACTIONS(1019),
    [sym__hrd_lbk] = ACTIONS(1019),
    [sym__sft_lbk] = ACTIONS(1019),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1019),
  },
  [281] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1025),
    [sym__chr_ref] = ACTIONS(1025),
    [sym__emp_bgn] = ACTIONS(1025),
    [sym__stg_bgn] = ACTIONS(1025),
    [sym__stg_end] = ACTIONS(1025),
    [sym__del_bgn] = ACTIONS(1025),
    [sym__img_bgn] = ACTIONS(1025),
    [sym__lnk_bgn] = ACTIONS(1025),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1025),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__cod_spn_bgn] = ACTIONS(1025),
    [sym__htm_opn_tag_bgn] = ACTIONS(1025),
    [sym__htm_cls_tag_bgn] = ACTIONS(1025),
    [sym__htm_dcl_bgn] = ACTIONS(1025),
    [sym__htm_cmt_bgn] = ACTIONS(1025),
    [sym__htm_prc_bgn] = ACTIONS(1025),
    [sym__htm_cda_bgn] = ACTIONS(1025),
    [sym__hrd_lbk] = ACTIONS(1025),
    [sym__sft_lbk] = ACTIONS(1025),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1025),
  },
  [282] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1029),
    [sym__chr_ref] = ACTIONS(1029),
    [sym__emp_bgn] = ACTIONS(1029),
    [sym__stg_bgn] = ACTIONS(1029),
    [sym__stg_end] = ACTIONS(1029),
    [sym__del_bgn] = ACTIONS(1029),
    [sym__img_bgn] = ACTIONS(1029),
    [sym__lnk_bgn] = ACTIONS(1029),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1029),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__cod_spn_bgn] = ACTIONS(1029),
    [sym__htm_opn_tag_bgn] = ACTIONS(1029),
    [sym__htm_cls_tag_bgn] = ACTIONS(1029),
    [sym__htm_dcl_bgn] = ACTIONS(1029),
    [sym__htm_cmt_bgn] = ACTIONS(1029),
    [sym__htm_prc_bgn] = ACTIONS(1029),
    [sym__htm_cda_bgn] = ACTIONS(1029),
    [sym__hrd_lbk] = ACTIONS(1029),
    [sym__sft_lbk] = ACTIONS(1029),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1029),
  },
  [283] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1031),
    [sym__chr_ref] = ACTIONS(1031),
    [sym__emp_bgn] = ACTIONS(1031),
    [sym__stg_bgn] = ACTIONS(1031),
    [sym__stg_end] = ACTIONS(1031),
    [sym__del_bgn] = ACTIONS(1031),
    [sym__img_bgn] = ACTIONS(1031),
    [sym__lnk_bgn] = ACTIONS(1031),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1031),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__cod_spn_bgn] = ACTIONS(1031),
    [sym__htm_opn_tag_bgn] = ACTIONS(1031),
    [sym__htm_cls_tag_bgn] = ACTIONS(1031),
    [sym__htm_dcl_bgn] = ACTIONS(1031),
    [sym__htm_cmt_bgn] = ACTIONS(1031),
    [sym__htm_prc_bgn] = ACTIONS(1031),
    [sym__htm_cda_bgn] = ACTIONS(1031),
    [sym__hrd_lbk] = ACTIONS(1031),
    [sym__sft_lbk] = ACTIONS(1031),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1031),
  },
  [284] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1033),
    [sym__chr_ref] = ACTIONS(1033),
    [sym__emp_bgn] = ACTIONS(1033),
    [sym__stg_bgn] = ACTIONS(1033),
    [sym__stg_end] = ACTIONS(1033),
    [sym__del_bgn] = ACTIONS(1033),
    [sym__img_bgn] = ACTIONS(1033),
    [sym__lnk_bgn] = ACTIONS(1033),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1033),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__cod_spn_bgn] = ACTIONS(1033),
    [sym__htm_opn_tag_bgn] = ACTIONS(1033),
    [sym__htm_cls_tag_bgn] = ACTIONS(1033),
    [sym__htm_dcl_bgn] = ACTIONS(1033),
    [sym__htm_cmt_bgn] = ACTIONS(1033),
    [sym__htm_prc_bgn] = ACTIONS(1033),
    [sym__htm_cda_bgn] = ACTIONS(1033),
    [sym__hrd_lbk] = ACTIONS(1033),
    [sym__sft_lbk] = ACTIONS(1033),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1033),
  },
  [285] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1035),
    [sym__chr_ref] = ACTIONS(1035),
    [sym__emp_bgn] = ACTIONS(1035),
    [sym__stg_bgn] = ACTIONS(1035),
    [sym__stg_end] = ACTIONS(1035),
    [sym__del_bgn] = ACTIONS(1035),
    [sym__img_bgn] = ACTIONS(1035),
    [sym__lnk_bgn] = ACTIONS(1035),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1035),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__cod_spn_bgn] = ACTIONS(1035),
    [sym__htm_opn_tag_bgn] = ACTIONS(1035),
    [sym__htm_cls_tag_bgn] = ACTIONS(1035),
    [sym__htm_dcl_bgn] = ACTIONS(1035),
    [sym__htm_cmt_bgn] = ACTIONS(1035),
    [sym__htm_prc_bgn] = ACTIONS(1035),
    [sym__htm_cda_bgn] = ACTIONS(1035),
    [sym__hrd_lbk] = ACTIONS(1035),
    [sym__sft_lbk] = ACTIONS(1035),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1035),
  },
  [286] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1041),
    [sym__chr_ref] = ACTIONS(1041),
    [sym__emp_bgn] = ACTIONS(1041),
    [sym__stg_bgn] = ACTIONS(1041),
    [sym__stg_end] = ACTIONS(1041),
    [sym__del_bgn] = ACTIONS(1041),
    [sym__img_bgn] = ACTIONS(1041),
    [sym__lnk_bgn] = ACTIONS(1041),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1041),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__cod_spn_bgn] = ACTIONS(1041),
    [sym__htm_opn_tag_bgn] = ACTIONS(1041),
    [sym__htm_cls_tag_bgn] = ACTIONS(1041),
    [sym__htm_dcl_bgn] = ACTIONS(1041),
    [sym__htm_cmt_bgn] = ACTIONS(1041),
    [sym__htm_prc_bgn] = ACTIONS(1041),
    [sym__htm_cda_bgn] = ACTIONS(1041),
    [sym__hrd_lbk] = ACTIONS(1041),
    [sym__sft_lbk] = ACTIONS(1041),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1041),
  },
  [287] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1005),
    [sym__chr_ref] = ACTIONS(1005),
    [sym__emp_bgn] = ACTIONS(1005),
    [sym__emp_end] = ACTIONS(1005),
    [sym__stg_bgn] = ACTIONS(1005),
    [sym__del_bgn] = ACTIONS(1005),
    [sym__img_bgn] = ACTIONS(1005),
    [sym__lnk_bgn] = ACTIONS(1005),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1005),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__cod_spn_bgn] = ACTIONS(1005),
    [sym__htm_opn_tag_bgn] = ACTIONS(1005),
    [sym__htm_cls_tag_bgn] = ACTIONS(1005),
    [sym__htm_dcl_bgn] = ACTIONS(1005),
    [sym__htm_cmt_bgn] = ACTIONS(1005),
    [sym__htm_prc_bgn] = ACTIONS(1005),
    [sym__htm_cda_bgn] = ACTIONS(1005),
    [sym__hrd_lbk] = ACTIONS(1005),
    [sym__sft_lbk] = ACTIONS(1005),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1005),
  },
  [288] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1007),
    [sym__chr_ref] = ACTIONS(1007),
    [sym__emp_bgn] = ACTIONS(1007),
    [sym__emp_end] = ACTIONS(1007),
    [sym__stg_bgn] = ACTIONS(1007),
    [sym__del_bgn] = ACTIONS(1007),
    [sym__img_bgn] = ACTIONS(1007),
    [sym__lnk_bgn] = ACTIONS(1007),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1007),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__cod_spn_bgn] = ACTIONS(1007),
    [sym__htm_opn_tag_bgn] = ACTIONS(1007),
    [sym__htm_cls_tag_bgn] = ACTIONS(1007),
    [sym__htm_dcl_bgn] = ACTIONS(1007),
    [sym__htm_cmt_bgn] = ACTIONS(1007),
    [sym__htm_prc_bgn] = ACTIONS(1007),
    [sym__htm_cda_bgn] = ACTIONS(1007),
    [sym__hrd_lbk] = ACTIONS(1007),
    [sym__sft_lbk] = ACTIONS(1007),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1007),
  },
  [289] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1047),
    [sym__chr_ref] = ACTIONS(1047),
    [sym__emp_bgn] = ACTIONS(1047),
    [sym__stg_bgn] = ACTIONS(1047),
    [sym__stg_end] = ACTIONS(1047),
    [sym__del_bgn] = ACTIONS(1047),
    [sym__img_bgn] = ACTIONS(1047),
    [sym__lnk_bgn] = ACTIONS(1047),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1047),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__cod_spn_bgn] = ACTIONS(1047),
    [sym__htm_opn_tag_bgn] = ACTIONS(1047),
    [sym__htm_cls_tag_bgn] = ACTIONS(1047),
    [sym__htm_dcl_bgn] = ACTIONS(1047),
    [sym__htm_cmt_bgn] = ACTIONS(1047),
    [sym__htm_prc_bgn] = ACTIONS(1047),
    [sym__htm_cda_bgn] = ACTIONS(1047),
    [sym__hrd_lbk] = ACTIONS(1047),
    [sym__sft_lbk] = ACTIONS(1047),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1047),
  },
  [290] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1009),
    [sym__chr_ref] = ACTIONS(1009),
    [sym__emp_bgn] = ACTIONS(1009),
    [sym__emp_end] = ACTIONS(1009),
    [sym__stg_bgn] = ACTIONS(1009),
    [sym__del_bgn] = ACTIONS(1009),
    [sym__img_bgn] = ACTIONS(1009),
    [sym__lnk_bgn] = ACTIONS(1009),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1009),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__cod_spn_bgn] = ACTIONS(1009),
    [sym__htm_opn_tag_bgn] = ACTIONS(1009),
    [sym__htm_cls_tag_bgn] = ACTIONS(1009),
    [sym__htm_dcl_bgn] = ACTIONS(1009),
    [sym__htm_cmt_bgn] = ACTIONS(1009),
    [sym__htm_prc_bgn] = ACTIONS(1009),
    [sym__htm_cda_bgn] = ACTIONS(1009),
    [sym__hrd_lbk] = ACTIONS(1009),
    [sym__sft_lbk] = ACTIONS(1009),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1009),
  },
  [291] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(979),
    [sym__chr_ref] = ACTIONS(979),
    [sym__emp_bgn] = ACTIONS(979),
    [sym__emp_end] = ACTIONS(979),
    [sym__stg_bgn] = ACTIONS(979),
    [sym__del_bgn] = ACTIONS(979),
    [sym__img_bgn] = ACTIONS(979),
    [sym__lnk_bgn] = ACTIONS(979),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__uri_aut_lnk_bgn] = ACTIONS(979),
    [sym__eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__cod_spn_bgn] = ACTIONS(979),
    [sym__htm_opn_tag_bgn] = ACTIONS(979),
    [sym__htm_cls_tag_bgn] = ACTIONS(979),
    [sym__htm_dcl_bgn] = ACTIONS(979),
    [sym__htm_cmt_bgn] = ACTIONS(979),
    [sym__htm_prc_bgn] = ACTIONS(979),
    [sym__htm_cda_bgn] = ACTIONS(979),
    [sym__hrd_lbk] = ACTIONS(979),
    [sym__sft_lbk] = ACTIONS(979),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(979),
  },
  [292] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1001),
    [sym__chr_ref] = ACTIONS(1001),
    [sym__emp_bgn] = ACTIONS(1001),
    [sym__emp_end] = ACTIONS(1001),
    [sym__stg_bgn] = ACTIONS(1001),
    [sym__del_bgn] = ACTIONS(1001),
    [sym__img_bgn] = ACTIONS(1001),
    [sym__lnk_bgn] = ACTIONS(1001),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1001),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__cod_spn_bgn] = ACTIONS(1001),
    [sym__htm_opn_tag_bgn] = ACTIONS(1001),
    [sym__htm_cls_tag_bgn] = ACTIONS(1001),
    [sym__htm_dcl_bgn] = ACTIONS(1001),
    [sym__htm_cmt_bgn] = ACTIONS(1001),
    [sym__htm_prc_bgn] = ACTIONS(1001),
    [sym__htm_cda_bgn] = ACTIONS(1001),
    [sym__hrd_lbk] = ACTIONS(1001),
    [sym__sft_lbk] = ACTIONS(1001),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1001),
  },
  [293] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1021),
    [sym__bsl_esc] = ACTIONS(1021),
    [sym__chr_ref] = ACTIONS(1021),
    [sym__emp_bgn] = ACTIONS(1021),
    [sym__stg_bgn] = ACTIONS(1021),
    [sym__del_bgn] = ACTIONS(1021),
    [sym__img_bgn] = ACTIONS(1021),
    [sym__lnk_bgn] = ACTIONS(1021),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1021),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1021),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1021),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1021),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1021),
    [sym__cod_spn_bgn] = ACTIONS(1021),
    [sym__htm_opn_tag_bgn] = ACTIONS(1021),
    [sym__htm_cls_tag_bgn] = ACTIONS(1021),
    [sym__htm_dcl_bgn] = ACTIONS(1021),
    [sym__htm_cmt_bgn] = ACTIONS(1021),
    [sym__htm_prc_bgn] = ACTIONS(1021),
    [sym__htm_cda_bgn] = ACTIONS(1021),
    [sym__hrd_lbk] = ACTIONS(1021),
    [sym__sft_lbk] = ACTIONS(1021),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1021),
  },
  [294] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1013),
    [sym__chr_ref] = ACTIONS(1013),
    [sym__emp_bgn] = ACTIONS(1013),
    [sym__emp_end] = ACTIONS(1013),
    [sym__stg_bgn] = ACTIONS(1013),
    [sym__del_bgn] = ACTIONS(1013),
    [sym__img_bgn] = ACTIONS(1013),
    [sym__lnk_bgn] = ACTIONS(1013),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1013),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__cod_spn_bgn] = ACTIONS(1013),
    [sym__htm_opn_tag_bgn] = ACTIONS(1013),
    [sym__htm_cls_tag_bgn] = ACTIONS(1013),
    [sym__htm_dcl_bgn] = ACTIONS(1013),
    [sym__htm_cmt_bgn] = ACTIONS(1013),
    [sym__htm_prc_bgn] = ACTIONS(1013),
    [sym__htm_cda_bgn] = ACTIONS(1013),
    [sym__hrd_lbk] = ACTIONS(1013),
    [sym__sft_lbk] = ACTIONS(1013),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1013),
  },
  [295] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1017),
    [sym__chr_ref] = ACTIONS(1017),
    [sym__emp_bgn] = ACTIONS(1017),
    [sym__emp_end] = ACTIONS(1017),
    [sym__stg_bgn] = ACTIONS(1017),
    [sym__del_bgn] = ACTIONS(1017),
    [sym__img_bgn] = ACTIONS(1017),
    [sym__lnk_bgn] = ACTIONS(1017),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1017),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__cod_spn_bgn] = ACTIONS(1017),
    [sym__htm_opn_tag_bgn] = ACTIONS(1017),
    [sym__htm_cls_tag_bgn] = ACTIONS(1017),
    [sym__htm_dcl_bgn] = ACTIONS(1017),
    [sym__htm_cmt_bgn] = ACTIONS(1017),
    [sym__htm_prc_bgn] = ACTIONS(1017),
    [sym__htm_cda_bgn] = ACTIONS(1017),
    [sym__hrd_lbk] = ACTIONS(1017),
    [sym__sft_lbk] = ACTIONS(1017),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1017),
  },
  [296] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1019),
    [sym__chr_ref] = ACTIONS(1019),
    [sym__emp_bgn] = ACTIONS(1019),
    [sym__emp_end] = ACTIONS(1019),
    [sym__stg_bgn] = ACTIONS(1019),
    [sym__del_bgn] = ACTIONS(1019),
    [sym__img_bgn] = ACTIONS(1019),
    [sym__lnk_bgn] = ACTIONS(1019),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1019),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__cod_spn_bgn] = ACTIONS(1019),
    [sym__htm_opn_tag_bgn] = ACTIONS(1019),
    [sym__htm_cls_tag_bgn] = ACTIONS(1019),
    [sym__htm_dcl_bgn] = ACTIONS(1019),
    [sym__htm_cmt_bgn] = ACTIONS(1019),
    [sym__htm_prc_bgn] = ACTIONS(1019),
    [sym__htm_cda_bgn] = ACTIONS(1019),
    [sym__hrd_lbk] = ACTIONS(1019),
    [sym__sft_lbk] = ACTIONS(1019),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1019),
  },
  [297] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1021),
    [sym__chr_ref] = ACTIONS(1021),
    [sym__emp_bgn] = ACTIONS(1021),
    [sym__stg_bgn] = ACTIONS(1021),
    [sym__del_bgn] = ACTIONS(1021),
    [sym__del_end] = ACTIONS(1021),
    [sym__img_bgn] = ACTIONS(1021),
    [sym__lnk_bgn] = ACTIONS(1021),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1021),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1021),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1021),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1021),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1021),
    [sym__cod_spn_bgn] = ACTIONS(1021),
    [sym__htm_opn_tag_bgn] = ACTIONS(1021),
    [sym__htm_cls_tag_bgn] = ACTIONS(1021),
    [sym__htm_dcl_bgn] = ACTIONS(1021),
    [sym__htm_cmt_bgn] = ACTIONS(1021),
    [sym__htm_prc_bgn] = ACTIONS(1021),
    [sym__htm_cda_bgn] = ACTIONS(1021),
    [sym__hrd_lbk] = ACTIONS(1021),
    [sym__sft_lbk] = ACTIONS(1021),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1021),
  },
  [298] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1051),
    [sym__chr_ref] = ACTIONS(1051),
    [sym__emp_bgn] = ACTIONS(1051),
    [sym__stg_bgn] = ACTIONS(1051),
    [sym__stg_end] = ACTIONS(1051),
    [sym__del_bgn] = ACTIONS(1051),
    [sym__img_bgn] = ACTIONS(1051),
    [sym__lnk_bgn] = ACTIONS(1051),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1051),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__cod_spn_bgn] = ACTIONS(1051),
    [sym__htm_opn_tag_bgn] = ACTIONS(1051),
    [sym__htm_cls_tag_bgn] = ACTIONS(1051),
    [sym__htm_dcl_bgn] = ACTIONS(1051),
    [sym__htm_cmt_bgn] = ACTIONS(1051),
    [sym__htm_prc_bgn] = ACTIONS(1051),
    [sym__htm_cda_bgn] = ACTIONS(1051),
    [sym__hrd_lbk] = ACTIONS(1051),
    [sym__sft_lbk] = ACTIONS(1051),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1051),
  },
  [299] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1049),
    [sym__chr_ref] = ACTIONS(1049),
    [sym__emp_bgn] = ACTIONS(1049),
    [sym__stg_bgn] = ACTIONS(1049),
    [sym__stg_end] = ACTIONS(1049),
    [sym__del_bgn] = ACTIONS(1049),
    [sym__img_bgn] = ACTIONS(1049),
    [sym__lnk_bgn] = ACTIONS(1049),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1049),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__cod_spn_bgn] = ACTIONS(1049),
    [sym__htm_opn_tag_bgn] = ACTIONS(1049),
    [sym__htm_cls_tag_bgn] = ACTIONS(1049),
    [sym__htm_dcl_bgn] = ACTIONS(1049),
    [sym__htm_cmt_bgn] = ACTIONS(1049),
    [sym__htm_prc_bgn] = ACTIONS(1049),
    [sym__htm_cda_bgn] = ACTIONS(1049),
    [sym__hrd_lbk] = ACTIONS(1049),
    [sym__sft_lbk] = ACTIONS(1049),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1049),
  },
  [300] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1003),
    [sym__bsl_esc] = ACTIONS(1003),
    [sym__chr_ref] = ACTIONS(1003),
    [sym__emp_bgn] = ACTIONS(1003),
    [sym__stg_bgn] = ACTIONS(1003),
    [sym__del_bgn] = ACTIONS(1003),
    [sym__img_bgn] = ACTIONS(1003),
    [sym__lnk_bgn] = ACTIONS(1003),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1003),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__cod_spn_bgn] = ACTIONS(1003),
    [sym__htm_opn_tag_bgn] = ACTIONS(1003),
    [sym__htm_cls_tag_bgn] = ACTIONS(1003),
    [sym__htm_dcl_bgn] = ACTIONS(1003),
    [sym__htm_cmt_bgn] = ACTIONS(1003),
    [sym__htm_prc_bgn] = ACTIONS(1003),
    [sym__htm_cda_bgn] = ACTIONS(1003),
    [sym__hrd_lbk] = ACTIONS(1003),
    [sym__sft_lbk] = ACTIONS(1003),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1003),
  },
  [301] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1045),
    [sym__chr_ref] = ACTIONS(1045),
    [sym__emp_bgn] = ACTIONS(1045),
    [sym__stg_bgn] = ACTIONS(1045),
    [sym__stg_end] = ACTIONS(1045),
    [sym__del_bgn] = ACTIONS(1045),
    [sym__img_bgn] = ACTIONS(1045),
    [sym__lnk_bgn] = ACTIONS(1045),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1045),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__cod_spn_bgn] = ACTIONS(1045),
    [sym__htm_opn_tag_bgn] = ACTIONS(1045),
    [sym__htm_cls_tag_bgn] = ACTIONS(1045),
    [sym__htm_dcl_bgn] = ACTIONS(1045),
    [sym__htm_cmt_bgn] = ACTIONS(1045),
    [sym__htm_prc_bgn] = ACTIONS(1045),
    [sym__htm_cda_bgn] = ACTIONS(1045),
    [sym__hrd_lbk] = ACTIONS(1045),
    [sym__sft_lbk] = ACTIONS(1045),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1045),
  },
  [302] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1009),
    [sym__chr_ref] = ACTIONS(1009),
    [sym__emp_bgn] = ACTIONS(1009),
    [sym__stg_bgn] = ACTIONS(1009),
    [sym__stg_end] = ACTIONS(1009),
    [sym__del_bgn] = ACTIONS(1009),
    [sym__img_bgn] = ACTIONS(1009),
    [sym__lnk_bgn] = ACTIONS(1009),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1009),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__cod_spn_bgn] = ACTIONS(1009),
    [sym__htm_opn_tag_bgn] = ACTIONS(1009),
    [sym__htm_cls_tag_bgn] = ACTIONS(1009),
    [sym__htm_dcl_bgn] = ACTIONS(1009),
    [sym__htm_cmt_bgn] = ACTIONS(1009),
    [sym__htm_prc_bgn] = ACTIONS(1009),
    [sym__htm_cda_bgn] = ACTIONS(1009),
    [sym__hrd_lbk] = ACTIONS(1009),
    [sym__sft_lbk] = ACTIONS(1009),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1009),
  },
  [303] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1043),
    [sym__chr_ref] = ACTIONS(1043),
    [sym__emp_bgn] = ACTIONS(1043),
    [sym__stg_bgn] = ACTIONS(1043),
    [sym__stg_end] = ACTIONS(1043),
    [sym__del_bgn] = ACTIONS(1043),
    [sym__img_bgn] = ACTIONS(1043),
    [sym__lnk_bgn] = ACTIONS(1043),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1043),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__cod_spn_bgn] = ACTIONS(1043),
    [sym__htm_opn_tag_bgn] = ACTIONS(1043),
    [sym__htm_cls_tag_bgn] = ACTIONS(1043),
    [sym__htm_dcl_bgn] = ACTIONS(1043),
    [sym__htm_cmt_bgn] = ACTIONS(1043),
    [sym__htm_prc_bgn] = ACTIONS(1043),
    [sym__htm_cda_bgn] = ACTIONS(1043),
    [sym__hrd_lbk] = ACTIONS(1043),
    [sym__sft_lbk] = ACTIONS(1043),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1043),
  },
  [304] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1005),
    [sym__chr_ref] = ACTIONS(1005),
    [sym__emp_bgn] = ACTIONS(1005),
    [sym__stg_bgn] = ACTIONS(1005),
    [sym__stg_end] = ACTIONS(1005),
    [sym__del_bgn] = ACTIONS(1005),
    [sym__img_bgn] = ACTIONS(1005),
    [sym__lnk_bgn] = ACTIONS(1005),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1005),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__cod_spn_bgn] = ACTIONS(1005),
    [sym__htm_opn_tag_bgn] = ACTIONS(1005),
    [sym__htm_cls_tag_bgn] = ACTIONS(1005),
    [sym__htm_dcl_bgn] = ACTIONS(1005),
    [sym__htm_cmt_bgn] = ACTIONS(1005),
    [sym__htm_prc_bgn] = ACTIONS(1005),
    [sym__htm_cda_bgn] = ACTIONS(1005),
    [sym__hrd_lbk] = ACTIONS(1005),
    [sym__sft_lbk] = ACTIONS(1005),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1005),
  },
  [305] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1039),
    [sym__chr_ref] = ACTIONS(1039),
    [sym__emp_bgn] = ACTIONS(1039),
    [sym__stg_bgn] = ACTIONS(1039),
    [sym__stg_end] = ACTIONS(1039),
    [sym__del_bgn] = ACTIONS(1039),
    [sym__img_bgn] = ACTIONS(1039),
    [sym__lnk_bgn] = ACTIONS(1039),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1039),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__cod_spn_bgn] = ACTIONS(1039),
    [sym__htm_opn_tag_bgn] = ACTIONS(1039),
    [sym__htm_cls_tag_bgn] = ACTIONS(1039),
    [sym__htm_dcl_bgn] = ACTIONS(1039),
    [sym__htm_cmt_bgn] = ACTIONS(1039),
    [sym__htm_prc_bgn] = ACTIONS(1039),
    [sym__htm_cda_bgn] = ACTIONS(1039),
    [sym__hrd_lbk] = ACTIONS(1039),
    [sym__sft_lbk] = ACTIONS(1039),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1039),
  },
  [306] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1021),
    [sym__chr_ref] = ACTIONS(1021),
    [sym__emp_bgn] = ACTIONS(1021),
    [sym__stg_bgn] = ACTIONS(1021),
    [sym__stg_end] = ACTIONS(1021),
    [sym__del_bgn] = ACTIONS(1021),
    [sym__img_bgn] = ACTIONS(1021),
    [sym__lnk_bgn] = ACTIONS(1021),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1021),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1021),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1021),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1021),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1021),
    [sym__cod_spn_bgn] = ACTIONS(1021),
    [sym__htm_opn_tag_bgn] = ACTIONS(1021),
    [sym__htm_cls_tag_bgn] = ACTIONS(1021),
    [sym__htm_dcl_bgn] = ACTIONS(1021),
    [sym__htm_cmt_bgn] = ACTIONS(1021),
    [sym__htm_prc_bgn] = ACTIONS(1021),
    [sym__htm_cda_bgn] = ACTIONS(1021),
    [sym__hrd_lbk] = ACTIONS(1021),
    [sym__sft_lbk] = ACTIONS(1021),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1021),
  },
  [307] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1025),
    [sym__bsl_esc] = ACTIONS(1025),
    [sym__chr_ref] = ACTIONS(1025),
    [sym__emp_bgn] = ACTIONS(1025),
    [sym__stg_bgn] = ACTIONS(1025),
    [sym__del_bgn] = ACTIONS(1025),
    [sym__img_bgn] = ACTIONS(1025),
    [sym__lnk_bgn] = ACTIONS(1025),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1025),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__cod_spn_bgn] = ACTIONS(1025),
    [sym__htm_opn_tag_bgn] = ACTIONS(1025),
    [sym__htm_cls_tag_bgn] = ACTIONS(1025),
    [sym__htm_dcl_bgn] = ACTIONS(1025),
    [sym__htm_cmt_bgn] = ACTIONS(1025),
    [sym__htm_prc_bgn] = ACTIONS(1025),
    [sym__htm_cda_bgn] = ACTIONS(1025),
    [sym__hrd_lbk] = ACTIONS(1025),
    [sym__sft_lbk] = ACTIONS(1025),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1025),
  },
  [308] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1037),
    [sym__chr_ref] = ACTIONS(1037),
    [sym__emp_bgn] = ACTIONS(1037),
    [sym__stg_bgn] = ACTIONS(1037),
    [sym__stg_end] = ACTIONS(1037),
    [sym__del_bgn] = ACTIONS(1037),
    [sym__img_bgn] = ACTIONS(1037),
    [sym__lnk_bgn] = ACTIONS(1037),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1037),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__cod_spn_bgn] = ACTIONS(1037),
    [sym__htm_opn_tag_bgn] = ACTIONS(1037),
    [sym__htm_cls_tag_bgn] = ACTIONS(1037),
    [sym__htm_dcl_bgn] = ACTIONS(1037),
    [sym__htm_cmt_bgn] = ACTIONS(1037),
    [sym__htm_prc_bgn] = ACTIONS(1037),
    [sym__htm_cda_bgn] = ACTIONS(1037),
    [sym__hrd_lbk] = ACTIONS(1037),
    [sym__sft_lbk] = ACTIONS(1037),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1037),
  },
  [309] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1027),
    [sym__chr_ref] = ACTIONS(1027),
    [sym__emp_bgn] = ACTIONS(1027),
    [sym__stg_bgn] = ACTIONS(1027),
    [sym__stg_end] = ACTIONS(1027),
    [sym__del_bgn] = ACTIONS(1027),
    [sym__img_bgn] = ACTIONS(1027),
    [sym__lnk_bgn] = ACTIONS(1027),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1027),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__cod_spn_bgn] = ACTIONS(1027),
    [sym__htm_opn_tag_bgn] = ACTIONS(1027),
    [sym__htm_cls_tag_bgn] = ACTIONS(1027),
    [sym__htm_dcl_bgn] = ACTIONS(1027),
    [sym__htm_cmt_bgn] = ACTIONS(1027),
    [sym__htm_prc_bgn] = ACTIONS(1027),
    [sym__htm_cda_bgn] = ACTIONS(1027),
    [sym__hrd_lbk] = ACTIONS(1027),
    [sym__sft_lbk] = ACTIONS(1027),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1027),
  },
  [310] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1023),
    [sym__chr_ref] = ACTIONS(1023),
    [sym__emp_bgn] = ACTIONS(1023),
    [sym__stg_bgn] = ACTIONS(1023),
    [sym__stg_end] = ACTIONS(1023),
    [sym__del_bgn] = ACTIONS(1023),
    [sym__img_bgn] = ACTIONS(1023),
    [sym__lnk_bgn] = ACTIONS(1023),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1023),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__cod_spn_bgn] = ACTIONS(1023),
    [sym__htm_opn_tag_bgn] = ACTIONS(1023),
    [sym__htm_cls_tag_bgn] = ACTIONS(1023),
    [sym__htm_dcl_bgn] = ACTIONS(1023),
    [sym__htm_cmt_bgn] = ACTIONS(1023),
    [sym__htm_prc_bgn] = ACTIONS(1023),
    [sym__htm_cda_bgn] = ACTIONS(1023),
    [sym__hrd_lbk] = ACTIONS(1023),
    [sym__sft_lbk] = ACTIONS(1023),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1023),
  },
  [311] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1015),
    [sym__chr_ref] = ACTIONS(1015),
    [sym__emp_bgn] = ACTIONS(1015),
    [sym__stg_bgn] = ACTIONS(1015),
    [sym__stg_end] = ACTIONS(1015),
    [sym__del_bgn] = ACTIONS(1015),
    [sym__img_bgn] = ACTIONS(1015),
    [sym__lnk_bgn] = ACTIONS(1015),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1015),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__cod_spn_bgn] = ACTIONS(1015),
    [sym__htm_opn_tag_bgn] = ACTIONS(1015),
    [sym__htm_cls_tag_bgn] = ACTIONS(1015),
    [sym__htm_dcl_bgn] = ACTIONS(1015),
    [sym__htm_cmt_bgn] = ACTIONS(1015),
    [sym__htm_prc_bgn] = ACTIONS(1015),
    [sym__htm_cda_bgn] = ACTIONS(1015),
    [sym__hrd_lbk] = ACTIONS(1015),
    [sym__sft_lbk] = ACTIONS(1015),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1015),
  },
  [312] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1011),
    [sym__chr_ref] = ACTIONS(1011),
    [sym__emp_bgn] = ACTIONS(1011),
    [sym__stg_bgn] = ACTIONS(1011),
    [sym__stg_end] = ACTIONS(1011),
    [sym__del_bgn] = ACTIONS(1011),
    [sym__img_bgn] = ACTIONS(1011),
    [sym__lnk_bgn] = ACTIONS(1011),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1011),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__cod_spn_bgn] = ACTIONS(1011),
    [sym__htm_opn_tag_bgn] = ACTIONS(1011),
    [sym__htm_cls_tag_bgn] = ACTIONS(1011),
    [sym__htm_dcl_bgn] = ACTIONS(1011),
    [sym__htm_cmt_bgn] = ACTIONS(1011),
    [sym__htm_prc_bgn] = ACTIONS(1011),
    [sym__htm_cda_bgn] = ACTIONS(1011),
    [sym__hrd_lbk] = ACTIONS(1011),
    [sym__sft_lbk] = ACTIONS(1011),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1011),
  },
  [313] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(983),
    [sym__chr_ref] = ACTIONS(983),
    [sym__emp_bgn] = ACTIONS(983),
    [sym__stg_bgn] = ACTIONS(983),
    [sym__stg_end] = ACTIONS(983),
    [sym__del_bgn] = ACTIONS(983),
    [sym__img_bgn] = ACTIONS(983),
    [sym__lnk_bgn] = ACTIONS(983),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__uri_aut_lnk_bgn] = ACTIONS(983),
    [sym__eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__cod_spn_bgn] = ACTIONS(983),
    [sym__htm_opn_tag_bgn] = ACTIONS(983),
    [sym__htm_cls_tag_bgn] = ACTIONS(983),
    [sym__htm_dcl_bgn] = ACTIONS(983),
    [sym__htm_cmt_bgn] = ACTIONS(983),
    [sym__htm_prc_bgn] = ACTIONS(983),
    [sym__htm_cda_bgn] = ACTIONS(983),
    [sym__hrd_lbk] = ACTIONS(983),
    [sym__sft_lbk] = ACTIONS(983),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(983),
  },
  [314] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(987),
    [sym__chr_ref] = ACTIONS(987),
    [sym__emp_bgn] = ACTIONS(987),
    [sym__stg_bgn] = ACTIONS(987),
    [sym__stg_end] = ACTIONS(987),
    [sym__del_bgn] = ACTIONS(987),
    [sym__img_bgn] = ACTIONS(987),
    [sym__lnk_bgn] = ACTIONS(987),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__uri_aut_lnk_bgn] = ACTIONS(987),
    [sym__eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__cod_spn_bgn] = ACTIONS(987),
    [sym__htm_opn_tag_bgn] = ACTIONS(987),
    [sym__htm_cls_tag_bgn] = ACTIONS(987),
    [sym__htm_dcl_bgn] = ACTIONS(987),
    [sym__htm_cmt_bgn] = ACTIONS(987),
    [sym__htm_prc_bgn] = ACTIONS(987),
    [sym__htm_cda_bgn] = ACTIONS(987),
    [sym__hrd_lbk] = ACTIONS(987),
    [sym__sft_lbk] = ACTIONS(987),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(987),
  },
  [315] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(991),
    [sym__chr_ref] = ACTIONS(991),
    [sym__emp_bgn] = ACTIONS(991),
    [sym__stg_bgn] = ACTIONS(991),
    [sym__stg_end] = ACTIONS(991),
    [sym__del_bgn] = ACTIONS(991),
    [sym__img_bgn] = ACTIONS(991),
    [sym__lnk_bgn] = ACTIONS(991),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__uri_aut_lnk_bgn] = ACTIONS(991),
    [sym__eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__cod_spn_bgn] = ACTIONS(991),
    [sym__htm_opn_tag_bgn] = ACTIONS(991),
    [sym__htm_cls_tag_bgn] = ACTIONS(991),
    [sym__htm_dcl_bgn] = ACTIONS(991),
    [sym__htm_cmt_bgn] = ACTIONS(991),
    [sym__htm_prc_bgn] = ACTIONS(991),
    [sym__htm_cda_bgn] = ACTIONS(991),
    [sym__hrd_lbk] = ACTIONS(991),
    [sym__sft_lbk] = ACTIONS(991),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(991),
  },
  [316] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1029),
    [sym__chr_ref] = ACTIONS(1029),
    [sym__emp_bgn] = ACTIONS(1029),
    [sym__stg_bgn] = ACTIONS(1029),
    [sym__del_bgn] = ACTIONS(1029),
    [sym__img_bgn] = ACTIONS(1029),
    [sym__lnk_bgn] = ACTIONS(1029),
    [sym__lnk_end] = ACTIONS(1029),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1029),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__cod_spn_bgn] = ACTIONS(1029),
    [sym__htm_opn_tag_bgn] = ACTIONS(1029),
    [sym__htm_cls_tag_bgn] = ACTIONS(1029),
    [sym__htm_dcl_bgn] = ACTIONS(1029),
    [sym__htm_cmt_bgn] = ACTIONS(1029),
    [sym__htm_prc_bgn] = ACTIONS(1029),
    [sym__htm_cda_bgn] = ACTIONS(1029),
    [sym__hrd_lbk] = ACTIONS(1029),
    [sym__sft_lbk] = ACTIONS(1029),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1029),
  },
  [317] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1025),
    [sym__chr_ref] = ACTIONS(1025),
    [sym__emp_bgn] = ACTIONS(1025),
    [sym__stg_bgn] = ACTIONS(1025),
    [sym__del_bgn] = ACTIONS(1025),
    [sym__img_bgn] = ACTIONS(1025),
    [sym__lnk_bgn] = ACTIONS(1025),
    [sym__lnk_end] = ACTIONS(1025),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1025),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__cod_spn_bgn] = ACTIONS(1025),
    [sym__htm_opn_tag_bgn] = ACTIONS(1025),
    [sym__htm_cls_tag_bgn] = ACTIONS(1025),
    [sym__htm_dcl_bgn] = ACTIONS(1025),
    [sym__htm_cmt_bgn] = ACTIONS(1025),
    [sym__htm_prc_bgn] = ACTIONS(1025),
    [sym__htm_cda_bgn] = ACTIONS(1025),
    [sym__hrd_lbk] = ACTIONS(1025),
    [sym__sft_lbk] = ACTIONS(1025),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1025),
  },
  [318] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(985),
    [sym__chr_ref] = ACTIONS(985),
    [sym__emp_bgn] = ACTIONS(985),
    [sym__stg_bgn] = ACTIONS(985),
    [sym__stg_end] = ACTIONS(985),
    [sym__del_bgn] = ACTIONS(985),
    [sym__img_bgn] = ACTIONS(985),
    [sym__lnk_bgn] = ACTIONS(985),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__uri_aut_lnk_bgn] = ACTIONS(985),
    [sym__eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__cod_spn_bgn] = ACTIONS(985),
    [sym__htm_opn_tag_bgn] = ACTIONS(985),
    [sym__htm_cls_tag_bgn] = ACTIONS(985),
    [sym__htm_dcl_bgn] = ACTIONS(985),
    [sym__htm_cmt_bgn] = ACTIONS(985),
    [sym__htm_prc_bgn] = ACTIONS(985),
    [sym__htm_cda_bgn] = ACTIONS(985),
    [sym__hrd_lbk] = ACTIONS(985),
    [sym__sft_lbk] = ACTIONS(985),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(985),
  },
  [319] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1007),
    [sym__chr_ref] = ACTIONS(1007),
    [sym__emp_bgn] = ACTIONS(1007),
    [sym__stg_bgn] = ACTIONS(1007),
    [sym__stg_end] = ACTIONS(1007),
    [sym__del_bgn] = ACTIONS(1007),
    [sym__img_bgn] = ACTIONS(1007),
    [sym__lnk_bgn] = ACTIONS(1007),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1007),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__cod_spn_bgn] = ACTIONS(1007),
    [sym__htm_opn_tag_bgn] = ACTIONS(1007),
    [sym__htm_cls_tag_bgn] = ACTIONS(1007),
    [sym__htm_dcl_bgn] = ACTIONS(1007),
    [sym__htm_cmt_bgn] = ACTIONS(1007),
    [sym__htm_prc_bgn] = ACTIONS(1007),
    [sym__htm_cda_bgn] = ACTIONS(1007),
    [sym__hrd_lbk] = ACTIONS(1007),
    [sym__sft_lbk] = ACTIONS(1007),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1007),
  },
  [320] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(993),
    [sym__chr_ref] = ACTIONS(993),
    [sym__emp_bgn] = ACTIONS(993),
    [sym__stg_bgn] = ACTIONS(993),
    [sym__stg_end] = ACTIONS(993),
    [sym__del_bgn] = ACTIONS(993),
    [sym__img_bgn] = ACTIONS(993),
    [sym__lnk_bgn] = ACTIONS(993),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__uri_aut_lnk_bgn] = ACTIONS(993),
    [sym__eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__cod_spn_bgn] = ACTIONS(993),
    [sym__htm_opn_tag_bgn] = ACTIONS(993),
    [sym__htm_cls_tag_bgn] = ACTIONS(993),
    [sym__htm_dcl_bgn] = ACTIONS(993),
    [sym__htm_cmt_bgn] = ACTIONS(993),
    [sym__htm_prc_bgn] = ACTIONS(993),
    [sym__htm_cda_bgn] = ACTIONS(993),
    [sym__hrd_lbk] = ACTIONS(993),
    [sym__sft_lbk] = ACTIONS(993),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(993),
  },
  [321] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1003),
    [sym__chr_ref] = ACTIONS(1003),
    [sym__emp_bgn] = ACTIONS(1003),
    [sym__stg_bgn] = ACTIONS(1003),
    [sym__stg_end] = ACTIONS(1003),
    [sym__del_bgn] = ACTIONS(1003),
    [sym__img_bgn] = ACTIONS(1003),
    [sym__lnk_bgn] = ACTIONS(1003),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1003),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__cod_spn_bgn] = ACTIONS(1003),
    [sym__htm_opn_tag_bgn] = ACTIONS(1003),
    [sym__htm_cls_tag_bgn] = ACTIONS(1003),
    [sym__htm_dcl_bgn] = ACTIONS(1003),
    [sym__htm_cmt_bgn] = ACTIONS(1003),
    [sym__htm_prc_bgn] = ACTIONS(1003),
    [sym__htm_cda_bgn] = ACTIONS(1003),
    [sym__hrd_lbk] = ACTIONS(1003),
    [sym__sft_lbk] = ACTIONS(1003),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1003),
  },
  [322] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(989),
    [sym__chr_ref] = ACTIONS(989),
    [sym__emp_bgn] = ACTIONS(989),
    [sym__stg_bgn] = ACTIONS(989),
    [sym__stg_end] = ACTIONS(989),
    [sym__del_bgn] = ACTIONS(989),
    [sym__img_bgn] = ACTIONS(989),
    [sym__lnk_bgn] = ACTIONS(989),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__uri_aut_lnk_bgn] = ACTIONS(989),
    [sym__eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__cod_spn_bgn] = ACTIONS(989),
    [sym__htm_opn_tag_bgn] = ACTIONS(989),
    [sym__htm_cls_tag_bgn] = ACTIONS(989),
    [sym__htm_dcl_bgn] = ACTIONS(989),
    [sym__htm_cmt_bgn] = ACTIONS(989),
    [sym__htm_prc_bgn] = ACTIONS(989),
    [sym__htm_cda_bgn] = ACTIONS(989),
    [sym__hrd_lbk] = ACTIONS(989),
    [sym__sft_lbk] = ACTIONS(989),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(989),
  },
  [323] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(999),
    [sym__chr_ref] = ACTIONS(999),
    [sym__emp_bgn] = ACTIONS(999),
    [sym__stg_bgn] = ACTIONS(999),
    [sym__stg_end] = ACTIONS(999),
    [sym__del_bgn] = ACTIONS(999),
    [sym__img_bgn] = ACTIONS(999),
    [sym__lnk_bgn] = ACTIONS(999),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__uri_aut_lnk_bgn] = ACTIONS(999),
    [sym__eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__cod_spn_bgn] = ACTIONS(999),
    [sym__htm_opn_tag_bgn] = ACTIONS(999),
    [sym__htm_cls_tag_bgn] = ACTIONS(999),
    [sym__htm_dcl_bgn] = ACTIONS(999),
    [sym__htm_cmt_bgn] = ACTIONS(999),
    [sym__htm_prc_bgn] = ACTIONS(999),
    [sym__htm_cda_bgn] = ACTIONS(999),
    [sym__hrd_lbk] = ACTIONS(999),
    [sym__sft_lbk] = ACTIONS(999),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(999),
  },
  [324] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1021),
    [sym__chr_ref] = ACTIONS(1021),
    [sym__emp_bgn] = ACTIONS(1021),
    [sym__emp_end] = ACTIONS(1021),
    [sym__stg_bgn] = ACTIONS(1021),
    [sym__del_bgn] = ACTIONS(1021),
    [sym__img_bgn] = ACTIONS(1021),
    [sym__lnk_bgn] = ACTIONS(1021),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1021),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1021),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1021),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1021),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1021),
    [sym__cod_spn_bgn] = ACTIONS(1021),
    [sym__htm_opn_tag_bgn] = ACTIONS(1021),
    [sym__htm_cls_tag_bgn] = ACTIONS(1021),
    [sym__htm_dcl_bgn] = ACTIONS(1021),
    [sym__htm_cmt_bgn] = ACTIONS(1021),
    [sym__htm_prc_bgn] = ACTIONS(1021),
    [sym__htm_cda_bgn] = ACTIONS(1021),
    [sym__hrd_lbk] = ACTIONS(1021),
    [sym__sft_lbk] = ACTIONS(1021),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1021),
  },
  [325] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(997),
    [sym__chr_ref] = ACTIONS(997),
    [sym__emp_bgn] = ACTIONS(997),
    [sym__stg_bgn] = ACTIONS(997),
    [sym__stg_end] = ACTIONS(997),
    [sym__del_bgn] = ACTIONS(997),
    [sym__img_bgn] = ACTIONS(997),
    [sym__lnk_bgn] = ACTIONS(997),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__uri_aut_lnk_bgn] = ACTIONS(997),
    [sym__eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__cod_spn_bgn] = ACTIONS(997),
    [sym__htm_opn_tag_bgn] = ACTIONS(997),
    [sym__htm_cls_tag_bgn] = ACTIONS(997),
    [sym__htm_dcl_bgn] = ACTIONS(997),
    [sym__htm_cmt_bgn] = ACTIONS(997),
    [sym__htm_prc_bgn] = ACTIONS(997),
    [sym__htm_cda_bgn] = ACTIONS(997),
    [sym__hrd_lbk] = ACTIONS(997),
    [sym__sft_lbk] = ACTIONS(997),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(997),
  },
  [326] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(995),
    [sym__chr_ref] = ACTIONS(995),
    [sym__emp_bgn] = ACTIONS(995),
    [sym__stg_bgn] = ACTIONS(995),
    [sym__stg_end] = ACTIONS(995),
    [sym__del_bgn] = ACTIONS(995),
    [sym__img_bgn] = ACTIONS(995),
    [sym__lnk_bgn] = ACTIONS(995),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__uri_aut_lnk_bgn] = ACTIONS(995),
    [sym__eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__cod_spn_bgn] = ACTIONS(995),
    [sym__htm_opn_tag_bgn] = ACTIONS(995),
    [sym__htm_cls_tag_bgn] = ACTIONS(995),
    [sym__htm_dcl_bgn] = ACTIONS(995),
    [sym__htm_cmt_bgn] = ACTIONS(995),
    [sym__htm_prc_bgn] = ACTIONS(995),
    [sym__htm_cda_bgn] = ACTIONS(995),
    [sym__hrd_lbk] = ACTIONS(995),
    [sym__sft_lbk] = ACTIONS(995),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(995),
  },
  [327] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(997),
    [sym__bsl_esc] = ACTIONS(997),
    [sym__chr_ref] = ACTIONS(997),
    [sym__emp_bgn] = ACTIONS(997),
    [sym__stg_bgn] = ACTIONS(997),
    [sym__del_bgn] = ACTIONS(997),
    [sym__img_bgn] = ACTIONS(997),
    [sym__lnk_bgn] = ACTIONS(997),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__uri_aut_lnk_bgn] = ACTIONS(997),
    [sym__eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__cod_spn_bgn] = ACTIONS(997),
    [sym__htm_opn_tag_bgn] = ACTIONS(997),
    [sym__htm_cls_tag_bgn] = ACTIONS(997),
    [sym__htm_dcl_bgn] = ACTIONS(997),
    [sym__htm_cmt_bgn] = ACTIONS(997),
    [sym__htm_prc_bgn] = ACTIONS(997),
    [sym__htm_cda_bgn] = ACTIONS(997),
    [sym__tbl_col_sep] = ACTIONS(997),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(997),
  },
  [328] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1003),
    [sym__bsl_esc] = ACTIONS(1003),
    [sym__chr_ref] = ACTIONS(1003),
    [sym__emp_bgn] = ACTIONS(1003),
    [sym__stg_bgn] = ACTIONS(1003),
    [sym__del_bgn] = ACTIONS(1003),
    [sym__img_bgn] = ACTIONS(1003),
    [sym__lnk_bgn] = ACTIONS(1003),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1003),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__cod_spn_bgn] = ACTIONS(1003),
    [sym__htm_opn_tag_bgn] = ACTIONS(1003),
    [sym__htm_cls_tag_bgn] = ACTIONS(1003),
    [sym__htm_dcl_bgn] = ACTIONS(1003),
    [sym__htm_cmt_bgn] = ACTIONS(1003),
    [sym__htm_prc_bgn] = ACTIONS(1003),
    [sym__htm_cda_bgn] = ACTIONS(1003),
    [sym__tbl_col_sep] = ACTIONS(1003),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1003),
  },
  [329] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1053),
    [sym__bsl_esc] = ACTIONS(1053),
    [sym__chr_ref] = ACTIONS(1053),
    [sym__emp_bgn] = ACTIONS(1053),
    [sym__stg_bgn] = ACTIONS(1053),
    [sym__del_bgn] = ACTIONS(1053),
    [sym__img_bgn] = ACTIONS(1053),
    [sym__lnk_bgn] = ACTIONS(1053),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1053),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1053),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1053),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1053),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1053),
    [sym__cod_spn_bgn] = ACTIONS(1053),
    [sym__htm_opn_tag_bgn] = ACTIONS(1053),
    [sym__htm_cls_tag_bgn] = ACTIONS(1053),
    [sym__htm_dcl_bgn] = ACTIONS(1053),
    [sym__htm_cmt_bgn] = ACTIONS(1053),
    [sym__htm_prc_bgn] = ACTIONS(1053),
    [sym__htm_cda_bgn] = ACTIONS(1053),
    [sym__tbl_col_sep] = ACTIONS(1053),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1053),
  },
  [330] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1025),
    [sym__bsl_esc] = ACTIONS(1025),
    [sym__chr_ref] = ACTIONS(1025),
    [sym__emp_bgn] = ACTIONS(1025),
    [sym__stg_bgn] = ACTIONS(1025),
    [sym__del_bgn] = ACTIONS(1025),
    [sym__img_bgn] = ACTIONS(1025),
    [sym__lnk_bgn] = ACTIONS(1025),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1025),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__cod_spn_bgn] = ACTIONS(1025),
    [sym__htm_opn_tag_bgn] = ACTIONS(1025),
    [sym__htm_cls_tag_bgn] = ACTIONS(1025),
    [sym__htm_dcl_bgn] = ACTIONS(1025),
    [sym__htm_cmt_bgn] = ACTIONS(1025),
    [sym__htm_prc_bgn] = ACTIONS(1025),
    [sym__htm_cda_bgn] = ACTIONS(1025),
    [sym__tbl_col_sep] = ACTIONS(1025),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1025),
  },
  [331] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1029),
    [sym__bsl_esc] = ACTIONS(1029),
    [sym__chr_ref] = ACTIONS(1029),
    [sym__emp_bgn] = ACTIONS(1029),
    [sym__stg_bgn] = ACTIONS(1029),
    [sym__del_bgn] = ACTIONS(1029),
    [sym__img_bgn] = ACTIONS(1029),
    [sym__lnk_bgn] = ACTIONS(1029),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1029),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__cod_spn_bgn] = ACTIONS(1029),
    [sym__htm_opn_tag_bgn] = ACTIONS(1029),
    [sym__htm_cls_tag_bgn] = ACTIONS(1029),
    [sym__htm_dcl_bgn] = ACTIONS(1029),
    [sym__htm_cmt_bgn] = ACTIONS(1029),
    [sym__htm_prc_bgn] = ACTIONS(1029),
    [sym__htm_cda_bgn] = ACTIONS(1029),
    [sym__tbl_col_sep] = ACTIONS(1029),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1029),
  },
  [332] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1031),
    [sym__bsl_esc] = ACTIONS(1031),
    [sym__chr_ref] = ACTIONS(1031),
    [sym__emp_bgn] = ACTIONS(1031),
    [sym__stg_bgn] = ACTIONS(1031),
    [sym__del_bgn] = ACTIONS(1031),
    [sym__img_bgn] = ACTIONS(1031),
    [sym__lnk_bgn] = ACTIONS(1031),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1031),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__cod_spn_bgn] = ACTIONS(1031),
    [sym__htm_opn_tag_bgn] = ACTIONS(1031),
    [sym__htm_cls_tag_bgn] = ACTIONS(1031),
    [sym__htm_dcl_bgn] = ACTIONS(1031),
    [sym__htm_cmt_bgn] = ACTIONS(1031),
    [sym__htm_prc_bgn] = ACTIONS(1031),
    [sym__htm_cda_bgn] = ACTIONS(1031),
    [sym__tbl_col_sep] = ACTIONS(1031),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1031),
  },
  [333] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1033),
    [sym__bsl_esc] = ACTIONS(1033),
    [sym__chr_ref] = ACTIONS(1033),
    [sym__emp_bgn] = ACTIONS(1033),
    [sym__stg_bgn] = ACTIONS(1033),
    [sym__del_bgn] = ACTIONS(1033),
    [sym__img_bgn] = ACTIONS(1033),
    [sym__lnk_bgn] = ACTIONS(1033),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1033),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__cod_spn_bgn] = ACTIONS(1033),
    [sym__htm_opn_tag_bgn] = ACTIONS(1033),
    [sym__htm_cls_tag_bgn] = ACTIONS(1033),
    [sym__htm_dcl_bgn] = ACTIONS(1033),
    [sym__htm_cmt_bgn] = ACTIONS(1033),
    [sym__htm_prc_bgn] = ACTIONS(1033),
    [sym__htm_cda_bgn] = ACTIONS(1033),
    [sym__tbl_col_sep] = ACTIONS(1033),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1033),
  },
  [334] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1035),
    [sym__bsl_esc] = ACTIONS(1035),
    [sym__chr_ref] = ACTIONS(1035),
    [sym__emp_bgn] = ACTIONS(1035),
    [sym__stg_bgn] = ACTIONS(1035),
    [sym__del_bgn] = ACTIONS(1035),
    [sym__img_bgn] = ACTIONS(1035),
    [sym__lnk_bgn] = ACTIONS(1035),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1035),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__cod_spn_bgn] = ACTIONS(1035),
    [sym__htm_opn_tag_bgn] = ACTIONS(1035),
    [sym__htm_cls_tag_bgn] = ACTIONS(1035),
    [sym__htm_dcl_bgn] = ACTIONS(1035),
    [sym__htm_cmt_bgn] = ACTIONS(1035),
    [sym__htm_prc_bgn] = ACTIONS(1035),
    [sym__htm_cda_bgn] = ACTIONS(1035),
    [sym__tbl_col_sep] = ACTIONS(1035),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1035),
  },
  [335] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1041),
    [sym__bsl_esc] = ACTIONS(1041),
    [sym__chr_ref] = ACTIONS(1041),
    [sym__emp_bgn] = ACTIONS(1041),
    [sym__stg_bgn] = ACTIONS(1041),
    [sym__del_bgn] = ACTIONS(1041),
    [sym__img_bgn] = ACTIONS(1041),
    [sym__lnk_bgn] = ACTIONS(1041),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1041),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__cod_spn_bgn] = ACTIONS(1041),
    [sym__htm_opn_tag_bgn] = ACTIONS(1041),
    [sym__htm_cls_tag_bgn] = ACTIONS(1041),
    [sym__htm_dcl_bgn] = ACTIONS(1041),
    [sym__htm_cmt_bgn] = ACTIONS(1041),
    [sym__htm_prc_bgn] = ACTIONS(1041),
    [sym__htm_cda_bgn] = ACTIONS(1041),
    [sym__tbl_col_sep] = ACTIONS(1041),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1041),
  },
  [336] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1047),
    [sym__bsl_esc] = ACTIONS(1047),
    [sym__chr_ref] = ACTIONS(1047),
    [sym__emp_bgn] = ACTIONS(1047),
    [sym__stg_bgn] = ACTIONS(1047),
    [sym__del_bgn] = ACTIONS(1047),
    [sym__img_bgn] = ACTIONS(1047),
    [sym__lnk_bgn] = ACTIONS(1047),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1047),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__cod_spn_bgn] = ACTIONS(1047),
    [sym__htm_opn_tag_bgn] = ACTIONS(1047),
    [sym__htm_cls_tag_bgn] = ACTIONS(1047),
    [sym__htm_dcl_bgn] = ACTIONS(1047),
    [sym__htm_cmt_bgn] = ACTIONS(1047),
    [sym__htm_prc_bgn] = ACTIONS(1047),
    [sym__htm_cda_bgn] = ACTIONS(1047),
    [sym__tbl_col_sep] = ACTIONS(1047),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1047),
  },
  [337] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1051),
    [sym__bsl_esc] = ACTIONS(1051),
    [sym__chr_ref] = ACTIONS(1051),
    [sym__emp_bgn] = ACTIONS(1051),
    [sym__stg_bgn] = ACTIONS(1051),
    [sym__del_bgn] = ACTIONS(1051),
    [sym__img_bgn] = ACTIONS(1051),
    [sym__lnk_bgn] = ACTIONS(1051),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1051),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__cod_spn_bgn] = ACTIONS(1051),
    [sym__htm_opn_tag_bgn] = ACTIONS(1051),
    [sym__htm_cls_tag_bgn] = ACTIONS(1051),
    [sym__htm_dcl_bgn] = ACTIONS(1051),
    [sym__htm_cmt_bgn] = ACTIONS(1051),
    [sym__htm_prc_bgn] = ACTIONS(1051),
    [sym__htm_cda_bgn] = ACTIONS(1051),
    [sym__tbl_col_sep] = ACTIONS(1051),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1051),
  },
  [338] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1049),
    [sym__bsl_esc] = ACTIONS(1049),
    [sym__chr_ref] = ACTIONS(1049),
    [sym__emp_bgn] = ACTIONS(1049),
    [sym__stg_bgn] = ACTIONS(1049),
    [sym__del_bgn] = ACTIONS(1049),
    [sym__img_bgn] = ACTIONS(1049),
    [sym__lnk_bgn] = ACTIONS(1049),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1049),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__cod_spn_bgn] = ACTIONS(1049),
    [sym__htm_opn_tag_bgn] = ACTIONS(1049),
    [sym__htm_cls_tag_bgn] = ACTIONS(1049),
    [sym__htm_dcl_bgn] = ACTIONS(1049),
    [sym__htm_cmt_bgn] = ACTIONS(1049),
    [sym__htm_prc_bgn] = ACTIONS(1049),
    [sym__htm_cda_bgn] = ACTIONS(1049),
    [sym__tbl_col_sep] = ACTIONS(1049),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1049),
  },
  [339] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1045),
    [sym__bsl_esc] = ACTIONS(1045),
    [sym__chr_ref] = ACTIONS(1045),
    [sym__emp_bgn] = ACTIONS(1045),
    [sym__stg_bgn] = ACTIONS(1045),
    [sym__del_bgn] = ACTIONS(1045),
    [sym__img_bgn] = ACTIONS(1045),
    [sym__lnk_bgn] = ACTIONS(1045),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1045),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__cod_spn_bgn] = ACTIONS(1045),
    [sym__htm_opn_tag_bgn] = ACTIONS(1045),
    [sym__htm_cls_tag_bgn] = ACTIONS(1045),
    [sym__htm_dcl_bgn] = ACTIONS(1045),
    [sym__htm_cmt_bgn] = ACTIONS(1045),
    [sym__htm_prc_bgn] = ACTIONS(1045),
    [sym__htm_cda_bgn] = ACTIONS(1045),
    [sym__tbl_col_sep] = ACTIONS(1045),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1045),
  },
  [340] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1043),
    [sym__bsl_esc] = ACTIONS(1043),
    [sym__chr_ref] = ACTIONS(1043),
    [sym__emp_bgn] = ACTIONS(1043),
    [sym__stg_bgn] = ACTIONS(1043),
    [sym__del_bgn] = ACTIONS(1043),
    [sym__img_bgn] = ACTIONS(1043),
    [sym__lnk_bgn] = ACTIONS(1043),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1043),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__cod_spn_bgn] = ACTIONS(1043),
    [sym__htm_opn_tag_bgn] = ACTIONS(1043),
    [sym__htm_cls_tag_bgn] = ACTIONS(1043),
    [sym__htm_dcl_bgn] = ACTIONS(1043),
    [sym__htm_cmt_bgn] = ACTIONS(1043),
    [sym__htm_prc_bgn] = ACTIONS(1043),
    [sym__htm_cda_bgn] = ACTIONS(1043),
    [sym__tbl_col_sep] = ACTIONS(1043),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1043),
  },
  [341] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1039),
    [sym__bsl_esc] = ACTIONS(1039),
    [sym__chr_ref] = ACTIONS(1039),
    [sym__emp_bgn] = ACTIONS(1039),
    [sym__stg_bgn] = ACTIONS(1039),
    [sym__del_bgn] = ACTIONS(1039),
    [sym__img_bgn] = ACTIONS(1039),
    [sym__lnk_bgn] = ACTIONS(1039),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1039),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__cod_spn_bgn] = ACTIONS(1039),
    [sym__htm_opn_tag_bgn] = ACTIONS(1039),
    [sym__htm_cls_tag_bgn] = ACTIONS(1039),
    [sym__htm_dcl_bgn] = ACTIONS(1039),
    [sym__htm_cmt_bgn] = ACTIONS(1039),
    [sym__htm_prc_bgn] = ACTIONS(1039),
    [sym__htm_cda_bgn] = ACTIONS(1039),
    [sym__tbl_col_sep] = ACTIONS(1039),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1039),
  },
  [342] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1037),
    [sym__bsl_esc] = ACTIONS(1037),
    [sym__chr_ref] = ACTIONS(1037),
    [sym__emp_bgn] = ACTIONS(1037),
    [sym__stg_bgn] = ACTIONS(1037),
    [sym__del_bgn] = ACTIONS(1037),
    [sym__img_bgn] = ACTIONS(1037),
    [sym__lnk_bgn] = ACTIONS(1037),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1037),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__cod_spn_bgn] = ACTIONS(1037),
    [sym__htm_opn_tag_bgn] = ACTIONS(1037),
    [sym__htm_cls_tag_bgn] = ACTIONS(1037),
    [sym__htm_dcl_bgn] = ACTIONS(1037),
    [sym__htm_cmt_bgn] = ACTIONS(1037),
    [sym__htm_prc_bgn] = ACTIONS(1037),
    [sym__htm_cda_bgn] = ACTIONS(1037),
    [sym__tbl_col_sep] = ACTIONS(1037),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1037),
  },
  [343] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1027),
    [sym__bsl_esc] = ACTIONS(1027),
    [sym__chr_ref] = ACTIONS(1027),
    [sym__emp_bgn] = ACTIONS(1027),
    [sym__stg_bgn] = ACTIONS(1027),
    [sym__del_bgn] = ACTIONS(1027),
    [sym__img_bgn] = ACTIONS(1027),
    [sym__lnk_bgn] = ACTIONS(1027),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1027),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__cod_spn_bgn] = ACTIONS(1027),
    [sym__htm_opn_tag_bgn] = ACTIONS(1027),
    [sym__htm_cls_tag_bgn] = ACTIONS(1027),
    [sym__htm_dcl_bgn] = ACTIONS(1027),
    [sym__htm_cmt_bgn] = ACTIONS(1027),
    [sym__htm_prc_bgn] = ACTIONS(1027),
    [sym__htm_cda_bgn] = ACTIONS(1027),
    [sym__tbl_col_sep] = ACTIONS(1027),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1027),
  },
  [344] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1023),
    [sym__bsl_esc] = ACTIONS(1023),
    [sym__chr_ref] = ACTIONS(1023),
    [sym__emp_bgn] = ACTIONS(1023),
    [sym__stg_bgn] = ACTIONS(1023),
    [sym__del_bgn] = ACTIONS(1023),
    [sym__img_bgn] = ACTIONS(1023),
    [sym__lnk_bgn] = ACTIONS(1023),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1023),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__cod_spn_bgn] = ACTIONS(1023),
    [sym__htm_opn_tag_bgn] = ACTIONS(1023),
    [sym__htm_cls_tag_bgn] = ACTIONS(1023),
    [sym__htm_dcl_bgn] = ACTIONS(1023),
    [sym__htm_cmt_bgn] = ACTIONS(1023),
    [sym__htm_prc_bgn] = ACTIONS(1023),
    [sym__htm_cda_bgn] = ACTIONS(1023),
    [sym__tbl_col_sep] = ACTIONS(1023),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1023),
  },
  [345] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1015),
    [sym__bsl_esc] = ACTIONS(1015),
    [sym__chr_ref] = ACTIONS(1015),
    [sym__emp_bgn] = ACTIONS(1015),
    [sym__stg_bgn] = ACTIONS(1015),
    [sym__del_bgn] = ACTIONS(1015),
    [sym__img_bgn] = ACTIONS(1015),
    [sym__lnk_bgn] = ACTIONS(1015),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1015),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__cod_spn_bgn] = ACTIONS(1015),
    [sym__htm_opn_tag_bgn] = ACTIONS(1015),
    [sym__htm_cls_tag_bgn] = ACTIONS(1015),
    [sym__htm_dcl_bgn] = ACTIONS(1015),
    [sym__htm_cmt_bgn] = ACTIONS(1015),
    [sym__htm_prc_bgn] = ACTIONS(1015),
    [sym__htm_cda_bgn] = ACTIONS(1015),
    [sym__tbl_col_sep] = ACTIONS(1015),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1015),
  },
  [346] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1011),
    [sym__bsl_esc] = ACTIONS(1011),
    [sym__chr_ref] = ACTIONS(1011),
    [sym__emp_bgn] = ACTIONS(1011),
    [sym__stg_bgn] = ACTIONS(1011),
    [sym__del_bgn] = ACTIONS(1011),
    [sym__img_bgn] = ACTIONS(1011),
    [sym__lnk_bgn] = ACTIONS(1011),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1011),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__cod_spn_bgn] = ACTIONS(1011),
    [sym__htm_opn_tag_bgn] = ACTIONS(1011),
    [sym__htm_cls_tag_bgn] = ACTIONS(1011),
    [sym__htm_dcl_bgn] = ACTIONS(1011),
    [sym__htm_cmt_bgn] = ACTIONS(1011),
    [sym__htm_prc_bgn] = ACTIONS(1011),
    [sym__htm_cda_bgn] = ACTIONS(1011),
    [sym__tbl_col_sep] = ACTIONS(1011),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1011),
  },
  [347] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(983),
    [sym__bsl_esc] = ACTIONS(983),
    [sym__chr_ref] = ACTIONS(983),
    [sym__emp_bgn] = ACTIONS(983),
    [sym__stg_bgn] = ACTIONS(983),
    [sym__del_bgn] = ACTIONS(983),
    [sym__img_bgn] = ACTIONS(983),
    [sym__lnk_bgn] = ACTIONS(983),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__uri_aut_lnk_bgn] = ACTIONS(983),
    [sym__eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__cod_spn_bgn] = ACTIONS(983),
    [sym__htm_opn_tag_bgn] = ACTIONS(983),
    [sym__htm_cls_tag_bgn] = ACTIONS(983),
    [sym__htm_dcl_bgn] = ACTIONS(983),
    [sym__htm_cmt_bgn] = ACTIONS(983),
    [sym__htm_prc_bgn] = ACTIONS(983),
    [sym__htm_cda_bgn] = ACTIONS(983),
    [sym__tbl_col_sep] = ACTIONS(983),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(983),
  },
  [348] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(987),
    [sym__bsl_esc] = ACTIONS(987),
    [sym__chr_ref] = ACTIONS(987),
    [sym__emp_bgn] = ACTIONS(987),
    [sym__stg_bgn] = ACTIONS(987),
    [sym__del_bgn] = ACTIONS(987),
    [sym__img_bgn] = ACTIONS(987),
    [sym__lnk_bgn] = ACTIONS(987),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__uri_aut_lnk_bgn] = ACTIONS(987),
    [sym__eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__cod_spn_bgn] = ACTIONS(987),
    [sym__htm_opn_tag_bgn] = ACTIONS(987),
    [sym__htm_cls_tag_bgn] = ACTIONS(987),
    [sym__htm_dcl_bgn] = ACTIONS(987),
    [sym__htm_cmt_bgn] = ACTIONS(987),
    [sym__htm_prc_bgn] = ACTIONS(987),
    [sym__htm_cda_bgn] = ACTIONS(987),
    [sym__tbl_col_sep] = ACTIONS(987),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(987),
  },
  [349] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(991),
    [sym__bsl_esc] = ACTIONS(991),
    [sym__chr_ref] = ACTIONS(991),
    [sym__emp_bgn] = ACTIONS(991),
    [sym__stg_bgn] = ACTIONS(991),
    [sym__del_bgn] = ACTIONS(991),
    [sym__img_bgn] = ACTIONS(991),
    [sym__lnk_bgn] = ACTIONS(991),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__uri_aut_lnk_bgn] = ACTIONS(991),
    [sym__eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__cod_spn_bgn] = ACTIONS(991),
    [sym__htm_opn_tag_bgn] = ACTIONS(991),
    [sym__htm_cls_tag_bgn] = ACTIONS(991),
    [sym__htm_dcl_bgn] = ACTIONS(991),
    [sym__htm_cmt_bgn] = ACTIONS(991),
    [sym__htm_prc_bgn] = ACTIONS(991),
    [sym__htm_cda_bgn] = ACTIONS(991),
    [sym__tbl_col_sep] = ACTIONS(991),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(991),
  },
  [350] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(999),
    [sym__bsl_esc] = ACTIONS(999),
    [sym__chr_ref] = ACTIONS(999),
    [sym__emp_bgn] = ACTIONS(999),
    [sym__stg_bgn] = ACTIONS(999),
    [sym__del_bgn] = ACTIONS(999),
    [sym__img_bgn] = ACTIONS(999),
    [sym__lnk_bgn] = ACTIONS(999),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__uri_aut_lnk_bgn] = ACTIONS(999),
    [sym__eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__cod_spn_bgn] = ACTIONS(999),
    [sym__htm_opn_tag_bgn] = ACTIONS(999),
    [sym__htm_cls_tag_bgn] = ACTIONS(999),
    [sym__htm_dcl_bgn] = ACTIONS(999),
    [sym__htm_cmt_bgn] = ACTIONS(999),
    [sym__htm_prc_bgn] = ACTIONS(999),
    [sym__htm_cda_bgn] = ACTIONS(999),
    [sym__tbl_col_sep] = ACTIONS(999),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(999),
  },
  [351] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(995),
    [sym__bsl_esc] = ACTIONS(995),
    [sym__chr_ref] = ACTIONS(995),
    [sym__emp_bgn] = ACTIONS(995),
    [sym__stg_bgn] = ACTIONS(995),
    [sym__del_bgn] = ACTIONS(995),
    [sym__img_bgn] = ACTIONS(995),
    [sym__lnk_bgn] = ACTIONS(995),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__uri_aut_lnk_bgn] = ACTIONS(995),
    [sym__eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__cod_spn_bgn] = ACTIONS(995),
    [sym__htm_opn_tag_bgn] = ACTIONS(995),
    [sym__htm_cls_tag_bgn] = ACTIONS(995),
    [sym__htm_dcl_bgn] = ACTIONS(995),
    [sym__htm_cmt_bgn] = ACTIONS(995),
    [sym__htm_prc_bgn] = ACTIONS(995),
    [sym__htm_cda_bgn] = ACTIONS(995),
    [sym__tbl_col_sep] = ACTIONS(995),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(995),
  },
  [352] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(981),
    [sym__bsl_esc] = ACTIONS(981),
    [sym__chr_ref] = ACTIONS(981),
    [sym__emp_bgn] = ACTIONS(981),
    [sym__stg_bgn] = ACTIONS(981),
    [sym__del_bgn] = ACTIONS(981),
    [sym__img_bgn] = ACTIONS(981),
    [sym__lnk_bgn] = ACTIONS(981),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__uri_aut_lnk_bgn] = ACTIONS(981),
    [sym__eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__cod_spn_bgn] = ACTIONS(981),
    [sym__htm_opn_tag_bgn] = ACTIONS(981),
    [sym__htm_cls_tag_bgn] = ACTIONS(981),
    [sym__htm_dcl_bgn] = ACTIONS(981),
    [sym__htm_cmt_bgn] = ACTIONS(981),
    [sym__htm_prc_bgn] = ACTIONS(981),
    [sym__htm_cda_bgn] = ACTIONS(981),
    [sym__tbl_col_sep] = ACTIONS(981),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(981),
  },
  [353] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(993),
    [sym__bsl_esc] = ACTIONS(993),
    [sym__chr_ref] = ACTIONS(993),
    [sym__emp_bgn] = ACTIONS(993),
    [sym__stg_bgn] = ACTIONS(993),
    [sym__del_bgn] = ACTIONS(993),
    [sym__img_bgn] = ACTIONS(993),
    [sym__lnk_bgn] = ACTIONS(993),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__uri_aut_lnk_bgn] = ACTIONS(993),
    [sym__eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__cod_spn_bgn] = ACTIONS(993),
    [sym__htm_opn_tag_bgn] = ACTIONS(993),
    [sym__htm_cls_tag_bgn] = ACTIONS(993),
    [sym__htm_dcl_bgn] = ACTIONS(993),
    [sym__htm_cmt_bgn] = ACTIONS(993),
    [sym__htm_prc_bgn] = ACTIONS(993),
    [sym__htm_cda_bgn] = ACTIONS(993),
    [sym__tbl_col_sep] = ACTIONS(993),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(993),
  },
  [354] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(989),
    [sym__bsl_esc] = ACTIONS(989),
    [sym__chr_ref] = ACTIONS(989),
    [sym__emp_bgn] = ACTIONS(989),
    [sym__stg_bgn] = ACTIONS(989),
    [sym__del_bgn] = ACTIONS(989),
    [sym__img_bgn] = ACTIONS(989),
    [sym__lnk_bgn] = ACTIONS(989),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__uri_aut_lnk_bgn] = ACTIONS(989),
    [sym__eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__cod_spn_bgn] = ACTIONS(989),
    [sym__htm_opn_tag_bgn] = ACTIONS(989),
    [sym__htm_cls_tag_bgn] = ACTIONS(989),
    [sym__htm_dcl_bgn] = ACTIONS(989),
    [sym__htm_cmt_bgn] = ACTIONS(989),
    [sym__htm_prc_bgn] = ACTIONS(989),
    [sym__htm_cda_bgn] = ACTIONS(989),
    [sym__tbl_col_sep] = ACTIONS(989),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(989),
  },
  [355] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1019),
    [sym__bsl_esc] = ACTIONS(1019),
    [sym__chr_ref] = ACTIONS(1019),
    [sym__emp_bgn] = ACTIONS(1019),
    [sym__stg_bgn] = ACTIONS(1019),
    [sym__del_bgn] = ACTIONS(1019),
    [sym__img_bgn] = ACTIONS(1019),
    [sym__lnk_bgn] = ACTIONS(1019),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1019),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__cod_spn_bgn] = ACTIONS(1019),
    [sym__htm_opn_tag_bgn] = ACTIONS(1019),
    [sym__htm_cls_tag_bgn] = ACTIONS(1019),
    [sym__htm_dcl_bgn] = ACTIONS(1019),
    [sym__htm_cmt_bgn] = ACTIONS(1019),
    [sym__htm_prc_bgn] = ACTIONS(1019),
    [sym__htm_cda_bgn] = ACTIONS(1019),
    [sym__atx_end] = ACTIONS(1019),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1019),
  },
  [356] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1017),
    [sym__bsl_esc] = ACTIONS(1017),
    [sym__chr_ref] = ACTIONS(1017),
    [sym__emp_bgn] = ACTIONS(1017),
    [sym__stg_bgn] = ACTIONS(1017),
    [sym__del_bgn] = ACTIONS(1017),
    [sym__img_bgn] = ACTIONS(1017),
    [sym__lnk_bgn] = ACTIONS(1017),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1017),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__cod_spn_bgn] = ACTIONS(1017),
    [sym__htm_opn_tag_bgn] = ACTIONS(1017),
    [sym__htm_cls_tag_bgn] = ACTIONS(1017),
    [sym__htm_dcl_bgn] = ACTIONS(1017),
    [sym__htm_cmt_bgn] = ACTIONS(1017),
    [sym__htm_prc_bgn] = ACTIONS(1017),
    [sym__htm_cda_bgn] = ACTIONS(1017),
    [sym__atx_end] = ACTIONS(1017),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1017),
  },
  [357] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1013),
    [sym__bsl_esc] = ACTIONS(1013),
    [sym__chr_ref] = ACTIONS(1013),
    [sym__emp_bgn] = ACTIONS(1013),
    [sym__stg_bgn] = ACTIONS(1013),
    [sym__del_bgn] = ACTIONS(1013),
    [sym__img_bgn] = ACTIONS(1013),
    [sym__lnk_bgn] = ACTIONS(1013),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1013),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__cod_spn_bgn] = ACTIONS(1013),
    [sym__htm_opn_tag_bgn] = ACTIONS(1013),
    [sym__htm_cls_tag_bgn] = ACTIONS(1013),
    [sym__htm_dcl_bgn] = ACTIONS(1013),
    [sym__htm_cmt_bgn] = ACTIONS(1013),
    [sym__htm_prc_bgn] = ACTIONS(1013),
    [sym__htm_cda_bgn] = ACTIONS(1013),
    [sym__atx_end] = ACTIONS(1013),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1013),
  },
  [358] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(985),
    [sym__bsl_esc] = ACTIONS(985),
    [sym__chr_ref] = ACTIONS(985),
    [sym__emp_bgn] = ACTIONS(985),
    [sym__stg_bgn] = ACTIONS(985),
    [sym__del_bgn] = ACTIONS(985),
    [sym__img_bgn] = ACTIONS(985),
    [sym__lnk_bgn] = ACTIONS(985),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__uri_aut_lnk_bgn] = ACTIONS(985),
    [sym__eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__cod_spn_bgn] = ACTIONS(985),
    [sym__htm_opn_tag_bgn] = ACTIONS(985),
    [sym__htm_cls_tag_bgn] = ACTIONS(985),
    [sym__htm_dcl_bgn] = ACTIONS(985),
    [sym__htm_cmt_bgn] = ACTIONS(985),
    [sym__htm_prc_bgn] = ACTIONS(985),
    [sym__htm_cda_bgn] = ACTIONS(985),
    [sym__tbl_col_sep] = ACTIONS(985),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(985),
  },
  [359] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1001),
    [sym__bsl_esc] = ACTIONS(1001),
    [sym__chr_ref] = ACTIONS(1001),
    [sym__emp_bgn] = ACTIONS(1001),
    [sym__stg_bgn] = ACTIONS(1001),
    [sym__del_bgn] = ACTIONS(1001),
    [sym__img_bgn] = ACTIONS(1001),
    [sym__lnk_bgn] = ACTIONS(1001),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1001),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__cod_spn_bgn] = ACTIONS(1001),
    [sym__htm_opn_tag_bgn] = ACTIONS(1001),
    [sym__htm_cls_tag_bgn] = ACTIONS(1001),
    [sym__htm_dcl_bgn] = ACTIONS(1001),
    [sym__htm_cmt_bgn] = ACTIONS(1001),
    [sym__htm_prc_bgn] = ACTIONS(1001),
    [sym__htm_cda_bgn] = ACTIONS(1001),
    [sym__atx_end] = ACTIONS(1001),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1001),
  },
  [360] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1005),
    [sym__bsl_esc] = ACTIONS(1005),
    [sym__chr_ref] = ACTIONS(1005),
    [sym__emp_bgn] = ACTIONS(1005),
    [sym__stg_bgn] = ACTIONS(1005),
    [sym__del_bgn] = ACTIONS(1005),
    [sym__img_bgn] = ACTIONS(1005),
    [sym__lnk_bgn] = ACTIONS(1005),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1005),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__cod_spn_bgn] = ACTIONS(1005),
    [sym__htm_opn_tag_bgn] = ACTIONS(1005),
    [sym__htm_cls_tag_bgn] = ACTIONS(1005),
    [sym__htm_dcl_bgn] = ACTIONS(1005),
    [sym__htm_cmt_bgn] = ACTIONS(1005),
    [sym__htm_prc_bgn] = ACTIONS(1005),
    [sym__htm_cda_bgn] = ACTIONS(1005),
    [sym__tbl_col_sep] = ACTIONS(1005),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1005),
  },
  [361] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(979),
    [sym__bsl_esc] = ACTIONS(979),
    [sym__chr_ref] = ACTIONS(979),
    [sym__emp_bgn] = ACTIONS(979),
    [sym__stg_bgn] = ACTIONS(979),
    [sym__del_bgn] = ACTIONS(979),
    [sym__img_bgn] = ACTIONS(979),
    [sym__lnk_bgn] = ACTIONS(979),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__uri_aut_lnk_bgn] = ACTIONS(979),
    [sym__eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__cod_spn_bgn] = ACTIONS(979),
    [sym__htm_opn_tag_bgn] = ACTIONS(979),
    [sym__htm_cls_tag_bgn] = ACTIONS(979),
    [sym__htm_dcl_bgn] = ACTIONS(979),
    [sym__htm_cmt_bgn] = ACTIONS(979),
    [sym__htm_prc_bgn] = ACTIONS(979),
    [sym__htm_cda_bgn] = ACTIONS(979),
    [sym__atx_end] = ACTIONS(979),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(979),
  },
  [362] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1007),
    [sym__bsl_esc] = ACTIONS(1007),
    [sym__chr_ref] = ACTIONS(1007),
    [sym__emp_bgn] = ACTIONS(1007),
    [sym__stg_bgn] = ACTIONS(1007),
    [sym__del_bgn] = ACTIONS(1007),
    [sym__img_bgn] = ACTIONS(1007),
    [sym__lnk_bgn] = ACTIONS(1007),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1007),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__cod_spn_bgn] = ACTIONS(1007),
    [sym__htm_opn_tag_bgn] = ACTIONS(1007),
    [sym__htm_cls_tag_bgn] = ACTIONS(1007),
    [sym__htm_dcl_bgn] = ACTIONS(1007),
    [sym__htm_cmt_bgn] = ACTIONS(1007),
    [sym__htm_prc_bgn] = ACTIONS(1007),
    [sym__htm_cda_bgn] = ACTIONS(1007),
    [sym__tbl_col_sep] = ACTIONS(1007),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1007),
  },
  [363] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1009),
    [sym__bsl_esc] = ACTIONS(1009),
    [sym__chr_ref] = ACTIONS(1009),
    [sym__emp_bgn] = ACTIONS(1009),
    [sym__stg_bgn] = ACTIONS(1009),
    [sym__del_bgn] = ACTIONS(1009),
    [sym__img_bgn] = ACTIONS(1009),
    [sym__lnk_bgn] = ACTIONS(1009),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1009),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__cod_spn_bgn] = ACTIONS(1009),
    [sym__htm_opn_tag_bgn] = ACTIONS(1009),
    [sym__htm_cls_tag_bgn] = ACTIONS(1009),
    [sym__htm_dcl_bgn] = ACTIONS(1009),
    [sym__htm_cmt_bgn] = ACTIONS(1009),
    [sym__htm_prc_bgn] = ACTIONS(1009),
    [sym__htm_cda_bgn] = ACTIONS(1009),
    [sym__atx_end] = ACTIONS(1009),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1009),
  },
  [364] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1007),
    [sym__bsl_esc] = ACTIONS(1007),
    [sym__chr_ref] = ACTIONS(1007),
    [sym__emp_bgn] = ACTIONS(1007),
    [sym__stg_bgn] = ACTIONS(1007),
    [sym__del_bgn] = ACTIONS(1007),
    [sym__img_bgn] = ACTIONS(1007),
    [sym__lnk_bgn] = ACTIONS(1007),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1007),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1007),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1007),
    [sym__cod_spn_bgn] = ACTIONS(1007),
    [sym__htm_opn_tag_bgn] = ACTIONS(1007),
    [sym__htm_cls_tag_bgn] = ACTIONS(1007),
    [sym__htm_dcl_bgn] = ACTIONS(1007),
    [sym__htm_cmt_bgn] = ACTIONS(1007),
    [sym__htm_prc_bgn] = ACTIONS(1007),
    [sym__htm_cda_bgn] = ACTIONS(1007),
    [sym__atx_end] = ACTIONS(1007),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1007),
  },
  [365] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1005),
    [sym__bsl_esc] = ACTIONS(1005),
    [sym__chr_ref] = ACTIONS(1005),
    [sym__emp_bgn] = ACTIONS(1005),
    [sym__stg_bgn] = ACTIONS(1005),
    [sym__del_bgn] = ACTIONS(1005),
    [sym__img_bgn] = ACTIONS(1005),
    [sym__lnk_bgn] = ACTIONS(1005),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1005),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1005),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1005),
    [sym__cod_spn_bgn] = ACTIONS(1005),
    [sym__htm_opn_tag_bgn] = ACTIONS(1005),
    [sym__htm_cls_tag_bgn] = ACTIONS(1005),
    [sym__htm_dcl_bgn] = ACTIONS(1005),
    [sym__htm_cmt_bgn] = ACTIONS(1005),
    [sym__htm_prc_bgn] = ACTIONS(1005),
    [sym__htm_cda_bgn] = ACTIONS(1005),
    [sym__atx_end] = ACTIONS(1005),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1005),
  },
  [366] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1003),
    [sym__bsl_esc] = ACTIONS(1003),
    [sym__chr_ref] = ACTIONS(1003),
    [sym__emp_bgn] = ACTIONS(1003),
    [sym__stg_bgn] = ACTIONS(1003),
    [sym__del_bgn] = ACTIONS(1003),
    [sym__img_bgn] = ACTIONS(1003),
    [sym__lnk_bgn] = ACTIONS(1003),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1003),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1003),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1003),
    [sym__cod_spn_bgn] = ACTIONS(1003),
    [sym__htm_opn_tag_bgn] = ACTIONS(1003),
    [sym__htm_cls_tag_bgn] = ACTIONS(1003),
    [sym__htm_dcl_bgn] = ACTIONS(1003),
    [sym__htm_cmt_bgn] = ACTIONS(1003),
    [sym__htm_prc_bgn] = ACTIONS(1003),
    [sym__htm_cda_bgn] = ACTIONS(1003),
    [sym__atx_end] = ACTIONS(1003),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1003),
  },
  [367] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(985),
    [sym__bsl_esc] = ACTIONS(985),
    [sym__chr_ref] = ACTIONS(985),
    [sym__emp_bgn] = ACTIONS(985),
    [sym__stg_bgn] = ACTIONS(985),
    [sym__del_bgn] = ACTIONS(985),
    [sym__img_bgn] = ACTIONS(985),
    [sym__lnk_bgn] = ACTIONS(985),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(985),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__uri_aut_lnk_bgn] = ACTIONS(985),
    [sym__eml_aut_lnk_bgn] = ACTIONS(985),
    [sym__cod_spn_bgn] = ACTIONS(985),
    [sym__htm_opn_tag_bgn] = ACTIONS(985),
    [sym__htm_cls_tag_bgn] = ACTIONS(985),
    [sym__htm_dcl_bgn] = ACTIONS(985),
    [sym__htm_cmt_bgn] = ACTIONS(985),
    [sym__htm_prc_bgn] = ACTIONS(985),
    [sym__htm_cda_bgn] = ACTIONS(985),
    [sym__atx_end] = ACTIONS(985),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(985),
  },
  [368] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(989),
    [sym__bsl_esc] = ACTIONS(989),
    [sym__chr_ref] = ACTIONS(989),
    [sym__emp_bgn] = ACTIONS(989),
    [sym__stg_bgn] = ACTIONS(989),
    [sym__del_bgn] = ACTIONS(989),
    [sym__img_bgn] = ACTIONS(989),
    [sym__lnk_bgn] = ACTIONS(989),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(989),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__uri_aut_lnk_bgn] = ACTIONS(989),
    [sym__eml_aut_lnk_bgn] = ACTIONS(989),
    [sym__cod_spn_bgn] = ACTIONS(989),
    [sym__htm_opn_tag_bgn] = ACTIONS(989),
    [sym__htm_cls_tag_bgn] = ACTIONS(989),
    [sym__htm_dcl_bgn] = ACTIONS(989),
    [sym__htm_cmt_bgn] = ACTIONS(989),
    [sym__htm_prc_bgn] = ACTIONS(989),
    [sym__htm_cda_bgn] = ACTIONS(989),
    [sym__atx_end] = ACTIONS(989),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(989),
  },
  [369] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(993),
    [sym__bsl_esc] = ACTIONS(993),
    [sym__chr_ref] = ACTIONS(993),
    [sym__emp_bgn] = ACTIONS(993),
    [sym__stg_bgn] = ACTIONS(993),
    [sym__del_bgn] = ACTIONS(993),
    [sym__img_bgn] = ACTIONS(993),
    [sym__lnk_bgn] = ACTIONS(993),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(993),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__uri_aut_lnk_bgn] = ACTIONS(993),
    [sym__eml_aut_lnk_bgn] = ACTIONS(993),
    [sym__cod_spn_bgn] = ACTIONS(993),
    [sym__htm_opn_tag_bgn] = ACTIONS(993),
    [sym__htm_cls_tag_bgn] = ACTIONS(993),
    [sym__htm_dcl_bgn] = ACTIONS(993),
    [sym__htm_cmt_bgn] = ACTIONS(993),
    [sym__htm_prc_bgn] = ACTIONS(993),
    [sym__htm_cda_bgn] = ACTIONS(993),
    [sym__atx_end] = ACTIONS(993),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(993),
  },
  [370] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(981),
    [sym__bsl_esc] = ACTIONS(981),
    [sym__chr_ref] = ACTIONS(981),
    [sym__emp_bgn] = ACTIONS(981),
    [sym__stg_bgn] = ACTIONS(981),
    [sym__del_bgn] = ACTIONS(981),
    [sym__img_bgn] = ACTIONS(981),
    [sym__lnk_bgn] = ACTIONS(981),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(981),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__uri_aut_lnk_bgn] = ACTIONS(981),
    [sym__eml_aut_lnk_bgn] = ACTIONS(981),
    [sym__cod_spn_bgn] = ACTIONS(981),
    [sym__htm_opn_tag_bgn] = ACTIONS(981),
    [sym__htm_cls_tag_bgn] = ACTIONS(981),
    [sym__htm_dcl_bgn] = ACTIONS(981),
    [sym__htm_cmt_bgn] = ACTIONS(981),
    [sym__htm_prc_bgn] = ACTIONS(981),
    [sym__htm_cda_bgn] = ACTIONS(981),
    [sym__atx_end] = ACTIONS(981),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(981),
  },
  [371] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(995),
    [sym__bsl_esc] = ACTIONS(995),
    [sym__chr_ref] = ACTIONS(995),
    [sym__emp_bgn] = ACTIONS(995),
    [sym__stg_bgn] = ACTIONS(995),
    [sym__del_bgn] = ACTIONS(995),
    [sym__img_bgn] = ACTIONS(995),
    [sym__lnk_bgn] = ACTIONS(995),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(995),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__uri_aut_lnk_bgn] = ACTIONS(995),
    [sym__eml_aut_lnk_bgn] = ACTIONS(995),
    [sym__cod_spn_bgn] = ACTIONS(995),
    [sym__htm_opn_tag_bgn] = ACTIONS(995),
    [sym__htm_cls_tag_bgn] = ACTIONS(995),
    [sym__htm_dcl_bgn] = ACTIONS(995),
    [sym__htm_cmt_bgn] = ACTIONS(995),
    [sym__htm_prc_bgn] = ACTIONS(995),
    [sym__htm_cda_bgn] = ACTIONS(995),
    [sym__atx_end] = ACTIONS(995),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(995),
  },
  [372] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(997),
    [sym__bsl_esc] = ACTIONS(997),
    [sym__chr_ref] = ACTIONS(997),
    [sym__emp_bgn] = ACTIONS(997),
    [sym__stg_bgn] = ACTIONS(997),
    [sym__del_bgn] = ACTIONS(997),
    [sym__img_bgn] = ACTIONS(997),
    [sym__lnk_bgn] = ACTIONS(997),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(997),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__uri_aut_lnk_bgn] = ACTIONS(997),
    [sym__eml_aut_lnk_bgn] = ACTIONS(997),
    [sym__cod_spn_bgn] = ACTIONS(997),
    [sym__htm_opn_tag_bgn] = ACTIONS(997),
    [sym__htm_cls_tag_bgn] = ACTIONS(997),
    [sym__htm_dcl_bgn] = ACTIONS(997),
    [sym__htm_cmt_bgn] = ACTIONS(997),
    [sym__htm_prc_bgn] = ACTIONS(997),
    [sym__htm_cda_bgn] = ACTIONS(997),
    [sym__atx_end] = ACTIONS(997),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(997),
  },
  [373] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(999),
    [sym__bsl_esc] = ACTIONS(999),
    [sym__chr_ref] = ACTIONS(999),
    [sym__emp_bgn] = ACTIONS(999),
    [sym__stg_bgn] = ACTIONS(999),
    [sym__del_bgn] = ACTIONS(999),
    [sym__img_bgn] = ACTIONS(999),
    [sym__lnk_bgn] = ACTIONS(999),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(999),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__uri_aut_lnk_bgn] = ACTIONS(999),
    [sym__eml_aut_lnk_bgn] = ACTIONS(999),
    [sym__cod_spn_bgn] = ACTIONS(999),
    [sym__htm_opn_tag_bgn] = ACTIONS(999),
    [sym__htm_cls_tag_bgn] = ACTIONS(999),
    [sym__htm_dcl_bgn] = ACTIONS(999),
    [sym__htm_cmt_bgn] = ACTIONS(999),
    [sym__htm_prc_bgn] = ACTIONS(999),
    [sym__htm_cda_bgn] = ACTIONS(999),
    [sym__atx_end] = ACTIONS(999),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(999),
  },
  [374] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1009),
    [sym__bsl_esc] = ACTIONS(1009),
    [sym__chr_ref] = ACTIONS(1009),
    [sym__emp_bgn] = ACTIONS(1009),
    [sym__stg_bgn] = ACTIONS(1009),
    [sym__del_bgn] = ACTIONS(1009),
    [sym__img_bgn] = ACTIONS(1009),
    [sym__lnk_bgn] = ACTIONS(1009),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1009),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1009),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1009),
    [sym__cod_spn_bgn] = ACTIONS(1009),
    [sym__htm_opn_tag_bgn] = ACTIONS(1009),
    [sym__htm_cls_tag_bgn] = ACTIONS(1009),
    [sym__htm_dcl_bgn] = ACTIONS(1009),
    [sym__htm_cmt_bgn] = ACTIONS(1009),
    [sym__htm_prc_bgn] = ACTIONS(1009),
    [sym__htm_cda_bgn] = ACTIONS(1009),
    [sym__tbl_col_sep] = ACTIONS(1009),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1009),
  },
  [375] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(979),
    [sym__bsl_esc] = ACTIONS(979),
    [sym__chr_ref] = ACTIONS(979),
    [sym__emp_bgn] = ACTIONS(979),
    [sym__stg_bgn] = ACTIONS(979),
    [sym__del_bgn] = ACTIONS(979),
    [sym__img_bgn] = ACTIONS(979),
    [sym__lnk_bgn] = ACTIONS(979),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(979),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__uri_aut_lnk_bgn] = ACTIONS(979),
    [sym__eml_aut_lnk_bgn] = ACTIONS(979),
    [sym__cod_spn_bgn] = ACTIONS(979),
    [sym__htm_opn_tag_bgn] = ACTIONS(979),
    [sym__htm_cls_tag_bgn] = ACTIONS(979),
    [sym__htm_dcl_bgn] = ACTIONS(979),
    [sym__htm_cmt_bgn] = ACTIONS(979),
    [sym__htm_prc_bgn] = ACTIONS(979),
    [sym__htm_cda_bgn] = ACTIONS(979),
    [sym__tbl_col_sep] = ACTIONS(979),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(979),
  },
  [376] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1055),
    [sym__bsl_esc] = ACTIONS(1055),
    [sym__chr_ref] = ACTIONS(1055),
    [sym__emp_bgn] = ACTIONS(1055),
    [sym__stg_bgn] = ACTIONS(1055),
    [sym__del_bgn] = ACTIONS(1055),
    [sym__img_bgn] = ACTIONS(1055),
    [sym__lnk_bgn] = ACTIONS(1055),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1055),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1055),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1055),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1055),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1055),
    [sym__cod_spn_bgn] = ACTIONS(1055),
    [sym__htm_opn_tag_bgn] = ACTIONS(1055),
    [sym__htm_cls_tag_bgn] = ACTIONS(1055),
    [sym__htm_dcl_bgn] = ACTIONS(1055),
    [sym__htm_cmt_bgn] = ACTIONS(1055),
    [sym__htm_prc_bgn] = ACTIONS(1055),
    [sym__htm_cda_bgn] = ACTIONS(1055),
    [sym__atx_end] = ACTIONS(1055),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1055),
  },
  [377] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1001),
    [sym__bsl_esc] = ACTIONS(1001),
    [sym__chr_ref] = ACTIONS(1001),
    [sym__emp_bgn] = ACTIONS(1001),
    [sym__stg_bgn] = ACTIONS(1001),
    [sym__del_bgn] = ACTIONS(1001),
    [sym__img_bgn] = ACTIONS(1001),
    [sym__lnk_bgn] = ACTIONS(1001),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1001),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1001),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1001),
    [sym__cod_spn_bgn] = ACTIONS(1001),
    [sym__htm_opn_tag_bgn] = ACTIONS(1001),
    [sym__htm_cls_tag_bgn] = ACTIONS(1001),
    [sym__htm_dcl_bgn] = ACTIONS(1001),
    [sym__htm_cmt_bgn] = ACTIONS(1001),
    [sym__htm_prc_bgn] = ACTIONS(1001),
    [sym__htm_cda_bgn] = ACTIONS(1001),
    [sym__tbl_col_sep] = ACTIONS(1001),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1001),
  },
  [378] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(991),
    [sym__bsl_esc] = ACTIONS(991),
    [sym__chr_ref] = ACTIONS(991),
    [sym__emp_bgn] = ACTIONS(991),
    [sym__stg_bgn] = ACTIONS(991),
    [sym__del_bgn] = ACTIONS(991),
    [sym__img_bgn] = ACTIONS(991),
    [sym__lnk_bgn] = ACTIONS(991),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(991),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__uri_aut_lnk_bgn] = ACTIONS(991),
    [sym__eml_aut_lnk_bgn] = ACTIONS(991),
    [sym__cod_spn_bgn] = ACTIONS(991),
    [sym__htm_opn_tag_bgn] = ACTIONS(991),
    [sym__htm_cls_tag_bgn] = ACTIONS(991),
    [sym__htm_dcl_bgn] = ACTIONS(991),
    [sym__htm_cmt_bgn] = ACTIONS(991),
    [sym__htm_prc_bgn] = ACTIONS(991),
    [sym__htm_cda_bgn] = ACTIONS(991),
    [sym__atx_end] = ACTIONS(991),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(991),
  },
  [379] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(987),
    [sym__bsl_esc] = ACTIONS(987),
    [sym__chr_ref] = ACTIONS(987),
    [sym__emp_bgn] = ACTIONS(987),
    [sym__stg_bgn] = ACTIONS(987),
    [sym__del_bgn] = ACTIONS(987),
    [sym__img_bgn] = ACTIONS(987),
    [sym__lnk_bgn] = ACTIONS(987),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(987),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__uri_aut_lnk_bgn] = ACTIONS(987),
    [sym__eml_aut_lnk_bgn] = ACTIONS(987),
    [sym__cod_spn_bgn] = ACTIONS(987),
    [sym__htm_opn_tag_bgn] = ACTIONS(987),
    [sym__htm_cls_tag_bgn] = ACTIONS(987),
    [sym__htm_dcl_bgn] = ACTIONS(987),
    [sym__htm_cmt_bgn] = ACTIONS(987),
    [sym__htm_prc_bgn] = ACTIONS(987),
    [sym__htm_cda_bgn] = ACTIONS(987),
    [sym__atx_end] = ACTIONS(987),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(987),
  },
  [380] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(983),
    [sym__bsl_esc] = ACTIONS(983),
    [sym__chr_ref] = ACTIONS(983),
    [sym__emp_bgn] = ACTIONS(983),
    [sym__stg_bgn] = ACTIONS(983),
    [sym__del_bgn] = ACTIONS(983),
    [sym__img_bgn] = ACTIONS(983),
    [sym__lnk_bgn] = ACTIONS(983),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(983),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__uri_aut_lnk_bgn] = ACTIONS(983),
    [sym__eml_aut_lnk_bgn] = ACTIONS(983),
    [sym__cod_spn_bgn] = ACTIONS(983),
    [sym__htm_opn_tag_bgn] = ACTIONS(983),
    [sym__htm_cls_tag_bgn] = ACTIONS(983),
    [sym__htm_dcl_bgn] = ACTIONS(983),
    [sym__htm_cmt_bgn] = ACTIONS(983),
    [sym__htm_prc_bgn] = ACTIONS(983),
    [sym__htm_cda_bgn] = ACTIONS(983),
    [sym__atx_end] = ACTIONS(983),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(983),
  },
  [381] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1011),
    [sym__bsl_esc] = ACTIONS(1011),
    [sym__chr_ref] = ACTIONS(1011),
    [sym__emp_bgn] = ACTIONS(1011),
    [sym__stg_bgn] = ACTIONS(1011),
    [sym__del_bgn] = ACTIONS(1011),
    [sym__img_bgn] = ACTIONS(1011),
    [sym__lnk_bgn] = ACTIONS(1011),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1011),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1011),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1011),
    [sym__cod_spn_bgn] = ACTIONS(1011),
    [sym__htm_opn_tag_bgn] = ACTIONS(1011),
    [sym__htm_cls_tag_bgn] = ACTIONS(1011),
    [sym__htm_dcl_bgn] = ACTIONS(1011),
    [sym__htm_cmt_bgn] = ACTIONS(1011),
    [sym__htm_prc_bgn] = ACTIONS(1011),
    [sym__htm_cda_bgn] = ACTIONS(1011),
    [sym__atx_end] = ACTIONS(1011),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1011),
  },
  [382] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1015),
    [sym__bsl_esc] = ACTIONS(1015),
    [sym__chr_ref] = ACTIONS(1015),
    [sym__emp_bgn] = ACTIONS(1015),
    [sym__stg_bgn] = ACTIONS(1015),
    [sym__del_bgn] = ACTIONS(1015),
    [sym__img_bgn] = ACTIONS(1015),
    [sym__lnk_bgn] = ACTIONS(1015),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1015),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1015),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1015),
    [sym__cod_spn_bgn] = ACTIONS(1015),
    [sym__htm_opn_tag_bgn] = ACTIONS(1015),
    [sym__htm_cls_tag_bgn] = ACTIONS(1015),
    [sym__htm_dcl_bgn] = ACTIONS(1015),
    [sym__htm_cmt_bgn] = ACTIONS(1015),
    [sym__htm_prc_bgn] = ACTIONS(1015),
    [sym__htm_cda_bgn] = ACTIONS(1015),
    [sym__atx_end] = ACTIONS(1015),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1015),
  },
  [383] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1023),
    [sym__bsl_esc] = ACTIONS(1023),
    [sym__chr_ref] = ACTIONS(1023),
    [sym__emp_bgn] = ACTIONS(1023),
    [sym__stg_bgn] = ACTIONS(1023),
    [sym__del_bgn] = ACTIONS(1023),
    [sym__img_bgn] = ACTIONS(1023),
    [sym__lnk_bgn] = ACTIONS(1023),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1023),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1023),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1023),
    [sym__cod_spn_bgn] = ACTIONS(1023),
    [sym__htm_opn_tag_bgn] = ACTIONS(1023),
    [sym__htm_cls_tag_bgn] = ACTIONS(1023),
    [sym__htm_dcl_bgn] = ACTIONS(1023),
    [sym__htm_cmt_bgn] = ACTIONS(1023),
    [sym__htm_prc_bgn] = ACTIONS(1023),
    [sym__htm_cda_bgn] = ACTIONS(1023),
    [sym__atx_end] = ACTIONS(1023),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1023),
  },
  [384] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1027),
    [sym__bsl_esc] = ACTIONS(1027),
    [sym__chr_ref] = ACTIONS(1027),
    [sym__emp_bgn] = ACTIONS(1027),
    [sym__stg_bgn] = ACTIONS(1027),
    [sym__del_bgn] = ACTIONS(1027),
    [sym__img_bgn] = ACTIONS(1027),
    [sym__lnk_bgn] = ACTIONS(1027),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1027),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1027),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1027),
    [sym__cod_spn_bgn] = ACTIONS(1027),
    [sym__htm_opn_tag_bgn] = ACTIONS(1027),
    [sym__htm_cls_tag_bgn] = ACTIONS(1027),
    [sym__htm_dcl_bgn] = ACTIONS(1027),
    [sym__htm_cmt_bgn] = ACTIONS(1027),
    [sym__htm_prc_bgn] = ACTIONS(1027),
    [sym__htm_cda_bgn] = ACTIONS(1027),
    [sym__atx_end] = ACTIONS(1027),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1027),
  },
  [385] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1037),
    [sym__bsl_esc] = ACTIONS(1037),
    [sym__chr_ref] = ACTIONS(1037),
    [sym__emp_bgn] = ACTIONS(1037),
    [sym__stg_bgn] = ACTIONS(1037),
    [sym__del_bgn] = ACTIONS(1037),
    [sym__img_bgn] = ACTIONS(1037),
    [sym__lnk_bgn] = ACTIONS(1037),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1037),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1037),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1037),
    [sym__cod_spn_bgn] = ACTIONS(1037),
    [sym__htm_opn_tag_bgn] = ACTIONS(1037),
    [sym__htm_cls_tag_bgn] = ACTIONS(1037),
    [sym__htm_dcl_bgn] = ACTIONS(1037),
    [sym__htm_cmt_bgn] = ACTIONS(1037),
    [sym__htm_prc_bgn] = ACTIONS(1037),
    [sym__htm_cda_bgn] = ACTIONS(1037),
    [sym__atx_end] = ACTIONS(1037),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1037),
  },
  [386] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1039),
    [sym__bsl_esc] = ACTIONS(1039),
    [sym__chr_ref] = ACTIONS(1039),
    [sym__emp_bgn] = ACTIONS(1039),
    [sym__stg_bgn] = ACTIONS(1039),
    [sym__del_bgn] = ACTIONS(1039),
    [sym__img_bgn] = ACTIONS(1039),
    [sym__lnk_bgn] = ACTIONS(1039),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1039),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1039),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1039),
    [sym__cod_spn_bgn] = ACTIONS(1039),
    [sym__htm_opn_tag_bgn] = ACTIONS(1039),
    [sym__htm_cls_tag_bgn] = ACTIONS(1039),
    [sym__htm_dcl_bgn] = ACTIONS(1039),
    [sym__htm_cmt_bgn] = ACTIONS(1039),
    [sym__htm_prc_bgn] = ACTIONS(1039),
    [sym__htm_cda_bgn] = ACTIONS(1039),
    [sym__atx_end] = ACTIONS(1039),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1039),
  },
  [387] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1043),
    [sym__bsl_esc] = ACTIONS(1043),
    [sym__chr_ref] = ACTIONS(1043),
    [sym__emp_bgn] = ACTIONS(1043),
    [sym__stg_bgn] = ACTIONS(1043),
    [sym__del_bgn] = ACTIONS(1043),
    [sym__img_bgn] = ACTIONS(1043),
    [sym__lnk_bgn] = ACTIONS(1043),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1043),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1043),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1043),
    [sym__cod_spn_bgn] = ACTIONS(1043),
    [sym__htm_opn_tag_bgn] = ACTIONS(1043),
    [sym__htm_cls_tag_bgn] = ACTIONS(1043),
    [sym__htm_dcl_bgn] = ACTIONS(1043),
    [sym__htm_cmt_bgn] = ACTIONS(1043),
    [sym__htm_prc_bgn] = ACTIONS(1043),
    [sym__htm_cda_bgn] = ACTIONS(1043),
    [sym__atx_end] = ACTIONS(1043),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1043),
  },
  [388] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1045),
    [sym__bsl_esc] = ACTIONS(1045),
    [sym__chr_ref] = ACTIONS(1045),
    [sym__emp_bgn] = ACTIONS(1045),
    [sym__stg_bgn] = ACTIONS(1045),
    [sym__del_bgn] = ACTIONS(1045),
    [sym__img_bgn] = ACTIONS(1045),
    [sym__lnk_bgn] = ACTIONS(1045),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1045),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1045),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1045),
    [sym__cod_spn_bgn] = ACTIONS(1045),
    [sym__htm_opn_tag_bgn] = ACTIONS(1045),
    [sym__htm_cls_tag_bgn] = ACTIONS(1045),
    [sym__htm_dcl_bgn] = ACTIONS(1045),
    [sym__htm_cmt_bgn] = ACTIONS(1045),
    [sym__htm_prc_bgn] = ACTIONS(1045),
    [sym__htm_cda_bgn] = ACTIONS(1045),
    [sym__atx_end] = ACTIONS(1045),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1045),
  },
  [389] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1049),
    [sym__bsl_esc] = ACTIONS(1049),
    [sym__chr_ref] = ACTIONS(1049),
    [sym__emp_bgn] = ACTIONS(1049),
    [sym__stg_bgn] = ACTIONS(1049),
    [sym__del_bgn] = ACTIONS(1049),
    [sym__img_bgn] = ACTIONS(1049),
    [sym__lnk_bgn] = ACTIONS(1049),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1049),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1049),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1049),
    [sym__cod_spn_bgn] = ACTIONS(1049),
    [sym__htm_opn_tag_bgn] = ACTIONS(1049),
    [sym__htm_cls_tag_bgn] = ACTIONS(1049),
    [sym__htm_dcl_bgn] = ACTIONS(1049),
    [sym__htm_cmt_bgn] = ACTIONS(1049),
    [sym__htm_prc_bgn] = ACTIONS(1049),
    [sym__htm_cda_bgn] = ACTIONS(1049),
    [sym__atx_end] = ACTIONS(1049),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1049),
  },
  [390] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1051),
    [sym__bsl_esc] = ACTIONS(1051),
    [sym__chr_ref] = ACTIONS(1051),
    [sym__emp_bgn] = ACTIONS(1051),
    [sym__stg_bgn] = ACTIONS(1051),
    [sym__del_bgn] = ACTIONS(1051),
    [sym__img_bgn] = ACTIONS(1051),
    [sym__lnk_bgn] = ACTIONS(1051),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1051),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1051),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1051),
    [sym__cod_spn_bgn] = ACTIONS(1051),
    [sym__htm_opn_tag_bgn] = ACTIONS(1051),
    [sym__htm_cls_tag_bgn] = ACTIONS(1051),
    [sym__htm_dcl_bgn] = ACTIONS(1051),
    [sym__htm_cmt_bgn] = ACTIONS(1051),
    [sym__htm_prc_bgn] = ACTIONS(1051),
    [sym__htm_cda_bgn] = ACTIONS(1051),
    [sym__atx_end] = ACTIONS(1051),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1051),
  },
  [391] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1047),
    [sym__bsl_esc] = ACTIONS(1047),
    [sym__chr_ref] = ACTIONS(1047),
    [sym__emp_bgn] = ACTIONS(1047),
    [sym__stg_bgn] = ACTIONS(1047),
    [sym__del_bgn] = ACTIONS(1047),
    [sym__img_bgn] = ACTIONS(1047),
    [sym__lnk_bgn] = ACTIONS(1047),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1047),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1047),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1047),
    [sym__cod_spn_bgn] = ACTIONS(1047),
    [sym__htm_opn_tag_bgn] = ACTIONS(1047),
    [sym__htm_cls_tag_bgn] = ACTIONS(1047),
    [sym__htm_dcl_bgn] = ACTIONS(1047),
    [sym__htm_cmt_bgn] = ACTIONS(1047),
    [sym__htm_prc_bgn] = ACTIONS(1047),
    [sym__htm_cda_bgn] = ACTIONS(1047),
    [sym__atx_end] = ACTIONS(1047),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1047),
  },
  [392] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1013),
    [sym__bsl_esc] = ACTIONS(1013),
    [sym__chr_ref] = ACTIONS(1013),
    [sym__emp_bgn] = ACTIONS(1013),
    [sym__stg_bgn] = ACTIONS(1013),
    [sym__del_bgn] = ACTIONS(1013),
    [sym__img_bgn] = ACTIONS(1013),
    [sym__lnk_bgn] = ACTIONS(1013),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1013),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1013),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1013),
    [sym__cod_spn_bgn] = ACTIONS(1013),
    [sym__htm_opn_tag_bgn] = ACTIONS(1013),
    [sym__htm_cls_tag_bgn] = ACTIONS(1013),
    [sym__htm_dcl_bgn] = ACTIONS(1013),
    [sym__htm_cmt_bgn] = ACTIONS(1013),
    [sym__htm_prc_bgn] = ACTIONS(1013),
    [sym__htm_cda_bgn] = ACTIONS(1013),
    [sym__tbl_col_sep] = ACTIONS(1013),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1013),
  },
  [393] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1017),
    [sym__bsl_esc] = ACTIONS(1017),
    [sym__chr_ref] = ACTIONS(1017),
    [sym__emp_bgn] = ACTIONS(1017),
    [sym__stg_bgn] = ACTIONS(1017),
    [sym__del_bgn] = ACTIONS(1017),
    [sym__img_bgn] = ACTIONS(1017),
    [sym__lnk_bgn] = ACTIONS(1017),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1017),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1017),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1017),
    [sym__cod_spn_bgn] = ACTIONS(1017),
    [sym__htm_opn_tag_bgn] = ACTIONS(1017),
    [sym__htm_cls_tag_bgn] = ACTIONS(1017),
    [sym__htm_dcl_bgn] = ACTIONS(1017),
    [sym__htm_cmt_bgn] = ACTIONS(1017),
    [sym__htm_prc_bgn] = ACTIONS(1017),
    [sym__htm_cda_bgn] = ACTIONS(1017),
    [sym__tbl_col_sep] = ACTIONS(1017),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1017),
  },
  [394] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1041),
    [sym__bsl_esc] = ACTIONS(1041),
    [sym__chr_ref] = ACTIONS(1041),
    [sym__emp_bgn] = ACTIONS(1041),
    [sym__stg_bgn] = ACTIONS(1041),
    [sym__del_bgn] = ACTIONS(1041),
    [sym__img_bgn] = ACTIONS(1041),
    [sym__lnk_bgn] = ACTIONS(1041),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1041),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1041),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1041),
    [sym__cod_spn_bgn] = ACTIONS(1041),
    [sym__htm_opn_tag_bgn] = ACTIONS(1041),
    [sym__htm_cls_tag_bgn] = ACTIONS(1041),
    [sym__htm_dcl_bgn] = ACTIONS(1041),
    [sym__htm_cmt_bgn] = ACTIONS(1041),
    [sym__htm_prc_bgn] = ACTIONS(1041),
    [sym__htm_cda_bgn] = ACTIONS(1041),
    [sym__atx_end] = ACTIONS(1041),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1041),
  },
  [395] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1035),
    [sym__bsl_esc] = ACTIONS(1035),
    [sym__chr_ref] = ACTIONS(1035),
    [sym__emp_bgn] = ACTIONS(1035),
    [sym__stg_bgn] = ACTIONS(1035),
    [sym__del_bgn] = ACTIONS(1035),
    [sym__img_bgn] = ACTIONS(1035),
    [sym__lnk_bgn] = ACTIONS(1035),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1035),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1035),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1035),
    [sym__cod_spn_bgn] = ACTIONS(1035),
    [sym__htm_opn_tag_bgn] = ACTIONS(1035),
    [sym__htm_cls_tag_bgn] = ACTIONS(1035),
    [sym__htm_dcl_bgn] = ACTIONS(1035),
    [sym__htm_cmt_bgn] = ACTIONS(1035),
    [sym__htm_prc_bgn] = ACTIONS(1035),
    [sym__htm_cda_bgn] = ACTIONS(1035),
    [sym__atx_end] = ACTIONS(1035),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1035),
  },
  [396] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1033),
    [sym__bsl_esc] = ACTIONS(1033),
    [sym__chr_ref] = ACTIONS(1033),
    [sym__emp_bgn] = ACTIONS(1033),
    [sym__stg_bgn] = ACTIONS(1033),
    [sym__del_bgn] = ACTIONS(1033),
    [sym__img_bgn] = ACTIONS(1033),
    [sym__lnk_bgn] = ACTIONS(1033),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1033),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1033),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1033),
    [sym__cod_spn_bgn] = ACTIONS(1033),
    [sym__htm_opn_tag_bgn] = ACTIONS(1033),
    [sym__htm_cls_tag_bgn] = ACTIONS(1033),
    [sym__htm_dcl_bgn] = ACTIONS(1033),
    [sym__htm_cmt_bgn] = ACTIONS(1033),
    [sym__htm_prc_bgn] = ACTIONS(1033),
    [sym__htm_cda_bgn] = ACTIONS(1033),
    [sym__atx_end] = ACTIONS(1033),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1033),
  },
  [397] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1019),
    [sym__bsl_esc] = ACTIONS(1019),
    [sym__chr_ref] = ACTIONS(1019),
    [sym__emp_bgn] = ACTIONS(1019),
    [sym__stg_bgn] = ACTIONS(1019),
    [sym__del_bgn] = ACTIONS(1019),
    [sym__img_bgn] = ACTIONS(1019),
    [sym__lnk_bgn] = ACTIONS(1019),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1019),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1019),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1019),
    [sym__cod_spn_bgn] = ACTIONS(1019),
    [sym__htm_opn_tag_bgn] = ACTIONS(1019),
    [sym__htm_cls_tag_bgn] = ACTIONS(1019),
    [sym__htm_dcl_bgn] = ACTIONS(1019),
    [sym__htm_cmt_bgn] = ACTIONS(1019),
    [sym__htm_prc_bgn] = ACTIONS(1019),
    [sym__htm_cda_bgn] = ACTIONS(1019),
    [sym__tbl_col_sep] = ACTIONS(1019),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1019),
  },
  [398] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1025),
    [sym__bsl_esc] = ACTIONS(1025),
    [sym__chr_ref] = ACTIONS(1025),
    [sym__emp_bgn] = ACTIONS(1025),
    [sym__stg_bgn] = ACTIONS(1025),
    [sym__del_bgn] = ACTIONS(1025),
    [sym__img_bgn] = ACTIONS(1025),
    [sym__lnk_bgn] = ACTIONS(1025),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1025),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1025),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1025),
    [sym__cod_spn_bgn] = ACTIONS(1025),
    [sym__htm_opn_tag_bgn] = ACTIONS(1025),
    [sym__htm_cls_tag_bgn] = ACTIONS(1025),
    [sym__htm_dcl_bgn] = ACTIONS(1025),
    [sym__htm_cmt_bgn] = ACTIONS(1025),
    [sym__htm_prc_bgn] = ACTIONS(1025),
    [sym__htm_cda_bgn] = ACTIONS(1025),
    [sym__atx_end] = ACTIONS(1025),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1025),
  },
  [399] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1031),
    [sym__bsl_esc] = ACTIONS(1031),
    [sym__chr_ref] = ACTIONS(1031),
    [sym__emp_bgn] = ACTIONS(1031),
    [sym__stg_bgn] = ACTIONS(1031),
    [sym__del_bgn] = ACTIONS(1031),
    [sym__img_bgn] = ACTIONS(1031),
    [sym__lnk_bgn] = ACTIONS(1031),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1031),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1031),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1031),
    [sym__cod_spn_bgn] = ACTIONS(1031),
    [sym__htm_opn_tag_bgn] = ACTIONS(1031),
    [sym__htm_cls_tag_bgn] = ACTIONS(1031),
    [sym__htm_dcl_bgn] = ACTIONS(1031),
    [sym__htm_cmt_bgn] = ACTIONS(1031),
    [sym__htm_prc_bgn] = ACTIONS(1031),
    [sym__htm_cda_bgn] = ACTIONS(1031),
    [sym__atx_end] = ACTIONS(1031),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1031),
  },
  [400] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1029),
    [sym__bsl_esc] = ACTIONS(1029),
    [sym__chr_ref] = ACTIONS(1029),
    [sym__emp_bgn] = ACTIONS(1029),
    [sym__stg_bgn] = ACTIONS(1029),
    [sym__del_bgn] = ACTIONS(1029),
    [sym__img_bgn] = ACTIONS(1029),
    [sym__lnk_bgn] = ACTIONS(1029),
    [sym__ext_www_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_url_aut_lnk_bgn] = ACTIONS(1029),
    [sym__ext_eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__uri_aut_lnk_bgn] = ACTIONS(1029),
    [sym__eml_aut_lnk_bgn] = ACTIONS(1029),
    [sym__cod_spn_bgn] = ACTIONS(1029),
    [sym__htm_opn_tag_bgn] = ACTIONS(1029),
    [sym__htm_cls_tag_bgn] = ACTIONS(1029),
    [sym__htm_dcl_bgn] = ACTIONS(1029),
    [sym__htm_cmt_bgn] = ACTIONS(1029),
    [sym__htm_prc_bgn] = ACTIONS(1029),
    [sym__htm_cda_bgn] = ACTIONS(1029),
    [sym__atx_end] = ACTIONS(1029),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1029),
  },
  [401] = {
    [sym__tbl_dat_row] = STATE(409),
    [sym__tbl_dat_row_hed] = STATE(841),
    [aux_sym__tbl_repeat1] = STATE(409),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1057),
    [sym__pgh_bgn_mkr] = ACTIONS(1057),
    [sym__atx_bgn] = ACTIONS(1057),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1057),
    [sym__fen_cod_bgn] = ACTIONS(1057),
    [sym__htm_blk_scr_bgn] = ACTIONS(1057),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1057),
    [sym__htm_blk_prc_bgn] = ACTIONS(1057),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1057),
    [sym__htm_blk_cda_bgn] = ACTIONS(1057),
    [sym__htm_blk_div_bgn] = ACTIONS(1057),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1057),
    [sym__bqt_bgn] = ACTIONS(1057),
    [sym__bqt_end_mkr] = ACTIONS(1057),
    [sym__lst_bgn_mkr] = ACTIONS(1057),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1057),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1059),
    [sym__bnk_lbk] = ACTIONS(1057),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [402] = {
    [sym__tbl_dat_row] = STATE(408),
    [sym__tbl_dat_row_hed] = STATE(796),
    [aux_sym__tbl_repeat1] = STATE(408),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1057),
    [sym__pgh_bgn_mkr] = ACTIONS(1057),
    [sym__atx_bgn] = ACTIONS(1057),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1057),
    [sym__fen_cod_bgn] = ACTIONS(1057),
    [sym__htm_blk_scr_bgn] = ACTIONS(1057),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1057),
    [sym__htm_blk_prc_bgn] = ACTIONS(1057),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1057),
    [sym__htm_blk_cda_bgn] = ACTIONS(1057),
    [sym__htm_blk_div_bgn] = ACTIONS(1057),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1057),
    [sym__bqt_bgn] = ACTIONS(1057),
    [sym__lst_bgn_mkr] = ACTIONS(1057),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1057),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1057),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1059),
    [sym__bnk_lbk] = ACTIONS(1057),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [403] = {
    [sym__tbl_dat_row] = STATE(403),
    [sym__tbl_dat_row_hed] = STATE(918),
    [aux_sym__tbl_repeat1] = STATE(403),
    [sym__eof] = ACTIONS(1061),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1061),
    [sym__pgh_bgn_mkr] = ACTIONS(1061),
    [sym__atx_bgn] = ACTIONS(1061),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1061),
    [sym__fen_cod_bgn] = ACTIONS(1061),
    [sym__htm_blk_scr_bgn] = ACTIONS(1061),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1061),
    [sym__htm_blk_prc_bgn] = ACTIONS(1061),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1061),
    [sym__htm_blk_cda_bgn] = ACTIONS(1061),
    [sym__htm_blk_div_bgn] = ACTIONS(1061),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1061),
    [sym__bqt_bgn] = ACTIONS(1061),
    [sym__lst_bgn_mkr] = ACTIONS(1061),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1061),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1063),
    [sym__bnk_lbk] = ACTIONS(1061),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [404] = {
    [sym__tbl_dat_row] = STATE(404),
    [sym__tbl_dat_row_hed] = STATE(796),
    [aux_sym__tbl_repeat1] = STATE(404),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1061),
    [sym__pgh_bgn_mkr] = ACTIONS(1061),
    [sym__atx_bgn] = ACTIONS(1061),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1061),
    [sym__fen_cod_bgn] = ACTIONS(1061),
    [sym__htm_blk_scr_bgn] = ACTIONS(1061),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1061),
    [sym__htm_blk_prc_bgn] = ACTIONS(1061),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1061),
    [sym__htm_blk_cda_bgn] = ACTIONS(1061),
    [sym__htm_blk_div_bgn] = ACTIONS(1061),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1061),
    [sym__bqt_bgn] = ACTIONS(1061),
    [sym__lst_bgn_mkr] = ACTIONS(1061),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1061),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1061),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1063),
    [sym__bnk_lbk] = ACTIONS(1061),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [405] = {
    [sym__tbl_dat_row] = STATE(407),
    [sym__tbl_dat_row_hed] = STATE(918),
    [aux_sym__tbl_repeat1] = STATE(407),
    [sym__eof] = ACTIONS(1057),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1057),
    [sym__pgh_bgn_mkr] = ACTIONS(1057),
    [sym__atx_bgn] = ACTIONS(1057),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1057),
    [sym__fen_cod_bgn] = ACTIONS(1057),
    [sym__htm_blk_scr_bgn] = ACTIONS(1057),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1057),
    [sym__htm_blk_prc_bgn] = ACTIONS(1057),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1057),
    [sym__htm_blk_cda_bgn] = ACTIONS(1057),
    [sym__htm_blk_div_bgn] = ACTIONS(1057),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1057),
    [sym__bqt_bgn] = ACTIONS(1057),
    [sym__lst_bgn_mkr] = ACTIONS(1057),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1057),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1059),
    [sym__bnk_lbk] = ACTIONS(1057),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [406] = {
    [sym__tbl_dat_row] = STATE(406),
    [sym__tbl_dat_row_hed] = STATE(841),
    [aux_sym__tbl_repeat1] = STATE(406),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1061),
    [sym__pgh_bgn_mkr] = ACTIONS(1061),
    [sym__atx_bgn] = ACTIONS(1061),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1061),
    [sym__fen_cod_bgn] = ACTIONS(1061),
    [sym__htm_blk_scr_bgn] = ACTIONS(1061),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1061),
    [sym__htm_blk_prc_bgn] = ACTIONS(1061),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1061),
    [sym__htm_blk_cda_bgn] = ACTIONS(1061),
    [sym__htm_blk_div_bgn] = ACTIONS(1061),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1061),
    [sym__bqt_bgn] = ACTIONS(1061),
    [sym__bqt_end_mkr] = ACTIONS(1061),
    [sym__lst_bgn_mkr] = ACTIONS(1061),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1061),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1063),
    [sym__bnk_lbk] = ACTIONS(1061),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [407] = {
    [sym__tbl_dat_row] = STATE(403),
    [sym__tbl_dat_row_hed] = STATE(918),
    [aux_sym__tbl_repeat1] = STATE(403),
    [sym__eof] = ACTIONS(1066),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1066),
    [sym__pgh_bgn_mkr] = ACTIONS(1066),
    [sym__atx_bgn] = ACTIONS(1066),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1066),
    [sym__fen_cod_bgn] = ACTIONS(1066),
    [sym__htm_blk_scr_bgn] = ACTIONS(1066),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1066),
    [sym__htm_blk_prc_bgn] = ACTIONS(1066),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1066),
    [sym__htm_blk_cda_bgn] = ACTIONS(1066),
    [sym__htm_blk_div_bgn] = ACTIONS(1066),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1066),
    [sym__bqt_bgn] = ACTIONS(1066),
    [sym__lst_bgn_mkr] = ACTIONS(1066),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1066),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1059),
    [sym__bnk_lbk] = ACTIONS(1066),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [408] = {
    [sym__tbl_dat_row] = STATE(404),
    [sym__tbl_dat_row_hed] = STATE(796),
    [aux_sym__tbl_repeat1] = STATE(404),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1066),
    [sym__pgh_bgn_mkr] = ACTIONS(1066),
    [sym__atx_bgn] = ACTIONS(1066),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1066),
    [sym__fen_cod_bgn] = ACTIONS(1066),
    [sym__htm_blk_scr_bgn] = ACTIONS(1066),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1066),
    [sym__htm_blk_prc_bgn] = ACTIONS(1066),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1066),
    [sym__htm_blk_cda_bgn] = ACTIONS(1066),
    [sym__htm_blk_div_bgn] = ACTIONS(1066),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1066),
    [sym__bqt_bgn] = ACTIONS(1066),
    [sym__lst_bgn_mkr] = ACTIONS(1066),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1066),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1066),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1059),
    [sym__bnk_lbk] = ACTIONS(1066),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [409] = {
    [sym__tbl_dat_row] = STATE(406),
    [sym__tbl_dat_row_hed] = STATE(841),
    [aux_sym__tbl_repeat1] = STATE(406),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1066),
    [sym__pgh_bgn_mkr] = ACTIONS(1066),
    [sym__atx_bgn] = ACTIONS(1066),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1066),
    [sym__fen_cod_bgn] = ACTIONS(1066),
    [sym__htm_blk_scr_bgn] = ACTIONS(1066),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1066),
    [sym__htm_blk_prc_bgn] = ACTIONS(1066),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1066),
    [sym__htm_blk_cda_bgn] = ACTIONS(1066),
    [sym__htm_blk_div_bgn] = ACTIONS(1066),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1066),
    [sym__bqt_bgn] = ACTIONS(1066),
    [sym__bqt_end_mkr] = ACTIONS(1066),
    [sym__lst_bgn_mkr] = ACTIONS(1066),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1066),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1059),
    [sym__bnk_lbk] = ACTIONS(1066),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [410] = {
    [sym__tbl_dat_row] = STATE(411),
    [sym__tbl_dat_row_hed] = STATE(843),
    [aux_sym__tbl_repeat1] = STATE(411),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1057),
    [sym__pgh_bgn_mkr] = ACTIONS(1057),
    [sym__atx_bgn] = ACTIONS(1057),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1057),
    [sym__fen_cod_bgn] = ACTIONS(1057),
    [sym__htm_blk_scr_bgn] = ACTIONS(1057),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1057),
    [sym__htm_blk_prc_bgn] = ACTIONS(1057),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1057),
    [sym__htm_blk_cda_bgn] = ACTIONS(1057),
    [sym__htm_blk_div_bgn] = ACTIONS(1057),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1057),
    [sym__bqt_bgn] = ACTIONS(1057),
    [sym__lst_bgn_mkr] = ACTIONS(1057),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1057),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1057),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1059),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [411] = {
    [sym__tbl_dat_row] = STATE(412),
    [sym__tbl_dat_row_hed] = STATE(843),
    [aux_sym__tbl_repeat1] = STATE(412),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1066),
    [sym__pgh_bgn_mkr] = ACTIONS(1066),
    [sym__atx_bgn] = ACTIONS(1066),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1066),
    [sym__fen_cod_bgn] = ACTIONS(1066),
    [sym__htm_blk_scr_bgn] = ACTIONS(1066),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1066),
    [sym__htm_blk_prc_bgn] = ACTIONS(1066),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1066),
    [sym__htm_blk_cda_bgn] = ACTIONS(1066),
    [sym__htm_blk_div_bgn] = ACTIONS(1066),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1066),
    [sym__bqt_bgn] = ACTIONS(1066),
    [sym__lst_bgn_mkr] = ACTIONS(1066),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1066),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1066),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1059),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [412] = {
    [sym__tbl_dat_row] = STATE(412),
    [sym__tbl_dat_row_hed] = STATE(843),
    [aux_sym__tbl_repeat1] = STATE(412),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1061),
    [sym__pgh_bgn_mkr] = ACTIONS(1061),
    [sym__atx_bgn] = ACTIONS(1061),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1061),
    [sym__fen_cod_bgn] = ACTIONS(1061),
    [sym__htm_blk_scr_bgn] = ACTIONS(1061),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1061),
    [sym__htm_blk_prc_bgn] = ACTIONS(1061),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1061),
    [sym__htm_blk_cda_bgn] = ACTIONS(1061),
    [sym__htm_blk_div_bgn] = ACTIONS(1061),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1061),
    [sym__bqt_bgn] = ACTIONS(1061),
    [sym__lst_bgn_mkr] = ACTIONS(1061),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1061),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1061),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1063),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [413] = {
    [sym__eof] = ACTIONS(1068),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1068),
    [sym__pgh_bgn_mkr] = ACTIONS(1068),
    [sym__atx_bgn] = ACTIONS(1068),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1068),
    [sym__fen_cod_bgn] = ACTIONS(1068),
    [sym__htm_blk_scr_bgn] = ACTIONS(1068),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1068),
    [sym__htm_blk_prc_bgn] = ACTIONS(1068),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1068),
    [sym__htm_blk_cda_bgn] = ACTIONS(1068),
    [sym__htm_blk_div_bgn] = ACTIONS(1068),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1068),
    [sym__bqt_bgn] = ACTIONS(1068),
    [sym__lst_bgn_mkr] = ACTIONS(1068),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1068),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1068),
    [sym__bnk_lbk] = ACTIONS(1068),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [414] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1070),
    [sym__pgh_bgn_mkr] = ACTIONS(1070),
    [sym__atx_bgn] = ACTIONS(1070),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1070),
    [sym__fen_cod_bgn] = ACTIONS(1070),
    [sym__htm_blk_scr_bgn] = ACTIONS(1070),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1070),
    [sym__htm_blk_prc_bgn] = ACTIONS(1070),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1070),
    [sym__htm_blk_cda_bgn] = ACTIONS(1070),
    [sym__htm_blk_div_bgn] = ACTIONS(1070),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1070),
    [sym__bqt_bgn] = ACTIONS(1070),
    [sym__bqt_end_mkr] = ACTIONS(1070),
    [sym__lst_bgn_mkr] = ACTIONS(1070),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1070),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1070),
    [sym__bnk_lbk] = ACTIONS(1070),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [415] = {
    [sym__eof] = ACTIONS(1072),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1072),
    [sym__pgh_bgn_mkr] = ACTIONS(1072),
    [sym__stx_bgn] = ACTIONS(1074),
    [sym__atx_bgn] = ACTIONS(1072),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1072),
    [sym__fen_cod_bgn] = ACTIONS(1072),
    [sym__htm_blk_scr_bgn] = ACTIONS(1072),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1072),
    [sym__htm_blk_prc_bgn] = ACTIONS(1072),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1072),
    [sym__htm_blk_cda_bgn] = ACTIONS(1072),
    [sym__htm_blk_div_bgn] = ACTIONS(1072),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1072),
    [sym__bqt_bgn] = ACTIONS(1072),
    [sym__lst_bgn_mkr] = ACTIONS(1072),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1072),
    [sym__bnk_lbk] = ACTIONS(1072),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [416] = {
    [sym__eof] = ACTIONS(1070),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1070),
    [sym__pgh_bgn_mkr] = ACTIONS(1070),
    [sym__atx_bgn] = ACTIONS(1070),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1070),
    [sym__fen_cod_bgn] = ACTIONS(1070),
    [sym__htm_blk_scr_bgn] = ACTIONS(1070),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1070),
    [sym__htm_blk_prc_bgn] = ACTIONS(1070),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1070),
    [sym__htm_blk_cda_bgn] = ACTIONS(1070),
    [sym__htm_blk_div_bgn] = ACTIONS(1070),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1070),
    [sym__bqt_bgn] = ACTIONS(1070),
    [sym__lst_bgn_mkr] = ACTIONS(1070),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1070),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1070),
    [sym__bnk_lbk] = ACTIONS(1070),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [417] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1068),
    [sym__pgh_bgn_mkr] = ACTIONS(1068),
    [sym__atx_bgn] = ACTIONS(1068),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1068),
    [sym__fen_cod_bgn] = ACTIONS(1068),
    [sym__htm_blk_scr_bgn] = ACTIONS(1068),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1068),
    [sym__htm_blk_prc_bgn] = ACTIONS(1068),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1068),
    [sym__htm_blk_cda_bgn] = ACTIONS(1068),
    [sym__htm_blk_div_bgn] = ACTIONS(1068),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1068),
    [sym__bqt_bgn] = ACTIONS(1068),
    [sym__bqt_end_mkr] = ACTIONS(1068),
    [sym__lst_bgn_mkr] = ACTIONS(1068),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1068),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1068),
    [sym__bnk_lbk] = ACTIONS(1068),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [418] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1072),
    [sym__pgh_bgn_mkr] = ACTIONS(1072),
    [sym__stx_bgn] = ACTIONS(1074),
    [sym__atx_bgn] = ACTIONS(1072),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1072),
    [sym__fen_cod_bgn] = ACTIONS(1072),
    [sym__htm_blk_scr_bgn] = ACTIONS(1072),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1072),
    [sym__htm_blk_prc_bgn] = ACTIONS(1072),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1072),
    [sym__htm_blk_cda_bgn] = ACTIONS(1072),
    [sym__htm_blk_div_bgn] = ACTIONS(1072),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1072),
    [sym__bqt_bgn] = ACTIONS(1072),
    [sym__bqt_end_mkr] = ACTIONS(1072),
    [sym__lst_bgn_mkr] = ACTIONS(1072),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1072),
    [sym__bnk_lbk] = ACTIONS(1072),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [419] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1070),
    [sym__pgh_bgn_mkr] = ACTIONS(1070),
    [sym__atx_bgn] = ACTIONS(1070),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1070),
    [sym__fen_cod_bgn] = ACTIONS(1070),
    [sym__htm_blk_scr_bgn] = ACTIONS(1070),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1070),
    [sym__htm_blk_prc_bgn] = ACTIONS(1070),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1070),
    [sym__htm_blk_cda_bgn] = ACTIONS(1070),
    [sym__htm_blk_div_bgn] = ACTIONS(1070),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1070),
    [sym__bqt_bgn] = ACTIONS(1070),
    [sym__lst_bgn_mkr] = ACTIONS(1070),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1070),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1070),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1070),
    [sym__bnk_lbk] = ACTIONS(1070),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [420] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1068),
    [sym__pgh_bgn_mkr] = ACTIONS(1068),
    [sym__atx_bgn] = ACTIONS(1068),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1068),
    [sym__fen_cod_bgn] = ACTIONS(1068),
    [sym__htm_blk_scr_bgn] = ACTIONS(1068),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1068),
    [sym__htm_blk_prc_bgn] = ACTIONS(1068),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1068),
    [sym__htm_blk_cda_bgn] = ACTIONS(1068),
    [sym__htm_blk_div_bgn] = ACTIONS(1068),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1068),
    [sym__bqt_bgn] = ACTIONS(1068),
    [sym__lst_bgn_mkr] = ACTIONS(1068),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1068),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1068),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1068),
    [sym__bnk_lbk] = ACTIONS(1068),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [421] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1072),
    [sym__pgh_bgn_mkr] = ACTIONS(1072),
    [sym__stx_bgn] = ACTIONS(1074),
    [sym__atx_bgn] = ACTIONS(1072),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1072),
    [sym__fen_cod_bgn] = ACTIONS(1072),
    [sym__htm_blk_scr_bgn] = ACTIONS(1072),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1072),
    [sym__htm_blk_prc_bgn] = ACTIONS(1072),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1072),
    [sym__htm_blk_cda_bgn] = ACTIONS(1072),
    [sym__htm_blk_div_bgn] = ACTIONS(1072),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1072),
    [sym__bqt_bgn] = ACTIONS(1072),
    [sym__lst_bgn_mkr] = ACTIONS(1072),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1072),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1072),
    [sym__bnk_lbk] = ACTIONS(1072),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [422] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1076),
    [sym__pgh_bgn_mkr] = ACTIONS(1076),
    [sym__atx_bgn] = ACTIONS(1076),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1076),
    [sym__fen_cod_bgn] = ACTIONS(1076),
    [sym__htm_blk_scr_bgn] = ACTIONS(1076),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1076),
    [sym__htm_blk_prc_bgn] = ACTIONS(1076),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1076),
    [sym__htm_blk_cda_bgn] = ACTIONS(1076),
    [sym__htm_blk_div_bgn] = ACTIONS(1076),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1076),
    [sym__bqt_bgn] = ACTIONS(1076),
    [sym__bqt_end_mkr] = ACTIONS(1076),
    [sym__lst_bgn_mkr] = ACTIONS(1076),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1076),
    [sym__bnk_lbk] = ACTIONS(1076),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [423] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1078),
    [sym__pgh_bgn_mkr] = ACTIONS(1078),
    [sym__atx_bgn] = ACTIONS(1078),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1078),
    [sym__fen_cod_bgn] = ACTIONS(1078),
    [sym__htm_blk_scr_bgn] = ACTIONS(1078),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1078),
    [sym__htm_blk_prc_bgn] = ACTIONS(1078),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1078),
    [sym__htm_blk_cda_bgn] = ACTIONS(1078),
    [sym__htm_blk_div_bgn] = ACTIONS(1078),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1078),
    [sym__bqt_bgn] = ACTIONS(1078),
    [sym__lst_bgn_mkr] = ACTIONS(1078),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1078),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1078),
    [sym__bnk_lbk] = ACTIONS(1078),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [424] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1080),
    [sym__pgh_bgn_mkr] = ACTIONS(1080),
    [sym__atx_bgn] = ACTIONS(1080),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1080),
    [sym__fen_cod_bgn] = ACTIONS(1080),
    [sym__htm_blk_scr_bgn] = ACTIONS(1080),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1080),
    [sym__htm_blk_prc_bgn] = ACTIONS(1080),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1080),
    [sym__htm_blk_cda_bgn] = ACTIONS(1080),
    [sym__htm_blk_div_bgn] = ACTIONS(1080),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1080),
    [sym__bqt_bgn] = ACTIONS(1080),
    [sym__lst_bgn_mkr] = ACTIONS(1080),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1080),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1080),
    [sym__bnk_lbk] = ACTIONS(1080),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [425] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1082),
    [sym__pgh_bgn_mkr] = ACTIONS(1082),
    [sym__atx_bgn] = ACTIONS(1082),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1082),
    [sym__fen_cod_bgn] = ACTIONS(1082),
    [sym__htm_blk_scr_bgn] = ACTIONS(1082),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1082),
    [sym__htm_blk_prc_bgn] = ACTIONS(1082),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1082),
    [sym__htm_blk_cda_bgn] = ACTIONS(1082),
    [sym__htm_blk_div_bgn] = ACTIONS(1082),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1082),
    [sym__bqt_bgn] = ACTIONS(1082),
    [sym__lst_bgn_mkr] = ACTIONS(1082),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1082),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1082),
    [sym__bnk_lbk] = ACTIONS(1082),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [426] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1076),
    [sym__pgh_bgn_mkr] = ACTIONS(1076),
    [sym__atx_bgn] = ACTIONS(1076),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1076),
    [sym__fen_cod_bgn] = ACTIONS(1076),
    [sym__htm_blk_scr_bgn] = ACTIONS(1076),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1076),
    [sym__htm_blk_prc_bgn] = ACTIONS(1076),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1076),
    [sym__htm_blk_cda_bgn] = ACTIONS(1076),
    [sym__htm_blk_div_bgn] = ACTIONS(1076),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1076),
    [sym__bqt_bgn] = ACTIONS(1076),
    [sym__lst_bgn_mkr] = ACTIONS(1076),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1076),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1076),
    [sym__bnk_lbk] = ACTIONS(1076),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [427] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1084),
    [sym__pgh_bgn_mkr] = ACTIONS(1084),
    [sym__atx_bgn] = ACTIONS(1084),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1084),
    [sym__fen_cod_bgn] = ACTIONS(1084),
    [sym__htm_blk_scr_bgn] = ACTIONS(1084),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1084),
    [sym__htm_blk_prc_bgn] = ACTIONS(1084),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1084),
    [sym__htm_blk_cda_bgn] = ACTIONS(1084),
    [sym__htm_blk_div_bgn] = ACTIONS(1084),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1084),
    [sym__bqt_bgn] = ACTIONS(1084),
    [sym__lst_bgn_mkr] = ACTIONS(1084),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1084),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1084),
    [sym__bnk_lbk] = ACTIONS(1084),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [428] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1086),
    [sym__pgh_bgn_mkr] = ACTIONS(1086),
    [sym__atx_bgn] = ACTIONS(1086),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1086),
    [sym__fen_cod_bgn] = ACTIONS(1086),
    [sym__htm_blk_scr_bgn] = ACTIONS(1086),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1086),
    [sym__htm_blk_prc_bgn] = ACTIONS(1086),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1086),
    [sym__htm_blk_cda_bgn] = ACTIONS(1086),
    [sym__htm_blk_div_bgn] = ACTIONS(1086),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1086),
    [sym__bqt_bgn] = ACTIONS(1086),
    [sym__lst_bgn_mkr] = ACTIONS(1086),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1086),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1086),
    [sym__bnk_lbk] = ACTIONS(1086),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [429] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1088),
    [sym__pgh_bgn_mkr] = ACTIONS(1088),
    [sym__atx_bgn] = ACTIONS(1088),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1088),
    [sym__fen_cod_bgn] = ACTIONS(1088),
    [sym__htm_blk_scr_bgn] = ACTIONS(1088),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1088),
    [sym__htm_blk_prc_bgn] = ACTIONS(1088),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1088),
    [sym__htm_blk_cda_bgn] = ACTIONS(1088),
    [sym__htm_blk_div_bgn] = ACTIONS(1088),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1088),
    [sym__bqt_bgn] = ACTIONS(1088),
    [sym__lst_bgn_mkr] = ACTIONS(1088),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1088),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1088),
    [sym__bnk_lbk] = ACTIONS(1088),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [430] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1090),
    [sym__pgh_bgn_mkr] = ACTIONS(1090),
    [sym__atx_bgn] = ACTIONS(1090),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1090),
    [sym__fen_cod_bgn] = ACTIONS(1090),
    [sym__htm_blk_scr_bgn] = ACTIONS(1090),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1090),
    [sym__htm_blk_prc_bgn] = ACTIONS(1090),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1090),
    [sym__htm_blk_cda_bgn] = ACTIONS(1090),
    [sym__htm_blk_div_bgn] = ACTIONS(1090),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1090),
    [sym__bqt_bgn] = ACTIONS(1090),
    [sym__lst_bgn_mkr] = ACTIONS(1090),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1090),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1090),
    [sym__bnk_lbk] = ACTIONS(1090),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [431] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1092),
    [sym__pgh_bgn_mkr] = ACTIONS(1092),
    [sym__atx_bgn] = ACTIONS(1092),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1092),
    [sym__fen_cod_bgn] = ACTIONS(1092),
    [sym__htm_blk_scr_bgn] = ACTIONS(1092),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1092),
    [sym__htm_blk_prc_bgn] = ACTIONS(1092),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1092),
    [sym__htm_blk_cda_bgn] = ACTIONS(1092),
    [sym__htm_blk_div_bgn] = ACTIONS(1092),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1092),
    [sym__bqt_bgn] = ACTIONS(1092),
    [sym__lst_bgn_mkr] = ACTIONS(1092),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1092),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1092),
    [sym__bnk_lbk] = ACTIONS(1092),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [432] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1094),
    [sym__pgh_bgn_mkr] = ACTIONS(1094),
    [sym__atx_bgn] = ACTIONS(1094),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1094),
    [sym__fen_cod_bgn] = ACTIONS(1094),
    [sym__htm_blk_scr_bgn] = ACTIONS(1094),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1094),
    [sym__htm_blk_prc_bgn] = ACTIONS(1094),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1094),
    [sym__htm_blk_cda_bgn] = ACTIONS(1094),
    [sym__htm_blk_div_bgn] = ACTIONS(1094),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1094),
    [sym__bqt_bgn] = ACTIONS(1094),
    [sym__lst_bgn_mkr] = ACTIONS(1094),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1094),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1094),
    [sym__bnk_lbk] = ACTIONS(1094),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [433] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1096),
    [sym__pgh_bgn_mkr] = ACTIONS(1096),
    [sym__atx_bgn] = ACTIONS(1096),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1096),
    [sym__fen_cod_bgn] = ACTIONS(1096),
    [sym__htm_blk_scr_bgn] = ACTIONS(1096),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1096),
    [sym__htm_blk_prc_bgn] = ACTIONS(1096),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1096),
    [sym__htm_blk_cda_bgn] = ACTIONS(1096),
    [sym__htm_blk_div_bgn] = ACTIONS(1096),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1096),
    [sym__bqt_bgn] = ACTIONS(1096),
    [sym__lst_bgn_mkr] = ACTIONS(1096),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1096),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1096),
    [sym__bnk_lbk] = ACTIONS(1096),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [434] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1098),
    [sym__pgh_bgn_mkr] = ACTIONS(1098),
    [sym__atx_bgn] = ACTIONS(1098),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1098),
    [sym__fen_cod_bgn] = ACTIONS(1098),
    [sym__htm_blk_scr_bgn] = ACTIONS(1098),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1098),
    [sym__htm_blk_prc_bgn] = ACTIONS(1098),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1098),
    [sym__htm_blk_cda_bgn] = ACTIONS(1098),
    [sym__htm_blk_div_bgn] = ACTIONS(1098),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1098),
    [sym__bqt_bgn] = ACTIONS(1098),
    [sym__lst_bgn_mkr] = ACTIONS(1098),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1098),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1098),
    [sym__bnk_lbk] = ACTIONS(1098),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [435] = {
    [sym__eof] = ACTIONS(1086),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1086),
    [sym__pgh_bgn_mkr] = ACTIONS(1086),
    [sym__atx_bgn] = ACTIONS(1086),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1086),
    [sym__fen_cod_bgn] = ACTIONS(1086),
    [sym__htm_blk_scr_bgn] = ACTIONS(1086),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1086),
    [sym__htm_blk_prc_bgn] = ACTIONS(1086),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1086),
    [sym__htm_blk_cda_bgn] = ACTIONS(1086),
    [sym__htm_blk_div_bgn] = ACTIONS(1086),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1086),
    [sym__bqt_bgn] = ACTIONS(1086),
    [sym__lst_bgn_mkr] = ACTIONS(1086),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1086),
    [sym__bnk_lbk] = ACTIONS(1086),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [436] = {
    [sym__eof] = ACTIONS(1084),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1084),
    [sym__pgh_bgn_mkr] = ACTIONS(1084),
    [sym__atx_bgn] = ACTIONS(1084),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1084),
    [sym__fen_cod_bgn] = ACTIONS(1084),
    [sym__htm_blk_scr_bgn] = ACTIONS(1084),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1084),
    [sym__htm_blk_prc_bgn] = ACTIONS(1084),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1084),
    [sym__htm_blk_cda_bgn] = ACTIONS(1084),
    [sym__htm_blk_div_bgn] = ACTIONS(1084),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1084),
    [sym__bqt_bgn] = ACTIONS(1084),
    [sym__lst_bgn_mkr] = ACTIONS(1084),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1084),
    [sym__bnk_lbk] = ACTIONS(1084),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [437] = {
    [sym__eof] = ACTIONS(1076),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1076),
    [sym__pgh_bgn_mkr] = ACTIONS(1076),
    [sym__atx_bgn] = ACTIONS(1076),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1076),
    [sym__fen_cod_bgn] = ACTIONS(1076),
    [sym__htm_blk_scr_bgn] = ACTIONS(1076),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1076),
    [sym__htm_blk_prc_bgn] = ACTIONS(1076),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1076),
    [sym__htm_blk_cda_bgn] = ACTIONS(1076),
    [sym__htm_blk_div_bgn] = ACTIONS(1076),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1076),
    [sym__bqt_bgn] = ACTIONS(1076),
    [sym__lst_bgn_mkr] = ACTIONS(1076),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1076),
    [sym__bnk_lbk] = ACTIONS(1076),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [438] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1100),
    [sym__pgh_bgn_mkr] = ACTIONS(1100),
    [sym__atx_bgn] = ACTIONS(1100),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1100),
    [sym__fen_cod_bgn] = ACTIONS(1100),
    [sym__htm_blk_scr_bgn] = ACTIONS(1100),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1100),
    [sym__htm_blk_prc_bgn] = ACTIONS(1100),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1100),
    [sym__htm_blk_cda_bgn] = ACTIONS(1100),
    [sym__htm_blk_div_bgn] = ACTIONS(1100),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1100),
    [sym__bqt_bgn] = ACTIONS(1100),
    [sym__lst_bgn_mkr] = ACTIONS(1100),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1100),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1100),
    [sym__bnk_lbk] = ACTIONS(1100),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [439] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1068),
    [sym__pgh_bgn_mkr] = ACTIONS(1068),
    [sym__atx_bgn] = ACTIONS(1068),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1068),
    [sym__fen_cod_bgn] = ACTIONS(1068),
    [sym__htm_blk_scr_bgn] = ACTIONS(1068),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1068),
    [sym__htm_blk_prc_bgn] = ACTIONS(1068),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1068),
    [sym__htm_blk_cda_bgn] = ACTIONS(1068),
    [sym__htm_blk_div_bgn] = ACTIONS(1068),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1068),
    [sym__bqt_bgn] = ACTIONS(1068),
    [sym__lst_bgn_mkr] = ACTIONS(1068),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1068),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1068),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1068),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [440] = {
    [sym__eof] = ACTIONS(1082),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1082),
    [sym__pgh_bgn_mkr] = ACTIONS(1082),
    [sym__atx_bgn] = ACTIONS(1082),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1082),
    [sym__fen_cod_bgn] = ACTIONS(1082),
    [sym__htm_blk_scr_bgn] = ACTIONS(1082),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1082),
    [sym__htm_blk_prc_bgn] = ACTIONS(1082),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1082),
    [sym__htm_blk_cda_bgn] = ACTIONS(1082),
    [sym__htm_blk_div_bgn] = ACTIONS(1082),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1082),
    [sym__bqt_bgn] = ACTIONS(1082),
    [sym__lst_bgn_mkr] = ACTIONS(1082),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1082),
    [sym__bnk_lbk] = ACTIONS(1082),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [441] = {
    [sym__eof] = ACTIONS(1080),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1080),
    [sym__pgh_bgn_mkr] = ACTIONS(1080),
    [sym__atx_bgn] = ACTIONS(1080),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1080),
    [sym__fen_cod_bgn] = ACTIONS(1080),
    [sym__htm_blk_scr_bgn] = ACTIONS(1080),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1080),
    [sym__htm_blk_prc_bgn] = ACTIONS(1080),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1080),
    [sym__htm_blk_cda_bgn] = ACTIONS(1080),
    [sym__htm_blk_div_bgn] = ACTIONS(1080),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1080),
    [sym__bqt_bgn] = ACTIONS(1080),
    [sym__lst_bgn_mkr] = ACTIONS(1080),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1080),
    [sym__bnk_lbk] = ACTIONS(1080),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [442] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1098),
    [sym__pgh_bgn_mkr] = ACTIONS(1098),
    [sym__atx_bgn] = ACTIONS(1098),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1098),
    [sym__fen_cod_bgn] = ACTIONS(1098),
    [sym__htm_blk_scr_bgn] = ACTIONS(1098),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1098),
    [sym__htm_blk_prc_bgn] = ACTIONS(1098),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1098),
    [sym__htm_blk_cda_bgn] = ACTIONS(1098),
    [sym__htm_blk_div_bgn] = ACTIONS(1098),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1098),
    [sym__bqt_bgn] = ACTIONS(1098),
    [sym__bqt_end_mkr] = ACTIONS(1098),
    [sym__lst_bgn_mkr] = ACTIONS(1098),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1098),
    [sym__bnk_lbk] = ACTIONS(1098),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [443] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1096),
    [sym__pgh_bgn_mkr] = ACTIONS(1096),
    [sym__atx_bgn] = ACTIONS(1096),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1096),
    [sym__fen_cod_bgn] = ACTIONS(1096),
    [sym__htm_blk_scr_bgn] = ACTIONS(1096),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1096),
    [sym__htm_blk_prc_bgn] = ACTIONS(1096),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1096),
    [sym__htm_blk_cda_bgn] = ACTIONS(1096),
    [sym__htm_blk_div_bgn] = ACTIONS(1096),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1096),
    [sym__bqt_bgn] = ACTIONS(1096),
    [sym__bqt_end_mkr] = ACTIONS(1096),
    [sym__lst_bgn_mkr] = ACTIONS(1096),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1096),
    [sym__bnk_lbk] = ACTIONS(1096),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [444] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1094),
    [sym__pgh_bgn_mkr] = ACTIONS(1094),
    [sym__atx_bgn] = ACTIONS(1094),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1094),
    [sym__fen_cod_bgn] = ACTIONS(1094),
    [sym__htm_blk_scr_bgn] = ACTIONS(1094),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1094),
    [sym__htm_blk_prc_bgn] = ACTIONS(1094),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1094),
    [sym__htm_blk_cda_bgn] = ACTIONS(1094),
    [sym__htm_blk_div_bgn] = ACTIONS(1094),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1094),
    [sym__bqt_bgn] = ACTIONS(1094),
    [sym__bqt_end_mkr] = ACTIONS(1094),
    [sym__lst_bgn_mkr] = ACTIONS(1094),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1094),
    [sym__bnk_lbk] = ACTIONS(1094),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [445] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1102),
    [sym__pgh_bgn_mkr] = ACTIONS(1102),
    [sym__atx_bgn] = ACTIONS(1102),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1102),
    [sym__fen_cod_bgn] = ACTIONS(1102),
    [sym__htm_blk_scr_bgn] = ACTIONS(1102),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1102),
    [sym__htm_blk_prc_bgn] = ACTIONS(1102),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1102),
    [sym__htm_blk_cda_bgn] = ACTIONS(1102),
    [sym__htm_blk_div_bgn] = ACTIONS(1102),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1102),
    [sym__bqt_bgn] = ACTIONS(1102),
    [sym__lst_bgn_mkr] = ACTIONS(1102),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1102),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1102),
    [sym__bnk_lbk] = ACTIONS(1102),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [446] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1092),
    [sym__pgh_bgn_mkr] = ACTIONS(1092),
    [sym__atx_bgn] = ACTIONS(1092),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1092),
    [sym__fen_cod_bgn] = ACTIONS(1092),
    [sym__htm_blk_scr_bgn] = ACTIONS(1092),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1092),
    [sym__htm_blk_prc_bgn] = ACTIONS(1092),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1092),
    [sym__htm_blk_cda_bgn] = ACTIONS(1092),
    [sym__htm_blk_div_bgn] = ACTIONS(1092),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1092),
    [sym__bqt_bgn] = ACTIONS(1092),
    [sym__bqt_end_mkr] = ACTIONS(1092),
    [sym__lst_bgn_mkr] = ACTIONS(1092),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1092),
    [sym__bnk_lbk] = ACTIONS(1092),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [447] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1090),
    [sym__pgh_bgn_mkr] = ACTIONS(1090),
    [sym__atx_bgn] = ACTIONS(1090),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1090),
    [sym__fen_cod_bgn] = ACTIONS(1090),
    [sym__htm_blk_scr_bgn] = ACTIONS(1090),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1090),
    [sym__htm_blk_prc_bgn] = ACTIONS(1090),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1090),
    [sym__htm_blk_cda_bgn] = ACTIONS(1090),
    [sym__htm_blk_div_bgn] = ACTIONS(1090),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1090),
    [sym__bqt_bgn] = ACTIONS(1090),
    [sym__bqt_end_mkr] = ACTIONS(1090),
    [sym__lst_bgn_mkr] = ACTIONS(1090),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1090),
    [sym__bnk_lbk] = ACTIONS(1090),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [448] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1088),
    [sym__pgh_bgn_mkr] = ACTIONS(1088),
    [sym__atx_bgn] = ACTIONS(1088),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1088),
    [sym__fen_cod_bgn] = ACTIONS(1088),
    [sym__htm_blk_scr_bgn] = ACTIONS(1088),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1088),
    [sym__htm_blk_prc_bgn] = ACTIONS(1088),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1088),
    [sym__htm_blk_cda_bgn] = ACTIONS(1088),
    [sym__htm_blk_div_bgn] = ACTIONS(1088),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1088),
    [sym__bqt_bgn] = ACTIONS(1088),
    [sym__bqt_end_mkr] = ACTIONS(1088),
    [sym__lst_bgn_mkr] = ACTIONS(1088),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1088),
    [sym__bnk_lbk] = ACTIONS(1088),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [449] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1086),
    [sym__pgh_bgn_mkr] = ACTIONS(1086),
    [sym__atx_bgn] = ACTIONS(1086),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1086),
    [sym__fen_cod_bgn] = ACTIONS(1086),
    [sym__htm_blk_scr_bgn] = ACTIONS(1086),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1086),
    [sym__htm_blk_prc_bgn] = ACTIONS(1086),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1086),
    [sym__htm_blk_cda_bgn] = ACTIONS(1086),
    [sym__htm_blk_div_bgn] = ACTIONS(1086),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1086),
    [sym__bqt_bgn] = ACTIONS(1086),
    [sym__bqt_end_mkr] = ACTIONS(1086),
    [sym__lst_bgn_mkr] = ACTIONS(1086),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1086),
    [sym__bnk_lbk] = ACTIONS(1086),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [450] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1084),
    [sym__pgh_bgn_mkr] = ACTIONS(1084),
    [sym__atx_bgn] = ACTIONS(1084),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1084),
    [sym__fen_cod_bgn] = ACTIONS(1084),
    [sym__htm_blk_scr_bgn] = ACTIONS(1084),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1084),
    [sym__htm_blk_prc_bgn] = ACTIONS(1084),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1084),
    [sym__htm_blk_cda_bgn] = ACTIONS(1084),
    [sym__htm_blk_div_bgn] = ACTIONS(1084),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1084),
    [sym__bqt_bgn] = ACTIONS(1084),
    [sym__bqt_end_mkr] = ACTIONS(1084),
    [sym__lst_bgn_mkr] = ACTIONS(1084),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1084),
    [sym__bnk_lbk] = ACTIONS(1084),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [451] = {
    [sym__eof] = ACTIONS(1088),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1088),
    [sym__pgh_bgn_mkr] = ACTIONS(1088),
    [sym__atx_bgn] = ACTIONS(1088),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1088),
    [sym__fen_cod_bgn] = ACTIONS(1088),
    [sym__htm_blk_scr_bgn] = ACTIONS(1088),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1088),
    [sym__htm_blk_prc_bgn] = ACTIONS(1088),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1088),
    [sym__htm_blk_cda_bgn] = ACTIONS(1088),
    [sym__htm_blk_div_bgn] = ACTIONS(1088),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1088),
    [sym__bqt_bgn] = ACTIONS(1088),
    [sym__lst_bgn_mkr] = ACTIONS(1088),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1088),
    [sym__bnk_lbk] = ACTIONS(1088),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [452] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1082),
    [sym__pgh_bgn_mkr] = ACTIONS(1082),
    [sym__atx_bgn] = ACTIONS(1082),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1082),
    [sym__fen_cod_bgn] = ACTIONS(1082),
    [sym__htm_blk_scr_bgn] = ACTIONS(1082),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1082),
    [sym__htm_blk_prc_bgn] = ACTIONS(1082),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1082),
    [sym__htm_blk_cda_bgn] = ACTIONS(1082),
    [sym__htm_blk_div_bgn] = ACTIONS(1082),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1082),
    [sym__bqt_bgn] = ACTIONS(1082),
    [sym__bqt_end_mkr] = ACTIONS(1082),
    [sym__lst_bgn_mkr] = ACTIONS(1082),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1082),
    [sym__bnk_lbk] = ACTIONS(1082),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [453] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1080),
    [sym__pgh_bgn_mkr] = ACTIONS(1080),
    [sym__atx_bgn] = ACTIONS(1080),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1080),
    [sym__fen_cod_bgn] = ACTIONS(1080),
    [sym__htm_blk_scr_bgn] = ACTIONS(1080),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1080),
    [sym__htm_blk_prc_bgn] = ACTIONS(1080),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1080),
    [sym__htm_blk_cda_bgn] = ACTIONS(1080),
    [sym__htm_blk_div_bgn] = ACTIONS(1080),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1080),
    [sym__bqt_bgn] = ACTIONS(1080),
    [sym__bqt_end_mkr] = ACTIONS(1080),
    [sym__lst_bgn_mkr] = ACTIONS(1080),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1080),
    [sym__bnk_lbk] = ACTIONS(1080),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [454] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1104),
    [sym__pgh_bgn_mkr] = ACTIONS(1104),
    [sym__atx_bgn] = ACTIONS(1104),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1104),
    [sym__fen_cod_bgn] = ACTIONS(1104),
    [sym__htm_blk_scr_bgn] = ACTIONS(1104),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1104),
    [sym__htm_blk_prc_bgn] = ACTIONS(1104),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1104),
    [sym__htm_blk_cda_bgn] = ACTIONS(1104),
    [sym__htm_blk_div_bgn] = ACTIONS(1104),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1104),
    [sym__bqt_bgn] = ACTIONS(1104),
    [sym__bqt_end_mkr] = ACTIONS(1104),
    [sym__lst_bgn_mkr] = ACTIONS(1104),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1104),
    [sym__bnk_lbk] = ACTIONS(1104),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [455] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1106),
    [sym__pgh_bgn_mkr] = ACTIONS(1106),
    [sym__atx_bgn] = ACTIONS(1106),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1106),
    [sym__fen_cod_bgn] = ACTIONS(1106),
    [sym__htm_blk_scr_bgn] = ACTIONS(1106),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1106),
    [sym__htm_blk_prc_bgn] = ACTIONS(1106),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1106),
    [sym__htm_blk_cda_bgn] = ACTIONS(1106),
    [sym__htm_blk_div_bgn] = ACTIONS(1106),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1106),
    [sym__bqt_bgn] = ACTIONS(1106),
    [sym__bqt_end_mkr] = ACTIONS(1106),
    [sym__lst_bgn_mkr] = ACTIONS(1106),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1106),
    [sym__bnk_lbk] = ACTIONS(1106),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [456] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1078),
    [sym__pgh_bgn_mkr] = ACTIONS(1078),
    [sym__atx_bgn] = ACTIONS(1078),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1078),
    [sym__fen_cod_bgn] = ACTIONS(1078),
    [sym__htm_blk_scr_bgn] = ACTIONS(1078),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1078),
    [sym__htm_blk_prc_bgn] = ACTIONS(1078),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1078),
    [sym__htm_blk_cda_bgn] = ACTIONS(1078),
    [sym__htm_blk_div_bgn] = ACTIONS(1078),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1078),
    [sym__bqt_bgn] = ACTIONS(1078),
    [sym__bqt_end_mkr] = ACTIONS(1078),
    [sym__lst_bgn_mkr] = ACTIONS(1078),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1078),
    [sym__bnk_lbk] = ACTIONS(1078),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [457] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1108),
    [sym__pgh_bgn_mkr] = ACTIONS(1108),
    [sym__atx_bgn] = ACTIONS(1108),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1108),
    [sym__fen_cod_bgn] = ACTIONS(1108),
    [sym__htm_blk_scr_bgn] = ACTIONS(1108),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1108),
    [sym__htm_blk_prc_bgn] = ACTIONS(1108),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1108),
    [sym__htm_blk_cda_bgn] = ACTIONS(1108),
    [sym__htm_blk_div_bgn] = ACTIONS(1108),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1108),
    [sym__bqt_bgn] = ACTIONS(1108),
    [sym__bqt_end_mkr] = ACTIONS(1108),
    [sym__lst_bgn_mkr] = ACTIONS(1108),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1108),
    [sym__bnk_lbk] = ACTIONS(1108),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [458] = {
    [sym__eof] = ACTIONS(1104),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1104),
    [sym__pgh_bgn_mkr] = ACTIONS(1104),
    [sym__atx_bgn] = ACTIONS(1104),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1104),
    [sym__fen_cod_bgn] = ACTIONS(1104),
    [sym__htm_blk_scr_bgn] = ACTIONS(1104),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1104),
    [sym__htm_blk_prc_bgn] = ACTIONS(1104),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1104),
    [sym__htm_blk_cda_bgn] = ACTIONS(1104),
    [sym__htm_blk_div_bgn] = ACTIONS(1104),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1104),
    [sym__bqt_bgn] = ACTIONS(1104),
    [sym__lst_bgn_mkr] = ACTIONS(1104),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1104),
    [sym__bnk_lbk] = ACTIONS(1104),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [459] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1110),
    [sym__pgh_bgn_mkr] = ACTIONS(1110),
    [sym__atx_bgn] = ACTIONS(1110),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1110),
    [sym__fen_cod_bgn] = ACTIONS(1110),
    [sym__htm_blk_scr_bgn] = ACTIONS(1110),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1110),
    [sym__htm_blk_prc_bgn] = ACTIONS(1110),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1110),
    [sym__htm_blk_cda_bgn] = ACTIONS(1110),
    [sym__htm_blk_div_bgn] = ACTIONS(1110),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1110),
    [sym__bqt_bgn] = ACTIONS(1110),
    [sym__bqt_end_mkr] = ACTIONS(1110),
    [sym__lst_bgn_mkr] = ACTIONS(1110),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1110),
    [sym__bnk_lbk] = ACTIONS(1110),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [460] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1106),
    [sym__pgh_bgn_mkr] = ACTIONS(1106),
    [sym__atx_bgn] = ACTIONS(1106),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1106),
    [sym__fen_cod_bgn] = ACTIONS(1106),
    [sym__htm_blk_scr_bgn] = ACTIONS(1106),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1106),
    [sym__htm_blk_prc_bgn] = ACTIONS(1106),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1106),
    [sym__htm_blk_cda_bgn] = ACTIONS(1106),
    [sym__htm_blk_div_bgn] = ACTIONS(1106),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1106),
    [sym__bqt_bgn] = ACTIONS(1106),
    [sym__lst_bgn_mkr] = ACTIONS(1106),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1106),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1106),
    [sym__bnk_lbk] = ACTIONS(1106),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [461] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1104),
    [sym__pgh_bgn_mkr] = ACTIONS(1104),
    [sym__atx_bgn] = ACTIONS(1104),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1104),
    [sym__fen_cod_bgn] = ACTIONS(1104),
    [sym__htm_blk_scr_bgn] = ACTIONS(1104),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1104),
    [sym__htm_blk_prc_bgn] = ACTIONS(1104),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1104),
    [sym__htm_blk_cda_bgn] = ACTIONS(1104),
    [sym__htm_blk_div_bgn] = ACTIONS(1104),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1104),
    [sym__bqt_bgn] = ACTIONS(1104),
    [sym__lst_bgn_mkr] = ACTIONS(1104),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1104),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1104),
    [sym__bnk_lbk] = ACTIONS(1104),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [462] = {
    [sym__eof] = ACTIONS(1098),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1098),
    [sym__pgh_bgn_mkr] = ACTIONS(1098),
    [sym__atx_bgn] = ACTIONS(1098),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1098),
    [sym__fen_cod_bgn] = ACTIONS(1098),
    [sym__htm_blk_scr_bgn] = ACTIONS(1098),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1098),
    [sym__htm_blk_prc_bgn] = ACTIONS(1098),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1098),
    [sym__htm_blk_cda_bgn] = ACTIONS(1098),
    [sym__htm_blk_div_bgn] = ACTIONS(1098),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1098),
    [sym__bqt_bgn] = ACTIONS(1098),
    [sym__lst_bgn_mkr] = ACTIONS(1098),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1098),
    [sym__bnk_lbk] = ACTIONS(1098),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [463] = {
    [sym__eof] = ACTIONS(1096),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1096),
    [sym__pgh_bgn_mkr] = ACTIONS(1096),
    [sym__atx_bgn] = ACTIONS(1096),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1096),
    [sym__fen_cod_bgn] = ACTIONS(1096),
    [sym__htm_blk_scr_bgn] = ACTIONS(1096),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1096),
    [sym__htm_blk_prc_bgn] = ACTIONS(1096),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1096),
    [sym__htm_blk_cda_bgn] = ACTIONS(1096),
    [sym__htm_blk_div_bgn] = ACTIONS(1096),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1096),
    [sym__bqt_bgn] = ACTIONS(1096),
    [sym__lst_bgn_mkr] = ACTIONS(1096),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1096),
    [sym__bnk_lbk] = ACTIONS(1096),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [464] = {
    [sym__eof] = ACTIONS(1094),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1094),
    [sym__pgh_bgn_mkr] = ACTIONS(1094),
    [sym__atx_bgn] = ACTIONS(1094),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1094),
    [sym__fen_cod_bgn] = ACTIONS(1094),
    [sym__htm_blk_scr_bgn] = ACTIONS(1094),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1094),
    [sym__htm_blk_prc_bgn] = ACTIONS(1094),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1094),
    [sym__htm_blk_cda_bgn] = ACTIONS(1094),
    [sym__htm_blk_div_bgn] = ACTIONS(1094),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1094),
    [sym__bqt_bgn] = ACTIONS(1094),
    [sym__lst_bgn_mkr] = ACTIONS(1094),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1094),
    [sym__bnk_lbk] = ACTIONS(1094),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [465] = {
    [sym__eof] = ACTIONS(1092),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1092),
    [sym__pgh_bgn_mkr] = ACTIONS(1092),
    [sym__atx_bgn] = ACTIONS(1092),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1092),
    [sym__fen_cod_bgn] = ACTIONS(1092),
    [sym__htm_blk_scr_bgn] = ACTIONS(1092),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1092),
    [sym__htm_blk_prc_bgn] = ACTIONS(1092),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1092),
    [sym__htm_blk_cda_bgn] = ACTIONS(1092),
    [sym__htm_blk_div_bgn] = ACTIONS(1092),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1092),
    [sym__bqt_bgn] = ACTIONS(1092),
    [sym__lst_bgn_mkr] = ACTIONS(1092),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1092),
    [sym__bnk_lbk] = ACTIONS(1092),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [466] = {
    [sym__eof] = ACTIONS(1106),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1106),
    [sym__pgh_bgn_mkr] = ACTIONS(1106),
    [sym__atx_bgn] = ACTIONS(1106),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1106),
    [sym__fen_cod_bgn] = ACTIONS(1106),
    [sym__htm_blk_scr_bgn] = ACTIONS(1106),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1106),
    [sym__htm_blk_prc_bgn] = ACTIONS(1106),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1106),
    [sym__htm_blk_cda_bgn] = ACTIONS(1106),
    [sym__htm_blk_div_bgn] = ACTIONS(1106),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1106),
    [sym__bqt_bgn] = ACTIONS(1106),
    [sym__lst_bgn_mkr] = ACTIONS(1106),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1106),
    [sym__bnk_lbk] = ACTIONS(1106),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [467] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1070),
    [sym__pgh_bgn_mkr] = ACTIONS(1070),
    [sym__atx_bgn] = ACTIONS(1070),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1070),
    [sym__fen_cod_bgn] = ACTIONS(1070),
    [sym__htm_blk_scr_bgn] = ACTIONS(1070),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1070),
    [sym__htm_blk_prc_bgn] = ACTIONS(1070),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1070),
    [sym__htm_blk_cda_bgn] = ACTIONS(1070),
    [sym__htm_blk_div_bgn] = ACTIONS(1070),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1070),
    [sym__bqt_bgn] = ACTIONS(1070),
    [sym__lst_bgn_mkr] = ACTIONS(1070),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1070),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1070),
    [sym__tbl_dat_row_bgn_mkr] = ACTIONS(1070),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [468] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1108),
    [sym__pgh_bgn_mkr] = ACTIONS(1108),
    [sym__atx_bgn] = ACTIONS(1108),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1108),
    [sym__fen_cod_bgn] = ACTIONS(1108),
    [sym__htm_blk_scr_bgn] = ACTIONS(1108),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1108),
    [sym__htm_blk_prc_bgn] = ACTIONS(1108),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1108),
    [sym__htm_blk_cda_bgn] = ACTIONS(1108),
    [sym__htm_blk_div_bgn] = ACTIONS(1108),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1108),
    [sym__bqt_bgn] = ACTIONS(1108),
    [sym__lst_bgn_mkr] = ACTIONS(1108),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1108),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1108),
    [sym__bnk_lbk] = ACTIONS(1108),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [469] = {
    [sym__eof] = ACTIONS(1090),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1090),
    [sym__pgh_bgn_mkr] = ACTIONS(1090),
    [sym__atx_bgn] = ACTIONS(1090),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1090),
    [sym__fen_cod_bgn] = ACTIONS(1090),
    [sym__htm_blk_scr_bgn] = ACTIONS(1090),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1090),
    [sym__htm_blk_prc_bgn] = ACTIONS(1090),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1090),
    [sym__htm_blk_cda_bgn] = ACTIONS(1090),
    [sym__htm_blk_div_bgn] = ACTIONS(1090),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1090),
    [sym__bqt_bgn] = ACTIONS(1090),
    [sym__lst_bgn_mkr] = ACTIONS(1090),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1090),
    [sym__bnk_lbk] = ACTIONS(1090),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [470] = {
    [sym__eof] = ACTIONS(1078),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1078),
    [sym__pgh_bgn_mkr] = ACTIONS(1078),
    [sym__atx_bgn] = ACTIONS(1078),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1078),
    [sym__fen_cod_bgn] = ACTIONS(1078),
    [sym__htm_blk_scr_bgn] = ACTIONS(1078),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1078),
    [sym__htm_blk_prc_bgn] = ACTIONS(1078),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1078),
    [sym__htm_blk_cda_bgn] = ACTIONS(1078),
    [sym__htm_blk_div_bgn] = ACTIONS(1078),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1078),
    [sym__bqt_bgn] = ACTIONS(1078),
    [sym__lst_bgn_mkr] = ACTIONS(1078),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1078),
    [sym__bnk_lbk] = ACTIONS(1078),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [471] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1072),
    [sym__pgh_bgn_mkr] = ACTIONS(1072),
    [sym__stx_bgn] = ACTIONS(1074),
    [sym__atx_bgn] = ACTIONS(1072),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1072),
    [sym__fen_cod_bgn] = ACTIONS(1072),
    [sym__htm_blk_scr_bgn] = ACTIONS(1072),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1072),
    [sym__htm_blk_prc_bgn] = ACTIONS(1072),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1072),
    [sym__htm_blk_cda_bgn] = ACTIONS(1072),
    [sym__htm_blk_div_bgn] = ACTIONS(1072),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1072),
    [sym__bqt_bgn] = ACTIONS(1072),
    [sym__lst_bgn_mkr] = ACTIONS(1072),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1072),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1072),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [472] = {
    [sym__eof] = ACTIONS(1108),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1108),
    [sym__pgh_bgn_mkr] = ACTIONS(1108),
    [sym__atx_bgn] = ACTIONS(1108),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1108),
    [sym__fen_cod_bgn] = ACTIONS(1108),
    [sym__htm_blk_scr_bgn] = ACTIONS(1108),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1108),
    [sym__htm_blk_prc_bgn] = ACTIONS(1108),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1108),
    [sym__htm_blk_cda_bgn] = ACTIONS(1108),
    [sym__htm_blk_div_bgn] = ACTIONS(1108),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1108),
    [sym__bqt_bgn] = ACTIONS(1108),
    [sym__lst_bgn_mkr] = ACTIONS(1108),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1108),
    [sym__bnk_lbk] = ACTIONS(1108),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [473] = {
    [sym__eof] = ACTIONS(1110),
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1110),
    [sym__pgh_bgn_mkr] = ACTIONS(1110),
    [sym__atx_bgn] = ACTIONS(1110),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1110),
    [sym__fen_cod_bgn] = ACTIONS(1110),
    [sym__htm_blk_scr_bgn] = ACTIONS(1110),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1110),
    [sym__htm_blk_prc_bgn] = ACTIONS(1110),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1110),
    [sym__htm_blk_cda_bgn] = ACTIONS(1110),
    [sym__htm_blk_div_bgn] = ACTIONS(1110),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1110),
    [sym__bqt_bgn] = ACTIONS(1110),
    [sym__lst_bgn_mkr] = ACTIONS(1110),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1110),
    [sym__bnk_lbk] = ACTIONS(1110),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [474] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1110),
    [sym__pgh_bgn_mkr] = ACTIONS(1110),
    [sym__atx_bgn] = ACTIONS(1110),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1110),
    [sym__fen_cod_bgn] = ACTIONS(1110),
    [sym__htm_blk_scr_bgn] = ACTIONS(1110),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1110),
    [sym__htm_blk_prc_bgn] = ACTIONS(1110),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1110),
    [sym__htm_blk_cda_bgn] = ACTIONS(1110),
    [sym__htm_blk_div_bgn] = ACTIONS(1110),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1110),
    [sym__bqt_bgn] = ACTIONS(1110),
    [sym__lst_bgn_mkr] = ACTIONS(1110),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1110),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1110),
    [sym__bnk_lbk] = ACTIONS(1110),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [475] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1106),
    [sym__pgh_bgn_mkr] = ACTIONS(1106),
    [sym__atx_bgn] = ACTIONS(1106),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1106),
    [sym__fen_cod_bgn] = ACTIONS(1106),
    [sym__htm_blk_scr_bgn] = ACTIONS(1106),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1106),
    [sym__htm_blk_prc_bgn] = ACTIONS(1106),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1106),
    [sym__htm_blk_cda_bgn] = ACTIONS(1106),
    [sym__htm_blk_div_bgn] = ACTIONS(1106),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1106),
    [sym__bqt_bgn] = ACTIONS(1106),
    [sym__lst_bgn_mkr] = ACTIONS(1106),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1106),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1106),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [476] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1110),
    [sym__pgh_bgn_mkr] = ACTIONS(1110),
    [sym__atx_bgn] = ACTIONS(1110),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1110),
    [sym__fen_cod_bgn] = ACTIONS(1110),
    [sym__htm_blk_scr_bgn] = ACTIONS(1110),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1110),
    [sym__htm_blk_prc_bgn] = ACTIONS(1110),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1110),
    [sym__htm_blk_cda_bgn] = ACTIONS(1110),
    [sym__htm_blk_div_bgn] = ACTIONS(1110),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1110),
    [sym__bqt_bgn] = ACTIONS(1110),
    [sym__lst_bgn_mkr] = ACTIONS(1110),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1110),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1110),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [477] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1104),
    [sym__pgh_bgn_mkr] = ACTIONS(1104),
    [sym__atx_bgn] = ACTIONS(1104),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1104),
    [sym__fen_cod_bgn] = ACTIONS(1104),
    [sym__htm_blk_scr_bgn] = ACTIONS(1104),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1104),
    [sym__htm_blk_prc_bgn] = ACTIONS(1104),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1104),
    [sym__htm_blk_cda_bgn] = ACTIONS(1104),
    [sym__htm_blk_div_bgn] = ACTIONS(1104),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1104),
    [sym__bqt_bgn] = ACTIONS(1104),
    [sym__lst_bgn_mkr] = ACTIONS(1104),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1104),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1104),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [478] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1076),
    [sym__pgh_bgn_mkr] = ACTIONS(1076),
    [sym__atx_bgn] = ACTIONS(1076),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1076),
    [sym__fen_cod_bgn] = ACTIONS(1076),
    [sym__htm_blk_scr_bgn] = ACTIONS(1076),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1076),
    [sym__htm_blk_prc_bgn] = ACTIONS(1076),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1076),
    [sym__htm_blk_cda_bgn] = ACTIONS(1076),
    [sym__htm_blk_div_bgn] = ACTIONS(1076),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1076),
    [sym__bqt_bgn] = ACTIONS(1076),
    [sym__lst_bgn_mkr] = ACTIONS(1076),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1076),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1076),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [479] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1084),
    [sym__pgh_bgn_mkr] = ACTIONS(1084),
    [sym__atx_bgn] = ACTIONS(1084),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1084),
    [sym__fen_cod_bgn] = ACTIONS(1084),
    [sym__htm_blk_scr_bgn] = ACTIONS(1084),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1084),
    [sym__htm_blk_prc_bgn] = ACTIONS(1084),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1084),
    [sym__htm_blk_cda_bgn] = ACTIONS(1084),
    [sym__htm_blk_div_bgn] = ACTIONS(1084),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1084),
    [sym__bqt_bgn] = ACTIONS(1084),
    [sym__lst_bgn_mkr] = ACTIONS(1084),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1084),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1084),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [480] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1086),
    [sym__pgh_bgn_mkr] = ACTIONS(1086),
    [sym__atx_bgn] = ACTIONS(1086),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1086),
    [sym__fen_cod_bgn] = ACTIONS(1086),
    [sym__htm_blk_scr_bgn] = ACTIONS(1086),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1086),
    [sym__htm_blk_prc_bgn] = ACTIONS(1086),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1086),
    [sym__htm_blk_cda_bgn] = ACTIONS(1086),
    [sym__htm_blk_div_bgn] = ACTIONS(1086),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1086),
    [sym__bqt_bgn] = ACTIONS(1086),
    [sym__lst_bgn_mkr] = ACTIONS(1086),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1086),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1086),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [481] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1088),
    [sym__pgh_bgn_mkr] = ACTIONS(1088),
    [sym__atx_bgn] = ACTIONS(1088),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1088),
    [sym__fen_cod_bgn] = ACTIONS(1088),
    [sym__htm_blk_scr_bgn] = ACTIONS(1088),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1088),
    [sym__htm_blk_prc_bgn] = ACTIONS(1088),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1088),
    [sym__htm_blk_cda_bgn] = ACTIONS(1088),
    [sym__htm_blk_div_bgn] = ACTIONS(1088),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1088),
    [sym__bqt_bgn] = ACTIONS(1088),
    [sym__lst_bgn_mkr] = ACTIONS(1088),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1088),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1088),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [482] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1090),
    [sym__pgh_bgn_mkr] = ACTIONS(1090),
    [sym__atx_bgn] = ACTIONS(1090),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1090),
    [sym__fen_cod_bgn] = ACTIONS(1090),
    [sym__htm_blk_scr_bgn] = ACTIONS(1090),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1090),
    [sym__htm_blk_prc_bgn] = ACTIONS(1090),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1090),
    [sym__htm_blk_cda_bgn] = ACTIONS(1090),
    [sym__htm_blk_div_bgn] = ACTIONS(1090),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1090),
    [sym__bqt_bgn] = ACTIONS(1090),
    [sym__lst_bgn_mkr] = ACTIONS(1090),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1090),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1090),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [483] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1092),
    [sym__pgh_bgn_mkr] = ACTIONS(1092),
    [sym__atx_bgn] = ACTIONS(1092),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1092),
    [sym__fen_cod_bgn] = ACTIONS(1092),
    [sym__htm_blk_scr_bgn] = ACTIONS(1092),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1092),
    [sym__htm_blk_prc_bgn] = ACTIONS(1092),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1092),
    [sym__htm_blk_cda_bgn] = ACTIONS(1092),
    [sym__htm_blk_div_bgn] = ACTIONS(1092),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1092),
    [sym__bqt_bgn] = ACTIONS(1092),
    [sym__lst_bgn_mkr] = ACTIONS(1092),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1092),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1092),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [484] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1094),
    [sym__pgh_bgn_mkr] = ACTIONS(1094),
    [sym__atx_bgn] = ACTIONS(1094),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1094),
    [sym__fen_cod_bgn] = ACTIONS(1094),
    [sym__htm_blk_scr_bgn] = ACTIONS(1094),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1094),
    [sym__htm_blk_prc_bgn] = ACTIONS(1094),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1094),
    [sym__htm_blk_cda_bgn] = ACTIONS(1094),
    [sym__htm_blk_div_bgn] = ACTIONS(1094),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1094),
    [sym__bqt_bgn] = ACTIONS(1094),
    [sym__lst_bgn_mkr] = ACTIONS(1094),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1094),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1094),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [485] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1096),
    [sym__pgh_bgn_mkr] = ACTIONS(1096),
    [sym__atx_bgn] = ACTIONS(1096),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1096),
    [sym__fen_cod_bgn] = ACTIONS(1096),
    [sym__htm_blk_scr_bgn] = ACTIONS(1096),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1096),
    [sym__htm_blk_prc_bgn] = ACTIONS(1096),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1096),
    [sym__htm_blk_cda_bgn] = ACTIONS(1096),
    [sym__htm_blk_div_bgn] = ACTIONS(1096),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1096),
    [sym__bqt_bgn] = ACTIONS(1096),
    [sym__lst_bgn_mkr] = ACTIONS(1096),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1096),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1096),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [486] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1098),
    [sym__pgh_bgn_mkr] = ACTIONS(1098),
    [sym__atx_bgn] = ACTIONS(1098),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1098),
    [sym__fen_cod_bgn] = ACTIONS(1098),
    [sym__htm_blk_scr_bgn] = ACTIONS(1098),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1098),
    [sym__htm_blk_prc_bgn] = ACTIONS(1098),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1098),
    [sym__htm_blk_cda_bgn] = ACTIONS(1098),
    [sym__htm_blk_div_bgn] = ACTIONS(1098),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1098),
    [sym__bqt_bgn] = ACTIONS(1098),
    [sym__lst_bgn_mkr] = ACTIONS(1098),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1098),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1098),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [487] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1082),
    [sym__pgh_bgn_mkr] = ACTIONS(1082),
    [sym__atx_bgn] = ACTIONS(1082),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1082),
    [sym__fen_cod_bgn] = ACTIONS(1082),
    [sym__htm_blk_scr_bgn] = ACTIONS(1082),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1082),
    [sym__htm_blk_prc_bgn] = ACTIONS(1082),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1082),
    [sym__htm_blk_cda_bgn] = ACTIONS(1082),
    [sym__htm_blk_div_bgn] = ACTIONS(1082),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1082),
    [sym__bqt_bgn] = ACTIONS(1082),
    [sym__lst_bgn_mkr] = ACTIONS(1082),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1082),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1082),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [488] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1080),
    [sym__pgh_bgn_mkr] = ACTIONS(1080),
    [sym__atx_bgn] = ACTIONS(1080),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1080),
    [sym__fen_cod_bgn] = ACTIONS(1080),
    [sym__htm_blk_scr_bgn] = ACTIONS(1080),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1080),
    [sym__htm_blk_prc_bgn] = ACTIONS(1080),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1080),
    [sym__htm_blk_cda_bgn] = ACTIONS(1080),
    [sym__htm_blk_div_bgn] = ACTIONS(1080),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1080),
    [sym__bqt_bgn] = ACTIONS(1080),
    [sym__lst_bgn_mkr] = ACTIONS(1080),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1080),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1080),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [489] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1102),
    [sym__pgh_bgn_mkr] = ACTIONS(1102),
    [sym__atx_bgn] = ACTIONS(1102),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1102),
    [sym__fen_cod_bgn] = ACTIONS(1102),
    [sym__htm_blk_scr_bgn] = ACTIONS(1102),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1102),
    [sym__htm_blk_prc_bgn] = ACTIONS(1102),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1102),
    [sym__htm_blk_cda_bgn] = ACTIONS(1102),
    [sym__htm_blk_div_bgn] = ACTIONS(1102),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1102),
    [sym__bqt_bgn] = ACTIONS(1102),
    [sym__lst_bgn_mkr] = ACTIONS(1102),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1102),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1102),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [490] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1108),
    [sym__pgh_bgn_mkr] = ACTIONS(1108),
    [sym__atx_bgn] = ACTIONS(1108),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1108),
    [sym__fen_cod_bgn] = ACTIONS(1108),
    [sym__htm_blk_scr_bgn] = ACTIONS(1108),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1108),
    [sym__htm_blk_prc_bgn] = ACTIONS(1108),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1108),
    [sym__htm_blk_cda_bgn] = ACTIONS(1108),
    [sym__htm_blk_div_bgn] = ACTIONS(1108),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1108),
    [sym__bqt_bgn] = ACTIONS(1108),
    [sym__lst_bgn_mkr] = ACTIONS(1108),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1108),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1108),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [491] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1078),
    [sym__pgh_bgn_mkr] = ACTIONS(1078),
    [sym__atx_bgn] = ACTIONS(1078),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1078),
    [sym__fen_cod_bgn] = ACTIONS(1078),
    [sym__htm_blk_scr_bgn] = ACTIONS(1078),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1078),
    [sym__htm_blk_prc_bgn] = ACTIONS(1078),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1078),
    [sym__htm_blk_cda_bgn] = ACTIONS(1078),
    [sym__htm_blk_div_bgn] = ACTIONS(1078),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1078),
    [sym__bqt_bgn] = ACTIONS(1078),
    [sym__lst_bgn_mkr] = ACTIONS(1078),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1078),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1078),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [492] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_bgn] = ACTIONS(1100),
    [sym__pgh_bgn_mkr] = ACTIONS(1100),
    [sym__atx_bgn] = ACTIONS(1100),
    [sym__ind_cod_bgn_mkr] = ACTIONS(1100),
    [sym__fen_cod_bgn] = ACTIONS(1100),
    [sym__htm_blk_scr_bgn] = ACTIONS(1100),
    [sym__htm_blk_cmt_bgn] = ACTIONS(1100),
    [sym__htm_blk_prc_bgn] = ACTIONS(1100),
    [sym__htm_blk_dcl_bgn] = ACTIONS(1100),
    [sym__htm_blk_cda_bgn] = ACTIONS(1100),
    [sym__htm_blk_div_bgn] = ACTIONS(1100),
    [sym__htm_blk_cmp_bgn] = ACTIONS(1100),
    [sym__bqt_bgn] = ACTIONS(1100),
    [sym__lst_bgn_mkr] = ACTIONS(1100),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(1100),
    [sym__tbl_hed_row_bgn_mkr] = ACTIONS(1100),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [493] = {
    [sym__tig_lst_itm] = STATE(496),
    [sym__tig_lst_itm_hed] = STATE(896),
    [sym__tig_chk_box_lst_itm_hed] = STATE(896),
    [sym__los_lst_itm] = STATE(498),
    [sym__los_lst_itm_hed] = STATE(888),
    [sym__los_chk_box_lst_itm_hed] = STATE(888),
    [aux_sym__tig_lst_hed_repeat1] = STATE(496),
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1112),
    [sym__lst_itm_bgn] = ACTIONS(1114),
    [sym__bnk_lbk] = ACTIONS(1116),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [494] = {
    [sym__tig_lst_itm] = STATE(497),
    [sym__tig_lst_itm_hed] = STATE(896),
    [sym__tig_chk_box_lst_itm_hed] = STATE(896),
    [sym__los_lst_itm] = STATE(497),
    [sym__los_lst_itm_hed] = STATE(888),
    [sym__los_chk_box_lst_itm_hed] = STATE(888),
    [aux_sym__los_lst_hed_repeat1] = STATE(497),
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1118),
    [sym__lst_itm_bgn] = ACTIONS(1114),
    [sym__bnk_lbk] = ACTIONS(1120),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [495] = {
    [sym__tig_lst_itm] = STATE(497),
    [sym__tig_lst_itm_hed] = STATE(896),
    [sym__tig_chk_box_lst_itm_hed] = STATE(896),
    [sym__los_lst_itm] = STATE(497),
    [sym__los_lst_itm_hed] = STATE(888),
    [sym__los_chk_box_lst_itm_hed] = STATE(888),
    [aux_sym__los_lst_hed_repeat1] = STATE(497),
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1122),
    [sym__lst_itm_bgn] = ACTIONS(1114),
    [sym__bnk_lbk] = ACTIONS(1120),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [496] = {
    [sym__tig_lst_itm] = STATE(500),
    [sym__tig_lst_itm_hed] = STATE(896),
    [sym__tig_chk_box_lst_itm_hed] = STATE(896),
    [sym__los_lst_itm] = STATE(499),
    [sym__los_lst_itm_hed] = STATE(888),
    [sym__los_chk_box_lst_itm_hed] = STATE(888),
    [aux_sym__tig_lst_hed_repeat1] = STATE(500),
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1124),
    [sym__lst_itm_bgn] = ACTIONS(1114),
    [sym__bnk_lbk] = ACTIONS(1126),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [497] = {
    [sym__tig_lst_itm] = STATE(497),
    [sym__tig_lst_itm_hed] = STATE(896),
    [sym__tig_chk_box_lst_itm_hed] = STATE(896),
    [sym__los_lst_itm] = STATE(497),
    [sym__los_lst_itm_hed] = STATE(888),
    [sym__los_chk_box_lst_itm_hed] = STATE(888),
    [aux_sym__los_lst_hed_repeat1] = STATE(497),
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1128),
    [sym__lst_itm_bgn] = ACTIONS(1130),
    [sym__bnk_lbk] = ACTIONS(1133),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [498] = {
    [sym__tig_lst_itm] = STATE(494),
    [sym__tig_lst_itm_hed] = STATE(896),
    [sym__tig_chk_box_lst_itm_hed] = STATE(896),
    [sym__los_lst_itm] = STATE(494),
    [sym__los_lst_itm_hed] = STATE(888),
    [sym__los_chk_box_lst_itm_hed] = STATE(888),
    [aux_sym__los_lst_hed_repeat1] = STATE(494),
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1136),
    [sym__lst_itm_bgn] = ACTIONS(1114),
    [sym__bnk_lbk] = ACTIONS(1138),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [499] = {
    [sym__tig_lst_itm] = STATE(495),
    [sym__tig_lst_itm_hed] = STATE(896),
    [sym__tig_chk_box_lst_itm_hed] = STATE(896),
    [sym__los_lst_itm] = STATE(495),
    [sym__los_lst_itm_hed] = STATE(888),
    [sym__los_chk_box_lst_itm_hed] = STATE(888),
    [aux_sym__los_lst_hed_repeat1] = STATE(495),
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1118),
    [sym__lst_itm_bgn] = ACTIONS(1114),
    [sym__bnk_lbk] = ACTIONS(1140),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [500] = {
    [sym__tig_lst_itm] = STATE(500),
    [sym__tig_lst_itm_hed] = STATE(896),
    [sym__tig_chk_box_lst_itm_hed] = STATE(896),
    [aux_sym__tig_lst_hed_repeat1] = STATE(500),
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1142),
    [sym__lst_itm_bgn] = ACTIONS(1144),
    [sym__bnk_lbk] = ACTIONS(1142),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [501] = {
    [sym__inl_txt] = STATE(506),
    [aux_sym__lnk_dst_repeat1] = STATE(506),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1147),
    [sym__chr_ref] = ACTIONS(1147),
    [sym__lnk_dst_end_mkr] = ACTIONS(1149),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1147),
  },
  [502] = {
    [sym__inl_txt] = STATE(501),
    [aux_sym__lnk_dst_repeat1] = STATE(501),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1151),
    [sym__chr_ref] = ACTIONS(1151),
    [sym__lnk_dst_end_mkr] = ACTIONS(1153),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1151),
  },
  [503] = {
    [sym__inl_txt] = STATE(509),
    [aux_sym__lnk_dst_repeat1] = STATE(509),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1155),
    [sym__chr_ref] = ACTIONS(1155),
    [sym__lnk_dst_end] = ACTIONS(1149),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1155),
  },
  [504] = {
    [sym__inl_txt] = STATE(507),
    [aux_sym__lnk_dst_repeat1] = STATE(507),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1157),
    [sym__chr_ref] = ACTIONS(1157),
    [sym__lnk_dst_end_mkr] = ACTIONS(1159),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1157),
  },
  [505] = {
    [sym__inl_txt] = STATE(510),
    [aux_sym__lnk_dst_repeat1] = STATE(510),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1161),
    [sym__chr_ref] = ACTIONS(1161),
    [sym__lnk_tit_end] = ACTIONS(1163),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1161),
  },
  [506] = {
    [sym__inl_txt] = STATE(506),
    [aux_sym__lnk_dst_repeat1] = STATE(506),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1165),
    [sym__chr_ref] = ACTIONS(1165),
    [sym__lnk_dst_end_mkr] = ACTIONS(1168),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1165),
  },
  [507] = {
    [sym__inl_txt] = STATE(506),
    [aux_sym__lnk_dst_repeat1] = STATE(506),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1147),
    [sym__chr_ref] = ACTIONS(1147),
    [sym__lnk_dst_end_mkr] = ACTIONS(1170),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1147),
  },
  [508] = {
    [sym__inl_txt] = STATE(516),
    [aux_sym__lnk_dst_repeat1] = STATE(516),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1172),
    [sym__chr_ref] = ACTIONS(1172),
    [sym__lnk_tit_end] = ACTIONS(1174),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1172),
  },
  [509] = {
    [sym__inl_txt] = STATE(509),
    [aux_sym__lnk_dst_repeat1] = STATE(509),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1176),
    [sym__chr_ref] = ACTIONS(1176),
    [sym__lnk_dst_end] = ACTIONS(1168),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1176),
  },
  [510] = {
    [sym__inl_txt] = STATE(511),
    [aux_sym__lnk_dst_repeat1] = STATE(511),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1179),
    [sym__chr_ref] = ACTIONS(1179),
    [sym__lnk_tit_end] = ACTIONS(1181),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1179),
  },
  [511] = {
    [sym__inl_txt] = STATE(511),
    [aux_sym__lnk_dst_repeat1] = STATE(511),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1183),
    [sym__chr_ref] = ACTIONS(1183),
    [sym__lnk_tit_end] = ACTIONS(1168),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1183),
  },
  [512] = {
    [sym__inl_txt] = STATE(515),
    [aux_sym__lnk_dst_repeat1] = STATE(515),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1186),
    [sym__chr_ref] = ACTIONS(1186),
    [sym__lnk_dst_end] = ACTIONS(1159),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1186),
  },
  [513] = {
    [sym__inl_txt] = STATE(647),
    [aux_sym__fen_cod_hed_repeat1] = STATE(513),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1188),
    [sym__chr_ref] = ACTIONS(1188),
    [sym__fen_cod_inf_end_mkr] = ACTIONS(1191),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1188),
  },
  [514] = {
    [sym__inl_txt] = STATE(647),
    [aux_sym__fen_cod_hed_repeat1] = STATE(518),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1193),
    [sym__chr_ref] = ACTIONS(1193),
    [sym__fen_cod_inf_end_mkr] = ACTIONS(1195),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1193),
  },
  [515] = {
    [sym__inl_txt] = STATE(509),
    [aux_sym__lnk_dst_repeat1] = STATE(509),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1155),
    [sym__chr_ref] = ACTIONS(1155),
    [sym__lnk_dst_end] = ACTIONS(1170),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1155),
  },
  [516] = {
    [sym__inl_txt] = STATE(511),
    [aux_sym__lnk_dst_repeat1] = STATE(511),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1179),
    [sym__chr_ref] = ACTIONS(1179),
    [sym__lnk_tit_end] = ACTIONS(1197),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1179),
  },
  [517] = {
    [sym__inl_txt] = STATE(503),
    [aux_sym__lnk_dst_repeat1] = STATE(503),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1199),
    [sym__chr_ref] = ACTIONS(1199),
    [sym__lnk_dst_end] = ACTIONS(1153),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1199),
  },
  [518] = {
    [sym__inl_txt] = STATE(647),
    [aux_sym__fen_cod_hed_repeat1] = STATE(513),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1193),
    [sym__chr_ref] = ACTIONS(1193),
    [sym__fen_cod_inf_end_mkr] = ACTIONS(1201),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1193),
  },
  [519] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(519),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cda_end] = ACTIONS(1203),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(1203),
    [sym__blk_lbk] = ACTIONS(1205),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1208),
  },
  [520] = {
    [sym__htm_atr] = STATE(520),
    [aux_sym__htm_opn_tag_hed_repeat1] = STATE(520),
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1211),
    [sym__htm_slf_tag_end] = ACTIONS(1211),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1213),
  },
  [521] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(579),
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end] = ACTIONS(1216),
    [sym__fen_cod_end_mkr] = ACTIONS(1218),
    [sym__blk_lbk] = ACTIONS(1220),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1222),
  },
  [522] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(522),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmt_end] = ACTIONS(1203),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(1203),
    [sym__blk_lbk] = ACTIONS(1224),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1227),
  },
  [523] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(532),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_prc_end] = ACTIONS(1230),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(1232),
    [sym__blk_lbk] = ACTIONS(1234),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1236),
  },
  [524] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(522),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmt_end] = ACTIONS(1238),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(1240),
    [sym__blk_lbk] = ACTIONS(1242),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1244),
  },
  [525] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(535),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_scr_end] = ACTIONS(1246),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(1248),
    [sym__blk_lbk] = ACTIONS(1250),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1252),
  },
  [526] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(644),
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end] = ACTIONS(1254),
    [sym__fen_cod_end_mkr] = ACTIONS(1256),
    [sym__blk_lbk] = ACTIONS(1258),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1222),
  },
  [527] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(527),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_dcl_end] = ACTIONS(1203),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(1203),
    [sym__blk_lbk] = ACTIONS(1260),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1263),
  },
  [528] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(527),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_dcl_end] = ACTIONS(1266),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(1268),
    [sym__blk_lbk] = ACTIONS(1270),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1272),
  },
  [529] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(602),
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end] = ACTIONS(1274),
    [sym__fen_cod_end_mkr] = ACTIONS(1276),
    [sym__blk_lbk] = ACTIONS(1278),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1222),
  },
  [530] = {
    [sym__htm_atr] = STATE(520),
    [aux_sym__htm_opn_tag_hed_repeat1] = STATE(520),
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1280),
    [sym__htm_slf_tag_end] = ACTIONS(1280),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1282),
  },
  [531] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(519),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cda_end] = ACTIONS(1284),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(1286),
    [sym__blk_lbk] = ACTIONS(1288),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1290),
  },
  [532] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(532),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_prc_end] = ACTIONS(1203),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(1203),
    [sym__blk_lbk] = ACTIONS(1292),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1295),
  },
  [533] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(528),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_dcl_end] = ACTIONS(1298),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(1300),
    [sym__blk_lbk] = ACTIONS(1270),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1272),
  },
  [534] = {
    [sym__htm_atr] = STATE(530),
    [aux_sym__htm_opn_tag_hed_repeat1] = STATE(530),
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1302),
    [sym__htm_slf_tag_end] = ACTIONS(1302),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1282),
  },
  [535] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(535),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_scr_end] = ACTIONS(1203),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(1203),
    [sym__blk_lbk] = ACTIONS(1304),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1307),
  },
  [536] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(525),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_scr_end] = ACTIONS(1310),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(1312),
    [sym__blk_lbk] = ACTIONS(1250),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1252),
  },
  [537] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(523),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_prc_end] = ACTIONS(1314),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(1316),
    [sym__blk_lbk] = ACTIONS(1234),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1236),
  },
  [538] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(531),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cda_end] = ACTIONS(1318),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(1320),
    [sym__blk_lbk] = ACTIONS(1288),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1290),
  },
  [539] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(524),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmt_end] = ACTIONS(1322),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(1324),
    [sym__blk_lbk] = ACTIONS(1242),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1244),
  },
  [540] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(681),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1328),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [541] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(556),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1330),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1332),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1330),
  },
  [542] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(542),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1334),
    [sym__cod_spn_end] = ACTIONS(1337),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1334),
  },
  [543] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1339),
    [sym__aut_lnk_end] = ACTIONS(1337),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1339),
  },
  [544] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_prc_end] = ACTIONS(1342),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [545] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_dcl_end] = ACTIONS(1342),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [546] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_dcl_end] = ACTIONS(1344),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(1344),
    [sym__blk_lbk] = ACTIONS(1344),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1344),
  },
  [547] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmt_end] = ACTIONS(1344),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(1344),
    [sym__blk_lbk] = ACTIONS(1344),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1344),
  },
  [548] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmt_end] = ACTIONS(1342),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [549] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(552),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1346),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [550] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(654),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1350),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [551] = {
    [sym__lnk_dst] = STATE(713),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1352),
    [sym__lnk_dst_bgn] = ACTIONS(1354),
    [sym__lnk_dst_bgn_mkr] = ACTIONS(1356),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [552] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(681),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1358),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [553] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(657),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1362),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [554] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(681),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1364),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [555] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end] = ACTIONS(1366),
    [sym__fen_cod_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [556] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(556),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1368),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1337),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1368),
  },
  [557] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(613),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1373),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [558] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_scr_end] = ACTIONS(1344),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(1344),
    [sym__blk_lbk] = ACTIONS(1344),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1344),
  },
  [559] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_scr_end] = ACTIONS(1342),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [560] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(553),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1375),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [561] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(676),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1379),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [562] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(557),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1381),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [563] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(554),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1383),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [564] = {
    [sym__lnk_dst] = STATE(739),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1385),
    [sym__lnk_dst_bgn] = ACTIONS(1354),
    [sym__lnk_dst_bgn_mkr] = ACTIONS(1356),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [565] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(589),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1387),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [566] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(657),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1389),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [567] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(613),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1391),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [568] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(685),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1393),
    [sym__htm_atr_val_end_mkr] = ACTIONS(1395),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1393),
  },
  [569] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(569),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1397),
    [sym__htm_cmt_end] = ACTIONS(1337),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1397),
  },
  [570] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(683),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1400),
    [sym__htm_atr_val_end] = ACTIONS(1395),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1400),
  },
  [571] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(592),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1404),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [572] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(569),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1406),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [573] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(561),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1408),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [574] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(593),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1412),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [575] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(594),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1414),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [576] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(542),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1416),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [577] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(653),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1418),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [578] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1420),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [579] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(680),
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1422),
    [sym__blk_lbk] = ACTIONS(1424),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1222),
  },
  [580] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end] = ACTIONS(1426),
    [sym__fen_cod_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [581] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1428),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [582] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end] = ACTIONS(1430),
    [sym__fen_cod_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [583] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(626),
    [sym__lka] = ACTIONS(3),
    [sym__ind_cod_end_mkr] = ACTIONS(1432),
    [sym__blk_lbk] = ACTIONS(1434),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1436),
  },
  [584] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cda_end] = ACTIONS(1342),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [585] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cda_end] = ACTIONS(1344),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(1344),
    [sym__blk_lbk] = ACTIONS(1344),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1344),
  },
  [586] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(652),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1438),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [587] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(568),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1393),
    [sym__htm_atr_val_end_mkr] = ACTIONS(1440),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1393),
  },
  [588] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(570),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1400),
    [sym__htm_atr_val_end] = ACTIONS(1440),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1400),
  },
  [589] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(569),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1442),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [590] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(661),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1444),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [591] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(707),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_div_end_mkr] = ACTIONS(1446),
    [sym__blk_lbk] = ACTIONS(1448),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1450),
  },
  [592] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(542),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1452),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [593] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1454),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [594] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1456),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [595] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(658),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1458),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [596] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(659),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1460),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [597] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(660),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1462),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [598] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(556),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1330),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1464),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1330),
  },
  [599] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(541),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1330),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1466),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1330),
  },
  [600] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(566),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1468),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [601] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(567),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1470),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [602] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(680),
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1472),
    [sym__blk_lbk] = ACTIONS(1474),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1222),
  },
  [603] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end] = ACTIONS(1476),
    [sym__fen_cod_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [604] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(572),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1478),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [605] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(616),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1480),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [606] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(617),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1482),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [607] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(628),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1484),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [608] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(638),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1486),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [609] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(672),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1488),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [610] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_prc_end] = ACTIONS(1344),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(1344),
    [sym__blk_lbk] = ACTIONS(1344),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1344),
  },
  [611] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(678),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1490),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [612] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(663),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1330),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1492),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1330),
  },
  [613] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(613),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1494),
    [sym__htm_prc_end] = ACTIONS(1337),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1494),
  },
  [614] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(664),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1497),
    [sym__lnk_end] = ACTIONS(1499),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1497),
  },
  [615] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(576),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1501),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [616] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1503),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [617] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1505),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [618] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(578),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1507),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [619] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end] = ACTIONS(1509),
    [sym__fen_cod_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [620] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(581),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1511),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [621] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(681),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1513),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [622] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(676),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1515),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [623] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1517),
    [sym__htm_slf_tag_end] = ACTIONS(1517),
    [sym__htm_atr_eql] = ACTIONS(1519),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1517),
  },
  [624] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(624),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1521),
    [sym__lnk_end] = ACTIONS(1337),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1521),
  },
  [625] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(706),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmp_end_mkr] = ACTIONS(1524),
    [sym__blk_lbk] = ACTIONS(1526),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1528),
  },
  [626] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(649),
    [sym__lka] = ACTIONS(3),
    [sym__ind_cod_end_mkr] = ACTIONS(1530),
    [sym__blk_lbk] = ACTIONS(1434),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1436),
  },
  [627] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(540),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1532),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [628] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(542),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1534),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [629] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(684),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1536),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [630] = {
    [sym__lnk_dst] = STATE(751),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1538),
    [sym__lnk_dst_bgn] = ACTIONS(1354),
    [sym__lnk_dst_bgn_mkr] = ACTIONS(1356),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [631] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(681),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1540),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [632] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(676),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1542),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [633] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(621),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1544),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [634] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(676),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1546),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [635] = {
    [sym__lnk_dst] = STATE(738),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1548),
    [sym__lnk_dst_bgn] = ACTIONS(1354),
    [sym__lnk_dst_bgn_mkr] = ACTIONS(1356),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [636] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(631),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1550),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [637] = {
    [sym__lnk_dst] = STATE(733),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1552),
    [sym__lnk_dst_bgn] = ACTIONS(1354),
    [sym__lnk_dst_bgn_mkr] = ACTIONS(1356),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [638] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(569),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1554),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [639] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(657),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1556),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [640] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(613),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1558),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [641] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(569),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1560),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [642] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(634),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1562),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [643] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(542),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1564),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [644] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(680),
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1566),
    [sym__blk_lbk] = ACTIONS(1568),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1222),
  },
  [645] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end] = ACTIONS(1570),
    [sym__fen_cod_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [646] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1572),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [647] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1574),
    [sym__chr_ref] = ACTIONS(1574),
    [sym__fen_cod_inf_end_mkr] = ACTIONS(1574),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1574),
  },
  [648] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(657),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1576),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [649] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(649),
    [sym__lka] = ACTIONS(3),
    [sym__ind_cod_end_mkr] = ACTIONS(1203),
    [sym__blk_lbk] = ACTIONS(1578),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1581),
  },
  [650] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(650),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_div_end_mkr] = ACTIONS(1203),
    [sym__blk_lbk] = ACTIONS(1584),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1587),
  },
  [651] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1590),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [652] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(657),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1592),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [653] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(613),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1594),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [654] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(569),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1596),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [655] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(622),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1598),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [656] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(613),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1600),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [657] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(657),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1602),
    [sym__htm_cda_end] = ACTIONS(1337),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1602),
  },
  [658] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(542),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1605),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [659] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1607),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [660] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1609),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [661] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(676),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1611),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [662] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(639),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1613),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [663] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(556),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1330),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1615),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1330),
  },
  [664] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(624),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1497),
    [sym__lnk_end] = ACTIONS(1617),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1497),
  },
  [665] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(640),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1619),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [666] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(569),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1621),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [667] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(641),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1623),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [668] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(643),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1625),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [669] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(646),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1627),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [670] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(632),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1629),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [671] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(651),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1631),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [672] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(613),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1633),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [673] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(542),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1635),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [674] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1637),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [675] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(675),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmp_end_mkr] = ACTIONS(1203),
    [sym__blk_lbk] = ACTIONS(1639),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1642),
  },
  [676] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(676),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1645),
    [sym__htm_tag_end] = ACTIONS(1337),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1645),
  },
  [677] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1648),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [678] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(657),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1650),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [679] = {
    [sym__lnk_dst] = STATE(717),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1652),
    [sym__lnk_dst_bgn] = ACTIONS(1354),
    [sym__lnk_dst_bgn_mkr] = ACTIONS(1356),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [680] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(680),
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1203),
    [sym__blk_lbk] = ACTIONS(1654),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1657),
  },
  [681] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(681),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1660),
    [sym__lnk_ref_end] = ACTIONS(1337),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1660),
  },
  [682] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(687),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1663),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [683] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(683),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1665),
    [sym__htm_atr_val_end] = ACTIONS(1337),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1665),
  },
  [684] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(676),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1668),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [685] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(685),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1670),
    [sym__htm_atr_val_end_mkr] = ACTIONS(1337),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1670),
  },
  [686] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(681),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1673),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [687] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(681),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1675),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [688] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(676),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1677),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [689] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(686),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1326),
    [sym__lnk_ref_end] = ACTIONS(1679),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1326),
  },
  [690] = {
    [sym__lnk_dst] = STATE(716),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1681),
    [sym__lnk_dst_bgn] = ACTIONS(1354),
    [sym__lnk_dst_bgn_mkr] = ACTIONS(1356),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [691] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(657),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1683),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [692] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(613),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1685),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [693] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(569),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1687),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [694] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(688),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1377),
    [sym__htm_tag_end] = ACTIONS(1689),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1377),
  },
  [695] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(542),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1691),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [696] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1693),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [697] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(543),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1695),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [698] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(648),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1697),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [699] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(691),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1360),
    [sym__htm_cda_end] = ACTIONS(1699),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1360),
  },
  [700] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(692),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1701),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [701] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(693),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1703),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [702] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(695),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1705),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [703] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(656),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1371),
    [sym__htm_prc_end] = ACTIONS(1707),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1371),
  },
  [704] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(598),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1330),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1709),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1330),
  },
  [705] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(696),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1711),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [706] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(675),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmp_end_mkr] = ACTIONS(1713),
    [sym__blk_lbk] = ACTIONS(1526),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1528),
  },
  [707] = {
    [aux_sym__ind_cod_hed_repeat1] = STATE(650),
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_div_end_mkr] = ACTIONS(1715),
    [sym__blk_lbk] = ACTIONS(1448),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1450),
  },
  [708] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(697),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1717),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [709] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(677),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1719),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [710] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(674),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1410),
    [sym__aut_lnk_end] = ACTIONS(1721),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1410),
  },
  [711] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(673),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1402),
    [sym__cod_spn_end] = ACTIONS(1723),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1402),
  },
  [712] = {
    [aux_sym__lnk_ref_def_hed_repeat1] = STATE(666),
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1348),
    [sym__htm_cmt_end] = ACTIONS(1725),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1348),
  },
  [713] = {
    [sym__lnk_tit] = STATE(797),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1727),
    [sym__lnk_tit_bgn] = ACTIONS(1729),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [714] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1731),
    [sym__fen_cod_inf_bgn_mkr] = ACTIONS(1733),
    [sym__blk_lbk] = ACTIONS(1735),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [715] = {
    [aux_sym__tbl_dlm_row_hed_repeat1] = STATE(756),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1737),
    [sym__tbl_col_sep] = ACTIONS(1739),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [716] = {
    [sym__lnk_tit] = STATE(881),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1741),
    [sym__lnk_tit_bgn] = ACTIONS(1729),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [717] = {
    [sym__lnk_tit] = STATE(849),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1743),
    [sym__lnk_tit_bgn] = ACTIONS(1729),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [718] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1745),
    [sym__cod_spn_end] = ACTIONS(1745),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1745),
  },
  [719] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1745),
    [sym__htm_atr_val_end_mkr] = ACTIONS(1745),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1745),
  },
  [720] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1745),
    [sym__htm_atr_val_end] = ACTIONS(1745),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1745),
  },
  [721] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1745),
    [sym__lnk_ref_end] = ACTIONS(1745),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1745),
  },
  [722] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1344),
    [sym__blk_lbk] = ACTIONS(1344),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1344),
  },
  [723] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [724] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1745),
    [sym__htm_tag_end] = ACTIONS(1745),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1745),
  },
  [725] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmp_end_mkr] = ACTIONS(1344),
    [sym__blk_lbk] = ACTIONS(1344),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1344),
  },
  [726] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmp_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [727] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1745),
    [sym__htm_cmt_end] = ACTIONS(1745),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1745),
  },
  [728] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1745),
    [sym__lnk_end] = ACTIONS(1745),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1745),
  },
  [729] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1745),
    [sym__aut_lnk_end] = ACTIONS(1745),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1745),
  },
  [730] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1745),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1745),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1745),
  },
  [731] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1745),
    [sym__htm_cda_end] = ACTIONS(1745),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1745),
  },
  [732] = {
    [aux_sym__tbl_hed_row_hed_repeat1] = STATE(746),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(945),
    [sym__tbl_col_sep] = ACTIONS(1747),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [733] = {
    [sym__lnk_tit] = STATE(913),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1749),
    [sym__lnk_tit_bgn] = ACTIONS(1729),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [734] = {
    [aux_sym__tbl_dlm_row_hed_repeat1] = STATE(750),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1751),
    [sym__tbl_col_sep] = ACTIONS(1753),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [735] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_div_end_mkr] = ACTIONS(1344),
    [sym__blk_lbk] = ACTIONS(1344),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1344),
  },
  [736] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_div_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [737] = {
    [sym__lnk_dst] = STATE(752),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_dst_bgn] = ACTIONS(1755),
    [sym__lnk_dst_bgn_mkr] = ACTIONS(1757),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [738] = {
    [sym__lnk_tit] = STATE(835),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1759),
    [sym__lnk_tit_bgn] = ACTIONS(1729),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [739] = {
    [sym__lnk_tit] = STATE(945),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1761),
    [sym__lnk_tit_bgn] = ACTIONS(1729),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [740] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1763),
    [sym__lst_itm_bgn] = ACTIONS(1763),
    [sym__bnk_lbk] = ACTIONS(1763),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [741] = {
    [sym__lka] = ACTIONS(3),
    [sym__ind_cod_end_mkr] = ACTIONS(1344),
    [sym__blk_lbk] = ACTIONS(1344),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1344),
  },
  [742] = {
    [sym__lka] = ACTIONS(3),
    [sym__ind_cod_end_mkr] = ACTIONS(1342),
    [sym__blk_lbk] = ACTIONS(1342),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1342),
  },
  [743] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1765),
    [sym__lst_itm_bgn] = ACTIONS(1765),
    [sym__bnk_lbk] = ACTIONS(1765),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [744] = {
    [aux_sym__tbl_hed_row_hed_repeat1] = STATE(746),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(935),
    [sym__tbl_col_sep] = ACTIONS(1767),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [745] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1769),
    [sym__htm_slf_tag_end] = ACTIONS(1769),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1769),
  },
  [746] = {
    [aux_sym__tbl_hed_row_hed_repeat1] = STATE(746),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1771),
    [sym__tbl_col_sep] = ACTIONS(1773),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [747] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1776),
    [sym__htm_slf_tag_end] = ACTIONS(1776),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1776),
  },
  [748] = {
    [sym__tbl_dlm_row] = STATE(405),
    [sym__tbl_dlm_row_hed] = STATE(889),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_dlm_row_bgn_mkr] = ACTIONS(1778),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [749] = {
    [aux_sym__tbl_hed_row_hed_repeat1] = STATE(746),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(933),
    [sym__tbl_col_sep] = ACTIONS(1780),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [750] = {
    [aux_sym__tbl_dlm_row_hed_repeat1] = STATE(758),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1737),
    [sym__tbl_col_sep] = ACTIONS(1739),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [751] = {
    [sym__lnk_tit] = STATE(930),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1782),
    [sym__lnk_tit_bgn] = ACTIONS(1729),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [752] = {
    [sym__lnk_tit] = STATE(931),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(1784),
    [sym__lnk_tit_bgn] = ACTIONS(1786),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [753] = {
    [sym__lnk_dst] = STATE(757),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_dst_bgn] = ACTIONS(1755),
    [sym__lnk_dst_bgn_mkr] = ACTIONS(1757),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [754] = {
    [sym__htm_atr_val] = STATE(755),
    [sym__lka] = ACTIONS(3),
    [sym__htm_atr_val_bgn] = ACTIONS(1788),
    [sym__htm_atr_val_bgn_mkr] = ACTIONS(1790),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [755] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1792),
    [sym__htm_slf_tag_end] = ACTIONS(1792),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1792),
  },
  [756] = {
    [aux_sym__tbl_dlm_row_hed_repeat1] = STATE(758),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1794),
    [sym__tbl_col_sep] = ACTIONS(1796),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [757] = {
    [sym__lnk_tit] = STATE(938),
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(1798),
    [sym__lnk_tit_bgn] = ACTIONS(1786),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [758] = {
    [aux_sym__tbl_dlm_row_hed_repeat1] = STATE(758),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1800),
    [sym__tbl_col_sep] = ACTIONS(1802),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [759] = {
    [sym__tbl_dlm_row] = STATE(410),
    [sym__tbl_dlm_row_hed] = STATE(831),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_dlm_row_bgn_mkr] = ACTIONS(1778),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [760] = {
    [sym__lka] = ACTIONS(3),
    [sym__bsl_esc] = ACTIONS(1745),
    [sym__htm_prc_end] = ACTIONS(1745),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1745),
  },
  [761] = {
    [aux_sym__tbl_hed_row_hed_repeat1] = STATE(746),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(947),
    [sym__tbl_col_sep] = ACTIONS(1805),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [762] = {
    [sym__tbl_dlm_row] = STATE(401),
    [sym__tbl_dlm_row_hed] = STATE(847),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_dlm_row_bgn_mkr] = ACTIONS(1778),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [763] = {
    [sym__tbl_dlm_row] = STATE(402),
    [sym__tbl_dlm_row_hed] = STATE(792),
    [sym__lka] = ACTIONS(3),
    [sym__tbl_dlm_row_bgn_mkr] = ACTIONS(1778),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [764] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1807),
    [sym__lnk_tit_bgn] = ACTIONS(1807),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [765] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1809),
    [sym__htm_slf_tag_end] = ACTIONS(1811),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [766] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1800),
    [sym__tbl_col_sep] = ACTIONS(1800),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [767] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1813),
    [sym__htm_slf_tag_end] = ACTIONS(1815),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [768] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1817),
    [sym__tbl_col_aln] = ACTIONS(1819),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [769] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1737),
    [sym__tbl_col_aln] = ACTIONS(1819),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [770] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1821),
    [sym__lnk_tit_bgn] = ACTIONS(1821),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [771] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1823),
    [sym__htm_slf_tag_end] = ACTIONS(1825),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [772] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1794),
    [sym__tbl_col_aln] = ACTIONS(1819),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [773] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1827),
    [sym__htm_slf_tag_end] = ACTIONS(1829),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [774] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1831),
    [sym__blk_lbk] = ACTIONS(1833),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [775] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1835),
    [sym__blk_lbk] = ACTIONS(1837),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [776] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(1821),
    [sym__lnk_tit_bgn] = ACTIONS(1821),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [777] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(1807),
    [sym__lnk_tit_bgn] = ACTIONS(1807),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [778] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1839),
    [sym__htm_slf_tag_end] = ACTIONS(1841),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [779] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1843),
    [sym__htm_slf_tag_end] = ACTIONS(1845),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [780] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_col_sep] = ACTIONS(1847),
    [sym__tbl_col_aln] = ACTIONS(1849),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [781] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1851),
    [sym__htm_slf_tag_end] = ACTIONS(1853),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [782] = {
    [sym__lka] = ACTIONS(3),
    [sym__stx_end_mkr] = ACTIONS(1855),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [783] = {
    [sym__lka] = ACTIONS(3),
    [sym__bqt_end_mkr] = ACTIONS(1857),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [784] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1859),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [785] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1861),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [786] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1863),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [787] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1865),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [788] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1867),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [789] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1869),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [790] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1871),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [791] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1873),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [792] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1875),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [793] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1877),
  },
  [794] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1879),
  },
  [795] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1881),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [796] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1883),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [797] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1885),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [798] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_end_mkr] = ACTIONS(1887),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [799] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1889),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [800] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(1891),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [801] = {
    [sym__lka] = ACTIONS(3),
    [sym__stx_end_mkr] = ACTIONS(1893),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [802] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1895),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [803] = {
    [sym__lka] = ACTIONS(3),
    [sym__ind_cod_end_mkr] = ACTIONS(1897),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [804] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1899),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [805] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(1901),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [806] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(1903),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [807] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(1905),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [808] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(1907),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [809] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(1909),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [810] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_div_end_mkr] = ACTIONS(1911),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [811] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmp_end_mkr] = ACTIONS(1913),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [812] = {
    [sym__lka] = ACTIONS(3),
    [sym__bqt_end_mkr] = ACTIONS(1915),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [813] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1917),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [814] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1919),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [815] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmp_end_mkr] = ACTIONS(1921),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [816] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(1923),
  },
  [817] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_end_mkr] = ACTIONS(1925),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [818] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_div_end_mkr] = ACTIONS(1927),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [819] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(1929),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [820] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(1931),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [821] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(1933),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [822] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(1935),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [823] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(1937),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [824] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1939),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [825] = {
    [sym__lka] = ACTIONS(3),
    [sym__ind_cod_end_mkr] = ACTIONS(1941),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [826] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1943),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [827] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1945),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [828] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1947),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [829] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1949),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [830] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(1951),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [831] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1953),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(1955),
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [833] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1957),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [834] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_end_mkr] = ACTIONS(1959),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [835] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1961),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [836] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(1963),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [837] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(1965),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [838] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1967),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [839] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(1248),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [840] = {
    [sym__lka] = ACTIONS(3),
    [sym__stx_end_mkr] = ACTIONS(1969),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [841] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1971),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [842] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(1973),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [843] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1975),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [844] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(1240),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [845] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(1232),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [846] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(1268),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [847] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1977),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [848] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1979),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [849] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(1981),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [850] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(1983),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [851] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1985),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [852] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1987),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [853] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1989),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [854] = {
    [sym__lka] = ACTIONS(3),
    [sym__bqt_end_mkr] = ACTIONS(1991),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [855] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(1993),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [856] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(1286),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [857] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_itm_cnt_bgn_mkr] = ACTIONS(1995),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [858] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1997),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [859] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_end_mkr] = ACTIONS(1999),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [860] = {
    [sym__lka] = ACTIONS(3),
    [sym__bqt_end_mkr] = ACTIONS(2001),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [861] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(2003),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [862] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(2005),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [863] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(2007),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [864] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmp_end_mkr] = ACTIONS(2009),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [865] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmp_end_mkr] = ACTIONS(2011),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [866] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_div_end_mkr] = ACTIONS(2013),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [867] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(2015),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [868] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_div_end_mkr] = ACTIONS(2017),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [869] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(2019),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [870] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(2021),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [871] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(2023),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [872] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(2025),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [873] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(2027),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [874] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(2029),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [875] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(2031),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [876] = {
    [sym__lka] = ACTIONS(3),
    [sym__ind_cod_end_mkr] = ACTIONS(2033),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [877] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(2035),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [878] = {
    [sym__lka] = ACTIONS(3),
    [sym__stx_end_mkr] = ACTIONS(2037),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [879] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(2039),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [880] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(2041),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [881] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(2043),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [882] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(2045),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [883] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(2047),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [884] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(2049),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [885] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(2051),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [886] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(2053),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [887] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(2055),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [888] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(2057),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [889] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(2059),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [890] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_dlm_row_bgn_mkr] = ACTIONS(2061),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [891] = {
    [ts_builtin_sym_end] = ACTIONS(2063),
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [892] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_cln] = ACTIONS(2065),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [893] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(2067),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [894] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(2069),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [895] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(2071),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [896] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_itm_cnt_end_mkr] = ACTIONS(2073),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [897] = {
    [sym__lka] = ACTIONS(3),
    [sym__ind_cod_end_mkr] = ACTIONS(2075),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [898] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(2077),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [899] = {
    [sym__lka] = ACTIONS(3),
    [sym__stx_end_mkr] = ACTIONS(2079),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [900] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(2081),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [901] = {
    [sym__lka] = ACTIONS(3),
    [sym__atx_end_mkr] = ACTIONS(2083),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [902] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1835),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [903] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(2085),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [904] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_scr_end_mkr] = ACTIONS(2087),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [905] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cmt_end_mkr] = ACTIONS(2089),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [906] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_prc_end_mkr] = ACTIONS(2091),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [907] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_dcl_end_mkr] = ACTIONS(2093),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [908] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_blk_cda_end_mkr] = ACTIONS(2095),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [909] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_itm_end_mkr] = ACTIONS(2097),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [910] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_itm_end_mkr] = ACTIONS(2099),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [911] = {
    [sym__lka] = ACTIONS(3),
    [sym__stx_end_mkr] = ACTIONS(2101),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [912] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_col_aln] = ACTIONS(2103),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [913] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(2105),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [914] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(2107),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [915] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(2109),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [916] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_end_mkr] = ACTIONS(2111),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [917] = {
    [ts_builtin_sym_end] = ACTIONS(2113),
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [918] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_row_end_mkr] = ACTIONS(2115),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [919] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_cln] = ACTIONS(2117),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [920] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(1276),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [921] = {
    [sym__lka] = ACTIONS(3),
    [sym__stx_end_mkr] = ACTIONS(2119),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [922] = {
    [sym__lka] = ACTIONS(3),
    [sym__lst_itm_cnt_bgn_mkr] = ACTIONS(2121),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [923] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(2123),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [924] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(2125),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [925] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(2127),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [926] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(2129),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [927] = {
    [sym__lka] = ACTIONS(3),
    [sym__ext_aut_lnk_end_mkr] = ACTIONS(2131),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [928] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(2133),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [929] = {
    [sym__lka] = ACTIONS(3),
    [sym__pgh_end_mkr] = ACTIONS(2135),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [930] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(2137),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [931] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(2139),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [932] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(2141),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [933] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(2143),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [934] = {
    [sym__lka] = ACTIONS(3),
    [sym__stx_bgn] = ACTIONS(2145),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [935] = {
    [sym__lka] = ACTIONS(3),
    [sym__htm_tag_end] = ACTIONS(2147),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [936] = {
    [sym__lka] = ACTIONS(3),
    [sym__tbl_col_aln] = ACTIONS(1819),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [937] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(2149),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [938] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(2151),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [939] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(2153),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [940] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(2155),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [941] = {
    [sym__lka] = ACTIONS(3),
    [sym__stx_end_mkr] = ACTIONS(2157),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [942] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(2055),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [943] = {
    [sym__lka] = ACTIONS(3),
    [sym__fen_cod_end_mkr] = ACTIONS(2159),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [944] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_ref_def_end_mkr] = ACTIONS(2149),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [945] = {
    [sym__lka] = ACTIONS(3),
    [sym__lnk_inl_end] = ACTIONS(2161),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [946] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2163),
  },
  [947] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2165),
  },
  [948] = {
    [sym__lka] = ACTIONS(3),
    [sym__thm_brk_end_mkr] = ACTIONS(2167),
    [sym__lit_lbk] = ACTIONS(3),
  },
  [949] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2169),
  },
  [950] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2171),
  },
  [951] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2173),
  },
  [952] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2175),
  },
  [953] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2177),
  },
  [954] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2179),
  },
  [955] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2181),
  },
  [956] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2183),
  },
  [957] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2185),
  },
  [958] = {
    [sym__lka] = ACTIONS(3),
    [sym__lit_lbk] = ACTIONS(3),
    [sym__txt] = ACTIONS(2187),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, SHIFT(832),
  [7] = {.count = 1, .reusable = true}, SHIFT(948),
  [9] = {.count = 1, .reusable = true}, SHIFT(37),
  [11] = {.count = 1, .reusable = true}, SHIFT(119),
  [13] = {.count = 1, .reusable = true}, SHIFT(583),
  [15] = {.count = 1, .reusable = true}, SHIFT(714),
  [17] = {.count = 1, .reusable = true}, SHIFT(536),
  [19] = {.count = 1, .reusable = true}, SHIFT(539),
  [21] = {.count = 1, .reusable = true}, SHIFT(537),
  [23] = {.count = 1, .reusable = true}, SHIFT(533),
  [25] = {.count = 1, .reusable = true}, SHIFT(538),
  [27] = {.count = 1, .reusable = true}, SHIFT(591),
  [29] = {.count = 1, .reusable = true}, SHIFT(625),
  [31] = {.count = 1, .reusable = true}, SHIFT(15),
  [33] = {.count = 1, .reusable = true}, SHIFT(493),
  [35] = {.count = 1, .reusable = true}, SHIFT(127),
  [37] = {.count = 1, .reusable = true}, SHIFT(11),
  [39] = {.count = 1, .reusable = true}, SHIFT(33),
  [41] = {.count = 1, .reusable = true}, REDUCE(sym__tig_lst_itm_hed, 2),
  [43] = {.count = 1, .reusable = true}, SHIFT(9),
  [45] = {.count = 1, .reusable = true}, SHIFT(32),
  [47] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(948),
  [50] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(37),
  [53] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(119),
  [56] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(583),
  [59] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(714),
  [62] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(536),
  [65] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(539),
  [68] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(537),
  [71] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(533),
  [74] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(538),
  [77] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(591),
  [80] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(625),
  [83] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(15),
  [86] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(493),
  [89] = {.count = 1, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2),
  [91] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(127),
  [94] = {.count = 1, .reusable = true}, REDUCE(sym__tig_chk_box_lst_itm_hed, 4),
  [96] = {.count = 1, .reusable = true}, SHIFT(10),
  [98] = {.count = 1, .reusable = true}, REDUCE(sym__los_chk_box_lst_itm_hed, 5),
  [100] = {.count = 1, .reusable = true}, SHIFT(24),
  [102] = {.count = 1, .reusable = true}, REDUCE(sym__tig_chk_box_lst_itm_hed, 3),
  [104] = {.count = 1, .reusable = true}, SHIFT(23),
  [106] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(948),
  [109] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(37),
  [112] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(119),
  [115] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(583),
  [118] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(714),
  [121] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(536),
  [124] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(539),
  [127] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(537),
  [130] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(533),
  [133] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(538),
  [136] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(591),
  [139] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(625),
  [142] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(15),
  [145] = {.count = 1, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2),
  [147] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(493),
  [150] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(127),
  [153] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(8),
  [156] = {.count = 1, .reusable = true}, REDUCE(sym__los_lst_itm_hed, 3),
  [158] = {.count = 1, .reusable = true}, SHIFT(22),
  [160] = {.count = 1, .reusable = true}, SHIFT(14),
  [162] = {.count = 1, .reusable = true}, SHIFT(891),
  [164] = {.count = 1, .reusable = true}, SHIFT(21),
  [166] = {.count = 1, .reusable = true}, REDUCE(sym__bqt_hed, 2),
  [168] = {.count = 1, .reusable = true}, SHIFT(8),
  [170] = {.count = 1, .reusable = true}, REDUCE(sym__los_lst_itm_hed, 6),
  [172] = {.count = 1, .reusable = true}, REDUCE(sym__los_chk_box_lst_itm_hed, 6),
  [174] = {.count = 1, .reusable = true}, REDUCE(sym__bqt_hed, 1),
  [176] = {.count = 1, .reusable = true}, SHIFT(12),
  [178] = {.count = 1, .reusable = true}, REDUCE(sym__tig_lst_itm_hed, 3),
  [180] = {.count = 1, .reusable = true}, SHIFT(20),
  [182] = {.count = 1, .reusable = true}, REDUCE(sym__los_lst_itm_hed, 5),
  [184] = {.count = 1, .reusable = true}, REDUCE(sym__tig_lst_itm_hed, 4),
  [186] = {.count = 1, .reusable = true}, SHIFT(25),
  [188] = {.count = 1, .reusable = true}, REDUCE(sym__los_lst_itm_hed, 4),
  [190] = {.count = 1, .reusable = true}, SHIFT(18),
  [192] = {.count = 2, .reusable = true}, REDUCE(aux_sym_document_repeat1, 2), SHIFT_REPEAT(21),
  [195] = {.count = 1, .reusable = true}, REDUCE(sym__los_chk_box_lst_itm_hed, 4),
  [197] = {.count = 1, .reusable = true}, SHIFT(6),
  [199] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(948),
  [202] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(37),
  [205] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(119),
  [208] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(583),
  [211] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(714),
  [214] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(536),
  [217] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(539),
  [220] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(537),
  [223] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(533),
  [226] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(538),
  [229] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(591),
  [232] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(625),
  [235] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(15),
  [238] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(493),
  [241] = {.count = 1, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2),
  [243] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(127),
  [246] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_itm_hed_repeat1, 2), SHIFT_REPEAT(24),
  [249] = {.count = 1, .reusable = true}, SHIFT(13),
  [251] = {.count = 1, .reusable = true}, REDUCE(sym__pgh_hed, 1),
  [253] = {.count = 1, .reusable = true}, SHIFT(293),
  [255] = {.count = 1, .reusable = true}, SHIFT(96),
  [257] = {.count = 1, .reusable = true}, SHIFT(95),
  [259] = {.count = 1, .reusable = true}, SHIFT(94),
  [261] = {.count = 1, .reusable = true}, SHIFT(42),
  [263] = {.count = 1, .reusable = true}, SHIFT(43),
  [265] = {.count = 1, .reusable = true}, SHIFT(614),
  [267] = {.count = 1, .reusable = true}, SHIFT(612),
  [269] = {.count = 1, .reusable = true}, SHIFT(704),
  [271] = {.count = 1, .reusable = true}, SHIFT(599),
  [273] = {.count = 1, .reusable = true}, SHIFT(597),
  [275] = {.count = 1, .reusable = true}, SHIFT(596),
  [277] = {.count = 1, .reusable = true}, SHIFT(595),
  [279] = {.count = 1, .reusable = true}, SHIFT(816),
  [281] = {.count = 1, .reusable = true}, SHIFT(794),
  [283] = {.count = 1, .reusable = true}, SHIFT(793),
  [285] = {.count = 1, .reusable = true}, SHIFT(550),
  [287] = {.count = 1, .reusable = true}, SHIFT(577),
  [289] = {.count = 1, .reusable = true}, SHIFT(586),
  [291] = {.count = 1, .reusable = true}, SHIFT(88),
  [293] = {.count = 1, .reusable = true}, SHIFT(173),
  [295] = {.count = 1, .reusable = true}, SHIFT(64),
  [297] = {.count = 1, .reusable = true}, SHIFT(87),
  [299] = {.count = 1, .reusable = true}, SHIFT(76),
  [301] = {.count = 1, .reusable = true}, SHIFT(49),
  [303] = {.count = 1, .reusable = true}, SHIFT(50),
  [305] = {.count = 1, .reusable = true}, SHIFT(139),
  [307] = {.count = 1, .reusable = true}, SHIFT(620),
  [309] = {.count = 1, .reusable = true}, SHIFT(618),
  [311] = {.count = 1, .reusable = true}, SHIFT(615),
  [313] = {.count = 1, .reusable = true}, SHIFT(957),
  [315] = {.count = 1, .reusable = true}, SHIFT(958),
  [317] = {.count = 1, .reusable = true}, SHIFT(604),
  [319] = {.count = 1, .reusable = true}, SHIFT(601),
  [321] = {.count = 1, .reusable = true}, SHIFT(600),
  [323] = {.count = 1, .reusable = true}, SHIFT(141),
  [325] = {.count = 1, .reusable = true}, SHIFT(137),
  [327] = {.count = 1, .reusable = true}, SHIFT(136),
  [329] = {.count = 1, .reusable = true}, SHIFT(138),
  [331] = {.count = 1, .reusable = true}, SHIFT(135),
  [333] = {.count = 1, .reusable = true}, SHIFT(140),
  [335] = {.count = 1, .reusable = true}, SHIFT(297),
  [337] = {.count = 1, .reusable = true}, SHIFT(108),
  [339] = {.count = 1, .reusable = true}, SHIFT(109),
  [341] = {.count = 1, .reusable = true}, SHIFT(110),
  [343] = {.count = 1, .reusable = true}, SHIFT(380),
  [345] = {.count = 1, .reusable = true}, SHIFT(41),
  [347] = {.count = 1, .reusable = true}, SHIFT(44),
  [349] = {.count = 1, .reusable = true}, SHIFT(671),
  [351] = {.count = 1, .reusable = true}, SHIFT(669),
  [353] = {.count = 1, .reusable = true}, SHIFT(668),
  [355] = {.count = 1, .reusable = true}, SHIFT(955),
  [357] = {.count = 1, .reusable = true}, SHIFT(956),
  [359] = {.count = 1, .reusable = true}, SHIFT(667),
  [361] = {.count = 1, .reusable = true}, SHIFT(665),
  [363] = {.count = 1, .reusable = true}, SHIFT(662),
  [365] = {.count = 1, .reusable = true}, SHIFT(324),
  [367] = {.count = 1, .reusable = true}, SHIFT(85),
  [369] = {.count = 1, .reusable = true}, SHIFT(181),
  [371] = {.count = 1, .reusable = true}, SHIFT(86),
  [373] = {.count = 1, .reusable = true}, SHIFT(91),
  [375] = {.count = 1, .reusable = true}, SHIFT(47),
  [377] = {.count = 1, .reusable = true}, SHIFT(46),
  [379] = {.count = 1, .reusable = true}, SHIFT(605),
  [381] = {.count = 1, .reusable = true}, SHIFT(606),
  [383] = {.count = 1, .reusable = true}, SHIFT(607),
  [385] = {.count = 1, .reusable = true}, SHIFT(951),
  [387] = {.count = 1, .reusable = true}, SHIFT(952),
  [389] = {.count = 1, .reusable = true}, SHIFT(608),
  [391] = {.count = 1, .reusable = true}, SHIFT(609),
  [393] = {.count = 1, .reusable = true}, SHIFT(611),
  [395] = {.count = 1, .reusable = true}, SHIFT(397),
  [397] = {.count = 1, .reusable = true}, REDUCE(sym__pgh_hed, 2),
  [399] = {.count = 1, .reusable = true}, SHIFT(306),
  [401] = {.count = 1, .reusable = true}, SHIFT(98),
  [403] = {.count = 1, .reusable = true}, SHIFT(101),
  [405] = {.count = 1, .reusable = true}, SHIFT(146),
  [407] = {.count = 1, .reusable = true}, SHIFT(104),
  [409] = {.count = 1, .reusable = true}, SHIFT(38),
  [411] = {.count = 1, .reusable = true}, SHIFT(57),
  [413] = {.count = 1, .reusable = true}, SHIFT(708),
  [415] = {.count = 1, .reusable = true}, SHIFT(705),
  [417] = {.count = 1, .reusable = true}, SHIFT(702),
  [419] = {.count = 1, .reusable = true}, SHIFT(953),
  [421] = {.count = 1, .reusable = true}, SHIFT(954),
  [423] = {.count = 1, .reusable = true}, SHIFT(701),
  [425] = {.count = 1, .reusable = true}, SHIFT(700),
  [427] = {.count = 1, .reusable = true}, SHIFT(699),
  [429] = {.count = 1, .reusable = true}, SHIFT(148),
  [431] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(324),
  [434] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(85),
  [437] = {.count = 1, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2),
  [439] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(86),
  [442] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(91),
  [445] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(47),
  [448] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(46),
  [451] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(612),
  [454] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(704),
  [457] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(599),
  [460] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(605),
  [463] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(606),
  [466] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(607),
  [469] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(816),
  [472] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(951),
  [475] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(952),
  [478] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(608),
  [481] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(609),
  [484] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(611),
  [487] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(297),
  [490] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(108),
  [493] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(109),
  [496] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(110),
  [499] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(41),
  [502] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(44),
  [505] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(671),
  [508] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(669),
  [511] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(668),
  [514] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(955),
  [517] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(956),
  [520] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(667),
  [523] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(665),
  [526] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(662),
  [529] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(293),
  [532] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(96),
  [535] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(95),
  [538] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(94),
  [541] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(42),
  [544] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(43),
  [547] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(597),
  [550] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(596),
  [553] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(595),
  [556] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(794),
  [559] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(793),
  [562] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(550),
  [565] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(577),
  [568] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(586),
  [571] = {.count = 1, .reusable = true}, SHIFT(144),
  [573] = {.count = 1, .reusable = true}, SHIFT(379),
  [575] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(173),
  [578] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(64),
  [581] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(87),
  [584] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(76),
  [587] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(49),
  [590] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(50),
  [593] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(620),
  [596] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(618),
  [599] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(615),
  [602] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(957),
  [605] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(958),
  [608] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(604),
  [611] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(601),
  [614] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(600),
  [617] = {.count = 1, .reusable = true}, SHIFT(378),
  [619] = {.count = 1, .reusable = true}, SHIFT(178),
  [621] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(306),
  [624] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(98),
  [627] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(101),
  [630] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(104),
  [633] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(38),
  [636] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(57),
  [639] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(708),
  [642] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(705),
  [645] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(702),
  [648] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(953),
  [651] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(954),
  [654] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(701),
  [657] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(700),
  [660] = {.count = 2, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 2), SHIFT_REPEAT(699),
  [663] = {.count = 1, .reusable = true}, SHIFT(392),
  [665] = {.count = 1, .reusable = true}, SHIFT(349),
  [667] = {.count = 1, .reusable = true}, SHIFT(348),
  [669] = {.count = 1, .reusable = true}, SHIFT(357),
  [671] = {.count = 1, .reusable = true}, SHIFT(356),
  [673] = {.count = 1, .reusable = true}, SHIFT(347),
  [675] = {.count = 1, .reusable = true}, SHIFT(355),
  [677] = {.count = 1, .reusable = true}, SHIFT(296),
  [679] = {.count = 1, .reusable = true}, SHIFT(295),
  [681] = {.count = 1, .reusable = true}, SHIFT(179),
  [683] = {.count = 2, .reusable = true}, REDUCE(sym__chk_box_pgh_ctn, 1, .production_id = 15), REDUCE(sym__chk_box_lik_stx_ctn, 1),
  [686] = {.count = 1, .reusable = true}, SHIFT(186),
  [688] = {.count = 1, .reusable = true}, SHIFT(185),
  [690] = {.count = 1, .reusable = true}, SHIFT(294),
  [692] = {.count = 1, .reusable = true}, SHIFT(262),
  [694] = {.count = 1, .reusable = true}, SHIFT(261),
  [696] = {.count = 1, .reusable = true}, SHIFT(239),
  [698] = {.count = 1, .reusable = true}, SHIFT(250),
  [700] = {.count = 1, .reusable = true}, SHIFT(253),
  [702] = {.count = 1, .reusable = true}, SHIFT(260),
  [704] = {.count = 1, .reusable = true}, SHIFT(172),
  [706] = {.count = 2, .reusable = true}, REDUCE(sym__chk_box_pgh_ctn, 2, .production_id = 15), REDUCE(sym__chk_box_lik_stx_ctn, 2),
  [709] = {.count = 1, .reusable = true}, SHIFT(228),
  [711] = {.count = 1, .reusable = true}, SHIFT(171),
  [713] = {.count = 1, .reusable = true}, SHIFT(184),
  [715] = {.count = 1, .reusable = true}, SHIFT(393),
  [717] = {.count = 1, .reusable = true}, SHIFT(168),
  [719] = {.count = 1, .reusable = true}, SHIFT(315),
  [721] = {.count = 1, .reusable = true}, SHIFT(314),
  [723] = {.count = 1, .reusable = true}, SHIFT(313),
  [725] = {.count = 1, .reusable = true}, SHIFT(280),
  [727] = {.count = 1, .reusable = true}, SHIFT(279),
  [729] = {.count = 1, .reusable = true}, SHIFT(278),
  [731] = {.count = 1, .reusable = true}, SHIFT(237),
  [733] = {.count = 1, .reusable = true}, SHIFT(229),
  [735] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dat_row_hed, 3, .production_id = 7),
  [737] = {.count = 1, .reusable = true}, SHIFT(329),
  [739] = {.count = 1, .reusable = true}, SHIFT(65),
  [741] = {.count = 1, .reusable = true}, SHIFT(103),
  [743] = {.count = 1, .reusable = true}, SHIFT(78),
  [745] = {.count = 1, .reusable = true}, SHIFT(35),
  [747] = {.count = 1, .reusable = true}, SHIFT(54),
  [749] = {.count = 1, .reusable = true}, SHIFT(575),
  [751] = {.count = 1, .reusable = true}, SHIFT(574),
  [753] = {.count = 1, .reusable = true}, SHIFT(571),
  [755] = {.count = 1, .reusable = true}, SHIFT(949),
  [757] = {.count = 1, .reusable = true}, SHIFT(950),
  [759] = {.count = 1, .reusable = true}, SHIFT(565),
  [761] = {.count = 1, .reusable = true}, SHIFT(562),
  [763] = {.count = 1, .reusable = true}, SHIFT(560),
  [765] = {.count = 1, .reusable = true}, SHIFT(124),
  [767] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_hed_row_hed, 3, .production_id = 7),
  [769] = {.count = 1, .reusable = true}, SHIFT(125),
  [771] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dat_row_hed, 2, .production_id = 3),
  [773] = {.count = 1, .reusable = true}, SHIFT(131),
  [775] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_hed_row_hed, 2, .production_id = 3),
  [777] = {.count = 1, .reusable = true}, SHIFT(130),
  [779] = {.count = 1, .reusable = true}, REDUCE(aux_sym__tbl_hed_row_hed_repeat1, 2, .production_id = 3),
  [781] = {.count = 1, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2),
  [783] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(376),
  [786] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(84),
  [789] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(82),
  [792] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(81),
  [795] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(52),
  [798] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(56),
  [801] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(612),
  [804] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(704),
  [807] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(599),
  [810] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(709),
  [813] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(710),
  [816] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(711),
  [819] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(816),
  [822] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(946),
  [825] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(947),
  [828] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(712),
  [831] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(703),
  [834] = {.count = 2, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 2), SHIFT_REPEAT(698),
  [837] = {.count = 1, .reusable = true}, REDUCE(sym__atx_hed, 1),
  [839] = {.count = 1, .reusable = true}, SHIFT(376),
  [841] = {.count = 1, .reusable = true}, SHIFT(84),
  [843] = {.count = 1, .reusable = true}, SHIFT(82),
  [845] = {.count = 1, .reusable = true}, SHIFT(81),
  [847] = {.count = 1, .reusable = true}, SHIFT(52),
  [849] = {.count = 1, .reusable = true}, SHIFT(56),
  [851] = {.count = 1, .reusable = true}, SHIFT(709),
  [853] = {.count = 1, .reusable = true}, SHIFT(710),
  [855] = {.count = 1, .reusable = true}, SHIFT(711),
  [857] = {.count = 1, .reusable = true}, SHIFT(946),
  [859] = {.count = 1, .reusable = true}, SHIFT(947),
  [861] = {.count = 1, .reusable = true}, SHIFT(712),
  [863] = {.count = 1, .reusable = true}, SHIFT(703),
  [865] = {.count = 1, .reusable = true}, SHIFT(698),
  [867] = {.count = 1, .reusable = true}, SHIFT(836),
  [869] = {.count = 1, .reusable = true}, REDUCE(sym__atx_hed, 2, .production_id = 1),
  [871] = {.count = 1, .reusable = true}, SHIFT(901),
  [873] = {.count = 1, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2),
  [875] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(329),
  [878] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(65),
  [881] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(103),
  [884] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(78),
  [887] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(35),
  [890] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(54),
  [893] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(612),
  [896] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(704),
  [899] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(599),
  [902] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(575),
  [905] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(574),
  [908] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(571),
  [911] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(816),
  [914] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(949),
  [917] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(950),
  [920] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(565),
  [923] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(562),
  [926] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 2), SHIFT_REPEAT(560),
  [929] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dat_row_hed, 4, .production_id = 3),
  [931] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_hed_row_hed, 4, .production_id = 3),
  [933] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dat_row_hed, 4, .production_id = 7),
  [935] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_hed_row_hed, 4, .production_id = 7),
  [937] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_hed_row_hed, 5, .production_id = 7),
  [939] = {.count = 1, .reusable = true}, SHIFT(133),
  [941] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dat_row_hed, 5, .production_id = 7),
  [943] = {.count = 1, .reusable = true}, SHIFT(132),
  [945] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_hed_row_hed, 3, .production_id = 3),
  [947] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dat_row_hed, 3, .production_id = 3),
  [949] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_tal, 1),
  [951] = {.count = 1, .reusable = true}, SHIFT(679),
  [953] = {.count = 1, .reusable = true}, SHIFT(682),
  [955] = {.count = 1, .reusable = true}, SHIFT(690),
  [957] = {.count = 1, .reusable = true}, SHIFT(689),
  [959] = {.count = 1, .reusable = true}, SHIFT(564),
  [961] = {.count = 1, .reusable = true}, SHIFT(563),
  [963] = {.count = 1, .reusable = true}, SHIFT(630),
  [965] = {.count = 1, .reusable = true}, SHIFT(627),
  [967] = {.count = 1, .reusable = true}, SHIFT(637),
  [969] = {.count = 1, .reusable = true}, SHIFT(636),
  [971] = {.count = 1, .reusable = true}, SHIFT(635),
  [973] = {.count = 1, .reusable = true}, SHIFT(633),
  [975] = {.count = 1, .reusable = true}, SHIFT(551),
  [977] = {.count = 1, .reusable = true}, SHIFT(549),
  [979] = {.count = 1, .reusable = true}, REDUCE(sym__lnk, 2),
  [981] = {.count = 1, .reusable = true}, REDUCE(sym__ext_url_aut_lnk, 2),
  [983] = {.count = 1, .reusable = true}, REDUCE(sym__del, 3),
  [985] = {.count = 1, .reusable = true}, REDUCE(sym__htm_prc, 2),
  [987] = {.count = 1, .reusable = true}, REDUCE(sym__stg, 3),
  [989] = {.count = 1, .reusable = true}, REDUCE(sym__htm_cda, 2),
  [991] = {.count = 1, .reusable = true}, REDUCE(sym__emp, 3),
  [993] = {.count = 1, .reusable = true}, REDUCE(sym__ext_www_aut_lnk, 2),
  [995] = {.count = 1, .reusable = true}, REDUCE(sym__ext_eml_aut_lnk, 2),
  [997] = {.count = 1, .reusable = true}, REDUCE(sym__htm_opn_tag, 2),
  [999] = {.count = 1, .reusable = true}, REDUCE(sym__htm_slf_cls_tag, 2),
  [1001] = {.count = 1, .reusable = true}, REDUCE(sym__img, 2),
  [1003] = {.count = 1, .reusable = true}, REDUCE(sym__htm_cmt, 2),
  [1005] = {.count = 1, .reusable = true}, REDUCE(sym__cod_spn, 2),
  [1007] = {.count = 1, .reusable = true}, REDUCE(sym__eml_aut_lnk, 2),
  [1009] = {.count = 1, .reusable = true}, REDUCE(sym__uri_aut_lnk, 2),
  [1011] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_tal, 2),
  [1013] = {.count = 1, .reusable = true}, REDUCE(sym__del, 2),
  [1015] = {.count = 1, .reusable = true}, REDUCE(sym__img, 3, .production_id = 9),
  [1017] = {.count = 1, .reusable = true}, REDUCE(sym__stg, 2),
  [1019] = {.count = 1, .reusable = true}, REDUCE(sym__emp, 2),
  [1021] = {.count = 1, .reusable = true}, REDUCE(aux_sym__pgh_hed_repeat1, 1),
  [1023] = {.count = 1, .reusable = true}, REDUCE(sym__lnk, 3, .production_id = 10),
  [1025] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_tal_inl, 4),
  [1027] = {.count = 1, .reusable = true}, REDUCE(sym__uri_aut_lnk, 3),
  [1029] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_tal_ful, 3, .production_id = 16),
  [1031] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_tal_inl, 3),
  [1033] = {.count = 1, .reusable = true}, REDUCE(sym__htm_dcl, 4, .production_id = 12),
  [1035] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_tal_clp, 2),
  [1037] = {.count = 1, .reusable = true}, REDUCE(sym__eml_aut_lnk, 3),
  [1039] = {.count = 1, .reusable = true}, REDUCE(sym__cod_spn, 3),
  [1041] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_tal_inl, 2),
  [1043] = {.count = 1, .reusable = true}, REDUCE(sym__htm_cls_tag, 3, .production_id = 5),
  [1045] = {.count = 1, .reusable = true}, REDUCE(sym__htm_dcl, 3, .production_id = 12),
  [1047] = {.count = 1, .reusable = true}, REDUCE(sym__htm_cda, 3),
  [1049] = {.count = 1, .reusable = true}, REDUCE(sym__htm_cmt, 3),
  [1051] = {.count = 1, .reusable = true}, REDUCE(sym__htm_prc, 3),
  [1053] = {.count = 1, .reusable = true}, REDUCE(aux_sym__tbl_dat_cel, 1),
  [1055] = {.count = 1, .reusable = true}, REDUCE(aux_sym__atx_hed_repeat1, 1),
  [1057] = {.count = 1, .reusable = true}, REDUCE(sym__tbl, 2),
  [1059] = {.count = 1, .reusable = true}, SHIFT(129),
  [1061] = {.count = 1, .reusable = true}, REDUCE(aux_sym__tbl_repeat1, 2),
  [1063] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_repeat1, 2), SHIFT_REPEAT(129),
  [1066] = {.count = 1, .reusable = true}, REDUCE(sym__tbl, 3),
  [1068] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dat_row, 2),
  [1070] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dlm_row, 2),
  [1072] = {.count = 1, .reusable = true}, REDUCE(sym__pgh, 2, .production_id = 4),
  [1074] = {.count = 1, .reusable = true}, SHIFT(911),
  [1076] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_cmt, 2),
  [1078] = {.count = 1, .reusable = true}, REDUCE(sym__stx, 2),
  [1080] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod, 2),
  [1082] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_scr, 2),
  [1084] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_prc, 2),
  [1086] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_dcl, 2),
  [1088] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_cda, 2),
  [1090] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_div, 2),
  [1092] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_cmp, 2),
  [1094] = {.count = 1, .reusable = true}, REDUCE(sym__bqt, 2),
  [1096] = {.count = 1, .reusable = true}, REDUCE(sym__tig_lst, 2),
  [1098] = {.count = 1, .reusable = true}, REDUCE(sym__los_lst, 2),
  [1100] = {.count = 1, .reusable = true}, REDUCE(sym__chk_box_pgh, 3),
  [1102] = {.count = 1, .reusable = true}, REDUCE(sym__chk_box_lik_stx, 2),
  [1104] = {.count = 1, .reusable = true}, REDUCE(sym__ind_cod, 2),
  [1106] = {.count = 1, .reusable = true}, REDUCE(sym__atx, 2),
  [1108] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_ref_def, 2),
  [1110] = {.count = 1, .reusable = true}, REDUCE(sym__thm_brk, 2),
  [1112] = {.count = 1, .reusable = true}, REDUCE(sym__tig_lst_hed, 1),
  [1114] = {.count = 1, .reusable = true}, SHIFT(857),
  [1116] = {.count = 1, .reusable = true}, SHIFT(498),
  [1118] = {.count = 1, .reusable = true}, REDUCE(sym__los_lst_hed, 3),
  [1120] = {.count = 1, .reusable = true}, SHIFT(497),
  [1122] = {.count = 1, .reusable = true}, REDUCE(sym__los_lst_hed, 4),
  [1124] = {.count = 1, .reusable = true}, REDUCE(sym__tig_lst_hed, 2),
  [1126] = {.count = 1, .reusable = true}, SHIFT(499),
  [1128] = {.count = 1, .reusable = true}, REDUCE(aux_sym__los_lst_hed_repeat1, 2),
  [1130] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_hed_repeat1, 2), SHIFT_REPEAT(857),
  [1133] = {.count = 2, .reusable = true}, REDUCE(aux_sym__los_lst_hed_repeat1, 2), SHIFT_REPEAT(497),
  [1136] = {.count = 1, .reusable = true}, REDUCE(sym__los_lst_hed, 2),
  [1138] = {.count = 1, .reusable = true}, SHIFT(494),
  [1140] = {.count = 1, .reusable = true}, SHIFT(495),
  [1142] = {.count = 1, .reusable = true}, REDUCE(aux_sym__tig_lst_hed_repeat1, 2),
  [1144] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tig_lst_hed_repeat1, 2), SHIFT_REPEAT(922),
  [1147] = {.count = 1, .reusable = true}, SHIFT(506),
  [1149] = {.count = 1, .reusable = true}, SHIFT(770),
  [1151] = {.count = 1, .reusable = true}, SHIFT(501),
  [1153] = {.count = 1, .reusable = true}, SHIFT(764),
  [1155] = {.count = 1, .reusable = true}, SHIFT(509),
  [1157] = {.count = 1, .reusable = true}, SHIFT(507),
  [1159] = {.count = 1, .reusable = true}, SHIFT(777),
  [1161] = {.count = 1, .reusable = true}, SHIFT(510),
  [1163] = {.count = 1, .reusable = true}, SHIFT(937),
  [1165] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_dst_repeat1, 2), SHIFT_REPEAT(506),
  [1168] = {.count = 1, .reusable = true}, REDUCE(aux_sym__lnk_dst_repeat1, 2),
  [1170] = {.count = 1, .reusable = true}, SHIFT(776),
  [1172] = {.count = 1, .reusable = true}, SHIFT(516),
  [1174] = {.count = 1, .reusable = true}, SHIFT(944),
  [1176] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_dst_repeat1, 2), SHIFT_REPEAT(509),
  [1179] = {.count = 1, .reusable = true}, SHIFT(511),
  [1181] = {.count = 1, .reusable = true}, SHIFT(942),
  [1183] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_dst_repeat1, 2), SHIFT_REPEAT(511),
  [1186] = {.count = 1, .reusable = true}, SHIFT(515),
  [1188] = {.count = 2, .reusable = true}, REDUCE(aux_sym__fen_cod_hed_repeat1, 2), SHIFT_REPEAT(647),
  [1191] = {.count = 1, .reusable = true}, REDUCE(aux_sym__fen_cod_hed_repeat1, 2),
  [1193] = {.count = 1, .reusable = true}, SHIFT(647),
  [1195] = {.count = 1, .reusable = true}, SHIFT(775),
  [1197] = {.count = 1, .reusable = true}, SHIFT(887),
  [1199] = {.count = 1, .reusable = true}, SHIFT(503),
  [1201] = {.count = 1, .reusable = true}, SHIFT(774),
  [1203] = {.count = 1, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2),
  [1205] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(584),
  [1208] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(585),
  [1211] = {.count = 1, .reusable = true}, REDUCE(aux_sym__htm_opn_tag_hed_repeat1, 2),
  [1213] = {.count = 2, .reusable = true}, REDUCE(aux_sym__htm_opn_tag_hed_repeat1, 2), SHIFT_REPEAT(623),
  [1216] = {.count = 1, .reusable = true}, SHIFT(933),
  [1218] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 5, .production_id = 13),
  [1220] = {.count = 1, .reusable = true}, SHIFT(580),
  [1222] = {.count = 1, .reusable = true}, SHIFT(722),
  [1224] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(548),
  [1227] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(547),
  [1230] = {.count = 1, .reusable = true}, SHIFT(906),
  [1232] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_prc_hed, 2),
  [1234] = {.count = 1, .reusable = true}, SHIFT(544),
  [1236] = {.count = 1, .reusable = true}, SHIFT(610),
  [1238] = {.count = 1, .reusable = true}, SHIFT(905),
  [1240] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_cmt_hed, 2),
  [1242] = {.count = 1, .reusable = true}, SHIFT(548),
  [1244] = {.count = 1, .reusable = true}, SHIFT(547),
  [1246] = {.count = 1, .reusable = true}, SHIFT(904),
  [1248] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_scr_hed, 2),
  [1250] = {.count = 1, .reusable = true}, SHIFT(559),
  [1252] = {.count = 1, .reusable = true}, SHIFT(558),
  [1254] = {.count = 1, .reusable = true}, SHIFT(902),
  [1256] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 2),
  [1258] = {.count = 1, .reusable = true}, SHIFT(645),
  [1260] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(545),
  [1263] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(546),
  [1266] = {.count = 1, .reusable = true}, SHIFT(907),
  [1268] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_dcl_hed, 2),
  [1270] = {.count = 1, .reusable = true}, SHIFT(545),
  [1272] = {.count = 1, .reusable = true}, SHIFT(546),
  [1274] = {.count = 1, .reusable = true}, SHIFT(923),
  [1276] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 4),
  [1278] = {.count = 1, .reusable = true}, SHIFT(603),
  [1280] = {.count = 1, .reusable = true}, REDUCE(sym__htm_opn_tag_hed, 3, .production_id = 5),
  [1282] = {.count = 1, .reusable = true}, SHIFT(623),
  [1284] = {.count = 1, .reusable = true}, SHIFT(908),
  [1286] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_cda_hed, 2),
  [1288] = {.count = 1, .reusable = true}, SHIFT(584),
  [1290] = {.count = 1, .reusable = true}, SHIFT(585),
  [1292] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(544),
  [1295] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(610),
  [1298] = {.count = 1, .reusable = true}, SHIFT(846),
  [1300] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_dcl_hed, 1),
  [1302] = {.count = 1, .reusable = true}, REDUCE(sym__htm_opn_tag_hed, 2, .production_id = 5),
  [1304] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(559),
  [1307] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(558),
  [1310] = {.count = 1, .reusable = true}, SHIFT(839),
  [1312] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_scr_hed, 1),
  [1314] = {.count = 1, .reusable = true}, SHIFT(845),
  [1316] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_prc_hed, 1),
  [1318] = {.count = 1, .reusable = true}, SHIFT(856),
  [1320] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_cda_hed, 1),
  [1322] = {.count = 1, .reusable = true}, SHIFT(844),
  [1324] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_cmt_hed, 1),
  [1326] = {.count = 1, .reusable = true}, SHIFT(721),
  [1328] = {.count = 1, .reusable = true}, SHIFT(276),
  [1330] = {.count = 1, .reusable = true}, SHIFT(730),
  [1332] = {.count = 1, .reusable = true}, REDUCE(sym__ext_eml_aut_lnk_hed, 2),
  [1334] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2), SHIFT_REPEAT(718),
  [1337] = {.count = 1, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2),
  [1339] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2), SHIFT_REPEAT(729),
  [1342] = {.count = 1, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 1, .production_id = 2),
  [1344] = {.count = 1, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 1),
  [1346] = {.count = 1, .reusable = true}, SHIFT(334),
  [1348] = {.count = 1, .reusable = true}, SHIFT(727),
  [1350] = {.count = 1, .reusable = true}, SHIFT(300),
  [1352] = {.count = 1, .reusable = true}, SHIFT(335),
  [1354] = {.count = 1, .reusable = true}, SHIFT(517),
  [1356] = {.count = 1, .reusable = true}, SHIFT(502),
  [1358] = {.count = 1, .reusable = true}, SHIFT(331),
  [1360] = {.count = 1, .reusable = true}, SHIFT(731),
  [1362] = {.count = 1, .reusable = true}, SHIFT(336),
  [1364] = {.count = 1, .reusable = true}, SHIFT(316),
  [1366] = {.count = 1, .reusable = true}, SHIFT(943),
  [1368] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2), SHIFT_REPEAT(730),
  [1371] = {.count = 1, .reusable = true}, SHIFT(760),
  [1373] = {.count = 1, .reusable = true}, SHIFT(337),
  [1375] = {.count = 1, .reusable = true}, SHIFT(354),
  [1377] = {.count = 1, .reusable = true}, SHIFT(724),
  [1379] = {.count = 1, .reusable = true}, SHIFT(256),
  [1381] = {.count = 1, .reusable = true}, SHIFT(358),
  [1383] = {.count = 1, .reusable = true}, SHIFT(255),
  [1385] = {.count = 1, .reusable = true}, SHIFT(254),
  [1387] = {.count = 1, .reusable = true}, SHIFT(328),
  [1389] = {.count = 1, .reusable = true}, SHIFT(225),
  [1391] = {.count = 1, .reusable = true}, SHIFT(224),
  [1393] = {.count = 1, .reusable = true}, SHIFT(719),
  [1395] = {.count = 1, .reusable = true}, SHIFT(745),
  [1397] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2), SHIFT_REPEAT(727),
  [1400] = {.count = 1, .reusable = true}, SHIFT(720),
  [1402] = {.count = 1, .reusable = true}, SHIFT(718),
  [1404] = {.count = 1, .reusable = true}, SHIFT(360),
  [1406] = {.count = 1, .reusable = true}, SHIFT(222),
  [1408] = {.count = 1, .reusable = true}, SHIFT(216),
  [1410] = {.count = 1, .reusable = true}, SHIFT(729),
  [1412] = {.count = 1, .reusable = true}, SHIFT(362),
  [1414] = {.count = 1, .reusable = true}, SHIFT(374),
  [1416] = {.count = 1, .reusable = true}, SHIFT(213),
  [1418] = {.count = 1, .reusable = true}, SHIFT(145),
  [1420] = {.count = 1, .reusable = true}, SHIFT(211),
  [1422] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 6, .production_id = 18),
  [1424] = {.count = 1, .reusable = true}, SHIFT(555),
  [1426] = {.count = 1, .reusable = true}, SHIFT(940),
  [1428] = {.count = 1, .reusable = true}, SHIFT(177),
  [1430] = {.count = 1, .reusable = true}, SHIFT(939),
  [1432] = {.count = 1, .reusable = true}, REDUCE(sym__ind_cod_hed, 1),
  [1434] = {.count = 1, .reusable = true}, SHIFT(742),
  [1436] = {.count = 1, .reusable = true}, SHIFT(741),
  [1438] = {.count = 1, .reusable = true}, SHIFT(147),
  [1440] = {.count = 1, .reusable = true}, SHIFT(747),
  [1442] = {.count = 1, .reusable = true}, SHIFT(338),
  [1444] = {.count = 1, .reusable = true}, SHIFT(339),
  [1446] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_div_hed, 1),
  [1448] = {.count = 1, .reusable = true}, SHIFT(736),
  [1450] = {.count = 1, .reusable = true}, SHIFT(735),
  [1452] = {.count = 1, .reusable = true}, SHIFT(341),
  [1454] = {.count = 1, .reusable = true}, SHIFT(342),
  [1456] = {.count = 1, .reusable = true}, SHIFT(343),
  [1458] = {.count = 1, .reusable = true}, SHIFT(166),
  [1460] = {.count = 1, .reusable = true}, SHIFT(180),
  [1462] = {.count = 1, .reusable = true}, SHIFT(212),
  [1464] = {.count = 1, .reusable = true}, REDUCE(sym__ext_url_aut_lnk_hed, 2),
  [1466] = {.count = 1, .reusable = true}, REDUCE(sym__ext_eml_aut_lnk_hed, 1),
  [1468] = {.count = 1, .reusable = true}, SHIFT(160),
  [1470] = {.count = 1, .reusable = true}, SHIFT(161),
  [1472] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 5, .production_id = 14),
  [1474] = {.count = 1, .reusable = true}, SHIFT(582),
  [1476] = {.count = 1, .reusable = true}, SHIFT(932),
  [1478] = {.count = 1, .reusable = true}, SHIFT(162),
  [1480] = {.count = 1, .reusable = true}, SHIFT(290),
  [1482] = {.count = 1, .reusable = true}, SHIFT(288),
  [1484] = {.count = 1, .reusable = true}, SHIFT(287),
  [1486] = {.count = 1, .reusable = true}, SHIFT(277),
  [1488] = {.count = 1, .reusable = true}, SHIFT(274),
  [1490] = {.count = 1, .reusable = true}, SHIFT(272),
  [1492] = {.count = 1, .reusable = true}, REDUCE(sym__ext_www_aut_lnk_hed, 1),
  [1494] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2), SHIFT_REPEAT(760),
  [1497] = {.count = 1, .reusable = true}, SHIFT(728),
  [1499] = {.count = 1, .reusable = true}, SHIFT(892),
  [1501] = {.count = 1, .reusable = true}, SHIFT(163),
  [1503] = {.count = 1, .reusable = true}, SHIFT(243),
  [1505] = {.count = 1, .reusable = true}, SHIFT(240),
  [1507] = {.count = 1, .reusable = true}, SHIFT(164),
  [1509] = {.count = 1, .reusable = true}, SHIFT(924),
  [1511] = {.count = 1, .reusable = true}, SHIFT(165),
  [1513] = {.count = 1, .reusable = true}, SHIFT(400),
  [1515] = {.count = 1, .reusable = true}, SHIFT(244),
  [1517] = {.count = 1, .reusable = true}, REDUCE(sym__htm_atr, 1, .production_id = 11),
  [1519] = {.count = 1, .reusable = true}, SHIFT(754),
  [1521] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2), SHIFT_REPEAT(728),
  [1524] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_cmp_hed, 1),
  [1526] = {.count = 1, .reusable = true}, SHIFT(726),
  [1528] = {.count = 1, .reusable = true}, SHIFT(725),
  [1530] = {.count = 1, .reusable = true}, REDUCE(sym__ind_cod_hed, 2),
  [1532] = {.count = 1, .reusable = true}, SHIFT(238),
  [1534] = {.count = 1, .reusable = true}, SHIFT(236),
  [1536] = {.count = 1, .reusable = true}, SHIFT(233),
  [1538] = {.count = 1, .reusable = true}, SHIFT(234),
  [1540] = {.count = 1, .reusable = true}, SHIFT(188),
  [1542] = {.count = 1, .reusable = true}, SHIFT(396),
  [1544] = {.count = 1, .reusable = true}, SHIFT(395),
  [1546] = {.count = 1, .reusable = true}, SHIFT(193),
  [1548] = {.count = 1, .reusable = true}, SHIFT(394),
  [1550] = {.count = 1, .reusable = true}, SHIFT(194),
  [1552] = {.count = 1, .reusable = true}, SHIFT(198),
  [1554] = {.count = 1, .reusable = true}, SHIFT(232),
  [1556] = {.count = 1, .reusable = true}, SHIFT(202),
  [1558] = {.count = 1, .reusable = true}, SHIFT(207),
  [1560] = {.count = 1, .reusable = true}, SHIFT(209),
  [1562] = {.count = 1, .reusable = true}, SHIFT(210),
  [1564] = {.count = 1, .reusable = true}, SHIFT(218),
  [1566] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 3, .production_id = 6),
  [1568] = {.count = 1, .reusable = true}, SHIFT(619),
  [1570] = {.count = 1, .reusable = true}, SHIFT(920),
  [1572] = {.count = 1, .reusable = true}, SHIFT(219),
  [1574] = {.count = 1, .reusable = true}, REDUCE(aux_sym__fen_cod_hed_repeat1, 1),
  [1576] = {.count = 1, .reusable = true}, SHIFT(391),
  [1578] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(742),
  [1581] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(741),
  [1584] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(736),
  [1587] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(735),
  [1590] = {.count = 1, .reusable = true}, SHIFT(221),
  [1592] = {.count = 1, .reusable = true}, SHIFT(205),
  [1594] = {.count = 1, .reusable = true}, SHIFT(204),
  [1596] = {.count = 1, .reusable = true}, SHIFT(203),
  [1598] = {.count = 1, .reusable = true}, SHIFT(201),
  [1600] = {.count = 1, .reusable = true}, SHIFT(390),
  [1602] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2), SHIFT_REPEAT(731),
  [1605] = {.count = 1, .reusable = true}, SHIFT(197),
  [1607] = {.count = 1, .reusable = true}, SHIFT(196),
  [1609] = {.count = 1, .reusable = true}, SHIFT(195),
  [1611] = {.count = 1, .reusable = true}, SHIFT(333),
  [1613] = {.count = 1, .reusable = true}, SHIFT(249),
  [1615] = {.count = 1, .reusable = true}, REDUCE(sym__ext_www_aut_lnk_hed, 2),
  [1617] = {.count = 1, .reusable = true}, SHIFT(919),
  [1619] = {.count = 1, .reusable = true}, SHIFT(251),
  [1621] = {.count = 1, .reusable = true}, SHIFT(389),
  [1623] = {.count = 1, .reusable = true}, SHIFT(252),
  [1625] = {.count = 1, .reusable = true}, SHIFT(263),
  [1627] = {.count = 1, .reusable = true}, SHIFT(264),
  [1629] = {.count = 1, .reusable = true}, SHIFT(388),
  [1631] = {.count = 1, .reusable = true}, SHIFT(265),
  [1633] = {.count = 1, .reusable = true}, SHIFT(220),
  [1635] = {.count = 1, .reusable = true}, SHIFT(386),
  [1637] = {.count = 1, .reusable = true}, SHIFT(385),
  [1639] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(726),
  [1642] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(725),
  [1645] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2), SHIFT_REPEAT(724),
  [1648] = {.count = 1, .reusable = true}, SHIFT(384),
  [1650] = {.count = 1, .reusable = true}, SHIFT(217),
  [1652] = {.count = 1, .reusable = true}, SHIFT(208),
  [1654] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(723),
  [1657] = {.count = 2, .reusable = true}, REDUCE(aux_sym__ind_cod_hed_repeat1, 2), SHIFT_REPEAT(722),
  [1660] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2), SHIFT_REPEAT(721),
  [1663] = {.count = 1, .reusable = true}, SHIFT(206),
  [1665] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2), SHIFT_REPEAT(720),
  [1668] = {.count = 1, .reusable = true}, SHIFT(199),
  [1670] = {.count = 2, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 2), SHIFT_REPEAT(719),
  [1673] = {.count = 1, .reusable = true}, SHIFT(282),
  [1675] = {.count = 1, .reusable = true}, SHIFT(182),
  [1677] = {.count = 1, .reusable = true}, SHIFT(284),
  [1679] = {.count = 1, .reusable = true}, SHIFT(285),
  [1681] = {.count = 1, .reusable = true}, SHIFT(286),
  [1683] = {.count = 1, .reusable = true}, SHIFT(289),
  [1685] = {.count = 1, .reusable = true}, SHIFT(298),
  [1687] = {.count = 1, .reusable = true}, SHIFT(299),
  [1689] = {.count = 1, .reusable = true}, SHIFT(301),
  [1691] = {.count = 1, .reusable = true}, SHIFT(305),
  [1693] = {.count = 1, .reusable = true}, SHIFT(308),
  [1695] = {.count = 1, .reusable = true}, SHIFT(309),
  [1697] = {.count = 1, .reusable = true}, SHIFT(368),
  [1699] = {.count = 1, .reusable = true}, SHIFT(322),
  [1701] = {.count = 1, .reusable = true}, SHIFT(318),
  [1703] = {.count = 1, .reusable = true}, SHIFT(321),
  [1705] = {.count = 1, .reusable = true}, SHIFT(304),
  [1707] = {.count = 1, .reusable = true}, SHIFT(367),
  [1709] = {.count = 1, .reusable = true}, REDUCE(sym__ext_url_aut_lnk_hed, 1),
  [1711] = {.count = 1, .reusable = true}, SHIFT(319),
  [1713] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_cmp_hed, 2),
  [1715] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_div_hed, 2),
  [1717] = {.count = 1, .reusable = true}, SHIFT(302),
  [1719] = {.count = 1, .reusable = true}, SHIFT(363),
  [1721] = {.count = 1, .reusable = true}, SHIFT(364),
  [1723] = {.count = 1, .reusable = true}, SHIFT(365),
  [1725] = {.count = 1, .reusable = true}, SHIFT(366),
  [1727] = {.count = 1, .reusable = true}, SHIFT(332),
  [1729] = {.count = 1, .reusable = true}, SHIFT(505),
  [1731] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 1),
  [1733] = {.count = 1, .reusable = true}, SHIFT(514),
  [1735] = {.count = 1, .reusable = true}, SHIFT(526),
  [1737] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dlm_row_hed, 3),
  [1739] = {.count = 1, .reusable = true}, SHIFT(772),
  [1741] = {.count = 1, .reusable = true}, SHIFT(283),
  [1743] = {.count = 1, .reusable = true}, SHIFT(183),
  [1745] = {.count = 1, .reusable = true}, REDUCE(aux_sym__lnk_ref_def_hed_repeat1, 1),
  [1747] = {.count = 1, .reusable = true}, SHIFT(123),
  [1749] = {.count = 1, .reusable = true}, SHIFT(192),
  [1751] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dlm_row_hed, 2),
  [1753] = {.count = 1, .reusable = true}, SHIFT(769),
  [1755] = {.count = 1, .reusable = true}, SHIFT(512),
  [1757] = {.count = 1, .reusable = true}, SHIFT(504),
  [1759] = {.count = 1, .reusable = true}, SHIFT(399),
  [1761] = {.count = 1, .reusable = true}, SHIFT(259),
  [1763] = {.count = 1, .reusable = true}, REDUCE(sym__tig_lst_itm, 3),
  [1765] = {.count = 1, .reusable = true}, REDUCE(sym__los_lst_itm, 3),
  [1767] = {.count = 1, .reusable = true}, SHIFT(126),
  [1769] = {.count = 1, .reusable = true}, REDUCE(sym__htm_atr_val, 3),
  [1771] = {.count = 1, .reusable = true}, REDUCE(aux_sym__tbl_hed_row_hed_repeat1, 2),
  [1773] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_hed_row_hed_repeat1, 2), SHIFT_REPEAT(134),
  [1776] = {.count = 1, .reusable = true}, REDUCE(sym__htm_atr_val, 2),
  [1778] = {.count = 1, .reusable = true}, SHIFT(780),
  [1780] = {.count = 1, .reusable = true}, SHIFT(128),
  [1782] = {.count = 1, .reusable = true}, SHIFT(273),
  [1784] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_ref_def_hed, 5),
  [1786] = {.count = 1, .reusable = true}, SHIFT(508),
  [1788] = {.count = 1, .reusable = true}, SHIFT(588),
  [1790] = {.count = 1, .reusable = true}, SHIFT(587),
  [1792] = {.count = 1, .reusable = true}, REDUCE(sym__htm_atr, 3, .production_id = 11),
  [1794] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dlm_row_hed, 4),
  [1796] = {.count = 1, .reusable = true}, SHIFT(768),
  [1798] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_ref_def_hed, 6, .production_id = 17),
  [1800] = {.count = 1, .reusable = true}, REDUCE(aux_sym__tbl_dlm_row_hed_repeat1, 2),
  [1802] = {.count = 2, .reusable = true}, REDUCE(aux_sym__tbl_dlm_row_hed_repeat1, 2), SHIFT_REPEAT(936),
  [1805] = {.count = 1, .reusable = true}, SHIFT(122),
  [1807] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_dst, 2),
  [1809] = {.count = 1, .reusable = true}, SHIFT(325),
  [1811] = {.count = 1, .reusable = true}, SHIFT(323),
  [1813] = {.count = 1, .reusable = true}, SHIFT(155),
  [1815] = {.count = 1, .reusable = true}, SHIFT(154),
  [1817] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_dlm_row_hed, 5),
  [1819] = {.count = 1, .reusable = true}, SHIFT(766),
  [1821] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_dst, 3),
  [1823] = {.count = 1, .reusable = true}, SHIFT(372),
  [1825] = {.count = 1, .reusable = true}, SHIFT(373),
  [1827] = {.count = 1, .reusable = true}, SHIFT(152),
  [1829] = {.count = 1, .reusable = true}, SHIFT(153),
  [1831] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 4, .production_id = 13),
  [1833] = {.count = 1, .reusable = true}, SHIFT(521),
  [1835] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 3),
  [1837] = {.count = 1, .reusable = true}, SHIFT(529),
  [1839] = {.count = 1, .reusable = true}, SHIFT(327),
  [1841] = {.count = 1, .reusable = true}, SHIFT(350),
  [1843] = {.count = 1, .reusable = true}, SHIFT(242),
  [1845] = {.count = 1, .reusable = true}, SHIFT(241),
  [1847] = {.count = 1, .reusable = true}, SHIFT(912),
  [1849] = {.count = 1, .reusable = true}, SHIFT(734),
  [1851] = {.count = 1, .reusable = true}, SHIFT(267),
  [1853] = {.count = 1, .reusable = true}, SHIFT(266),
  [1855] = {.count = 1, .reusable = true}, SHIFT(423),
  [1857] = {.count = 1, .reusable = true}, SHIFT(432),
  [1859] = {.count = 1, .reusable = true}, SHIFT(433),
  [1861] = {.count = 1, .reusable = true}, SHIFT(434),
  [1863] = {.count = 1, .reusable = true}, SHIFT(151),
  [1865] = {.count = 1, .reusable = true}, SHIFT(150),
  [1867] = {.count = 1, .reusable = true}, SHIFT(149),
  [1869] = {.count = 1, .reusable = true}, SHIFT(353),
  [1871] = {.count = 1, .reusable = true}, SHIFT(352),
  [1873] = {.count = 1, .reusable = true}, SHIFT(351),
  [1875] = {.count = 1, .reusable = true}, SHIFT(419),
  [1877] = {.count = 1, .reusable = true}, SHIFT(655),
  [1879] = {.count = 1, .reusable = true}, SHIFT(900),
  [1881] = {.count = 1, .reusable = true}, SHIFT(340),
  [1883] = {.count = 1, .reusable = true}, SHIFT(420),
  [1885] = {.count = 1, .reusable = true}, SHIFT(330),
  [1887] = {.count = 1, .reusable = true}, SHIFT(476),
  [1889] = {.count = 1, .reusable = true}, SHIFT(471),
  [1891] = {.count = 1, .reusable = true}, SHIFT(490),
  [1893] = {.count = 1, .reusable = true}, SHIFT(491),
  [1895] = {.count = 1, .reusable = true}, SHIFT(475),
  [1897] = {.count = 1, .reusable = true}, SHIFT(477),
  [1899] = {.count = 1, .reusable = true}, SHIFT(488),
  [1901] = {.count = 1, .reusable = true}, SHIFT(487),
  [1903] = {.count = 1, .reusable = true}, SHIFT(478),
  [1905] = {.count = 1, .reusable = true}, SHIFT(479),
  [1907] = {.count = 1, .reusable = true}, SHIFT(480),
  [1909] = {.count = 1, .reusable = true}, SHIFT(481),
  [1911] = {.count = 1, .reusable = true}, SHIFT(482),
  [1913] = {.count = 1, .reusable = true}, SHIFT(483),
  [1915] = {.count = 1, .reusable = true}, SHIFT(484),
  [1917] = {.count = 1, .reusable = true}, SHIFT(485),
  [1919] = {.count = 1, .reusable = true}, SHIFT(486),
  [1921] = {.count = 1, .reusable = true}, SHIFT(431),
  [1923] = {.count = 1, .reusable = true}, SHIFT(534),
  [1925] = {.count = 1, .reusable = true}, SHIFT(459),
  [1927] = {.count = 1, .reusable = true}, SHIFT(430),
  [1929] = {.count = 1, .reusable = true}, SHIFT(429),
  [1931] = {.count = 1, .reusable = true}, SHIFT(428),
  [1933] = {.count = 1, .reusable = true}, SHIFT(427),
  [1935] = {.count = 1, .reusable = true}, SHIFT(426),
  [1937] = {.count = 1, .reusable = true}, SHIFT(425),
  [1939] = {.count = 1, .reusable = true}, SHIFT(424),
  [1941] = {.count = 1, .reusable = true}, SHIFT(461),
  [1943] = {.count = 1, .reusable = true}, SHIFT(460),
  [1945] = {.count = 1, .reusable = true}, SHIFT(271),
  [1947] = {.count = 1, .reusable = true}, SHIFT(270),
  [1949] = {.count = 1, .reusable = true}, SHIFT(268),
  [1951] = {.count = 1, .reusable = true}, SHIFT(468),
  [1953] = {.count = 1, .reusable = true}, SHIFT(467),
  [1955] = {.count = 1, .reusable = true}, REDUCE(sym_document, 1),
  [1957] = {.count = 1, .reusable = true}, SHIFT(421),
  [1959] = {.count = 1, .reusable = true}, SHIFT(474),
  [1961] = {.count = 1, .reusable = true}, SHIFT(398),
  [1963] = {.count = 1, .reusable = true}, REDUCE(sym__atx_hed, 2),
  [1965] = {.count = 1, .reusable = true}, SHIFT(492),
  [1967] = {.count = 1, .reusable = true}, SHIFT(235),
  [1969] = {.count = 1, .reusable = true}, SHIFT(489),
  [1971] = {.count = 1, .reusable = true}, SHIFT(417),
  [1973] = {.count = 1, .reusable = true}, SHIFT(387),
  [1975] = {.count = 1, .reusable = true}, SHIFT(439),
  [1977] = {.count = 1, .reusable = true}, SHIFT(414),
  [1979] = {.count = 1, .reusable = true}, SHIFT(371),
  [1981] = {.count = 1, .reusable = true}, SHIFT(175),
  [1983] = {.count = 1, .reusable = true}, SHIFT(890),
  [1985] = {.count = 1, .reusable = true}, SHIFT(370),
  [1987] = {.count = 1, .reusable = true}, SHIFT(462),
  [1989] = {.count = 1, .reusable = true}, SHIFT(463),
  [1991] = {.count = 1, .reusable = true}, SHIFT(464),
  [1993] = {.count = 1, .reusable = true}, SHIFT(369),
  [1995] = {.count = 1, .reusable = true}, SHIFT(2),
  [1997] = {.count = 1, .reusable = true}, SHIFT(442),
  [1999] = {.count = 1, .reusable = true}, SHIFT(443),
  [2001] = {.count = 1, .reusable = true}, SHIFT(444),
  [2003] = {.count = 1, .reusable = true}, SHIFT(320),
  [2005] = {.count = 1, .reusable = true}, SHIFT(143),
  [2007] = {.count = 1, .reusable = true}, SHIFT(326),
  [2009] = {.count = 1, .reusable = true}, SHIFT(446),
  [2011] = {.count = 1, .reusable = true}, SHIFT(465),
  [2013] = {.count = 1, .reusable = true}, SHIFT(469),
  [2015] = {.count = 1, .reusable = true}, SHIFT(451),
  [2017] = {.count = 1, .reusable = true}, SHIFT(447),
  [2019] = {.count = 1, .reusable = true}, SHIFT(448),
  [2021] = {.count = 1, .reusable = true}, SHIFT(449),
  [2023] = {.count = 1, .reusable = true}, SHIFT(303),
  [2025] = {.count = 1, .reusable = true}, SHIFT(450),
  [2027] = {.count = 1, .reusable = true}, SHIFT(422),
  [2029] = {.count = 1, .reusable = true}, SHIFT(452),
  [2031] = {.count = 1, .reusable = true}, SHIFT(453),
  [2033] = {.count = 1, .reusable = true}, SHIFT(454),
  [2035] = {.count = 1, .reusable = true}, SHIFT(455),
  [2037] = {.count = 1, .reusable = true}, SHIFT(456),
  [2039] = {.count = 1, .reusable = true}, SHIFT(457),
  [2041] = {.count = 1, .reusable = true}, SHIFT(418),
  [2043] = {.count = 1, .reusable = true}, SHIFT(281),
  [2045] = {.count = 1, .reusable = true}, SHIFT(435),
  [2047] = {.count = 1, .reusable = true}, SHIFT(436),
  [2049] = {.count = 1, .reusable = true}, SHIFT(437),
  [2051] = {.count = 1, .reusable = true}, SHIFT(440),
  [2053] = {.count = 1, .reusable = true}, SHIFT(441),
  [2055] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_tit, 3),
  [2057] = {.count = 1, .reusable = true}, SHIFT(910),
  [2059] = {.count = 1, .reusable = true}, SHIFT(416),
  [2061] = {.count = 1, .reusable = true}, REDUCE(sym__tbl_hed_row, 2),
  [2063] = {.count = 1, .reusable = true}, REDUCE(sym_document, 2),
  [2065] = {.count = 1, .reusable = true}, SHIFT(737),
  [2067] = {.count = 1, .reusable = true}, SHIFT(247),
  [2069] = {.count = 1, .reusable = true}, SHIFT(246),
  [2071] = {.count = 1, .reusable = true}, SHIFT(245),
  [2073] = {.count = 1, .reusable = true}, SHIFT(909),
  [2075] = {.count = 1, .reusable = true}, SHIFT(458),
  [2077] = {.count = 1, .reusable = true}, SHIFT(466),
  [2079] = {.count = 1, .reusable = true}, SHIFT(470),
  [2081] = {.count = 1, .reusable = true}, SHIFT(200),
  [2083] = {.count = 1, .reusable = true}, REDUCE(sym__atx_hed, 3, .production_id = 1),
  [2085] = {.count = 1, .reusable = true}, SHIFT(215),
  [2087] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_scr_hed, 3),
  [2089] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_cmt_hed, 3),
  [2091] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_prc_hed, 3),
  [2093] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_dcl_hed, 3),
  [2095] = {.count = 1, .reusable = true}, REDUCE(sym__htm_blk_cda_hed, 3),
  [2097] = {.count = 1, .reusable = true}, SHIFT(740),
  [2099] = {.count = 1, .reusable = true}, SHIFT(743),
  [2101] = {.count = 1, .reusable = true}, REDUCE(sym__stx_hed, 3, .production_id = 8),
  [2103] = {.count = 1, .reusable = true}, SHIFT(715),
  [2105] = {.count = 1, .reusable = true}, SHIFT(187),
  [2107] = {.count = 1, .reusable = true}, SHIFT(472),
  [2109] = {.count = 1, .reusable = true}, SHIFT(415),
  [2111] = {.count = 1, .reusable = true}, SHIFT(473),
  [2113] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [2115] = {.count = 1, .reusable = true}, SHIFT(413),
  [2117] = {.count = 1, .reusable = true}, SHIFT(753),
  [2119] = {.count = 1, .reusable = true}, SHIFT(445),
  [2121] = {.count = 1, .reusable = true}, SHIFT(3),
  [2123] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 5),
  [2125] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 5, .production_id = 6),
  [2127] = {.count = 1, .reusable = true}, SHIFT(159),
  [2129] = {.count = 1, .reusable = true}, SHIFT(157),
  [2131] = {.count = 1, .reusable = true}, SHIFT(156),
  [2133] = {.count = 1, .reusable = true}, SHIFT(438),
  [2135] = {.count = 1, .reusable = true}, SHIFT(934),
  [2137] = {.count = 1, .reusable = true}, SHIFT(307),
  [2139] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_ref_def_hed, 6),
  [2141] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 6),
  [2143] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 6, .production_id = 13),
  [2145] = {.count = 1, .reusable = true}, SHIFT(941),
  [2147] = {.count = 1, .reusable = true}, SHIFT(214),
  [2149] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_tit, 2),
  [2151] = {.count = 1, .reusable = true}, REDUCE(sym__lnk_ref_def_hed, 7, .production_id = 17),
  [2153] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 7, .production_id = 14),
  [2155] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 7, .production_id = 13),
  [2157] = {.count = 1, .reusable = true}, REDUCE(sym__chk_box_lik_stx_hed, 4),
  [2159] = {.count = 1, .reusable = true}, REDUCE(sym__fen_cod_hed, 8, .production_id = 18),
  [2161] = {.count = 1, .reusable = true}, SHIFT(317),
  [2163] = {.count = 1, .reusable = true}, SHIFT(842),
  [2165] = {.count = 1, .reusable = true}, SHIFT(670),
  [2167] = {.count = 1, .reusable = true}, REDUCE(sym__thm_brk_hed, 1),
  [2169] = {.count = 1, .reusable = true}, SHIFT(795),
  [2171] = {.count = 1, .reusable = true}, SHIFT(590),
  [2173] = {.count = 1, .reusable = true}, SHIFT(838),
  [2175] = {.count = 1, .reusable = true}, SHIFT(629),
  [2177] = {.count = 1, .reusable = true}, SHIFT(871),
  [2179] = {.count = 1, .reusable = true}, SHIFT(694),
  [2181] = {.count = 1, .reusable = true}, SHIFT(903),
  [2183] = {.count = 1, .reusable = true}, SHIFT(642),
  [2185] = {.count = 1, .reusable = true}, SHIFT(935),
  [2187] = {.count = 1, .reusable = true}, SHIFT(573),
};

void *tree_sitter_markdown_external_scanner_create(void);
void tree_sitter_markdown_external_scanner_destroy(void *);
bool tree_sitter_markdown_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_markdown_external_scanner_serialize(void *, char *);
void tree_sitter_markdown_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_markdown(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_markdown_external_scanner_create,
      tree_sitter_markdown_external_scanner_destroy,
      tree_sitter_markdown_external_scanner_scan,
      tree_sitter_markdown_external_scanner_serialize,
      tree_sitter_markdown_external_scanner_deserialize,
    },
  };
  return &language;
}
